Добро пожаловать в SQL Manager for InterBase/Firebird!

SQL Manager for InterBase/Firebird - это мощный инструмент для разработки и администрирования серверов баз данных InterBase/Firebird®. Простой и понятный интерфейс упрощает работу с базами данных и их объектами, позволяет управлять таблицами данных и выполнять сценарии SQL. SQL Manager for InterBase/Firebird позволяет визуально разрабатывать базы данных, управлять записями пользователей и их привилегиями. Также Вы можете свободно работать с метаданными, экспортировать данные во множество популярных форматов и импортировать их, просматривать/редактировать BLOB-поля и многое другое.

Посетите наш веб-сайт для получения более подробной информации: https://www.sqlmanager.ru

Ключевые особенности продукта

  • Поддержка последних версий InterBase и Firebird
  • Одновременно простой и функциональный интерфейс пользователя
  • Быстрая навигация и управление базами данных
  • Простое и понятное управление всеми объектами InterBase/FireBird
  • Эффективные инструменты управления данными
  • Эффективное управление параметрами безопасности
  • Графические и текстовые инструменты для построения запросов
  • Конструктор отчетов с понятным мастером создания отчетов
  • Импорт и экспорт данных
  • Мощный Конструктор баз данных
  • Простые и удобные мастера для выполнения задач InterBase и Firebird
  • Другие необходимые инструменты для того, чтобы сделать Вашу работу с InterBase/FireBird простой и удобной

Информация

Домашняя страница | https://www.sqlmanager.ru/products/ibfb/manager
Система Support Ticket | https://www.sqlmanager.ru/support
Онлайн регистрация | https://www.sqlmanager.ru/products/ibfb/manager/buy


Hовости

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

Новости

Версия | Дата выпуска
SQL Manager for InterBase/Firebird 6.2.2 | 18.11.2024

Что нового в SQL Manager for InterBase/Firebird 6.2.2?

  • Внешние ключи добавлены в поиск по метаданным.
  • Добавлена поддержка псевдонима типа данных NCHAR.
  • Добавлена поддержка параметра SQL SECURITY для триггеров.
  • Данные колонок типа BINARY и VARBINARY теперь доступны в редакторе BLOB.
  • Исправлено подключение к базам данных Firebird 4 и выше в первом диалекте SQL.
  • Ширина проводника восстанавливается при переоткрытии менеджера х64 в режиме плавающих окон.
  • В некоторых случаях в проводнике не отображались внешние ключи. Исправлено
  • Исправлена работа опции "Show data types".
  • Исправления в автоматически раздаваемых привилегиях в запросах с GRANT OPTION.
  • Некоторые мастеры считывали файлы шаблонов в некорректной кодировке. Исправлено.
  • При попытке записи лога выполнения операции в недоступный файл выдается корректное сообщение об ошибке.
  • В Мастере валидации базы данных InterBase скрыты неподдерживаемые опции.
  • Прочие исправления и улучшения.

Смотрите также:

Предыдyщие версии


Cиcтемные требования

  • Microsoft Windows XP, Microsoft Windows Server 2003, Microsoft Windows Server 2008, Microsoft Windows Server 2008 R2, Microsoft Windows Server 2012, Microsoft Windows Server 2012 R2, Microsoft Windows Server 2016, Microsoft Windows Server 2019, Microsoft Windows Vista, Microsoft Windows 7, Microsoft Windows 8/8.1, Microsoft Windows 10, Microsoft Windows 11, Microsoft Windows 11 ARM
  • 512 Мб RAM (рекомендуется 1024 Мб или более)
  • 200 Мб свободного пространства на жестком диске для установки программы
  • Клиентская библиотека InterBase/Firebird. Разрядность библиотеки должна быть такой же как и разрядность программы.
  • Возможность соединения с локальным или удаленным сервером InterBase или Firebird
  • Поддерживаемые версии серверов InterBase и Firebird: InterBase - до 2020; Firebird - до 5.0


Сравнительная таблица характеристик

Бесплатная Lite версия SQL Manager for InterBase/Firebird не включает все особенности Full версии и имеет ограничение числа баз данных, которые могут быть зарегистрированы. Некоторые функции и инструменты в Lite версии недоступны.

Полная сравнительная таблица характеристик представлена ниже.

Важно: Если у вас установлена Lite версия программы, то Вы можете активировать все возможности Full версии. Эти возможности будут доступны для работы в течение тридцати дней.

Для получения более подробной информации об активации смотрите на странице Активация режима полной версии.

 | Полная версия | Lite-версия
Поддержка последних версий InterBase и Firebird
Совместимость со всеми версиями сервера Firebird до 5.0 | + | +
Совместимость со всеми версиями сервера InterBase до 2020 | + | +
Современный и простой графический интерфейс пользователя
Возможность работы в многооконном режиме или в режиме плавающих окон | + | +
Удобный проводник баз данных для легкого обращения с объектами InterBase/FireBird | + | +
Настраиваемые панели инструментов для всех окон приложения | + | +
Полностью настраиваемый интерфейс программы | + | +
Мощный модуль настройки внешнего вида системы | + | +
Возможность сохранения всех параметров программы | + | +
Локализуемый интерфейс пользователя | + | +
Быстрая навигация и управление базами данных
Соединение с несколькими серверами/базами данных одновременно | + | +
Соединение при помощи переадресации локальных портов через SSH туннель | + | -
Регистрация баз данных для работы только с требуемыми базами | + | +
Возможность работы с несколькими выбранными объектами одновременно | + | +
Группировка/разгруппировка зарегистрированных баз данных по имени хоста | + | +
Простое управление всеми объектами InterBase и Firebird с помощью редакторов, поддерживающих Unicode
Создание/удаление баз данных | + | +
Управление таблицами и их подобъектами: полями, индексами, проверочными ограничениями и внешними ключами | + | +
Управление представлениями, триггерами, триггерами БД и хранимыми процедурами | + | +
Поддержка триггерных сообщений | + | +
Управление UDF, исключениями, генераторами и BLOB-фильтрами | + | +
Управление журналами и архивами журналов | + | +
Копирование любых объектов баз данных | + | +
Переименование объектов баз данных | + | +
Возможность просмотра зависимостей между объектами базы данных | + | -
Мощный отладчик хранимых процедур и триггеров | + | -
Эффективные инструменты с поддержкой Unicode для манипулирования данными
Мощный редактор BLOB-полей с различными режимами просмотра данных | + | -
Целый набор эффективных инструментов для группировки, быстрого поиска и фильтрации данных | + | +
Отображение данных и работа с двумя связанными таблицами одновременно | + | -
Отображение таблиц и карточек в удобном для пользователя виде | + | -
Возможность копировать и вставлять выбранные записи | + | -
Мощный модуль печати | + | +
Экспорт данных в сценарии SQL в виде выражения INSERT | + | -
Эффективное управление параметрами безопасности
Функциональный менеджер для управления пользователями и их привилегиями | + | +
Менеджер настроек прав пользователей, отображающий все права для объектов базы данных в форме таблицы | + | +
Поддержка Embedded User Authentication | + | +
Великолепные графические и текстовые инструменты для построения запросов
Визуальный конструктор с поддержкой Unicode для построения сложных SQL запросов даже без знаний синтаксиса | + | -
Многооконный редактор SQL с поддержкой Unicode, с функцией автозавершения кода и подсветкой синтаксиса; выполнение запросов в фоновом режиме | + | +
Исполнение больших сценариев SQL с поддержкой Unicode (с помощью редактора сценариев SQL) | + | +
Возможность просмотра планов запросов в виде диаграммы | + | -
Конструктор отчетов с понятным мастером создания отчетов
Создание отчетов всего за несколько шагов благодаря новому мастеру создания отчетов | + | -
Управление отчетами аналогично управлению объектами базы данных: доступ к отчетам осуществляется напрямую из дерева Проводника БД | + | -
Мощные мастера импорта и экспорта данных с поддержкой Unicode и возможностью работы в фоновом режиме
Экспорт данных в наиболее популярные форматы: MS Excel, MS Word, HTML, PDF, TXT, CSV, DBF, XML, ODS, ODT и др. | + | -
Экспорт данных из MS Access | + | -
Импорт данных из MS Excel, DBF, TXT и CSV | + | -
Импорт данных в MS Access | + | -
Мощный визуальный конструктор баз данных
Возможности создания, редактирования, удаления таблиц и их полей, визуального установления отношений между таблицами | + | -
Инструмент обратного проектирования | + | -
Вывод диаграммы на печать или сохранение ее в виде изображения | + | -
Простые и удобные мастера для выполнения задач InterBase и Firebird в фоновом режиме
Резервное копирование баз данных | + | -
Восстановление баз данных | + | -
Журналирование баз данных | + | -
Инкрементное резервное копирование БД | + | -
Проверка целостности баз данных | + | -
Улучшенная статистика баз данных | + | -
Подключение баз данных | + | -
Остановка/отключение баз данных | + | -
Возможность перестройки и обновления статистики для всех или только некоторых индексов | + | -
Другие необходимые инструменты для того, чтобы сделать Вашу работу с InterBase и Firebird простой и удобной
Извлечение метаданных с поддержкой Unicode в текстовые файлы или в редактор сценариев | + | -
Мощный модуль печати метаданных для создания настраиваемых отчетов о метаданных | + | -
Мастер отчетов HTML для быстрого создания подробного HTML отчета о вашей базе данных | + | -
Конструктор отчетов для визуального создания подробных отчетов | + | -
SQL Monitor | + | +
Другие функциональные особенности
Клавиатурные шаблоны | + | +
Список запланированных действий "To-do" | + | +
Менеджер внешних инструментов | + | +
Поддержка сторонних плагинов | + | -


Установка

Установка программы SQL Manager for InterBase/Firebird

  • загрузите установочный файл программы со страницы загрузки,
  • полученный файл извлеките из архива в нужную директорию (например, c:\unzipped),
  • откройте файл IbManagerFullSetup.exe и следуйте инструкциям мастера установки,
  • после завершения процесса установки найдите ярлыки программы в Пуск->Программы->EMS.

Часто задаваемые вопросы по установке ПО

Обновление программы

  • загрузите установочный файл программы со страницы загрузки сайта,
  • полученный файл извлеките из архива в нужную директорию (например, c:\unzipped),
  • закройте программу SQL Manager for InterBase/Firebird, если она запущена,
  • откройте файл IbManagerFullSetup.exe и следуйте инструкциям мастера обновления.

Вы можете обновить версию программы, используя SQL Direct.

Смотрите также:

Часто задаваемые вопросы


Приобретение

Для приобретения наших продуктов на территории Российской Федерации вы можете использовать форму он-лайн оплаты платежной картой либо запросить счёт для безналичной оплаты путем банковского перевода.

Выбор типа лицензии, количества лет Сопровождения и способа оплаты происходит на странице покупки продукта.

Пожалуйста, учтите, что все наши программные продукты доставляются только электронными средствами (Electronic Software Delivery).

После приобретения мы отправим вам регистрационный ключ электронной почтой. Регистрационная информация будет так же доступна зарегистрированным пользователям на нашем сайте.

Программа EMS по Сопровождению ПО - это выгодная для клиента комплексная программа, включающая в себя техническую поддержку, обновления ПО и много других преимуществ. Имея действующую подписку на Сопровождение ПО, Вы автоматически получаете последние версии программ EMS сразу после их выпуска без дополнительных затрат. Это позволит Вам и Вашей компании идти в ногу с новейшими разработками в области программного обеспечения, пользоваться улучшенными версиями программ и проще отслеживать имеющиеся у Вас лицензии на ПО.

Как участник Программы EMS по Сопровождению ПО, Вы имеете право получать:

  • Техническую поддержку опытных специалистов
  • Консультации по вопросам работы ПО
  • Бесплатные обновления и релизы с улучшениями ПО в течение подписки на Сопровождение ПО
  • Доступ к персональной учетной записи клиента EMS
  • Возобновление подписки на Сопровождение ПО в режиме онлайн
  • Эксклюзивные заблаговременные уведомления о специальных предложениях
  • Эксклюзивные предложения ТОЛЬКО для владельцев подписки на Сопровождение ПО.

Подробнее об услуге сопровождения читайте на странице https://www.sqlmanager.ru/support/faq#maintenance.

Если у вас остались вопросы - вы можете найти ответы на них в разделе FAQ или обратиться в службу поддержки по адресу sales@sqlmanager.ru.


Регистрация

Если Вы не зарегистрировали свою копию программы SQL Manager for InterBase/Firebird, то Вы можете сделать это, нажав кнопку Register Now в окне, открывающемся при выборе пункта главного меню программы Help | About.

Welcome to SQL Manager - About

В появившемся окне укажите регистрационное имя - в поле Registration name, и ключ - в поле Registration Key.

Welcome to SQL Manager - Register product

Чтобы зарегистрировать только что приобретенную копию программы необходимо выполнить следующие действия:

  • получить уведомительное письмо с регистрационной информацией из Digital River
  • ввести Registration Name и Registration Key из этого письма.
  • убедиться, что регистрация прошла успешно. Для этого необходимо открыть окно About SQL Manager for InterBase/Firebird, выбрав пункт главного меню Help | About. В этом окне должны отображаться введенные вами Registration Name и Registration Key.

После введения правильного регистрационного ключа появляется информационное окно, сообщающее о том, что Вы теперь имеете право пользоваться программой.

Смотрите также:

Приобретение


Часто задаваемые вопросы

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

Часто задавамые вопросы

Что такое EMS SQL Manager for InterBase/Firebird?

Чем отличаются Профессиональная/Professional и Облегченная/Lite версии продукта SQL Manager for InterBase/Firebird?

Что мне необходимо для начала работы с SQL Manager for InterBase/Firebird?

Чем отличаются функции Импорт/Экспорт в SQL Manager for InterBase/Firebird от утилит Export/Import for InterBase/Firebird?

Чем отличается функция "Design Query" из инструментария SQL Manager for InterBase/Firebird от приложения SQL Query for InterBase/Firebird?

Чем отличается встроенная в SQL Manager for InterBase/Firebird функция "Извлечь Метаданные" от утилиты DB Extract for InterBase/Firebird?

Не могу модифицировать DDL. Почему?

Как мне настроить форматы данных в сетке данных?

Как мне увидеть системные таблицы (rdb$xxx) в Проводнике БД/DB Explorer?

Я пытаюсь создать отчет в Конструкторе Отчетов/Report Designer, но не могу получить доступ к данным таблицы: список 'Band data source' пуст.

Моя таблица содержит около 1000 записей и большое количество полей. Ее открытие в закладке Data занимает слишком много времени.

Мне нужно внести некоторые изменения в объекты моей тестовой базы данных, а затем те же изменения проделать и в основной. Может быть, в SQL Manager for InterBase/Firebird для этого есть специальные инструменты?

Я пытался экспортировать данные из таблицы, но обнаружил, что могу экспортировать только первые 1000 записей. Можно ли экспортировать большее количество записей, если таблица содержит более, чем 1000 записей?

Как мне изменить директорию, в которую будут сохраняться экспортированные данные?

Чем отличаются функции “Extract Metadata” и “Export As Insert”?

Я работаю с FireBird 1.5 и при попытке соединиться с любой базой данных получаю сообщение об ошибке от SQL Manager for InterBase/Firebird: “Can't format message xx:xx -- message file C:\Program Files\Borland\InterBase\Interbase.msg not found. Unavailable database"

В:

Что такое EMS SQL Manager for InterBase/Firebird?

О:

EMS SQL Manager for InterBase/Firebird - это высокоэффективный инструмент для администрирования баз данных InterBase и Firebird. Легкий и удобный графический интерфейс поможет обслуживать базы данных, работать с их объектами, управлять таблицами, строить запросы SQL, администрировать пользователей и их права, искать, извлекать и распечатывать метаданные, а также выполнять многое другое. Некоторые функции SQL Manager for InterBase/Firebird : Графический конструктор баз данных; Генератор отчетов HTML; Дизайнер запросов; Редактор полей BLOB, Графический анализатор плана; Экспорт данных в 15 доступных форматов; Импорт данных из самых популярных форматов; Системы управления пользователями и правами; Поддержка дополнений сторонних разработчиков и многое другое.

Наверх

В:

Чем отличаются Профессиональная/Professional и Облегченная/Lite версии продукта SQL Manager for InterBase/Firebird?

О:

Обе эти версии отличаются количеством функций и ценой. Чтобы подробнее узнать обо всех различиях и зарегистрировать Ваш SQL Manager for InterBase/Firebird , пожалуйста, посетите соответствующие страницы продукта.

Наверх

В:

Что мне необходимо для начала работы с SQL Manager for InterBase/Firebird?

О:

Во-первых, Вы должны иметь возможность подключиться к локальному или удаленному серверу InterBase/Firebird. Во-вторых, Ваш компьютер должен соответствовать системным требованиям EMS SQL Manager for InterBase/Firebird.

Наверх

В:

Чем отличаются функции Импорт/Экспорт в SQL Manager for InterBase/Firebird от утилит Export/Import for InterBase/Firebird?

О:

Export/Import for InterBase/Firebird включают в себя несколько дополнительных возможностей, не поддерживаемых SQL Manager for InterBase/Firebird, например:

  • экспорт/импорт данных из/в нескольких таблиц сразу;
  • экспорт/импорт данных из/в таблиц, выбранных из различных баз данных на одном хосте;
  • консольная утилита для экспорта/импорта с использованием файла конфигурации, содержащего все настройки.

Наверх

В:

Чем отличается функция "Design Query" из инструментария SQL Manager for InterBase/Firebird от приложения SQL Query for InterBase/Firebird?

О:

В первую очередь, SQL Query for InterBase/Firebird работает быстрее, так как это более легкий продукт. Также SQL Query for IB/FB обладает рядом дополнительных функций для построения запросов, например:

  • "избранные/favorite" запросы для поиска и быстрого запуска наиболее часто исполняемых запросов;
  • хранение истории запросов, позволяющей совершить "откат" к любому отредактированному запросу;
  • различные улучшения интерфейса программы для более продуктивной и удобной работы.

Наверх

В:

Чем отличается встроенная в SQL Manager for InterBase/Firebird функция "Извлечь Метаданные" от утилиты DB Extract for InterBase/Firebird?

О:

DB Extract for InterBase/Firebird включает в себя некоторые дополнительные функции, которые недоступны в SQL Manager for InterBase/Firebird, например:

  • извлечение метаданных из различных баз данных, расположенных на одном сервере;
  • консольное приложение для упрощения процесса извлечения;
  • большая скорость работы.

Наверх

В:

Не могу модифицировать DDL. Почему?

О:

Закладки DDL во всех редакторах объектов имеют параметры "только чтение/read only". Они отображают SQL-текст операций, которые Вы переносите из таблиц в закладки "Поля", "Индексы" или через UDF. Чтобы модифицировать этот текст, необходимо скопировать его в буфер обмена, а затем изменять его, используя Редактор Сценариев SQL.

Наверх

В:

Как мне настроить форматы данных в сетке данных?

О:

Настроить все отображаемые форматы (integer, float, date, time и date/time) можно в окне "Параметры Среды/Environment Options".

Наверх

В:

Как мне увидеть системные таблицы (rdb$xxx) в Проводнике БД/DB Explorer?

О:

Чтобы системные таблицы отображались в Проводнике БД/DB Explorer, отметьте опцию "Показывать системные таблицы/Show system tables" на странице "Дополнительно/Additional" диалога "Регистрация базы данных/Database Registration". Получить доступ к этому диалогу Вы сможете только после регистрации базы данных, просто нажав правой клавишей мыши на базе данных в Проводнике БД, и выбрав во всплывающем меню пункт "Информация о регистрации БД/Database Registration Info". Также Вы можете поместить все системные таблицы в отдельный узел, найдя соответствующий параметр в Проводнике БД/DB Explorer на странице диалога "Параметры Среды/Environment Options".

Наверх

В:

Я пытаюсь создать отчет в Конструкторе Отчетов/Report Designer, но не могу получить доступ к данным таблицы: список 'Band data source' пуст.

О:

Чтобы получить источник данных в отчете, Вам нужно добавить диалоговую форму в отчет (меню 'Редактировать/Edit' \ 'Добавить форму диалога/Add dialog form' Конструктора Отчетов), затем поместить в нее базу данных и компоненты запроса из левой панели конструктора и установить связь и параметры запроса. После этого запрос должен появиться в списках источников данных.

Наверх

В:

Моя таблица содержит около 1000 записей и большое количество полей. Ее открытие в закладке Data занимает слишком много времени.

О:

Вам нужно установить параметр "Grid Mode" для таблицы как "Load Visible Rows". Нажмите правой кнопкой мыши на табличную решетку и выберите пункт "Grid Mode \ Load Visible Rows".

Наверх

В:

Мне нужно внести некоторые изменения в объекты моей тестовой базы данных, а затем те же изменения проделать и в основной. Может быть, в SQL Manager for InterBase/Firebird для этого есть специальные инструменты?

О:

Диалог "Database Registration Info" содержит закладку "Протокол/Log", в которой Вы можете разрешить протоколирование всех изменений метаданных в базе данных, а также протоколирование выражений SQL, выполняемых в Редакторе SQL.

Наверх

В:

Я пытался экспортировать данные из таблицы, но обнаружил, что могу экспортировать только первые 1000 записей. Можно ли экспортировать большее количество записей, если таблица содержит более, чем 1000 записей?

О:

Функция "Экспорт данных/Export Data" позволяет экспортировать только выделенные записи в окне решетки. Область выделения ограничена 1000 записями по умолчанию, но чтобы экспортировать их все, Вы можете сами увеличить это значение. Также Вы можете установить значение ограничения по умолчанию в закладке "Решетка/Grid" в диалоге "Параметры среды".

Наверх

В:

Как мне изменить директорию, в которую будут сохраняться экспортированные данные?

О:

Для смены директории выполните следующие действия:

  • Выделите правой клавишей мыши необходимую базу данных в Проводнике БД/DB Explorer и выберите "Database Registration Info..." во всплывающем меню (этот пункт Вы можете найти также в основном меню "Database"). Откроется форма "Параметры базы данных/The Database Properties.
  • Щелкните левой клавишей на закладке "Сохранить параметры/Save Options".
  • В секции "Директория по умолчанию для Экспорта Данных/Default Directory for Export Data" Вы можете выбрать директорию для экспорта файла.

Наверх

В:

Чем отличаются функции “Extract Metadata” и “Export As Insert”?

О:

Функция “Export As Insert” предназначена для экспорта табличных данных, которые будут вставлены в другую базу данных, отличную от сервера InterBase. Функция “Extract Metadata” используется для копирования данных в таблицы сервера InterBase.

Наверх

В:

Я работаю с FireBird 1.5 и при попытке соединиться с любой базой данных получаю сообщение об ошибке от SQL Manager for InterBase/Firebird: “Can't format message xx:xx -- message file C:\Program Files\Borland\InterBase\Interbase.msg not found. Unavailable database."

О:

В версии сервера Firebird 1.5 существует проблема "DLL Hell". Это значит, что SQL Manager for InterBase/Firebird не может использовать библиотеку gds32.dll, установленную в Вашем системном каталоге. Вам нужна "legacy-compatible" библиотека gds32.dll. Ее можно установить с помощью программы instclient.exe из папки .....\bin в каталоге Firebird. Перед выполнением этой операции важно ознакомиться с информацией по версии и сопутствующим файлом README_library_install.txt (находится в подкаталоге ..\doc).

Наверх


Предыдyщие версии

26.01.2024 Выпущен SQL Manager for InterBase/Firebird версии 6.2.1

14.08.2023 Выпущен SQL Manager for InterBase/Firebird версии 6.2

22.02.2023 Выпущен SQL Manager for InterBase/Firebird версии 6.1.2

29.11.2022 Выпущен SQL Manager for InterBase/Firebird версии 6.1.1

14.07.2022 Выпущен SQL Manager for InterBase/Firebird версии 6.1

22.09.2021 Выпущен SQL Manager for InterBase/Firebird версии 6.0.2

16.02.2021 Выпущен SQL Manager for InterBase/Firebird версии 6.0

06.06.2019 Выпущен SQL Manager for InterBase/Firebird версии 5.5.4

03.12.2018 Выпущен SQL Manager for InterBase/Firebird версии 5.5.3

25.04.2018 Выпущен SQL Manager for InterBase/Firebird версии 5.5.2

08.09.2017 Выпущен SQL Manager for InterBase/Firebird версии 5.5.1

01.08.2017 Выпущен SQL Manager for InterBase/Firebird версии 5.5

06.06.2017 Выпущен SQL Manager for InterBase/Firebird версии 5.4.4

18.04.2017 Выпущен SQL Manager for InterBase/Firebird версии 5.4.3

06.12.2016 Выпущен SQL Manager for InterBase/Firebird версии 5.4.2

23.11.2016 Выпущен SQL Manager for InterBase/Firebird версии 5.4.1

09.11.2016 Выпущен SQL Manager for InterBase/Firebird версии 5.4.0.1

07.10.2015 Выпущен SQL Manager for InterBase/Firebird версии 5.3.0.1

15.02.2010 Выпущен SQL Manager for InterBase/Firebird версии 5.2.0.1

16.09.2008 Выпущен SQL Manager 2008 for InterBase/Firebird версии 5.1.0.1

29.01.2008 Выпущен SQL Manager 2008 for InterBase/Firebird версии 5.0.0.1

14.11.2006 Выпущен SQL Manager 2005 for InterBase/Firebird вер. 4.4

05.06.2006 Выпущен SQL Manager 2005 for InterBase/Firebird вер. 4.3

04.12.2006 Выпущен SQL Manager 2005 for InterBase/Firebird вер. 4.2

21.02.2006 Выпущен SQL Manager 2005 for InterBase/Firebird вер. 4.1

23.01.2006 Выпущен SQL Manager 2005 for InterBase/Firebird!

26.01.2024 Выпущен SQL Manager for InterBase/Firebird версии 6.2.1

1. Теперь SQL сохраняется при выходе из Дизайнера запросов.

2. Добавлен режим выделения объектов в Дизайнере БД.

3. Сервисы отключения и подключения БД используют настройку подключения сервисом или утилитами основного выбранного сервиса.

4. В окне поиска по нажатию ESC теперь закрывается выпадающий список, а не всё окно.

5. Теперь при загрузке файла импорта в формате TXT/CSV его кодировка определяется автоматически.

6. При создании процедуры для выбранной таблицы по умолчанию параметры создаются с использованием TYPE OF COLUMN.

7. В Редактор отчетов добавлен диалог авторизации подключения к базе данных.

8. Исправлен импорт данных с плавающей точкой.

9. Исправлена ошибочная попытка изменения Collation при изменении длины строкового поля.

10. Исправлена работа с колонками типа TIMETZ при использовании временных зон с отрицательным смещением.

11. Исправлена работа с кодировкой при подключении к базе данных с кодировкой NONE.

12. Улучшения в отображении темной темы оформления.

13. Другие исправления и улучшения.

14.08.2023 Выпущен SQL Manager for InterBase/Firebird версии 6.2

1. Добавлена поддержка типов данных DECFLOAT, REAL, BINARY, VARBINARY.

2. Улучшения в отладчике процедур и триггеров.

3. В редакторе SQL добавлена всплывающая подсказка для аргументов процедур и функций входящих в пакет.

4. Добавлено отображение действий при удалении и обновлении в список внешних ключей таблицы.

5. В мастер копирования объектов добавлена возможность редактирования SQL.

6. Исправлены проблемы, возникавшие при изменении масштаба в Дизайнере БД.

7. Исправлена работа с параметрами типа BOOLEAN при выполнении запросов SQL.

8. При изменении псевдонима хоста иногда пропадали вкладки редактора SQL. Исправлено.

9. Улучшения интерфейса и печати при использовании темной темы оформления.

22.02.2023 Выпущен SQL Manager for InterBase/Firebird версии 6.1.2

1. Ускорена процедура отрисовки дерева зависимостей.

2. Исправлена отрисовка объектов в Дизайнере БД при изменении масштаба.

3. В Дизайнере БД для представлений теперь отображается список полей.

4. Новый редактор запросов (Shift+F12) открывается пустым, а не с ранее открытыми запросами SQL.

5. Исправлено отображение данных в поле Average Fetch Time в статистике запроса.

6. При печати данных теперь не используется темная схема.

7. Исправлена ошибка выполнения EXECUTE BLOCK при использовании параметров типа NUMERIC или DECIMAL.

8. При отладке процедур теперь учитывается валидация домена.

9. В Database Properties теперь корректно отображается размер БД большого объема.

10. Улучшена работа скроллинга.

11. Другие исправления и улучшения.

29.11.2022 Выпущен SQL Manager for InterBase/Firebird версии 6.1.1

1. В дерево БД добавлены иконки для отображения временных таблиц.

2. Автозаполнение последних значений при запуске команд с параметрами в редакторе SQL.

3. Исправлены ошибки при выполнении команды EXECUTE BLOCK.

4. Исправлена клиентская сортировка для некоторых типов данных.

5. Исправлена возможность изменения текущего значения генератора в редакторе объекта.

6. Возвращаемые значения корректно отображаются в INSERT ... RETURNING операторе.

7. Улучшена поддержка вложенных версий сервера.

8. Небольшие улучшения в локализации программы.

9. Другие небольшие улучшения и исправления.

14.07.2022 Выпущен SQL Manager for InterBase/Firebird версии 6.1

1. Поддержка типа данных INT128 для Firebird 4.

2. Реализована поддержка прерывания запросов в редакторе SQL.

3. Поддержка запуска на Windows 11 ARM.

4. При переименовании поля таблицы оно переносилось в конец списка полей. Исправлено.

5. Прокрутка колесиком мыши окна, над которым находится курсор.

6. Значение генератора автоинкрементного поля теперь показывается в редакторе таблицы в списке полей.

7. Поддержка псевдонимов хостов.

8. Добавлена возможность указать пароль шифрования при коннекте к базам Interbase.

9. Поддержка новых возможностей редактирования генераторов в Firebird 3 и выше.

10. Добавлена возможность безопасного подключения к базе данных с опцией isc_dpb_no_db_triggers.

11. Добавлена опция, отключающая автоматическую проверку доступности хостов.

12. Исправления в Event Monitor - при некоторых условиях могли не приходить уведомления.

13. В настройках базы данных можно вручную добавлять опции транзакций.

14. Исправления и изменения в темной теме визуального оформления.

15. Прочие изменения и улучшения.

22.09.2021 Выпущен SQL Manager for InterBase/Firebird версии 6.0.2

1. Улучшена обработка юникодных данных.

2. При извлечении БД больше не выгружаются сгенерированные системные индексы.

3. Улучшена поддержка встроенных серверов, в том числе старых версий.

4. Добавлена опция отключения значения по умолчанию в редакторе доменов.

5. Улучшен парсинг процедур, содержащих курсоры.

6. Другие небольшие исправления.

16.02.2021 Выпущен SQL Manager for InterBase/Firebird версии 6.0

1. Добавлена поддержка темной визуальной темы.

2. Обновлены иконки интерфейса.

3. Добавлена возможность выделения цветом редакторов, относящихся к определенной базе данных

4. Улучшена поддержка мониторов с высоким разрешением и систем с увеличенным размером шрифта.

5. Реализована поддержка юникода в именах объектов.

6. Добавлена возможность указания алиаса сервера.

7. Улучшен поиск по регулярным выражениям.

8. Добавлена возможность просмотра и редактирования данных типа BLOB в виде JSON.

9. Обновлен парсер SQL.

10. Добавлена поддержка временных зон.

11. Множество других улучшений и исправлений.

06.06.2019 Выпущен SQL Manager for InterBase/Firebird версии 5.5.4

  1. Исправлена ошибка при подключении к Firebird 4.
  2. Выгрузка БД. В некоторых случаях неверно выгружались внешние и первичные ключи. Исправлено.
  3. Поддержка HEX-чисел в парсере и отладчике.
  4. Исправлена ошибка авторизации при создании базы в Firebird 1.5 Embedded.
  5. Исправления в редакторе домена, вызываемого из редактора процедур.
  6. Исправлено отображение выходных параметров в DDL процедур.
  7. Другие небольшие исправления.

03.12.2018 выпущен SQL Manager for InterBase/Firebird версии 5.5.3

1. Добавлена поддержка юникодных данных в фильтре данных таблицы.

2. Исправлены ошибки работы с аргументами для некоторых типов пользовательских функций.

3. В некоторых случаях кнопка Browse для выбора локального файла БД была недоступна. Исправлено.

4. Некоторые переменные типа домен воспринимались отладчиком как курсоры. Исправлено.

5. Улучшено определение псевдонимов таблиц в конструкторе запросов.

6. Иногда результат выполнения запроса ошибочно определялся как доступный только для чтения. Исправлено.

7. Исправлена работа опции, позволяющей сохранять в файл лога только успешно выполненные запросы SQL.

8. Исправлено отображение подуровней данных в таблицах.

9. Теперь при применении опции Sort by aliases корректно обновляется дерево объектов.

10. Признак уникальности теперь можно выбрать и для индекса, построенного по выражению.

11. Добавлена возможность очистки истории параметров запуска процедуры.

12. Исправлена сортировка данных в асинхронном режиме, при условии, что данные сортируются не SQL-запросом, а локально.

13. Множество других исправлений и изменений.

25.04.2018 Выпущен SQL Manager for InterBase/Firebird версии 5.5.2

1. Добавлена возможность ввода пароля для зашифрованных БД.

2. Улучшена многопоточная работа в Скрипте SQL.

3. Добавлена возможность выделения нескольких триггеров в таблице для активации и деактивации.

4. Небольшие исправления в отладчике процедур и функций.

5. Исправлены ошибки при фильтрации данных на стороне клиента.

6. Добавлена поддержка функций с объявленными функциями.

7. Представления не отображались корректно в Визуальном конструкторе БД. Исправлено.

8. Исправлена работа с данными типа ARRAY.

9. Типы полей на основе полей таблицы теперь отображаются корректно.

10. Исправлено обновление списка переменных в триггерах баз данных.

11. Grant All\Revoke All теперь работает корректно для полей таблицы.

12. Поиск по дереву объектов теперь не прерывается при открытии\закрытии папки с найденным элементом.

08.09.2017 Выпущен SQL Manager for InterBase/Firebird версии 5.5.1

  1. Исправлена ошибка некорректного определения протокола на Firebird 3.0.
  2. Исправлена проблема с определением длины текстовых полей при экспорте с вкладки данных.
  3. В редакторах объектов некорректно отображались переменные. Исправлено.
  4. Исправлено неверное поведение в редакторе UDF для Firebird 3.0.
  5. Исправлены ошибки выполнения скрипта, содержащие оператор DECLARE FILTER.
  6. Другие небольшие исправления.

01.08.2017 Выпущен SQL Manager for InterBase/Firebird версии 5.5

  1. Добавлена поддержка пакетов (Packages).
  2. Значительно увеличено быстродействие синтаксического анализатора SQL в редакторе SQL и SQL Script.
  3. Добавлена поддержка синтаксиса 'Restart With' для Identity-полей таблиц.
  4. Добавлена возможность просмотра и повторного использования параметров в редакторе SQL, редакторе и отладчике процедур.
  5. В SQL Script исправлена некорректная обработка операторов, для которых не получалось определить тип.
  6. Исправлены ошибки конвертации данных определенных типов в отладчике процедур.
  7. Исправлено отображение текстовых данных при работе с неюникодной клиентской кодировкой, отличной от системной.
  8. Транзакция в редакторе запросов не всегда завершалась при работе в режимах с отдельным подключением. Исправлено.
  9. Исправлено некорректное отображение юникода в мастере дублирования объектов.
  10. Исправлена ошибка при выполнении скрипта из файла, если в файле содержались операторы SET TERM.
  11. Прочие исправления и улучшения.

06.06.2017 Выпущен SQL Manager for InterBase/Firebird версии 5.4.4

  1. Добавлена возможность экспортировать выбранные записи с помощью мастера Export as SQL Script.
  2. Добавлена поддержка свойства поля IDENTITY.
  3. Теперь при открытии полей BLOB текстового типа редактор по умолчанию открывается на вкладе Text.
  4. Теперь при редактировании таблицы в Визуальном Конструкторе БД (Database Designer) изменения в дереве объектов отображаются сразу.
  5. Теперь при сохранении файла в Редакторе SQL кодировка по умолчанию применяется корректно.
  6. Исправлена проблема с юникодными символами в мастере Export as SQL script.
  7. Теперь корректно копируются несколько операторов в окне Compile.
  8. Исправлена ошибка выполнения запросов, содержащих CROSS JOIN.
  9. Исправлены ошибки редактирования параметров процедур.
  10. Множественные привилегии теперь назначаются корректно в Grant Manager.
  11. Исправлена ошибка визуализации запросов SQL из процедур в Конструкторе запросов.
  12. Исправлена работа отдельных сервисов при использовании локальных утилит.
  13. Прочие исправления и улучшения.

18.04.2017 Выпущен SQL Manager for InterBase/Firebird версии 5.4.3

  14. Добавлена возможность экспортировать выбранные записи с помощью мастера Export as SQL Script.
  15. Добавлена поддержка свойства поля IDENTITY.
  16. Теперь при открытии полей BLOB текстового типа редактор по умолчанию открывается на вкладе Text.
  17. Теперь при редактировании таблицы в Визуальном Конструкторе БД (Database Designer) изменения в дереве объектов отображаются сразу.
  18. Теперь при сохранении файла в Редакторе SQL кодировка по умолчанию применяется корректно.
  19. Исправлена проблема с юникодными символами в мастере Export as SQL script.
  20. Теперь корректно копируются несколько операторов в окне Compile.
  21. Исправлена ошибка выполнения запросов, содержащих CROSS JOIN.
  22. Исправлены ошибки редактирования параметров процедур.
  23. Множественные привилегии теперь назначаются корректно в Grant Manager.
  24. Исправлена ошибка визуализации запросов SQL из процедур в Конструкторе запросов.
  25. Исправлена работа отдельных сервисов при использовании локальных утилит.
  26. Прочие исправления и улучшения.

06.12.2016 Выпущен SQL Manager for InterBase/Firebird версии 5.4.2

  1. Исправлены ошибки выполнения скрипта в SQL Script и Query Editor.
  2. Не закрывалась транзакция после подключения к базе данных Interbase. Исправлено.
  3. Исправлены ошибки открытия Представлений.
  4. Исправлена ошибка создания SUID процедур.
  5. Исправлена ошибка импортирования данных из DBF.
  6. Оптимизирована работа Визуального Конструктора БД.
  7. Множество других исправлений и улучшений.

23.11.2016 Выпущен SQL Manager for InterBase/Firebird версии 5.4.1

  8. В запросах Query Editor неверно обрабатывались константные строки, содержащие запятую. Исправлено.
  9. Исправления вызовов диалогов открытия и сохранения файла в Query Editor.
  10. Открытие некоторых больших наборов данных приводило к ошибке Access Violation. Исправлено.
  11. При работе с вкладками в Query Editor происходили ошибки 'List index out of bounds'. Исправлено.
  12. Неверно возвращались результаты запросов, начинающихся с 'WITH ...'. Исправлено.
  13. Множество других исправлений.

09.11.2016 Выпущен SQL Manager for InterBase/Firebird версии 5.4.0.1

  1. Поддержка новых возможностей сервера Firebird 3.0:

- добавлена поддержка новых типов объектов: SQL Функций и DDL Триггеров;

- поддержка полей типа Boolean;

- добавлена поддержка свойства DEFAULT CHARSET для БД;

- добавлена поддержка настройки Linger Interval для БД;

- добавлена возможность управления новыми привилегиями пользователей: ifpmUsage, ifpmCreate, ifpmAlter, ifpmDrop.

  2. Комментарии для объектов и свойство NOT NULL теперь назначаются через SQL, а не через редактирование системных таблиц.
  3. Теперь при изменении активности триггера генерируется команда без пересоздания всего триггера, если это возможно.
  4. Добавлена возможность создавать\редактировать\удалять пользователей через SQL.
  5. Оптимизирована работа с памятью.
  6. Улучшен алгоритм работы с большими BLOB-данными.
  7. Исправлены ошибки в отладчике PSQL.
  8. Протокол LOCAL теперь работает корректно, а не переводится неявно в TCP.
  9. Множество других изменений и улучшений.

07.10.2015 Выпущен SQL Manager for InterBase/Firebird версии 5.3.0.1

  10. Добавлена поддержка InterBase XE3, InterBase XE7.
  11. Добавлена поддержка COALESCE в Дизайнере запросов.
  12. Добавлена поддержка WHERE CURRENT OF (cursor) в отладчике.
  13. Добавлена поддержка USING [DESC] INDEX во внешних ключах.
  14. Реализована поддержка юникода в экспорте в XML.
  15. Добавлено отображение физического размера БД в диалоге свойств БД.
  16. В визуальном конструкторе БД (Database Designer) реализовано выделение полей, входящих в состав внешних ключей.
  17. Исправлена и улучшена Quick Save\Quick Load для процедур, представлений и триггеров.
  18. Улучшения в процедуре восстановления подключения к БД при потере коннекта.
  19. Исправление множества ошибок отладчика.
  20. Подобъекты в инспекторе объектов отображались некорректно при их включении/выключении. Исправлено.
  21. Добавлена возможность загрузки последней сохраненной диаграммы при открытии визуального конструктора БД (Database Designer).
  22. Добавлена возможность автоподстановки имен полей при использовании ключевых слов OLD/NEW в триггерах.
  23. Добавлена возможность отключения прекомпилятора для представлений.
  24. Множество исправлений в просмотрщике данных (Data tab), связанных с форматированием дат и миллисекунд.
  25. Устранена утечка памяти при импорте данных из CSV.
  26. Исправления локализации.
  27. Множество других улучшений и исправлений.

15.02.2010 Выпущен SQL Manager for InterBase/Firebird версии 5.2.0.1

  1. Поддержка Windows 7.
  2. InterBase 2009. Предварительная поддержка.
  3. Свойства базы данных. Для InterBase версии 7.5 и выше добавлена поддержка Embedded User Authentication (EUA).
  4. Проводник баз данных.
  • Для InterBase версии 7.5 и выше добавлен объект Embedded User. Поддерживается создание, редактирование, дублирование, активация/деактивация и удаление объекта.
  • Для InterBase версии 7.5 и выше добавлена возможность активации/деактивации режима EUA.
  • Для Firebird 2.5 добавлена возможность создания представления из хранимой процедуры.
  • Не происходило подключение к базе по Local протоколу на серверах InterBase Desktop Edition. Исправлено.
  • Подключение к серверу с NTLM аутентификацией вызывало ошибку. Исправлено.
  • Было невозможно подключиться к базе, путь к которой содержал юникодные символы. Исправлено.
  • Подключение к базе данных на сервере InterBase через клиентскую библиотеку версии меньше 6.0 приводило к ошибке. Исправлено.
  • При подключении к первому только что зарегистрированному серверу не обновлялся список пользователей. Исправлено.
  • При подключении к серверу через SSH туннель с запросом passphrase, passphrase нельзя было ввести.
  5. Редактор пользователей/Пользователи. Для InterBase версии 7.5 и выше добавлена возможность работы с Embedded Users.
  6. Редактор ролей. Для InterBase версии 7.5 и выше обеспечена возможность добавления Embedded Users в роль.
  7. Администратор прав/Назначение прав. Для InterBase версии 7.5 и выше добавлена возможность управления привилегиями на объекты для Embedded Users.
  8. Мастер извлечения баз данных.
  • Для InterBase версии 7.5 и выше добавлена возможность выгрузки Embedded Users в скрипт.
  • Данные типа NUMERIC из баз на сервере Firebird 2.1 выгружались в скрипт с неверным разделителем. Исправлено.
  • Выгрузка объектов производилась с сортировкой имен объектов в обратном порядке. Исправлено.
  9. Редактор таблиц.
  • Изменен принцип накопления скрипта для компиляции изменений, произведенных в редакторе таблицы.
  • Добавлена возможность опционально выбрать открытие отдельного редактора при двойном клике на триггере, отображаемом на вкладке триггеров. При этом изменения, произведенные в отдельном редакторе не будут попадать в результирующий скрипт редактора таблиц. В Environment Options добавлена соответствующая опция.
  • Описания полей таблицы сохранялись не полностью. Исправлено.
  10. Процедуры/Триггеры/Триггеры баз данных.
  • Для Firebird 2.x добавлена возможность использования явных курсоров (Explicit Cursors).
  • Добавлена возможность автозаполнения курсоров.
  • В редакторе процедур добавлена возможность создания представления из редактируемой процедуры.
  11. Для более удобной работы теперь можно изменять размеры модальных окон редакторов объектов.
  12. Представления.Для Firebird версии 2.1 и выше при создании представления добавлена возможность использования обобщенных табличных выражений (Common Table Expressions – CTE).
  13. Добавлена возможность опционально выбрать открытие отдельного редактора при двойном клике на триггере, отображаемом на вкладке триггеров в редакторе таблиц и редакторе представлений. При этом изменения, произведенные в отдельном редакторе не будут попадать в результирующий скрипт редактора.
  14. Редактор запросов.
  • Добавлена возможность автозаполнения курсоров для оператора Execute Block.
  • Добавлены полосы прокрутки на вкладке плана запроса.
  • Некоторые ошибочные запросы выполнялись без вывода сообщения об ошибке. Исправлено.
  • При выполнении параметризованных запросов не сохранялись введенные параметры. Исправлено.
  • В режиме асинхронного выполнения запросов не отображалась вкладка результатов. Исправлено.
  • В некоторых запросах происходило обрезание секции ORDER BY. Исправлено.
  15. Шаблоны клавиатуры. Добавлены новые шаблоны.
  16. Дизайнер запросов. При загрузке диаграммы из файла портился запрос. Исправлено.
  17. Отладчик процедур и триггеров.
  • Отладка объекта, содержащего оператор EXECUTE STATEMENT приводила к ошибке. Исправлено.
  • Поддержка процедур с explicit cursors.
  18. Мастер экспорта в виде SQL скрипта. Экспорт юникодных данных выполнялся неверно. Исправлено.
  19. Конструктор баз данных. Некорректно отображался юникод в комментариях. Исправлено.
  20. Создание представлений на основе таблиц.
  • Для триггера Before Update генерировался неверный скрипт. Исправлено.
  • При скрипте, содержащем ошибки, не появлялось окно компиляции. Исправлено.
  21. Монитор SQL. В лог не попадали ошибочные операторы из SQL Script. Исправлено.
  22. Дерево зависимостей
  • Добавлена возможность автоматически перемещать выбранный объект в область отображения в случае, если размер дерева зависимостей велик.
  • Добавлена возможность перемещать дерево зависимостей в области отображения с помощью мыши при нажатой левой кнопке мыши.
  • Изменена отрисовка выбранного объекта и рекурсивных объектов для большей различимости.
  • Добавлены режимы отображения дерева зависимостей – только зависимые объекты, только зависящие объекты, все объекты.
  • Добавлена возможность отключения отображения доменов в дереве зависимостей
  23. Настройки окружения.
  • Добавлена опция, определяющая, какая база будет выбрана для вновь открываемого редактора или сервиса: выбранная в DbExplorer или в текущем сфокусированном редакторе.
  • Добавлена опция, определяющая, каким образом будет сохраняться раскладка редакторов: персонально для каждого объекта, либо для всех объектов одного типа.
  24. Настройки внешнего вида
  • В опциях для Page Controls добавлена возможность выставлять Slants Kind.
  • Пользовательская визуальная схема применялась лишь при повторном нажатии кнопки “Apply”. Исправлено.
  25. Множество других улучшений и исправлений.

16.09.2008 Выпущен SQL Manager 2008 for InterBase/Firebird версии 5.1.0.1

  1. Предварительная поддержка сервера Firebird ver. 2.5.
  2. Мастер регистрации хоста.
  • Улучшена работа с встроенными (Embedded) серверами. Теперь нет необходимости копировать файлы в корневую папку менеджера, сервер может быть зарегистрирован из любой папки, в которую распакован архив сервера.
  • Улучшена функция автоопределения клиентской библиотеки и пути к базе данных безопасности серверов.
  3. Мастер регистрации баз данных.
  • Добавлены опции, позволяющие настроить работу просмотрщика данных для каждой конкретной базы.
  • Из Настроек окружения перенесены опции, связанные с параметрами транзакций, что позволяет определять их для каждой конкретной базы.
  • Добавлена опция сортировки данных в просмотрщике данных по первичному ключу при его открытии.
  4. Свойства базы данных
  • Обеспечена возможность изменения параметров неподключенной базы данных.
  • Добавлена возможность настраивать параметры буферов базы данных.
  • Изменение диалекта базы отображалось только после перезагрузки менеджера. Исправлено.
  5. Проводник баз данных
  • Пункты контекстного меню, отвечающие за запуск дополнительных инструментов для серверов, баз и объектов вынесены в подменю Tasks для уменьшения размера контекстного меню.
  • Обеспечена возможность вызова отладчика для процедур, триггеров и триггеров баз данных, а также для избранных запросов, содержащих скрипты, подразумевающие отладку.
  • На панель инструментов поиска добавлена кнопка переключения режима поиска.
  • При переименовании хоста, на котором зарегистрировано несколько баз, и перезапуске менеджера нарушалась структура, отображаемая проводником баз данных. Исправлено.
  6. Редактор таблиц.
  • Новая форма редактора.
  • Возможность создания внешних таблиц.
  • Возможность создания глобальных временных таблиц.
  • В DDL внешних таблиц не отображалось имя файла. Исправлено.
  7. Редактор процедур/Редактор триггеров таблиц/Редактор триггеров базы данных.
  • Добавлена возможность автозаполнения параметров и переменных.
  • При компиляции precision всех параметров и переменных типа NUMERIC(x,y) и DECIMAL(x,y) приводился к значению precision первого параметра. Исправлено.
  • При компиляции значение по умолчанию NULL для параметров терялось. Исправлено.
  • Использование в скрипте ключевого слова WEEK приводило к precompiler error. Исправлено.
  • При компиляции процедуры, содержащей CREATE OR ALTER PROCEDURE возникала ошибка. Исправлено.
  8. Модальные редакторы объектов. Для удобства работы размеры модальных редакторов объектов сделаны изменяемыми.
  9. Редактор запросов.
  • Обеспечена возможность вызова отладчика для скриптов, подразумевающих отладку.
  • Добавлена возможность автозаполнения параметров и переменных для скриптов процедур, триггеров и триггеров баз данных, а также для конструкций EXECUTE BLOCK.
  • Использование в запросе ключевого слова FIRST приводило к ошибке. Исправлено.
  • Неправильная работа со строчными комментариями. Исправлено.
  10. Просмотрщик данных.
  • Изменение принципа работы в асинхронном режиме – использование отдельного подключения для каждого Data Grid позволяет одновременный выбор данных без потери возможности одновременного использования остальных функций менеджера.
  • Синхронный режим теперь может использовать одно подключение для всех Data Grid – это важно для серверов, число подключений к которым ограничено, а также для работы с данными глобальных временных таблиц, актуальными в контексте соединения.
  • Сортировка данных по первичному ключу осуществляется опционально.
  • Не выполнялись запросы, содержащие комментарии. Исправлено.
  11. Монитор SQL. Обновление базы данных при открытом мониторе приводило к зависанию менеджера. Исправлено.
  12. Редактор SQL скриптов.
  • Возможность выполнения скриптов процедур/триггеров/дб триггеров без SET TERM.
  • Ошибки выполнения скриптов. Исправлено.
  • Не выводятся ошибки выполнения скриптов. Исправлено.
  13. Монитор изменений таблиц. Переведен в отдельный поток, что позволяет использовать остальной функционал менеджера во время работы данного инструмента.
  14. Мастер извлечения баз данных
  • Добавлена выгрузка скрипта создания журнала базы данных.
  • Перекодировка скрипта в выбранную кодировку теперь происходит во время его выгрузки, а не во время сохранения в файл, что значительно уменьшает время создания скрипта.
  • При полном экстракте базы триггеры не попадали в скрипт. Исправлено.
  • При выгрузке триггеров тела некоторых были пусты. Исправлено.
  15. Мастер экспорта в виде SQL скрипта. Перекодировка скрипта в выбранную кодировку теперь происходит во время его выгрузки, а не во время сохранения в файл, что значительно уменьшает время создания скрипта.
  16. Отладчик.
  • Обеспечена возможность отладки Избранных запросов, содержащих скрипты, подразумевающие отладку.
  • Добавлена вкладка Watches, которая позволяет отображать значения параметров и переменных из различных контекстов в одном окне.
  • Добавлена возможность удаления/активации/деактивации всех контрольных точек.
  17. Опции
  • Опции, относящиеся к настройкам базы данных перенесены в форму Регистрационная информация баз данных, что позволяет переопределять их для каждой конкретной базы.
  • Во всех формах опций добавлена возможность возврата к установкам по умолчанию как для всех опций, так и для конкретной категории.
  • Переделана форма работы с шаблонами объектов, добавлены новые шаблоны.
  • Осуществлена возможность сохранения шаблонов объектов.
  • Мастер сохранения настроек переведен в отдельный поток, что позволяет использовать остальной функционал менеджера во время работы данного инструмента, особенно при большом количестве зарегистрированных баз.
  18. Конструктор баз данных
  • Добавлена возможность переименования виртуальных связей.
  • При открытии сохраненной диаграммы, содержащей виртуальные связи, эти связи изменяли положение по сравнению с тем, как они были расположены при сохранении. Исправлено.
  19. Множество других улучшений и исправлений.

29.01.2008 Выпущен SQL Manager 2008 for InterBase/Firebird версии 5.0.0.1

Что нового в SQL Manager 2008 for InterBase/Firebird?

  1. Добавлена полная поддержка новых серверов InterBase 2007 и FireBird 2.1, включая триггеры БД, журналирование и инкрементное резервное копирование.
  2. Поддержка данных в формате UTF8 в Редакторе SQL, на вкладке отображения данных и Мастерах импорта/экспорта данных.
  3. Теперь Вы можете продолжать работу с SQL Manager, пока Ваш запрос исполняется в Редакторе SQL или Конструкторе запросов, или данные из таблицы/представления загружаются в окно редактора. Запрос, выполняющийся в течение долгого времени, может быть прерван по желанию пользователя.
  4. Все мастера, включая Импорт/Экспорт данных, Извлечение БД и мастера сервисов теперь могут работать в фоновом режиме, чтобы Вы могли продолжать работу с SQL Manager.
  5. Новый, улучшенный Редактор SQL, повторяющий редактор Visual Studio 2005; реализована функция Code Folding и поддержка UNICODE.
  6. Усовершенствованный Мастер импорта данных позволяет импортировать данные до 10 раз быстрее! Добавлена поддержка новых форматов: HTML, XML Document, Open Document Format (OpenOffice), Open XML Format (MS Word 2007, MS Excel 2007).
  7. Новый Мастер экспорта данных работает быстрее. Также добавлена поддержка форматов XML Document, Open Document Format (OpenOffice), Open XML Format (MS Word 2007, MS Excel 2007).
  8. Увеличена производительность Мастера извлечения базы данных и добавлена возможность выбора версии сервера при генерации сценария; теперь также учитываются все зависимости объектов.
  9. В Проводнике БД появилось меню генерации типовых SQL команд для объектов базы данных (Script to Query Editor, Script to Clipboard). Теперь Вы можете легко получить такие SQL команды как CREATE, ALTER, DROP, SELECT и др. для каждого объекта базы данных.
  10. Теперь Вы можете сохранять свои запросы в папках Избранные запросы в Проводнике БД; в этом случае запросы могут храниться либо локально в реестре (и быть доступными только для вас), либо в специальной таблице базы данных (и быть доступными только некоторым, либо всем пользователям вашей базы).
  11. Улучшен Визуальный конструктор базы данных, добавлены новые объекты, такие как комментарии и виртуальные связи. Появилась возможность добавления в диаграммы Процедур, Функций и Представлений и выбора уровня детализации отображения объектов (отображать только имена объектов, либо поля и параметры).
  12. Обновленный инструмент Дерево зависимостей теперь может работать в фоновом режиме.
  13. Расширены возможности просмотра статистики баз данных: добавлена возможность анализа временных системных таблиц базы для серверов, где эти таблицы есть.
  14. Просмотрщик данных. Добавлена возможность автоматического открытия подуровня с данными главной или подчиненной таблицы, связанной с данной таблицей внешним ключом.
  15. Добавлена возможность переключения редакторов триггеров, представлений и процедур между визуальным и невизуальным режимами.
  16. Восстановлен интерфейс для использования внешних плагинов.
  17. Осуществлена поддержка файлов алиасов баз данных для Firebird.
  18. Улучшен отладчик процедур: реализован Call Stack, позволяющий осуществлять удобную навигацию между вложенными вызовами хранимых процедур.
  19. Улучшен редактор таблиц. Теперь, как и в редакторах остальных объектов, скрипты, связанные с произведенными в редакторе изменениями, накапливаются, и могут быть выполнены единовременно при компиляции, причем пользователь может выбрать, какие скрипты нужно выполнить, а какие – нет.
  20. Добавлены опции, позволяющие автоматически останавливать, публиковать и открывать базу данных сервисам, которым это необходимо.
  21. Реализована функция поиска опций в формах настройки менеджера и формах регистрационной информации баз данных и хостов.
  22. Добавлен новый сервис Recompute All, позволяющий выполнить перестройку всех или выбранных индексов базы данных или пересчитать их статистику.
  23. Улучшена процедура поиска в Проводнике БД: кроме сквозного поиска теперь возможен поиск в отдельной категории.
  24. Для большего удобства использования функция ‘Список окон’ теперь реализована в виде отдельной вкладки Проводника БД с возможностью поиска.
  25. В Проводнике БД хосты теперь именуются с учетом выбранного типа соединения: SSH туннелирования или прямого подключения.
  26. SQL Скрипт. Добавлена возможность запускать выделенные запросы и запросы, находящиеся под курсором.
  27. Улучшенная система построения отчетов.
  28. Множество других улучшений и исправлений.

14.11.2006 Выпущен SQL Manager 2005 for InterBase/Firebird вер. 4.4

Что нового в SQL Manager 2005 for InterBase/Firebird версии 4.4?

  1. Регистрация баз данных.
  • Добавлена опция, позволяющая не обновлять список объектов при подключении к базе данных (опция "Обновлять объекты при подключении"). Рекомендуется отключать эту опцию, если база данных содержит большое количество объектов, или если соединение с базой медленное.
  • Улучшен импорт регистрационной информации баз данных из настроек SQL Manager for IB/FB предыдущих версий. Локальные базы данных в этом случае регистрируются, распределяясь по серверам, использующим для соединения одинаковые клиентские библиотеки.
  • Упрощена регистрация вложенных (еmbedded) серверов.
  • При регистрации новой базы добавлена функция “Копировать алиас из”.
  • Регистрация базы при отсутствии зарегистрированных хостов была невозможна. Исправлено.
  2. InterBase 2007. Частичная поддержка.
  3. Обеспечена поддержка кодировок UTF-8, UNICODE_BE, UNICODE_LE.
  4. Туннелирование SSH.
  • Добавлена возможность одновременного подключения нескольких хостов или баз данных через SSH туннель.
  • Осуществлена возможность подключения сервисов через туннель.
  5. Редактор полей.
  • Новая форма редактора.
  • Возможность заполнения NOT NULL полей с неустановленным DEFAULT значением данными из полей редактируемой таблицы.
  6. Сетка данных
  • Добавлена возможность отображения и редактирования ARRAY полей.
  • При редактировании таблиц, не имеющих уникального или первичного ключа, часто возникали ошибки при изменении данных или удалении записей (изменения не применялись). Исправлено.
  • Не редактировалось поле типа BLOB в подуровнях (Detail Level). Исправлено.
  7. Руководство по SQL снова доступно из редакторов объектов.
  8. Извлечение базы данных
  • Добавлена возможность сохранения во внешний файл данных типа ARRAY.
  • Добавлена опция, позволяющая извлекать в скрипт метаданные объектов, от которых зависит извлекаемый объект.
  • Улучшена обработка зависимостей объектов при выгрузке метаданных.
  9. Восстановление баз данных. Улучшен интерфейс. Добавлена возможность регистрации сервера, на котором будет производиться восстановление резервной копии.
  10. Экспорт в SQL скрипт. Добавлена возможность сохранения во внешний файл данных типа ARRAY.
  11. Копирование объекта. При копировании данных таблиц теперь копируются поля типа BLOB и ARRAY.
  12. SQL скрипт.
  • Добавлена возможность выполнения скрипта с позиции курсора, а также выполнение выделенного блока.
  • Не распознавались строчные комментарии (--). Исправлено.
  • Добавлена возможность извлечения данных полей массивов из внешнего файла при выполнении SET BLOBFILE.
  13. Отладчик.
  • Происходила «локализация» десятичного разделителя при вводе параметров типа DECIMAL, NUMERIC. Исправлено.
  • Значение переменной «пустая строка» рассматривалось как NULL. Исправлено.
  • Не распознавалось зарезервированное слово FIRST. Исправлено.
  14. Редактор UDF/Редактор фильтров BLOB. При изменении параметров было необходимо учитывать зависимости. Исправлено.
  15. Редактор процедур. Добавлена поддержка параметров типа BLOB для Firebird.
  16. Автозавершение кода. Добавлена поддержка автозавершения кода после псевдонимов таблиц.
  17. Зависимости/Дерево зависимостей. Добавлен анализ зависимостей по COMPUTED BY полям таблиц, телам ограничений CHECK.
  18. Другие улучшения и исправления.

05.06.2006 Выпущен SQL Manager 2005 for InterBase/Firebird вер. 4.3

Мы рады объявить о выпуске новой версии SQL Manager 2005 for InterBase/Firebird. Вы можете скачать последнюю версию со страницы загрузки.

  1. Что нового в SQL Manager 2005 for InterBase/Firebird версии 4.3?
  2. Export as SQL Script.
  • Теперь можно выбирать, для какого DBMS сервера генерировать сценарий.
  • Осуществлена возможность выгрузки содержимого BLOB полей в дополнительный файл с возможностью сжатия данных. При выполнении полученного сценария, данные из файла будут помещены в соответствующие поля.
  3. Extract Database.
  • Для устранения ошибок при выполнении сценария, вычисляемые поля перемещаются в конец списка полей таблицы, а затем их позиция восстанавливается.
  • Осуществлена возможность выгрузки содержимого BLOB полей в дополнительный файл с возможностью сжатия данных. При выполнении полученного сценария, данные из файла будут помещены в соответствующие поля.
  4. DB Explorer. Добавлена команда Add to Projects. Теперь объекты в проекты можно добавлять не только перетаскиванием, но и посредством выбора в открывающейся по этой команде форме.
  5. Dependency Tree. Добавлена возможность отображения зависимостей доменов, имеющих в Check ссылки на другие объекты, зависимостей таблиц через Check constraints, имеющих ссылки на другие объекты, а также зависимостей UDF от таблиц, если в вычисляемых полях таблицы используется UDF.
  6. Grid.
  • Добавлены пункты контекстного меню Expand All и Collapse All.
  • Добавлена опция 'Save column sorting' для режима 'Save and restore layout'.
  7. Уменьшена загрузка CPU при работе с программой.
  8. Query Editor.
  • Добавлена возможность переименовывать и перемещать закладки.
  • Добавлена возможность импортировать данные в запрос, если он поддерживает вставку данных.
  • Время выполнения запроса теперь показывается в формате часы:минуты:секунды.
  • Инструмент автозавершения кода не открывался автоматически. Исправлено.
  • При открытии редакторов объектов БД комбинацией клавиш Ctrl+Enter, схема объекта игнорировалась. Исправлено.
  • Поиск объекта в DB Explorer'е по Ctrl+Shift+Enter не работал. Исправлено.
  • Команда 'Select All' некорректно работала с очень длинными строками (более чем 4096 символов). Исправлено.
  9. Положение элементов управления в панелях инструментов теперь не сбрасывается после установки новой версии программы. Сбросить их можно, использую соответствующую команду в меню "Windows" или кнопку на форме Environment Options.
  10. Data Import wizard. В процессе настройки соответствия столбцов для импорта из Excel, при выборе нового столбца, курсор в таблице перемещался на первый столбец.
  11. Database Registration Info. При сохранении не проверялась уникальность псевдонимов БД.
  12. Database Designer. Стиль контекстного меню не менялся в соответствии с текущей визуальной схемой.
  13. Локализация.
  • Добавлена русская локализация.
  • Исправления в немецкой и английской локализациях.
  14. Сервисы Shutdown Database и Bring Database Online объединены в мастер Start/Stop Database Wizard с возможностью использования шаблонов.
  15. Domain Editor. При открытии редактора не отображался Collation.
  16. SQL Script.
  • Добавлена возможность выполнения выражения DROP DATABASE с указанием имени базы, логина и пароля без необходимости предварительного подключения к базе.
  • После уничтожения базы выдается запрос на удаление регистрационной информации о базе данных.
  • Если в выражениях DROP DATABASE и CONNECT не указан логин и пароль, выводится форма ввода логина и пароля.
  • Добавлена возможность управления режимом AutoDDL без необходимости выполнения выражения SET AUTODDL.
  17. Множество других улучшений и исправлений.

04.12.2006 Выпущен SQL Manager 2005 for InterBase/Firebird вер. 4.2

Что нового в SQL Manager 2005 for InterBase/Firebird версии 4.2?

  1. Добавлена немецкая локализация.
  2. Query Editor. Реализовано переназначение клавиш для различных команд и операций в соответствии с вашими предпочтениями.
  3. Query Builder. Просмотр плана выполнения запроса в виде диаграммы.
  4. Dependency Tree. Теперь диаграмма может быть распечатана.
  5. Добавлена возможность вызова Мастера регистрации базы данных из инструмента SQL Script для создаваемых с его помощью баз данных.
  6. Query Editor.
  • Добавлены пункты контекстного меню Next Bookmark и Previous Bookmark.
  • В некоторых редких случаях исчезал текст с начала строки при использовании инструмента автозавершения кода при включенной опции 'Trim trailing spaces'. Исправлено.
  • Перетаскивание имен полей из инструмента SQL Assistant теперь работает.
  7. Query Editor. Добавлена возможность выполнения выражения SQL под курсором.
  8. Database Designer. Если таблица не выделена, но выделено поле, то пункт контекстного меню Drop Table работал не корректно. Ошибка исправлена.
  9. Import Data wizard.
  • Теперь при отключенных транзакциях в режиме "Commit changes manually" по завершении импорта запрашивается действие над транзакцией (Commit или Rollback).
  • Возможность менять размер диалогового окна.
  • Игнорировалась установка Generator Value и Constant Value при задании формата импортируемых полей. Ошибка исправлена.
  • При задании части полей для импорта, в оставшиеся поля производилась вставка пустых строк, что приводило к тому, что значения по умолчанию, определенные в таблице для полей, не применялись. Ошибка исправлена.
  10. HTML Report. Добавлена возможность смены верхнего и нижнего колонтитула отчета.
  11. SQL Script. Добавлено подтверждение на прерывание выполнения скрипта.
  12. DB Explorer. Контекстное меню не скрывалось при переключении на другое приложение. Ошибка исправлена.
  13. Table Editor. При экспорте списков подобъектов, строки длиной более 32 символа обрезались. Ошибка исправлена.
  14. Procedure Editor и Trigger Editor. Параметры или переменные, удаленные в окне редактора, вновь появлялись в теле триггера/процедуры после компиляции. Исправлено.
  15. При попытке выполнения запроса или процедуры с параметрами типов Date, Timestamp, Time, возникало сообщение об ошибке конвертации. Ошибка исправлена.
  16. При создании отчета использовалась библиотека доступа по умолчанию; в некоторых редких случаях это приводило к невозможности открыть отчет на локальной базе данных. Ошибка исправлена.
  17. Устранены все известные утечки памяти.
  18. SQL Script. Добавлена возможность повторного исполнения скрипта, завершившегося с ошибками.
  19. При редактировании данных, содержащих поля со значениями NULL, измененные данные восстанавливали свои прежние значения после фиксации. Исправлено.
  20. Прочие незначительные улучшения и исправления ошибок.

21.02.2006 Выпущен SQL Manager 2005 for InterBase/Firebird вер. 4.1

Что нового в SQL Manager 2005 for InterBase/Firebird версии 4.1?

  1. DB Explorer. Увеличена скорость подключения к базе и скорость обновления.
  2. Добавлена возможность регистрации нескольких локальных серверов.
  3. Table Editor. Ошибки при отображении данных таблиц с большим количеством записей.
  4. Dependency Tree. Модифицирован механизм поиска зависимых объектов.
  5. Code Insight. В выпадающий список не добавлялись ключевые слова, а также поля таблиц и представлений. Исправлено.
  6. Create database. Генерировался неправильный скрипт создания базы. Исправлено.
  7. Field Editor, Domain Editor. Восстановлена возможность изменения Charset и Collation.
  8. Input Parameters. Исправлена ошибка при открытии окна запроса параметров из Query Editor и Query Builder.
  9. Grid. Form View. Увеличен редактор Memo полей (настраивается на закладке Grid > Advanced окна Environment Options)
  10. SQL Script. Появилась возможность открывать несколько окон одновременно.
  11. Database Designer. После переименования таблицы, она не переименовывалась в открытой диаграмме. Также редактирование полей никак не отражалось в открытой диаграмме.
  12. При подключении к серверу Firebird 2.0 появлялась ошибка "Keyword "DB_KEY" already in list". Исправлено.
  13. View Editor. Отсутствовала возможность работы с представлениями, использующими CAST и FIRST в запросе. Исправлено.
  14. Database Validation. Мастер не воспринимал изменение базы на первом шаге работы, что приводило к попытке соединения с текущей базой и ошибке. Исправлено.
  15. Procedure Editor. Восстановлена возможность использования одинаковых имен переменных в разных процедурах.
  16. DB Explorer. При удалении таблиц ее триггера не исчезали из дерева. Исправлено.
  17. Field Editor. Autoincrement. При изменении имени генератора, оно не менялось в телах триггера и процедуры. Исправлено.
  18. Исправлены многие другие ошибки.

23.01.2006 Выпущен SQL Manager 2005 for InterBase/Firebird!

Что нового в SQL Manager 2005 for InterBase/Firebird?

Поддержка самых последних версий InterBase и Firebird

  1. Совместимость с любой версией сервера Firebird вплоть до 2.0.
  2. Совместимость с любой версией сервера InterBase вплоть до 7.5.
  3. Поддержка сообщений триггеров.
  4. Поддержка BLOB-фильтров.
  5. Новый современный графический интерфейс пользователя
  6. Поддержка визуальных схем в стилях Office 11 и Windows XP.
  7. Новая эффективная система мастеров.
  8. Новые удобные панели навигации в большинстве окон программы.
  9. Новая панель инструментов для легкого переключения между окнами по принципу панели задач Windows.
  10. Улучшенный Проводник баз данных
  11. Создание пользовательских закладок быстрого доступа для любого узла дерева проводника.
  12. Одновременная работа с несколькими выбранными объектами.
  13. Гораздо более удобные панели инструментов и контекстные меню.
  14. Полностью обновленный Конструктор баз данных
  15. Обновленный внешний вид.
  16. Возможность отображения диаграммы в двух нотациях (IDEF1x и IE).
  17. Легкая навигация по большим диаграммам с помощью инструмента быстрой навигации.
  18. Разбиение диаграммы на несколько предметных областей, расположенных на разных страницах.
  19. Широкий диапазон настроек внешнего вида диаграммы.
  20. Новые мощные средства для работы с данными.
  21. Набор удобных инструментов для быстрой группировки, поиска и фильтрации данных.
  22. Отображение данных и работа с двумя связанными таблицами одновременно.
  23. Просмотр данных в виде таблиц и карточек.
  24. Возможность копирования и вставки выделенных записей.
  25. Улучшенная система печати.
  26. Новые и улучшенные редакторы объектов баз данных
  27. Новые редакторы процедур и триггеров с улучшенным прекомпилятором.
  28. Новый редактор представлений с автоматической генерацией заголовка и возможностью использования визуального дизайнера запросов.
  29. Быстрое сохранение и загрузка во всех редакторах объектов баз данных.
  30. Автосохранение объектов БД с возможностью восстановления в случае разрыва соединения.
  31. Новые возможности для работы с запросами SQL
  32. Возможность визуального создания запросов с подзапросами и объединениями.
  33. Возможность просмотра плана запроса в виде диаграммы.
  34. Новые возможности соединения.
  35. Поддержка безопасных соединений через тоннель SSH. Наиболее подходящий вид соединения с сервером через Internet.
  36. Улучшенное управление отчетами.
  37. Новый Мастер создания отчетов позволяет легко создавать простые отчеты.
  38. Управление отчетами подобно управлению объектами баз данных: доступ к отчетам осуществляется напрямую из дерева Проводника БД.


Сопутствующие продукты

MySQL

Microsoft SQL Server

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for MySQL объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for MySQL EMS SQL Manager for MySQL – это мощный графический инструмент для разработки и администрирования серверов баз данных MySQL. Простой и удобный графический интерфейс позволяет быстро и просто создавать и редактировать объекты баз данных MySQL, визуально проектировать сами базы данных, выполнять сценарии MySQL и использовать другие службы, которые сделают Вашу работу с MySQL приятной и легкой.
dataexport | Data Export for MySQL EMS Data Export for MySQL – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных MySQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for MySQL располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for MySQL EMS Data Import for MySQL - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных MySQL.
datapump | Data Pump for MySQL EMS Data Pump™ for MySQL – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных MySQL®. Теперь перенос данных при помощи Data Pump for MySQL стал настолько прост, насколько это возможно!
datagenerator | Data Generator for MySQL EMS Data Generator for MySQL – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных MySQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом
dbcomparer | DB Comparer for MySQL EMS DB Comparer™ for MySQL – это мощное приложение, предназначенное для сравнения баз данных MySQL®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for MySQL EMS DB Extract™ for MySQL – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract™ for MySQL позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for MySQL EMS SQL Query for MySQL - это утилита для быстрого и простого построения SQL запросов к базам данных MySQL®. Используйте визуальное построение запросов вкупе с непосредственным редактированием текста запросов. Простой и удобный графический интерфейс позволяет соединяться с базами данных, выбирать таблицы и поля запроса, устанавливать критерии отбора и группировки и многое другое.
datacomparer | Data Comparer for MySQL EMS Data Comparer™ for MySQL – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for MySQL Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

Microsoft SQL Server

 | SQL Management Studio for SQL Server SQL Management Studio - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for SQL Server объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | EMS SQL Backup for SQL Server EMS SQL Backup for SQL Server - это простой в использовании и одновременно мощный инструмент для выполнения задач резервного копирования и восстановления на всем множестве SQL серверов Вашего предприятия. EMS SQL Backup может выполнять и другие задачи по регулярному обслуживанию SQL сервера, такие как обновление статистики, реиндексация, усечение БД, проверка целостности БД и др.
sqladmin | SQL Administrator for SQL Server EMS SQL Administrator for SQL Server - это набор инструментов для эффективного администрирования SQL Server. Продукт содержит почти полный набор средств, необходимых для администрирования SQL Server. Программа предназначена для работы администраторов баз данных и позволяет выполнять задачи по администрированию максимально просто, быстро и эффективно.
 | SQL Manager for SQL Server EMS SQL Manager for SQL Server – это мощный инструмент для разработки и администрирования Microsoft SQL Server и MSDE. При помощи EMS SQL Manager for SQL Server Вы можете быстро и очень просто создавать и редактировать объекты баз данных, запускать сценарии SQL, управлять настройками пользователей, создавать визуальные SQL-запросы, а также эффективно работать с метаданными и выполнять многое другое.
dataexport | Data Export for SQL Server EMS Data Export for SQL Server – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Microsoft SQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for SQL Server располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for SQL Server EMS Data Import for SQL Server - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных SQL Server.
datapump | Data Pump for SQL Server EMS Data Pump™ for SQL Server – это мощное приложение для переноса баз данных и импортирования таблиц из любых ADO-совместимых источников (например, MS Access или любая другая ADO-совместимая база данных) в базы данных Microsoft™ SQL. Теперь перенос данных при помощи Data Pump for SQL Server стал настолько прост, насколько это возможно!
datagenerator | Data Generator for SQL Server EMS Data Generator™ for SQL Server – это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных Microsoft® SQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for SQL Server EMS DB Comparer™ for SQL Server – это мощное приложение, предназначенное для сравнения баз данных Microsoft® SQL, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for SQL Server EMS DB Extract™ for SQL Server – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract™ for SQL Server позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for SQL Server EMS SQL Query™ for SQL Server – это специализированная утилита для простого и быстрого создания запросов к базам данных Microsoft® SQL. SQL Query™ for SQL Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for SQL Server EMS Data Comparer™ for SQL Server – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for SQL Server Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматически сравниваемый сценарий для их устранения.
 | Наверх

PostgreSQL

 | SQL Management Studio for PostgreSQL EMS SQL Management Studio for PostgreSQL - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for PostgreSQL объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | EMS SQL Backup for PostgreSQL EMS SQL Backup for PostgreSQL — это простой в использовании визуальный инструмент для создания резервных копий для нескольких серверов PostgreSQL из единой консоли. Вы можете создавать автоматизированные задачи резервного копирования на основе расписаний и хранить их в локальных или удаленных папках или облачных хранилищах.
 | SQL Manager for PostgreSQL EMS PostgreSQL Manager™ – это мощный графический инструмент для разработки и администрирования серверов баз данных PostgreSQL. PostgreSQL Manager позволяет быстро и легко создавать и редактировать объекты баз данных PostgreSQL, выполнять сценарии SQL, визуально проектировать базы данных, создавать запросы SQL, искать, извлекать и распечатывать метаданные, а также многое другое.
dataexport | Data Export for PostgreSQL EMS Data Export for PostgreSQL – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных PostgreSQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for PostgreSQL располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for PostgreSQL EMS Data Import for PostgreSQL - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных PostgreSQL.
datapump | Data Pump for PostgreSQL EMS Data Pump™ for PostgreSQL – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных PostgreSQL®. Теперь перенос данных при помощи Data Pump for PostgreSQL стал настолько прост, насколько это возможно!
datagenerator | Data Generator for PostgreSQL EMS Data Generator™ for PostgreSQL – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных Microsoft® SQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for PostgreSQL EMS DB Comparer™ for PostgreSQL – это мощное приложение, предназначенное для сравнения баз данных PostgreSQL®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for PostgreSQL EMS DB Extract™ for PostgreSQL – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for PostgreSQL позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for PostgreSQL EMS SQL Query™ for PostgreSQL – это специализированная утилита для простого и быстрого создания запросов к базам данных PostgreSQL®. SQL Query for PostgreSQL позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for PostgreSQL EMS Data Comparer™ for PostgreSQL – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for PostgreSQL Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

InterBase / Firebird

 | SQL Management Studio for InterBase/Firebird EMS SQL Management Studio for InterBase and Firebird это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for InterBase/Firebird EMS SQL Manager™ for InterBase/Firebird – это мощный графический инструмент для разработки и администрирования серверов баз данных InterBase/Firebird®. Простой и понятный интерфейс упрощает работу с объектами базы данных, позволяет управлять данными, создавать запросы SQL. Богатый инструментарий пакета включает в себя такие приложения как Visual Database Designer, Stored Procedure Debugger, Graphical Plan Analyzer. А Export Data и Import Data позволяют быстро выполнять функции импорта/экспорта в большинство популярных офисных форматов.
dataexport | Data Export for InterBase/Firebird EMS Data Export for InterBase/Firebird – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Interbase/Firebird в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for InterBase/Firebird располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for InterBase/Firebird EMS Data Import for InterBase/Firebird - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных InterBase/Firebird.
datapump | Data Pump for InterBase/Firebird EMS Data Pump™ for InterBase/Firebird – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных InterBase/Firebird®. Теперь перенос данных при помощи Data Pump for InterBase/Firebird стал настолько прост, насколько это возможно!
datagenerator | Data Generator for InterBase/Firebird EMS Data Generator™ for InterBase/Firebird – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных InterBase/Firebird ®. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for InterBase/Firebird EMS DB Comparer™ for InterBase/Firebird – это мощное приложение, предназначенное для сравнения баз данных InterBase/Firebird®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий. Полностью настраиваемые параметры сравнения баз данных и другие полезные функции сделают Вашу работу с нашим продуктом максимально комфортной.
extract | DB Extract for InterBase/Firebird EMS DB Extract for InterBase/Firebird – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for InterBase/Firebird позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for InterBase/Firebird EMS SQL Query for InterBase/Firebird™ – это специализированная утилита для простого и быстрого создания запросов к базам данных InterBase/Firebird®. SQL Query for InterBase/Firebird позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for InterBase/Firebird EMS Data Comparer™ for InterBase/Firebird – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for InterBase/Firebird Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

Oracle

 | SQL Management Studio for Oracle EMS SQL Management Studio for Oracle - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for Oracle объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for Oracle EMS SQL Manager™ for Oracle – это мощный графический инструмент для разработки и администрирования серверов баз данных Oracle. Простой и удобный графический интерфейс позволяет быстро и легко создавать и редактировать объекты баз данных Oracle, визуально проектировать сами базы данных, выполнять сценарии Oracle и использовать другие службы, которые сделают Вашу работу с Oracle приятной и легкой.
dataexport | Data Export for Oracle EMS Data Export for Oracle – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Oracle в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for Oracle располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for Oracle EMS Data Import 2007 for Oracle - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных Oracle.
datapump | Data Pump for Oracle EMS Data Pump™ for Oracle – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных Oracle®. Теперь перенос данных при помощи Data Pump for Oracle стал настолько прост, насколько это возможно!
datagenerator | Data Generator for Oracle EMS Data Generator™ for Oracle – это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных Oracle. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for Oracle EMS DB Comparer for Oracle – это мощное приложение, предназначенное для сравнения баз данных Oracle, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for Oracle EMS DB Extract for Oracle – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for Oracle позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for Oracle EMS SQL Query™ for Oracle – это специализированная утилита для простого и быстрого создания запросов к базам данных Oracle. SQL Query™ for Oracle Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for Oracle EMS Data Comparer for Oracle – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer for Oracle Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

IBM DB2

 | SQL Manager for DB2 EMS SQL Manager 2007 for DB2 – это мощнейший инструмент для разработки и администрирования серверов баз данных DB2. Простой и дружественный графический интерфейс позволяет легко создавать и редактировать объекты DB2, визуально разрабатывать базы данных, запускать скрипты SQL. Многочисленные инструменты, доступные в программе, значительно облегчат вашу работу с базами данных DB2.
dataexport | Data Export for DB2 EMS Data Export for DB2 – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных DB2 в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for DB2 располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for DB2 EMS Data Import 2007 for DB2 - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных DB2.
datapump | Data Pump for DB2 EMS Data Pump™ for DB2 – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных IBM®DB2. Теперь перенос данных при помощи Data Pump™ for DB2 стал настолько прост, насколько это возможно!
datagenerator | Data Generator for DB2 EMS Data Generator™ for DB2– это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных DB2. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
extract | DB Extract for DB2 EMS DB Extract for DB2 – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for DB2 EMS SQL Query™ for DB2 – это специализированная утилита для простого и быстрого создания запросов к базам данных IBM®DB2. SQL Query™ for DB2 Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
 | Наверх

Tools & components

advancedexport | Advanced Data Export Advanced Data Export VCL - это набор компонентов для Borland Delphi и C++ Builder, позволяющий сохранять Ваши данные в самых популярных форматах для дальнейшего просмотра, обработки, распечатки или публикации их в сети Интернет. Вы можете экспортировать данные в MS Access, MS Excel, MS Word (RTF), Open XML Format, Open Document Format (ODF), HTML, XML, PDF, TXT, DBF, CSV и многие другие! Больше не нужно тратить свое время на утомительный процесс перевода данных - Advanced Data Export быстро справится с этой задачей и выдаст результат в желаемом формате.
advancedexport | Advanced Data Export .NET Advanced Data Export .NET - это набор компонентов для Microsoft Visual Studio .NET позволяющий сохранять Ваши данные в самых популярных форматах для дальнейшего просмотра, обработки, распечатки или публикации их в сети Интернет. Вы можете экспортировать данные в MS Access, MS Excel, MS Word (RTF), PDF, TXT, DBF, CSV и многие другие! Больше не нужно тратить свое время на утомительный процесс перевода данных - Advanced Data Export быстро справится с этой задачей и выдаст результат в желаемом формате.
advancedimport | Advanced Data Import Advanced Data Import VCL - это набор компонентов для Borland Delphi и C++ Builder, позволяющий импортировать данные из большинства популярных офисных форматов напрямую в базу данных. Теперь Вы можете импортировать данные из MS Access, MS Excel, HTML, XML, PDF, TXT, DBF, CSV и ODF. Больше не нужно тратить свое время на утомительный процесс импорта данных, Advanced Data Import быстро выполнит все задачи и предоставит результат в требуемом Вам формате.
pdfgenerator | Advanced PDF Generator Advanced PDF Generator - это набор компонентов, позволяющих предельно просто и быстро создавать PDF-документы из Ваших приложений, написанных на Delphi и C++ Builder. Теперь даже не нужно знать специфику формата PDF, Advanced PDF Generator автоматически создает требуемый документ. Причем Advanced PDF Generator разбивает таблицы на несколько частей для каждой из страниц документа, поддерживает вложенные таблицы, позволяет вставлять изображения в создаваемый PDF-документ и многое другое!
querybuilder | Advanced Query Builder Advanced Query Builder™ – это набор компонентов для Borland® Delphi® и C++ Builder®, специально предназначенный для визуального построения запросов SQL для функций SELECT, INSERT, UPDATE и DELETE. Теперь Вы можете визуально создавать новые запросы к Вашим приложениям либо графически представить уже существующие. В комплект поставки входят компоненты для работы со стандартами SQL, InterBase/Firebird, MySQL, PostgreSQL и другими. Пользователи Query Builder могут создавать объемные и сложные по своей структуре запросы для разных серверов даже без знания синтаксиса SQL.
excelreport | Advanced Excel Report Advanced Excel Report™ - это мощный генератор отчетов в формате MS Excel для Delphi®. Excel Report основан на секционном принципе создания отчетов с использованием шаблонов. Простые и удобные редакторы свойств Advanced Excel Report позволяют моментально создавать подробные отчеты в формате MS Excel. Теперь созданные отчеты могут быть отредактированы, сохранены и просмотрены практически на любом компьютере. Excel Report поддерживает Borland® Delphi® 5-7, 2005-2007 а также MS Office 97 SR-1, 2000-2007.
advancedlocalizer | Advanced Localizer Advanced Localizer™ - это незаменимый пакет компонентов для Borland® Delphi®, позволяющий добавлять языковую поддержку Вашим Delphi® приложениям. Широкие возможности пакета Advanced Localizer позволяют быстро и просто локализовать свойства компонентов каждой формы, создавать языковые файлы с текущими значениями свойств компонентов, управлять файлами локализаций, а также назначать компоненты и их свойства, подлежащие локализации. Язык приложений, использующих Advanced Localizer, может быть переключен на другой непосредственно во время работы без последующего перезапуска приложения. Advanced Localizer также предусматривает возможность написания приложений-потомков, использующих языковые файлы, заданные пользователем.
 | Наверх


Начало работы

Для начала работы с InterBase/Firebird нужно зарегистрировать хост с помощью Register Host Wizard. После этого необходимо зарегистрировать одну или несколько баз данных. Для этого существует специальный инструмент Register Database Wizard. Если баз данных ещё нет, то их можно сначала создать с помощью Create Database Wizard.

После того, как база данных зарегистрирована в SQL Manager for InterBase/Firebird, можно просматривать/редактировать её содержимое и выполнять задачи по администрированию.

Для начала работы с InterBase/Firebird с помощью программы SQL Manager for InterBase/Firebird, это зарегистрировать одну или несколько баз данных. Для этого существует специальный инструмент Register Database Wizard. Если баз данных для регистрации нет, то их можно создать с помощью Create Database Wizard. Только после этого можно работать с базой данных – редактировать данные, администрировать и т.д.

Краткая информация по основным операциям, которые можно выполнить в программе приведена в разделе Как....

Перед началом выполнения этих операций прочитайте инструкцию.

  • Как выглядит программа при первом запуске
  • Работа с базами данных
  • Работа с объектами базы данных
  • Использование контекстного меню баз данных
  • Использование контекстного меню объектов
  • Переключение между окнами

Получайте удовольствие от работы с SQL Manager for InterBase/Firebird!

Смотрите также:

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Службы

Настройки

Внешние инструменты

Как...


Выбор стиля окружения и языка программы

При первом запуске SQL Manager for InterBase/Firebird Вы должны выбрать стиль окружения и язык программы. Эти настройки позже можно поменять с помощью пункта главного меню программы Options | Environment Options | Windows для смены стиля и Options | Select Program Language для смены языка.

Getting started - Selecting style and language

Appearance theme

Выберите цветовую схему для программы:

Light - светлая,

Blue - голубая,

Dark - темная.

Bar style for editors

Выбор стиля отображения панелей.

RadioButton Navigation bar - навигационная панель (слева от основного окна редактора),

RadioButton Toolbar - панель инструментов (сверху от основного окна редактора),

RadioButton Both - навигационная панель и панель инструментов.

Program language

Позволяет выбрать язык интерфейса из списка доступных. Язык по умолчанию – английский.

(список доступных языков формируется на основе языковых файлов (*.lng), которые находятся в каталоге, в который установлена программа в директории "Languages").

Смотрите также:

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Первый запуск программы

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

Так выглядит SQL Manager for InterBase/Firebird при первом запуске.

Getting started - First time started

В верхней части отображается главное меню программы и Панель инструментов.

В правой части расположен Проводник баз данных.

Основную часть занимает панель рабочего стола.

Create new database - создает и регистрирует новую базу данных с помощью Create Database Wizard.

Restore database - восстановить базу данных из резервной копии с помощью Restore Database Wizard.

Manage existing database(s) – регистрирует существующую базу данных.

Execute script – открывает редактор SQL скрипта Execute Script.

SQL Manager help system - открывает этот файл справки.

InterBase and Firebird reference - открыть справку по серверу.

SQL Manager home page - ссылка на главную страницу продукта, где можно получить общую информацию о его приобретении, использовании и т.д.

SQL Manager online documentation - документация по SQL Manager for InterBase/Firebird на сайте компании. Дублирует справку, прилагающуюся к программе.

Support Center – позволяет пользователю получить online консультацию по любому интересующему вопросу с помощью системы Technical Support Center. Для получения такой поддержки необходимо зарегистрироваться на сайте.

SQL Manager FAQ – в этом разделе сайта пользователю предоставляется список из наиболее часто задаваемых вопросов и ответов на них.

Чтобы начать работу с InterBase/Firebird сервером, Вы должны сначала зарегистрировать сервер с помощью Мастера регистрации хоста. После этого Вам необходимо зарегистрировать одну или несколько баз данных с использованием Register Database Wizard.

В контекстном меню проводника баз данных или на панели рабочего стола выберите Create new database для создания новой базы данных. Инструмент для создания - Create Database Wizard.

Для того, чтобы начать работать с уже существующей базой, необходимо её зарегистрировать.

(Новая, создаваемая с помощью Create Database Wizard, база регистрируется автоматически)

Нажмите Manage existing database(s), чтобы зарегистрировать базу данных с помощью Register Database Wizard.

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Использование панели рабочего стола

Desktop Panel видна тогда, когда не открыто ни одно дочернее окно. На нее вынесены элементы управления, необходимые для начала работы.

Getting started - Using Desktop Panel

Начало работы

Create new database - создать и зарегистрировать новую базу данных с помощью Create Database Wizard.

Manage existing database(s) – регистрировать существующую базу данных.

Create new table - создать таблицу в активной базе используя инструмент New table. Эта команда доступна, когда есть соединение хотя бы с одной базой данных.

Create new database object – создать новый объект базы данных в активной базе. Соответственно, если нет активных соединений, то команда недоступна.

Инструменты базы данных

Execute Script – открыть редактор SQL скрипта

Query data – выполнить запрос, открывается редактор запросов

Manage users - менеджер пользователей позволяет создавать новых или редактировать существующих пользователей

Manage permissions – управление правами пользователей. Предоставление пользователям права выполнения какого-либо действия с объектом базы данных.

Справочные материалы

SQL Manager help system - открыть этот файл справки.

InterBase and Firebird reference - открыть справку по серверу.

Ресурсы в сети Интернет

SQL Manager home page - ссылка на главную страницу продукта, где можно получить общую информацию о его приобретении, использовании и т.д.

SQL Manager online documentation - документация по SQL Manager for InterBase/Firebird на сайте компании. Дублирует справку, прилагающуюся к программе.

Support Center – позволяет пользователю получить online консультацию по любому интересующему вопросу с помощью системы Technical Support Center. Для получения такой поддержки необходимо зарегистрироваться на сайте.

SQL Manager FAQ – в этом разделе сайта пользователю предоставляется список из наиболее часто задаваемых вопросов и ответов на них.

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Работа с базами данных

После того, как база зарегистрирована, она появляется в Проводнике баз данных, который располагается в левой части окна.

Getting started - Database navigation

В нем отображаются все зарегистрированные базы данных. Те базы, с которыми в данный момент нет соединения, выделены серым цветом.

Getting started - Database navigation - Disconnected DB

В нижнем окне проводника, которое называется SQL Assistant, отображается содержимое активного элемента.

Если в проводнике Вы выделили объект, то в SQL Assistant появятся те детали, которые указаны в Environment Options | Tools | DB Explorer | SQL Assistant или в контекстном меню.

Если активна опция Show Hosts, то представление баз данных имеет иерархическую структуру серверов и баз данных. Если эту опцию отключить, то в окне будет отображаться только список баз данных.

Включить опцию Show Hosts можно двумя способами. В Options | Environment Options | DB Explorer | нажать Show Hosts in DB Explorer, или в контекстном меню проводника, открывающемся по нажатию правой кнопки мыши в Проводнике баз данных, выбрать пункт Show Hosts. Эта функция присутствует и в контекстном меню сервера.

Объекты одного типа могут иметь разный статус. (enabled/disabled и valid/invalid). Такие объекты в Проводнике баз данных идентифицируются с помощью разных иконок.

Getting started - Database navigation - Object status

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Работа с объектами баз данных

Проводник баз данных позволяет получить доступ к объектам зарегистрированной базы данных, с которой в данный момент есть соединение.

Двойной щелчок на объекте открывает его в соответствующем редакторе, правой кнопкой вызывается контекстное меню со списком доступных для этого объекта операций. Обновить содержимое соответствующего поддерева можно нажатием клавиши F5 на клавиатуре, или выбрав соответствующий пункт контекстного меню. Таким образом, можно обновлять как всю базу целиком, так и некоторые объекты.

Getting started - Working with database objects

Если Вы хотите использовать проводник для работы с подобъектами (полями, индексами и т.д.) то выберите Show Table Subobjects в Environment Options | DB Explorer. Вы также можете включить эту функцию с помощью пункта меню Проводника баз данных View Mode.

Getting started - Working with database objects - View Mode

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Использование контекстных меню

Контекстное меню - это меню, отрывающееся при нажатии правой кнопкой мыши на объекте. Эти меню позволяют упростить работу с базами данных и с их объектами, обеспечивая быстрый доступ к наиболее часто используемым операциям.

Контекстные меню, открывающиеся в проводнике баз данных:

  • Контекстное меню сервера
  • Контекстное меню базы данных
  • Контекстное меню объекта

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Контекстное меню сервера

Контекстное меню сервера - это список действий, который можно открыть, нажав правой кнопкой мыши на сервере в проводнике баз данных.

Using context menus - Host context menu

  • подключиться к серверу/отключиться от сервера - Connect to Host/Disconnect from Host,
  • создать базу данных - Create Database,
  • зарегистрировать новую базу с помощью Register Database Wizard - Register Database,
  • открыть подменю Tasks,
  • зарегистрировать хост - Register Host,
  • удалить регистрацию хоста - Unregister Host,
  • открыть регистрационную информацию сервера - Host Registration Info,
  • включить опцию Show Hosts,
  • отсортировать базы данных по именам Sort by Aliases (По умолчанию, они расположены в порядке регистрации),
  • Hide Disconnected Databases - эта функция применяется для того, чтобы скрыть неподключенные базы данных,
  • обновить список - Refresh,
  • New Tab from Here - создать новую вкладку,
  • Rename Current Tab - переименовать активную вкладку,
  • Delete Current Tab - удалить активную вкладку,
  • Search - поиск задаваемого пользователем сочетания букв и цифр в названиях баз данных и объектов.

Подменю Tasks:

  • Users Manage - управлять правами пользователей,
  • Event Monitor - монитор событий,
  • Server Messages Editor - редактор серверных сообщений.

Смотрите также:

Контекстное меню базы данных

Контекстное меню объекта


Контекстное меню базы данных

Контекстное меню баз данных открывается при нажатии в проводнике на базе данных правой кнопкой мыши.

Контекстное меню базы данных позволяет:

  • подключиться к выбранной базе данных/отключиться от выбранной базы данных - Connect to Database/Disconnect from Database,
  • создать базу данных - Create Database,
  • зарегистрировать новую базу с помощью Мастера регистрации баз данных - пункт меню Register Database,
  • удалить регистрацию базы данных - Unregister Database,
  • удалить базу данных - Drop Database,
  • редактировать регистрационную информацию - Database Registration Info,
  • открыть Свойства базы данных - Database Properties,
  • открыть подменю Tasks,
  • зарегистрировать новый хост с помощью мастера Мастера регистрации хоста - Register Host,
  • удалить регистрацию хоста и всех зарегистрированных на нем баз данных - Unregister Host,
  • включить опцию Show Hosts,
  • отсортировать базы данных по именам Sort by Aliases,
  • скрыть неподключенные базы данных Hide Disconnected Databases,
  • обновить базу данных Refresh Database,
  • создать новую вкладку New Tab from Here,
  • переименовать активную вкладку Rename Current Tab,
  • удалить активную вкладку Delete Current Tab,
  • Search - поиск задаваемого пользователем сочетания букв и цифр в названиях баз данных и объектов.

Using context menus - Database context menu

Подменю Tasks:

  • Backup Database - создать резервную копию базы данных,
  • Restore database - восстановить базу данных из резервной копии,
  • Database Validation - Проверка базы данных,
  • Database Statistics - просмотреть статистику базы данных,
  • Start/Stop Database - Запустить/остановить базу данных,
  • Recompute All Indexes of Database - перестроить все индексы,
  • Extract Database - извлечь базу данных,
  • Print metadata - печать метаданных,
  • HTML Report - создать HTML отчет,
  • To-Do List - открыть список задач,
  • Role Manager - открыть редактор ролей,
  • Table Altering Monitor - открыть монитор изменений таблиц.

Смотрите также:

Контекстное меню сервера

Контекстное меню объекта


Контекстное меню объекта

Это меню открывается при нажатии на любом объекте базы данных правой кнопкой мыши.

Using context menus - Object context menu

С его помощью можно:

  • создать новый объект базы данных - New <объект>,
  • открыть выбранный объект в редакторе - Edit <имя объекта>,
  • переименовать выбранный объект - Rename <имя объекта>,
  • удалить выбранный объект - Drop <имя объекта>,
  • копировать объект с помощью Мастера копирования объектов - Duplicate <"имя объекта">,
  • Tasks - выполнить одно из заданий для таблицы (Для всех остальных открывается дерево зависимостей),
  • Data Manipulation - выбрать одну из операций импорта/экспорта,
  • Script to Query Data - копировать скрипт объекта в редактор SQL,
  • Script to Clipboard - копировать скрипт объекта в буфер обмена,
  • открыть дерево зависимостей для этого объекта - Dependency Tree,
  • обновить информацию об объекте - Refresh <имя объекта>,
  • редактировать регистрационную информацию базы данных - Database Registration Info,
  • найти элемент базы данных - Search.

Смотрите также:

Контекстное меню сервера

Контекстное меню базы данных


Работа с окнами

Переключение между открытыми окнами в SQL Manager for InterBase/Firebird организовано так же, как и в ОС Windows. По нажатию правой кнопки мыши на значке окна на панели задач программы появляется контекстное меню.

Getting started - Switching windows

Для перехода от одного окна к другому достаточно выделить мышкой нужное окно или воспользоваться сочетанием клавиш Ctrl+Tab.

Для упрощения работы с окнами, в SQL Manager for InterBase/Firebird существует специальный пункт в главном меню программы - Windows.

С помощью этого меню Вы можете:

  • Windows List - показать список открытых окон на вкладке Windows List,

Appendix - Window List

  • Cascade - расположить открытые окна каскадом,

Getting started - Windows - Cascade

  • Minimize All - свернуть все окна,
  • Tile Horizontal - расположить все окна одно над другим,

Getting started - Windows - Tile Horizontal

  • Tile Vertical - расположить все окна в один ряд,

Getting started - Windows - Tile Vertical

  • Set Defaults to All Windows - восстановить первоначальный размер и положение всех дочерних окон,
  • Reset All Toolbars and Menus - вернуть настройки всех панелей инструментов и меню к настройкам по умолчанию,
  • Close All - закрыть все окна,
  • из подменю пункта Close выберите тип объектов, которые в данный момент хотите закрыть, (например, если выберите таблицы, то закроются все открытые редакторы таблиц),
  • Previous Window - перейти к следующему окну,
  • Next Window - перейти к предыдущему окну.

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Проводник баз данных

Проводник баз данных (Database Explorer или DB Explorer) основное навигационное окно для работы с базами данных и объектами баз данных. Database Explorer имеет иерархическую структуру и позволяет быстро выполнять практически все доступные операции с базами данных. Состоит из нескольких окон.

Регистрационная информация баз данных

Подключение к базе данных

Основные операции над объектами

Выбор нескольких объектов

Использование вкладок

Недавно использовавшиеся объекты

Работа с избранными объектами

Поиск объектов

SQL ассистент

Настройка проводника баз данных

Избранные запросы

Все объекты баз данных разделены по типам и доступны из соответствующих узлов. Для каждого типа отображается количество объектов.

Чтобы показать/скрыть окно проводника используйте команду View | DB Explorer в главном меню или нажмите клавишу F11.

DB Explorer - View

Для того чтобы быстро свернуть текущую ветвь в Проводнике баз данных используйте сочетание клавиш Ctrl+Shift+С.

Смотрите также:

Начало работы

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Сервисы

Настройки

Внешние инструменты

Как...


Регистрационная информация баз данных

Если при создании и регистрировании базы данных Вы допустили ошибку или указали неполную информацию, то Вы можете это исправить при помощи команды Database Registration Info.

Проводник баз данных позволяет редактировать регистрационную информацию баз данных в процессе работы.

Для этого используется пункт контекстного меню подключенных баз данных Database Registration Info. При выборе этого пункта открывается окно редактирования регистрационной информации базы данных.

DB Explorer - Managing database registration info

Смотрите также:

Мастер регистрации баз данных

Регистрационная информация баз данных

Свойства базы данных


Подключение к базе данных

Команда Connect to database неактивна, если установлено подключение с выбранной базой.

Обычно, к базе данных можно подключиться только если есть соединение с сервером. Для баз данных серверов InterBase/Firebird это не обязательно.

Отдельно можно подключаться к хосту (для управления пользователями) и отдельно к базе данных.

Перед работой с инструментами сервера и серверными объектами необходимо подключиться к серверу. Для этого выберите пункт Database | Connect to Host в главном меню программы.

Подключить базу данных можно следующим образом:

  • В контекстном меню неподключенной базы данных выбрать пункт Connect to database или Safe Connect.

Safe Connect обеспечивает безопасное подключение к базе данных с использованием параметра isc_dpb_no_db_triggers.

DB Explorer - Connecting to databases

  • На панели инструментов проводника выбрать пункт Connect to database

DB Explorer - Connecting to databases - Toolbar

  • выбрать Database | Connect to database в главном меню программы.

  • В проводнике баз данных два раза щелкнуть мышкой по псевдониму базы данных.
  • Использовать сочетание клавиш Ctrl+Shift+С.

Перед началом работы с объектами и службами, относящимися к области сервера, необходимо установить соединение с хостом, выбрав пункт Connect to Host контекстного меню хоста или используя пункт главного меню Database | Connect to Host.

DB Explorer - Connecting to host

Смотрите также:

Мастер регистрации баз данных

Регистрационная информация баз данных


Основные операции над объектами

Проводник баз данных позволяет получить доступ к основным действиям над объектом базы данных с помощью контекстного меню.

Важно: Для каждого типа объектов свое меню.

Основные операции, присутствующие в каждом контекстном меню, это:

DB Explorer - Operations with database objects

  • создание - New <объект>,
  • редактирование - Edit <"имя объекта">,
  • удаление - Drop <"имя объекта">,
  • переименование - Rename <"имя объекта">,
  • копирование объекта - Duplicate <"имя объекта">,
  • открытие списка действий, которые можно выполнять с активным объектом - Tasks,
  • открытие SQL скрипта объекта в редакторе запросов - Script to Query Data,
  • копирование скрипта объекта в буфер обмена - Script to Clipboard,
  • обновление объекта - Refresh,
  • просмотр регистрационной информации базы данных - Database Registration Info.

Эти операции одинаковы для всех типов объектов.

Чтобы открыть объект в соответствующем редакторе, достаточно двойного щелчка мыши на нем в проводнике баз данных.

С помощью операции drag-and-drop Вы можете добавить объекты в Редактор запросов, Конструктор запросов или в Редактор SQL скриптов.

DB Explorer - Insert to Editor

Смотрите также:

Управление объектами базы данных

Редактор запросов

Выбор нескольких объектов


Выбор нескольких объектов

Иногда необходимо удалить, копировать или перенести большое количество объектов. Для каждого применять соответствующую операцию неудобно. Для таких случаев предусмотрена возможность выделения нескольких объектов одновременно.

Несколько объектов можно одновременно выделить левой кнопкой мыши, удерживая клавишу Ctrl или Shift.

DB Explorer - Selecting multiple objects

Выделенные таким образом объекты можно:

  • редактировать - Edit <n> Selected Objects (n - количество выделенных объектов),
  • удалять - Drop Database Objects,
  • помещать в Favorite Objects. Для этого действия пункта меню нет, поэтому объекты в избранные перетаскиваются мышью.

Важно: Если в Favorite Objects нет вложенных папок, то поместить туда объекты невозможно.

Смотрите также:

Работа с избранными объектами

Работа с окнами

Управление объектами базы данных


Использование вкладок

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

Управление объектами баз данных с использованием вкладок

Чтобы сделать Вашу работу как можно более удобной, в SQL Manager for InterBase/Firebird существует специальный сервис вкладок (Tab-ов). Используйте вкладки, если хотите обеспечить быстрый доступ к определенной группе объектов проводника. Это может быть определенный сервер или база данных, или группа объектов базы данных. Например, Вы можете вынести папку с представлениями на отдельную вкладку или создать несколько вкладок на каждой из которых будет только одна база данных.

Поместить объект на отдельную вкладку можно с помощью пункта контекстного меню New Tab from Here, который присутствует в контекстном меню каждого объекта.

DB Explorer - Using tabs - New tab

Если объект является узлом дерева, то эта опция доступна.

Например, если отключить опцию отображения подобъектов таблицы на панели инструментов проводника, то пункта New Tab from Here не будет в контекстном меню таблицы, так как таблица не является узлом дерева.

Если включена опция View Mode | Show Table Subobjects, то пункт меню New Tab from Here становится активным.

Важно: Две вкладки, являющиеся вкладками по умолчанию, невозможно удалить.

Это вкладки Databases и Windows List.

В окне проводника баз данных можно отображать вкладки двух видов:

  • иконки на нижней панели проводника

DB Explorer - Using tabs - View as icons

  • закладки

DB Explorer - Using tabs - View as tabs

Для перехода от одного вида к другому достаточно потянуть разделитель вверх или вниз.

DB Explorer - Splitter for tabs

Для этой же цели используются пункты Show more Buttons и Show Fewer Buttons всплывающего меню, открывающегося при нажатии на стрелку Configure buttons.

DB Explorer - Using tabs - Add or remove buttons

Для переключения между вкладками достаточно выделить мышью иконку или закладку.

Для этой же цели используются сочетания клавиш:

  • Ctrl+Shift+N - переход на следующую вкладку,
  • Ctrl+Shift+P - переход на предыдущую вкладку.

Переименование вкладок

Если хотите переименовать вкладку, то нужно перейти на нее и выбрать пункт контекстного меню Rename Current Tab.

Удаление вкладок

Для удаления вкладки необходимо перейти на нее и выбрать пункт контекстного меню Delete Current Tab.

Или воспользоваться пунктом Add or Remove Buttons всплывающего меню, открывающегося при нажатии на стрелку Configure buttons

Смотрите также:

Работа с окнами

Управление объектами базы данных


Недавно использовавшиеся объекты

Простой доступ к недавно использовавшимся объектам обеспечивает кнопка Recent Objects btnRecentObjects на панели инструментов проводника. Нажатие на нее открывает список последних, открывавшихся в пределах одной сессии, объектов. Объекты могут принадлежать разным базам данных. Выберите объект из списка, чтобы открыть его в соответствующем редакторе.

DB Explorer - Recently opened objects

Количество элементов в этом списке можно менять с помощью Options | Environment Options | Tools | DB Explorer | Recent objects count.

Смотрите также:

Управление объектами базы данных

Настройки окружения


Работа с избранными объектами

При работе с несколькими объектами из большой базы, к которым Вы постоянно обращаетесь, удобно использовать Favorite Objects.

Для проектов предусмотрена специальная папка в дереве Проводника баз данных. Самостоятельно ее создавать не нужно.

Добавление объектов в избранные

Для того чтобы поместить объекты в проект необходимо создать вложенную папку внутри папки Favorite Objects, выбрав пункт контекстного меню New Sub Folder.

DB Explorer - Managing projects - New Subfolder

В появившемся окне указать имя папки.

В эту папку уже можно помещать объекты. Если в Favorite Objects нет вложенных папок, то поместить туда объекты невозможно. Данная операция выполняется с помощью пункта контекстного меню Add Object.

DB Explorer - Managing projects - Adding objects

Далее будет предложено выбрать из имеющихся объектов тот, который необходимо поместить в Избранные объекты.

Объекты разделены по типам, что очень удобно, если база данных большая.

В контекстном меню объектов нет пункта Поместить в избранные, поэтому объекты в избранные перетаскиваются мышью.

В Favorite Objects помещаются не сами объекты, а их ярлыки, то есть, удалив объект из избранных или даже папку целиком, информацию Вы не потеряете.

Файл, находящийся в избранных нельзя переименовать.

Удаление папки

Добавленные в папку объекты можно удалить из него, используя пункт контекстного меню Remove Folder <имя объекта>.

Также, можно удалять созданные в Favorite Objects папки, вместе со всем содержимым.

Смотрите также:

Использование вкладок

Управление объектами базы данных


Поиск объектов

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

Поиск объектов баз данных

SQL Manager for InterBase/Firebird позволяет найти в проводнике баз данных объект по его названию. Эта опция используется, если в проводнике отображено большое количество объектов и найти определенный объект достаточно сложно.

Диалог поиска объекта

Пунктом Find Item контекстного меню или сочетанием клавиш Ctrl + F вызывается стандартное окно поиска, в котором указывается искомое слово.

DB Explorer - Find Object

Поиск осуществляется с помощью тех же самых элементов управления, что и поиск в тексте.

Использование панели поиска

Введите искомые символы в поле Search. Все объекты, содержащие данные символы, будут выделены цветом в проводнике баз данных. Найденных объектов может быть несколько. С помощью кнопок [image] [image] Вы сможете перемещаться между найденными объектами. Для удобства поиска используйте кнопку Start-with search (доступна в настройках панели инструментов), чтобы искать объекты, начинающиеся с искомого текста.

DB Explorer - Search Panel

По умолчанию, Search Panel находится в верхней части проводника баз данных. Чтобы отобразить панель, выберите в контекстном меню панели проводника баз данных пункт Search Panel.

DB Explorer - Search Panel - Activate

Важно: Search Panel можно перетаскивать в любую часть окна программы.

Смотрите также:

Окно поиска


SQL ассистент

В этом окне отображена более подробная информация о выделенном в проводнике баз данных объекте.

DB Explorer - SQL Assistant

  • При выборе сервера отображаются базы данных, относящиеся к этому серверу.
  • Для базы данных - группы объектов этой базы с указанием количества объектов в каждой.
  • Для группы объектов - все объекты этого типа
  • Для объекта - подобъекты, DDL или то, что указано при настройке.

Из SQL Assistant можно открывать для редактирования объекты, так же как и из проводника - двойным щелчком мыши на нужном объекте.

Для таблиц и представлений SQL Assistant можно настроить. Вы можете выбрать, что будет отображаться в SQL Assistant, когда в проводнике будет выбрана таблица:

  • поля таблицы,- Show Fields,
  • первичные ключи - Show Primary Keys,
  • уникальные ключи - Show Uniques,
  • внешние ключи - Show Foreign Keys,
  • ограничения CHECK - Show Checks,
  • индексы - Show Indexes,
  • триггеры - Show Triggers,
  • DDL - Show DDL,
  • описание - Show Description.

DB Explorer - SQL Assistant - Object details

Если выбрано представление (View):

  • поля - Show Fields,
  • индексы - Show Indexes,
  • триггеры - Show Triggers,
  • DDL - Show DDL,
  • описание - Show Description.

Вид настраивается с помощью кнопки View Mode btnViewMode на панели инструментов проводника.

Выберите пункт Tables' Details и в открывшемся меню укажите, что именно будет отображаться в SQL Assistant.

Или в контекстном меню SQL Assistant выберите пункт Tables' Details.

С помощью той же кнопки и пункта меню изменяется, отображаемая в SQL Assistant, дополнительная информация о представлениях, процедурах и UDF, а также других объектах.

Смотрите также:

Управление объектами базы данных


Настройка проводника баз данных

Панели инструментов проводника баз данных

Это набор инструментов над окном проводника баз данных. На эту панель вынесены кнопки управления базами данных и настройки проводника.

DB Explorer - Configuring DB Explorer - Toolbar

Панель инструментов можно настраивать по своему усмотрению, используя функцию Add or Remove Buttons, открывающуюся при нажатии на кнопку More Buttons btnMoreButtons в правом углу панели.

По умолчанию, на панели инструментов располагаются следующие кнопки:

  • Create - создать объект,
  • Refresh Database - обновить базу данных,
  • Connect to Database - подключиться к базе данных,
  • Disconnect from Database - отсоединить базу данных,
  • Properties - открыть свойства выделенного объекта,
  • View Mode - настройка проводника,
  • Resent - список недавно использовавшихся объектов,
  • Quick Jump To Database - быстрый переход к базе данных.

Все команды, кроме View Mode, предназначены для работы с базами данных. View Mode отвечает за настройку самого проводника и SQL Assistant.

View Mode btnViewMode позволяет:

  • показать подобъекты таблиц в проводнике баз данных - Show Table Subobjects,
  • показать подобъекты представлений в проводнике баз данных Show View Subobjects,
  • показать подобъекты процедур в проводнике баз данных Show Procedure Subobjects,
  • показать подобъекты функций, определенных пользователем, в проводнике баз данных Show UDF Subobjects,
  • показать хосты Show Hosts,
  • сортировать базы данных по именам (по умолчанию базы отсортированы внутри сервера по времени подключения) - Sort by Aliases,
  • скрывать неподключенные базы данных Hide Disconnected Databases,
  • настраивать Tables' Details в SQL Assistant,
  • настраивать View Details в SQL Assistant,
  • настраивать Procedures Details в SQL Assistant,
  • настраивать UDF's Details в SQL Assistant,
  • настраивать Exceptions' Details в SQL Assistant,
  • настраивать Generators' Details в SQL Assistant,
  • настраивать Other Objects' Details в SQL Assistant,
  • отображать в SQL Assistant ошибки - Show Error.

DB Explorer - Configuring DB Explorer - View Mode

Используйте Options | Environment Options | DB Explorer для доступа к дополнительным настройкам проводника баз данных.

Панель поиска

Кроме панели инструментов имеется панель поиска - Search Panel.

DB Explorer - Search Panel - Customize

Важно: Search Panel можно перетаскивать в любую часть окна программы.

Смотрите также:

Настройка панелей инструментов

Настройки окружения


Избранные запросы

SQL Manager for InterBase/Firebird позволяет обеспечить быстрый доступ к запросам или некоторым частям запросов с помощью инструмента Favorite Queries

DB Explorer - Managing Favorite queries

Создать избранный запрос

Чтобы создать избранный запрос необходимо:

  • в проводнике баз данных из контекстного меню группы объектов Favorite Query выбрать пункт New Favorite Query,
  • перетащить выделенный текст запроса в папку iconFavoriteQueries Favorite Query, при этом откроется редактор избранных запросов.

Редактор избранных запросов

Этот редактор открывается только в том случае, если в контекстном меню избранного запроса Вы выбираете пункт Edit Favorite Query. Если откроете запрос двойным щелчком мыши, то он будет открыт в редакторе запросов.

SQL Editor - Favorites editor

С помощью редактора Вы можете создавать и редактировать избранные запросы.

В поле Name укажите имя запроса.

Из раскрывающегося списка Storage выберите место хранения.

В SQL редакторе Вы можете работать с текстом запроса так же как в редакторе запросов.

Смотрите также:

Использование вкладок

Редактор избранных запросов


Управление серверами и базами данных

SQL Manager for InterBase/Firebird предоставляет пользователю все необходимые инструменты для создания и управления базами данных.

Вы не сможете работать с базой данных в SQL Manager for InterBase/Firebird, если не зарегистрируете ее.

Регистрация сервера

Для начала работы с сервером в SQL Manager for InterBase/Firebird Вам необходимо его зарегистрировать. Для этого существует специальный инструмент Register Host Wizard.

Вызывается мастер командой Register Host..., которая присутствует в:

  • главном меню программы Database | Register Host...,
  • на панели инструментов SQL Manager for InterBase/Firebird,
  • в контекстном меню сервера,
  • вызывается сочетанием клавиш Shift+Ctrl+R.

Подключение к серверу

Команду Connect to Host можно найти в:

  • главном меню программы. - Database | Connect to Host,
  • контекстном меню сервера.

Для подключения хоста также можно использовать сочетание клавиш Ctrl+Shift+C или двойной щелчок мыши на имени нужного хоста в проводнике.

Удаление регистрации сервера

Если Вы не используете сервер, то Вы можете его удалить, воспользовавшись функцией Unregister Host. Незарегистрированный сервер не отображается в проводнике баз данных.

Для удаления регистрации вам необходимо проделать следующие операции:

  • в проводнике баз данных выбрать сервер, регистрацию которого хотите удалить,
  • выбрать пункт Database | Unregister Host в главного меню программы или в контекстном меню сервера,
  • подтвердить удаление регистрации в появившемся окне.

Создание базы данных

Для упрощения процедуры создания базы данных в SQL Manager for InterBase/Firebird существует специальный инструмент - Мастер создания баз данных Create Database Wizard. С его помощью пользователь пошагово создает базу данных

Для создания базы данных необходимо выполнить следующие операции:

  • выбрать пункт Database | Create Database главного меню программы,
  • задать имя базы, имя сервера, тип авторизации,
  • задать свойства файлов,
  • указать файлы журнала событий,
  • включить опцию "регистрация после создания" Register After Creating для вызова Register Database Wizard

Регистрация базы данных

Для начала работы в SQL Manager for InterBase/Firebird с уже существующей базой данных Вам необходимо ее зарегистрировать. Для этого существует специальный инструмент Register Database Wizard. Для запуска мастера выберите пункт Database | Register Database главного меню программы.

С помощью этого инструмента Вы можете выбрать сервер, выбрать базу на этом сервере и для нее задать параметры подключения, параметры авторизации и другие опции регистрации.

Для регистрации нескольких баз, находящихся на одном сервере, нужно на шаге задания параметров сервера отключить функцию Register a single database, тогда на следующем шаге сможете выбрать несколько баз для регистрации и зарегистрировать их все одновременно.

Удаление регистрации базы данных

Если Вы не используете базу данных, то Вы можете воспользоваться функцией Unregister Database - Удалить регистрацию базы данных. Незарегистрированная база не отображается в SQL Manager for InterBase/Firebird.

Для удаления регистрации вам необходимо проделать следующие операции:

  • выбрать базу, регистрацию которой хотите удалить, (выделить её мышкой в проводнике баз данных),
  • выбрать пункт Database | Unregister Database главного меню программы,
  • подтвердить удаление регистрации в появившемся окне.

Удаление базы данных

При удалении базы данных она удаляется с сервера полностью, а не только из <%PRODUCT_TITLE%.

Для удаления базы данных нужно:

  • выбрать в проводнике баз данных базу, которую хотите удалить,
  • выбрать пункт Database | Drop Database главного меню программы (в контекстном меню базы данных этого пункта нет),
  • подтвердить удаление базы данных в появившемся окне.

Удалять можно как подключенные, так и неподключенные базы данных. Если соединение с сервером отсутствует, то удалить базу не удастся.

Подключение к базе данных

Команду Connect to Database можно найти в:

  • главном меню программы - Database | Connect to Database,
  • контекстном меню базы данных.

Для подключения базы данных также можно использовать сочетание клавиш Ctrl+Shift+C или двойной щелчок мыши на имени нужной базы в проводнике.

Отключение от базы данных

Если сеанс работы с базой данных завершен, то Вы можете отключиться от нее.

Команда Disconnect from Database присутствует везде, где есть Connect to Database. Отключиться от базы данных можно также с помощью сочетания клавиш Ctrl+Shift+D.

Смотрите также:

Начало работы

Проводник баз данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Службы

Настройки

Внешние инструменты

Как...


Мастер регистрации хоста

Мастер регистрации хоста позволяет Вам зарегистрировать сервер в SQL Manager for InterBase/Firebird.

Вызывается мастер командой Register Host..., которая присутствует в:

  • главном меню программы Database | Register Host...,
  • на панели инструментов SQL Manager for InterBase/Firebird,
  • в контекстном меню уже зарегистрированного сервера,
  • вызывается сочетанием клавиш Shift+Ctrl+R.

Мастер состоит из следующих шагов:

  • Задание параметров подключения
  • Параметры SSH туннелирования
  • Параметры SSL
  • Задание параметров регистрации

Смотрите также:

Мастер регистрации баз данных

Регистрационная информация сервера


Задание параметров подключения

На первом шаге задайте параметры соединения с севером.

Register Host wizard - Setting connection parameters

В разделе Server задайте параметры подключения сервера.

Имя сервера выберите из раскрывающегося списка Host name. Если в этом списке нет нужного вам сервера, то укажите его в этом поле.

Из раскрывающегося списка Protocol выберите протокол соединения с сервером.

В поле Port/service укажите порт или имя службы.

Имя пользователя и пароль задайте в полях User name и Password соответственно.

В поле SQL role можно задать роль пользователя.

Нажатие на кнопку Get Server Preferences позволяет автоматически выполнить следующие операции:

  • получить версию сервера,
  • определить Security DB, если это возможно, так как не все сервера позволяют выполнить эту операцию.
  • подобрать клиентскую библиотеку автоматически (в соответствии с версией сервера). Автоматически ищет в следующих местах:

- в путях, которые сохранены в MRU поля Client library,

- в папке библиотеки, указанной в поле Client library,

- рекурсивно в корневой папке регистрируемого сервера (если он локальный и если папка определена),

- в корневой папке SQL Manager for InterBase/Firebird,

- в путях, указанных в переменной окружения Path,

- рекурсивно в корневых папках прочих установленных локально серверов,

- в System32

- в Windows.

Из файлов, обнаруженных в этих папках, выбирается наиболее подходящий по версии.

  • определить тип аутентификации.

Важно: Операция поиска клиентской библиотеки в первый раз может занять некоторое время.

Из раскрывающегося списка Security DB выберите базу данных безопасности серверов IB и FB. Также, Вы можете выбрать эту базу данных с помощью диалогового окна, открывающегося при нажатии на кнопку ExplorerButton .

В разделе Client укажите настройки клиента.

В поле Client library задайте библиотеку gds32.dll или fbclient.dll. Это можно сделать с помощью кнопки ExplorerButton или выбрав нужную библиотеку из раскрывающегося списка. В список попадет библиотека, которая раньше уже использовалась. Клиентская библиотека должна находиться на клиентской машине, соответственно, путь до нее должен быть локальным. Автоматически поиск клиентской библиотеки осуществляется с помощью кнопки Get Server Preferences.

В разделе Authentication type укажите тип аутентификации на сервере.

  • Normal (traditional IB/FB authentication with security database) - стандартная авторизация с использованием базы данных безопасности серверов IB и FB. В этом случае в поля User name и Password необходимо ввести имя пользователя и пароль для доступа к серверу Interbase/Firebird. Сервер проводит проверку подлинности идентификатора пользователя, сверяя информацию с данными из базы данных безопасности security2.fdb, в которой хранится информация о всех пользователях, зарегистрированных для конкретного сервера Interbase/Firebird.

  • Win32 NTLM authentication (only FB 2.1 or above) - Win32 NTLM аутентификация пользователей (используется для серверов Firebird вер. 2.1 и выше). В этом случае Firebird возьмет из системы имя пользователя, под которым он залогинился на компьютере, и "пропустит" его в БД под этим именем. При этом имя будет состоять из имени сервера, который осуществил аутентификацию, и имени пользователя.

  • Mixed - смешанная. Пользователь либо вводит Имя пользователя и Пароль для доступа к серверу, либо соединяется с сервером, используя имя, под которым он зашел в систему.

Важно: В Firebird 2.1 при использовании типа Win32 NTLM или Mixed, если пользователь включен в группу администраторов Windows, то имя пользователя при логине будет автоматически конвертировано в SYSDBA. SYSDBA - это специальная учетная запись, которая существует вне всех ограничений безопасности и имеет полный доступ ко всем базам данных сервера.

Если необходимо, использовать туннелирование для передачи данных, то установите флажок Use Secure Shell (SSH) tunneling.

Для подключения по зашифрованному каналу, включите опцию Use SSL.

При регистрации Embedded сервера некоторые поля становятся недоступными для редактирования, так как все параметры подключения к серверу содержатся в клиентских библиотеках, указываемых в разделе Client.

Register Host wizard - Setting connection parameters - Embedded

Для Embedded сервера необходимо указать клиентскую библиотеку в поле Client library. Это можно сделать с помощью кнопки ExplorerButton или выбрав нужную библиотеку из раскрывающегося списка.

Firebird Embedded Server - предназначен для встраиваемых баз данных. Состоит из одной библиотеки dll - fbembed.dll. Это клиентская библиотека, которая содержит, собственно, сам сервер. Когда приложение обращается к такой библиотеке, оно загружает сервер и разрешает прямой доступ к любой базе данных, имеющейся на локальном компьютере. Эта версия сервера не использует базу данных безопасности, содержащую информацию о пользователях сервера. Имя пользователя, указанное при входе в систему (проверка пароля при этом не производится), используется для управления доступом пользователя к объектам базы данных (с помощью механизма разрешений/запрещений SQL). Если именем пользователя является SYSDBA или имя владельца базы данных, возможен неограниченный доступ.

Embedded server root

Для версий Firebird ниже, чем 2.5 корневым каталогом встраиваемого сервера является каталог, содержащий исполняемый файл приложения fbguard.exe.

В версии Firebird 2.5 корневой каталог встраиваемого сервера - это каталог, в котором расположен файл fbembed.dll.

Недостаток Firebird Embedded - это невозможность одновременного подключения к одной БД нескольких клиентов. После успешного подключения Firebird Embedded блокирует файл базы данных для монопольного доступа. До версии Firebird 2.5 - с одной БД может работать только одно приложение.

CheckBox Если установлен флажок Publish root into Path environment variable and server configuration file, то путь к директории, указанной в поле Embedded server root, будет добавлен в переменную окружения Path.

Следующий шаг


Параметры SSH туннелирования

Второй шаг будет отображаться только в том случае, если на первом шаге Вы указали что при соединения с сервером будет использоваться SSH туннелирование, установив флажок CheckBox Use Secure Shell (SSH) tunneling.

Register Host wizard - SSH tunneling parameters

SSH (Secure Shell Host) протокол используется для повышения компьютерной безопасности при работе Unix-системами в Internet. SSH использует несколько алгоритмов шифрования разной степени надежности. Распространенность SSH связана еще и с тем, что многие Linux-подобные ОС (например, FreeBSD) включают в стандартную комплектацию SSH сервер. Для получения дополнительной информации Вы можете посетить https://www.openssh.com/. Опция SSH туннель в SQL Manager представляет собой средство организации безопасного доступа к серверу при работе по небезопасным каналам связи. Также Вы можете использовать SSH туннель для доступа к удаленным серверам, если по каким-либо причинам порт 3050 закрыт для внешних подключений. Соединение через SSH туннель выглядит следующим образом. Сначала устанавливается соединение и производится процедура аутентификации между встроенным в SQL Manager for InterBase/Firebird SSH клиентом и удаленным SSH сервером, затем вся исходящая и входящая информация между программой и сервером передается через SSH сервер с использованием коммуникационного порта (обычно 22), а SSH сервер транслирует информацию уже непосредственно серверу баз данных. Чтобы зарегистрировать базу данных, соединение к которой должно выполняться с использованием SSH туннеля, Вы должны задать следующие параметры при регистрации базы данных:

SSH Host - имя машины (IP-адрес), на которой установлен сервер SSH.

SSH Port - порт SSH сервера на удаленном хосте (по умолчанию равен 22).

SSH User Name - имя пользователя на сервере (пользователь SSH сервера, а не сервера InterBase/Firebird).

SSH Password - пароль пользователя SSH сервера.

Имейте в виду, что в случае использования SSH туннелирования имя хоста должно быть задано относительно сервера SSH. Например, если InterBase/Firebird и SSH сервер установлены на одном компьютере, следует указать 'localhost' в качестве имени хоста вместо имени внешнего хоста или IP адреса.

CheckBox Если установлен флажок Use Private Key for authentication, то в поле SSH key file можно указать ключевой файл для аутентификации.

Следующий шаг


Параметры SSL

Настройки SSL позволяют вам подключаться к серверу по зашифрованному каналу для повышения безопасности.

Register Host wizard - SSL

Client certificate

Задайте полный путь к SSL-сертификату на клиентском компьютере.

Passphrase file

Задайте полный путь к файлу, содержащему ключевую парольную фразу.

Passphrase

Введите пароль с парольной фразой.

CA file

Укажите имя файла центра сертификации.

CA path

Задайте путь для расположения файла центра сертификации.

Следующий шаг


Задание параметров регистрации

На последнем шаге задайте дополнительные параметры регистрации сервера.

Register Host wizard - Setting specific options

Путь к утилитам базы данных можно указать в поле Path to database utilities. Имеются в виду утилиты командной строки, входящие в пакет IB/FB клиента или сервера.

Укажите псевдоним для текущего хоста в поле Host alias, который будет отображаться в Проводнике БД.

CheckBox Login prompt before connection -если Вы не хотите хранить пароль, то устанавливайте этот флажок и каждый раз при подключении пароль будет запрашиваться заново.

CheckBox Autoconnect on startup - при запуске программы SQL Manager for InterBase/Firebird связь с этой базой данных будет устанавливаться автоматически.

CheckBox Connect to the host automatically when connecting to any its database - подключаться к серверу автоматически, если установлено соединение с одной из его баз данных.

CheckBox Don't show client library warnings - не показывать предупреждения клиентской библиотеки.

CheckBox Create new tab for this host - создавать ли отдельную вкладку для этого сервера.

Чтобы зарегистрировать сервер, нажмите кнопку Finish.


Мастер создания баз данных

Мастер создания баз данных Create Database Wizard автоматически генерирует SQL скрипт для создания новой базы данных и выполняет его на сервере. Если сервер не зарегистрирован, то перед созданием базы данных нужно зарегистрировать сервер.

Вызывается мастер командой Create Database..., которая присутствует в:

  • главном меню программы - Database | Create Database,
  • на панели инструментов SQL Manager for InterBase/Firebird,
  • на панели инструментов проводника,
  • на панели рабочего стола.

Если для создания базы Вы используете команду Create Database..., то создание будет проходить только с использованием мастера.

Если же Вы не хотите использовать мастер, или у Вас есть готовый SQL скрипт, то можете воспользоваться редактором выполнения скриптов.

Мастер состоит из следующих шагов:

  • Выбор сервера
  • Задание основных параметров базы данных
  • Задание файлов базы данных
  • Просмотр результата

Смотрите также:

Мастер регистрации баз данных

Регистрационная информация баз данных

Параметры базы данных


Выбор сервера

На первом шаге необходимо указать сервер, на котором будет располагаться создаваемая база данных.

Из раскрывающегося списка Host name выберите нужный сервер.

Если необходимо зарегистрировать новый хост и создать базу данных, переключитесь на Database will be created on a new host. База данных будет зарегистрирована на этом хосте.

Create Database wizard - Selecting host

Следующий шаг


Задание параметров соединения для нового сервера

Если на первом шаге Вы указали, что сервер не зарегистрирован, то на втором шаге необходимо будет указать параметры соединения с сервером.

Create Database wizard - New host - Setting connection parameters

В разделе Server задайте параметры подключения сервера.

Имя сервера выберите из раскрывающегося списка Host name. Если в этом списке нет нужного вам сервера, то укажите его в этом поле.

Из раскрывающегося списка Protocol выберите протокол соединения с сервером.

В поле Port/service укажите порт или имя службы.

Имя пользователя и пароль задайте в полях User name и Password соответственно.

В поле SQL role можно задать роль пользователя.

Нажатие на кнопку Get Server Preferences позволяет автоматически выполнить следующие операции:

  • получить версию сервера,
  • определить Security DB, если это возможно, так как не все сервера позволяют выполнить эту операцию.
  • подобрать клиентскую библиотеку автоматически (в соответствии с версией сервера). Автоматически ищет в следующих местах:

- в путях, которые сохранены в MRU поля Client library,

- в папке библиотеки, указанной в поле Client library,

- рекурсивно в корневой папке регистрируемого сервера (если он локальный и если папка определена),

- в корневой папке SQL Manager for InterBase/Firebird,

- в путях, указанных в переменной окружения Path,

- рекурсивно в корневых папках прочих установленных локально серверов,

- в System32

- в Windows.

Из файлов, обнаруженных в этих папках, выбирается наиболее подходящий по версии.

  • определить тип аутентификации.

Из раскрывающегося списка Security DB выберите базу данных безопасности серверов IB и FB. Также, Вы можете выбрать эту базу данных с помощью диалогового окна, открывающегося при нажатии на кнопку ExplorerButton .

В разделе Client укажите настройки клиента.

В поле Client library задайте библиотеку gds32.dll или fbclient.dll. Это можно сделать с помощью кнопки ExplorerButton или выбрав нужную библиотеку из раскрывающегося списка. В список попадет библиотека, которая раньше уже использовалась. Клиентская библиотека должна находиться на клиентской машине, соответственно, путь до нее должен быть локальным. Автоматически поиск клиентской библиотеки осуществляется с помощью кнопки Get Server Preferences.

В разделе Authentication type укажите тип аутентификации на сервере.

RadioButton Normal (traditional IB/FB authentication with security database) - стандартная авторизация с использованием базы данных безопасности серверов IB и FB.

RadioButton Win32 NTLM authentication (only FB 2.1 or above) - Win32 NTLM аутентификация пользователей (используется для серверов Firebird вер. 2.1 и выше).

RadioButton Mixed - смешанная.

CheckBox Если необходимо, использовать туннелирование для передачи данных, то установите флажок Use Secure Shell (SSH) tunneling.

CheckBox Для подключения по зашифрованному каналу, включите опцию Use SSL.

Проверить соединение можно, нажав кнопку Test connection.

При регистрации Embedded сервера некоторые поля становятся недоступными для редактирования, так как все параметры подключения к серверу содержатся в клиентских библиотеках, указываемых в разделе Client.

Create Database wizard - Setting connection parameters - Embedded

Для Embedded сервера необходимо указать клиентскую библиотеку в поле Client library. Это можно сделать с помощью кнопки ExplorerButton или выбрав нужную библиотеку из раскрывающегося списка.

Папку, в которой содержатся дополнительные вспомогательные библиотеки Embedded сервера, задайте в поле Embedded server root. (Эти библиотеки могут находиться в директории, отличной от той, в которой содержится клиентская библиотека Embedded сервера).

CheckBox Если установлен флажок Publish root into Path environment variable and server configuration file, то путь к директории, указанной в поле Embedded server root, будет добавлен в переменную окружения Path.

Если Вы хотите использовать локальные утилиты (например, gbak.exe) то рекомендуется библиотеку fbembed.dll переименовать в fbclient.dll, а утилиты разместить в той же папке, что и библиотеки embedded сервера.

Следующий шаг


Задание основных параметров базы данных

На втором шаге необходимо задать основные свойства создаваемой базы данных.

Create Database wizard - Specifying database parameters

В поле Fully qualified database file path укажите полный путь и сам файл базы данных, относительно сервера.

В разделе Database login укажите имя и пароль пользователя, создающего базу данных на сервере.

User name - имя пользователя.

Password - пароль.

Page size - размер страницы по умолчанию для новой базы данных.

Из раскрывающегося списка SQL dialect выберите диалект SQL.

SQL dialect | Используется для
1 | для сервера InterBase до версии 5.5 включительно.
3 | для сервера InterBase 6.0.

Из раскрывающегося списка Charset выберите кодировку. Если кодировка выбрана не будет (значение NONE), а для базы данных создана в значении, отличном от NONE - при подключении будет выведено соответствующее предупреждение.

В списке Collation выберите подходящий параметр сортировки.

Необязательное предложение Difference file задаёт путь и имя дельта файла, в который будут записываться изменения, внесённые в БД после перевода её в режим «безопасного копирования» («copy-safe»).

CheckBox Если Вы хотите хранить базу данных в нескольких файлах, то не устанавливайте флажок Single database file.

Если эта опция выключена, то следующим шагом будет Задание файлов базы данных, где Вы можете задать параметры вторичных файлов создаваемой базы данных

Следующий шаг


Задание файлов базы данных

Задайте параметры дополнительного файла базы данных

Этот шаг становится доступен только в том случае, если на предыдущем шаге Вы не установили флажок CheckBox Single database file.

Create Database wizard - Defining database files

Primary database file

В этом разделе задайте параметры основного файла базы данных.

CheckBox File length

Позволяет вручную задать длину основного файла БД. В соответствующем поле укажите длину основного файла.

Secondary database files

В данном разделе вы можете задать дополнительные файлы базы данных и их параметры.

В основном списке отображаются уже добавленные файлы. С помощью кнопки Add Вы добавляете указанный файл в список дополнительных файлов. Если из списка нужно удалить файл, то воспользуйтесь кнопкой Delete.

Нажмите кнопку в поле File name для редактирования свойств файла:

Fully qualified file path - Укажите полный путь к файлу

RadioButton Starting at - начальная точка файла

RadioButton Length - длина файла.

Следующий шаг


Выполнение операции

На последнем шаге Вы можете просмотреть полученный SQL скрипт.

Create Database Wizard - Viewing result SQL statement

Для завершения операции создания базы данных нажмите кнопку Finish.

CheckBox Если включена опция Register after creating, то после того, как база данных будет создана, откроется окно Database Registration Info, в котором можно будет отредактировать регистрационную информацию созданной базы данных


Мастер регистрации баз данных

Мастер регистрации баз данных позволяет Вам зарегистрировать уже существующую базу данных в SQL Manager for InterBase/Firebird.

Вызывается мастер командой Register Database..., которая присутствует в:

  • главном меню программы Database | Register Database...,
  • на панели инструментов SQL Manager for InterBase/Firebird,
  • в контекстном меню баз данных,
  • вызывается сочетанием клавиш Shift+Alt+R.

Мастер состоит из следующих шагов:

  • Указание сервера баз данных
  • Задание параметров соединения
  • Задание параметров регистрации

Смотрите также:

Мастер создания баз данных

Регистрационная информация баз данных

Параметры базы данных


Указание сервера баз данных

На первом шаге необходимо выбрать сервер, на котором находится регистрируемая база данных.

Register Database wizard - Selecting host

RadioButton Если указать Database is located on the host already registered in SQL Manager, то из раскрывающегося списка Host name можно выбрать один из зарегистрированных серверов.

RadioButton Если база данных располагается на незарегистрированном сервере, то выберите Database is located on new host.

Следующий шаг при выборе Database is located on the host already registered in SQL Manager

Следующий шаг при выборе Database is located on new host


Задание параметров соединения для зарегистрированного сервера

Если на первом шаге Вы указали, что сервер, на котором располагается база данных, уже зарегистрирован, то на втором шаге необходимо будет указать только имя пользователя, пароль и роль для доступа к серверу.

Register Database wizard - Registered host - Setting connection parameters

User name - имя пользователя.

Password - пароль.

Role - роль.

Этот шаг пропускается, если Вы регистрируете базу данных Embedded сервера.

Следующий шаг


Задание параметров соединения для нового сервера

Если на первом шаге Вы указали, что сервер не зарегистрирован, то на втором шаге необходимо будет указать параметры соединения с сервером.

Register Database wizard - New host - Setting connection parameters

В разделе Server задайте параметры подключения сервера.

Имя сервера выберите из раскрывающегося списка Host name. Если в этом списке нет нужного вам сервера, то укажите его в этом поле.

Из раскрывающегося списка Protocol выберите протокол соединения с сервером.

В поле Port/service укажите порт или имя службы.

Имя пользователя и пароль задайте в полях User name и Password соответственно.

В поле SQL role можно задать роль пользователя.

Нажатие на кнопку Get Server Preferences позволяет автоматически выполнить следующие операции:

  • получить версию сервера,
  • определить Security DB, если это возможно, так как не все сервера позволяют выполнить эту операцию.
  • подобрать клиентскую библиотеку автоматически (в соответствии с версией сервера). Автоматически ищет в следующих местах:

- в путях, которые сохранены в MRU поля Client library,

- в папке библиотеки, указанной в поле Client library,

- рекурсивно в корневой папке регистрируемого сервера (если он локальный и если папка определена),

- в корневой папке SQL Manager for InterBase/Firebird,

- в путях, указанных в переменной окружения Path,

- рекурсивно в корневых папках прочих установленных локально серверов,

- в System32

- в Windows.

Из файлов, обнаруженных в этих папках, выбирается наиболее подходящий по версии.

  • определить тип аутентификации.

Из раскрывающегося списка Security DB выберите базу данных безопасности серверов IB и FB. Также, Вы можете выбрать эту базу данных с помощью диалогового окна, открывающегося при нажатии на кнопку ExplorerButton .

В разделе Client укажите настройки клиента.

В поле Client library задайте библиотеку gds32.dll или fbclient.dll. Это можно сделать с помощью кнопки ExplorerButton или выбрав нужную библиотеку из раскрывающегося списка. В список попадет библиотека, которая раньше уже использовалась. Клиентская библиотека должна находиться на клиентской машине, соответственно, путь до нее должен быть локальным. Автоматически поиск клиентской библиотеки осуществляется с помощью кнопки Get Server Preferences.

В разделе Authentication type укажите тип аутентификации на сервере.

RadioButton Normal (traditional IB/FB authentication with security database) - стандартная авторизация с использованием базы данных безопасности серверов IB и FB.

RadioButton Win32 NTLM authentication (only FB 2.1 or above) - Win32 NTLM аутентификация пользователей (используется для серверов Firebird вер. 2.1 и выше).

RadioButton Mixed - смешанная.

CheckBox Если необходимо, использовать туннелирование для передачи данных, то установите флажок Use Secure Shell (SSH) tunneling.

CheckBox Для подключения по зашифрованному каналу, включите опцию Use SSL.

Проверить соединение можно, нажав кнопку Test connection.

При регистрации Embedded сервера некоторые поля становятся недоступными для редактирования, так как все параметры подключения к серверу содержатся в клиентских библиотеках, указываемых в разделе Client.

Register Database wizard - Setting connection parameters - Embedded

Для Embedded сервера необходимо указать клиентскую библиотеку в поле Client library. Это можно сделать с помощью кнопки ExplorerButton или выбрав нужную библиотеку из раскрывающегося списка.

Папку, в которой содержатся дополнительные вспомогательные библиотеки Embedded сервера, задайте в поле Embedded server root. (Эти библиотеки могут находиться в директории, отличной от той, в которой содержится клиентская библиотека Embedded сервера).

CheckBox Если установлен флажок Publish root into Path environment variable and server configuration file, то путь к директории, указанной в поле Embedded server root, будет добавлен в переменную окружения Path.

Если Вы хотите использовать локальные утилиты (например, gbak.exe) то рекомендуется библиотеку fbembed.dll переименовать в fbclient.dll, а утилиты разместить в той же папке, что и библиотеки embedded сервера.

Следующий шаг


Задание параметров регистрации

На этом шаге необходимо задать некоторые специальные опции регистрируемой базы данных.

В поле Database name необходимо ввести путь к регистрируемой базе данных. Выпадающий список содержит пути, введённые ранее. Кнопка ExplorerButton может быть использована только в случае, если IB/FB сервер установлен локально. (В списке отображаются последние введенные базы данных).

В поле Database alias указать псевдоним базы данных, то есть, под каким названием она будет отображаться в проводнике баз данных SQL Manager for InterBase/Firebird. По умолчанию псевдоним состоит из имени базы данных и имени сервера.

Из раскрывающегося списка Charset выберите кодировку. Для корректного отображения существующих данных необходимо, чтобы кодировка Charset совпадала с кодировкой, в которой создана база данных. Если кодировка выбрана не будет (значение NONE), а для базы данных создана в значении, отличном от NONE - при подключении будет выведено соответствующее предупреждение. Также, Вы можете автоматически установить кодировку, заданную для базы данных, нажав на кнопку Get default.

Проверить, существует ли соединение с базой данных, можно с помощью кнопки Test Connection.

Register Database wizard - Setting specific options - General

На закладке General выбираете набор символов шрифтов - Font charset.

С помощью флажков отмечаете необходимые действия, которые будут произведены с базой данных:

CheckBox Refresh objects on connection - получать информацию о всех объектах базы данных при подключении.

CheckBox Autoconnect on startup - при запуске программы SQL Manager for InterBase/Firebird связь с этой базой данных будет устанавливаться автоматически.

CheckBox Edit aliases file (only Firebird) - редактировать файл псевдонимов (только для сервера Firebird).

CheckBox Login prompt before connection -если Вы не хотите хранить пароль, то устанавливайте этот флажок и каждый раз при подключении пароль будет запрашиваться заново.

Закладка Logs

CheckBox Если Вы хотите вести журнал изменений, происходивших с метаданными, то установите флажок Enable log of metadata changes, и укажите, в какой файл следует записывать изменения.

CheckBox Если же хотите вести статистику по исполнению SQL скриптов, то активируйте функцию Enable log of Query Editor queries.

В поле Log file укажите, в какой файл сохранять эту статистику.

Register Database wizard - Setting specific options - Logs

CheckBox Если установлен флажок Is unicode, то файл будет генерироваться в кодировке Unicode.

Кнопка Copy Alias From позволяет скопировать все настройки из другой базы данных, которую можно выбрать из раскрывающегося списка, открывающегося по нажатию на кнопку btnSaveAs .

Чтобы завершить процесс регистрации базы данных, нажмите кнопку Finish.


Регистрационная информация баз данных

Регистрационная информация базы данных - это определяющие ее характеристики. Их устанавливают отдельно для каждой базы данных. Эти параметры уникальны и не влияют на другие базы данных. Открыть это окно можно при помощи пункта контекстного меню базы данных Database Registration Info, как для подключенной, так и для неподключенной базы данных.

Настройки подключения

Опции общего назначения

Опции отображения

Параметры системных объектов

Сетка данных

Свойства данных

Транзакции

События

Директории, используемые по умолчанию

Журналы регистрации

Поиск опций

В этом разделе задаются текущие значения параметров баз данных, а умолчания для вновь регистрируемых задаются на вкладке Data options в Environment Options.

Смотрите также:

Мастер создания баз данных

Мастер регистрации баз данных

Параметры базы данных


Настройки подключения

На этой вкладке можно изменить настройки базы данных для подключения к серверу.

Database Registration Info - Editing connection properties

User name

Укажите имя пользователя.

Password

Введите пароль для подключения к БД.

Role

Укажите роль пользователя.

Database name

Выберите нужную базу данных.

Database alias

Укажите псевдоним, под которым база данных будет отображаться в проводнике.

Сharset

Выберите набор символов для кодовой страницы и порядка сопоставления символьных данных для работы с данными в Юникоде и других форматах. Также, Вы можете автоматически установить кодировку, заданную для базы данных, нажав на кнопку Get default.

Encryption password

Позволяет подключаться к базам данных InterBase сервера с использованием System Encryption Password.

Кнопка Load Connection Info позволяет скопировать все настройки из другой базы данных, которую можно выбрать из раскрывающегося списка.


Опции общего назначения

На этой вкладке задайте основные параметры базы данных.

Database Registration Info - Setting common database options

CheckBox Login prompt before connection

Если Вы не хотите хранить пароль, то устанавливайте этот флажок, и каждый раз при подключении SQL Manager будет предлагать ввести имя пользователя и пароль заново.

CheckBox Autoconnect on startup

При запуске программы SQL Manager for InterBase/Firebird связь с этой базой данных будет устанавливаться автоматически.

CheckBox Disconnect automatically when disconnecting from host

Отключаться от базы автоматически, если происходит отключение от сервера.

CheckBox Always capitalize database objects names

Преобразовывать из строчных в заглавные (прописные) буквы в названиях объектов базы данных.

CheckBox Quote identifiers if they are reserved words

Если установлен этот флажок, то идентификаторы будут заключены в кавычки, если они являются зарезервированными словами.

CheckBox Refresh objects on connection

Получать информацию о всех объектах базы данных при подключении.


Опции отображения

Настройки отображения объектов базы данных.

CheckBox Use custom color for DB editors

Включите опцию и выберите цвет шрифта, которым будут отображаться вкладки объектов и редакторов выбранной БД.

Database Registration Info - Setting display options

Если установить флажок, то этот тип объектов будет отображаться в проводнике баз данных. По умолчанию отображаются все объекты.

С помощью контекстного меню Вы можете:

Выделить все типы объектов - Select All

Отменить выбор всех объектов - Deselect All

CheckBox Detect erroneous objects

Если установлен этот флажок, то объекты, содержащие ошибки, будут выделены в Проводнике баз данных.

Смотрите также:

Управление объектами базы данных

Проводник баз данных


Параметры системных объектов

Настройки отображения системных объектов базы данных.

Database Registration Info - System objects

Если флажок установлен, то выбранный тип объектов будет отображаться в проводнике баз данных.

CheckBox Show system tables - системные таблицы.

CheckBox Show system created indexes - системные индексы.

CheckBox Show system created constraints - системные ограничения.

CheckBox Show system created domains - системные домены.

CheckBox Show system created triggers- системные триггеры.

CheckBox Show system created generators - системные генераторы.

С помощью контекстного меню Вы можете:

Выделить все типы объектов - Select All

Отменить выбор всех объектов - Deselect All

CheckBox Если установлен флажок Allow editing system objects, то триггеры системных таблиц и представлений можно будет редактировать.

CheckBox Show system tables in performance analysis - если установлен этот флажок, то системные таблицы будут учитываться при анализе производительности.

Смотрите также:

Управление объектами базы данных

Проводник баз данных


Сетка данных

На этой вкладке укажите дополнительные параметры отображения данных в виде таблицы в просмотрщике данных.

Database Registration Info - Grid

CheckBox Enable boolean fields support

Если установлен этот флажок, то будут поддерживаться поля, имеющие тип данных boolean.

CheckBox Set required fields in grid

Если установлен этот флажок, то необходимо будет задавать значения для всех полей, имеющих свойство NOT NULL.

CheckBox Set calculated fields as read-only

Вычисляемые поля будут доступны только для чтения, если установлен этот флажок.

CheckBox Get default values for fields

Если этот флажок установлен, то в незаполненные поля автоматически будут подставляться значения, принятые по умолчанию для данных полей.

CheckBox Get record count beforehand

Если установлен этот флажок, то SQL Manager for InterBase/Firebird будет автоматически считать количество записей в таблице или запросе.

CheckBox Trim Char Fields in Grids

Если этот флажок установлен, то пробелы после значения в поле типа CHAR будут удаляться.

CheckBox Auto Commit Transactions

Применять транзакции автоматически.

CheckBox Protected Edit (block record while editing)

Если этот флажок установлен, то редактируемая запись будет заблокирована для редактирования для остальных пользователей.

Смотрите также:

Просмотрщик данных


Свойства данных

На этой вкладке задайте параметры представления данных в просмотрщике данных

Database Registration Info - Grid - Data options

Advanced

CheckBox Use separate connection for each data view within a database

Использовать новое подключение для всех просмотрщиков данных.

CheckBox Asynchronous query execution

Асинхронное выполнение запросов (выполнение запроса в отдельном программном потоке). Изменения вступят в силу после следующего запуска.

CheckBox Perform data sorting on client in data view

Выполнять сортировку средствами SQL Manager.

CheckBox Perform data filtration on client in data view

Выполнять фильтрацию средствами SQL Manager.

Если две предыдущие опции отключены, то фильтрация и сортировка будет производиться на сервере с помощью выполнения запроса с соответствующей инструкцией.

CheckBox Sort by primary key

Сортировать по первичному ключу.

String fields width (chars)

Задайте размер поля данных типа char.

Default Grid Mode

RadioButton Load visible records - загрузить видимые записи. В таблицу из dataset загружается определенное количество записей. Автоматическая сортировка, суммирование и фильтрация в этом режиме не поддерживаются.

RadioButton Load all records - загрузить все записи. В этом случае в таблицу загружаются все данные из dataset. При такой загрузке доступны сортировка, фильтрация, суммирование и т.д., но открытие данных в этом режиме требует больше времени.

Load visible rows mode if records more than

Укажите количество записей таблицы, при превышении которого автоматически будут загружаться только видимые записи.

Изменения, внесенные на этой вкладке, не применяются к открытым просмотрщикам данных.

По умолчанию, для вновь регистрируемой базы эти настройки берутся из соответствующих настроек в Environment Options.

Смотрите также:

Настройки данных


Транзакции

На этой вкладке задайте параметры транзакций данных и метаданных.

Database Registration Info - Defining Transactions

В разделе Data Transaction Properties задайте тип транзакции для данных, и для метаданных в разделе Metadata Transaction Properties. В поля редактирования можно вводить опции вручную.

RadioButton Snapshot

При транзакции всем инструкциям видны данные из моментального снимка в состоянии, которое существовало в момент начала транзакции.

RadioButton Read commited

Всем инструкциям видны данные из моментального снимка в том состоянии, которое существовало на момент начала выполнения инструкции.

RadioButton Read-only table stability

На время транзакции таблица становится доступной только для чтения.

RadioButton Read-write table stability

Во время транзакции таблица доступна для записи и чтения.


События

На этой вкладке Вы можете зарегистрировать события. События, зарегистрированные здесь будут отслеживаться клиентом и их будет можно отслеживать с помощью монитора событий.

Database Registration Info - Defining Events

С помощью кнопки Add добавить строку в общий список. В новой строке укажите текст сообщения.

Чтобы зарегистрировать сообщение, установите флажок Registered и нажмите кнопку OK.

Удалить сообщение можно, нажав на кнопку Remove.

Сообщения отправляются при выполнении процедуры или триггера, если в теле триггера или процедуры Вы указали оператор POST_EVENT.

Смотрите также:

Список событий


Директории, используемые по умолчанию

На этой вкладке указываются директории для хранения внешних данных.

Database Registration Info - Setting default directories

Default directory for Extract Metadata

В эту папку, по умолчанию, будут сохраняться выгруженные с помощью Extract Database Wizard файлы.

Default directory for Export Data

Папка, в которую будет производить экспорт данных с помощью Export Data Wizard

Default directory for Import Data

Из этой директории будет импортировать данные с помощью Import Data Wizard

Default directory for HTML Report

Директория, которая будет подставляться в Data Export (Import\HTML Report) Wizard по умолчанию.

Default directory for Reports

В эту папку сохраняются файлы отчетов, созданные пользователем. При условии, что при создании отчета пользователь указывает в мастере создания отчетов (Create Report Wizard), что этот отчет необходимо сохранить в файл базы данных. По умолчанию SQL Manager for InterBase/Firebird автоматически создает эту папку в "Мои документы" при первом сохранении отчета.

Default directory for Scripts

Папка в которую будут сохраняться SQL скрипты, создаваемые в Редакторе SQL скриптов.


Журналы регистрации

Metadata changes

CheckBox Если Вы хотите вести журнал изменений, происходивших с метаданными, то установите флажок Enable log of metadata changes, и укажите, в какой файл следует записывать изменения.

В поле Metadata log file укажите, в какой файл сохранять эту статистику.

CheckBox Если установлен флажок In unicode, то файл журнала будет сохранен в юникоде.

Query Data

CheckBox Если же Вы хотите вести статистику по исполнению SQL скриптов, то активируйте функцию Enable log of Query Data queries.

В поле Query Data log file укажите, в какой файл сохранять эту статистику.

CheckBox Если установлен флажок In unicode, то файл журнала будет сохранен в юникоде.

Database Registration Info - Setting log options

QuickSave options

Вы можете задать параметры автосохранения данных.

CheckBox Установив флажок Enable QuickSave every n minute(s), задайте в счетчике через сколько минут необходимо делать быстрое сохранение.

Директорию для быстрого сохранения укажите в поле Default directory for QuickSave.


Найти опцию

Раздел Find Option позволяет вам легко и быстро искать параметры, доступные в диалоговом окне Database Registration Info.

Option

В этом поле вы можете ввести название параметра для поиска в параметрах регистрации базы данных.

Database Registration Info - Find Option

The Available options area lists all options of the Database Registration category according to the specified name. The Option Kind, Category and Group columns specify option type and location.

Select the required option in the list and click iconFindText Show Option to open the corresponding section where you can view/edit the value of this option. For your convenience the required option is marked with an animated iconFindOption icon.


Регистрационная информация сервера

Регистрационная информация сервера - это параметры, задаваемые при соединении с сервере. Их устанавливают отдельно для каждого сервера. Эти параметры уникальны и не влияют на другие серверы. Они устанавливаются в значения по умолчанию при создании базы данных, но могут быть изменены впоследствии при помощи пункта контекстного меню сервера Host Registration Info. Или в главном меню программы выбрать пункт Database | Host Registration Info.

Параметры соединения

Опции сервера

SSH Туннелирование

Поиск опций

Нажав на кнопку Test Connection Вы можете проверить существует ли соединение с сервером в настоящее время. Информация о наличии соединения отображается в окне сообщения.

Смотрите также:

Мастер регистрации хоста


Параметры соединения

На этой вкладке Вы можете посмотреть и изменить параметры подключения к серверу.

Host Registration Info - Connection

Protocol - протокол соединения с сервером. Поле не доступно для редактирования.

Имя сервера выберите из раскрывающегося списка Host name. Если в этом списке нет нужного вам сервера, то укажите его в этом поле.

В поле Port/service укажите порт или имя службы.

Имя пользователя и пароль задайте в полях User name и Password соответственно. В поле Role можно задать роль пользователя.

В поле Path to client library gds32.dll/fbclient.dll задайте библиотеку gds32.dll или fbclient.dll. Это можно сделать с помощью кнопки ExplorerButton или выбрав нужную библиотеку из раскрывающегося списка. В список попадет библиотека, которая раньше уже использовалась. Клиентская библиотека должна находиться на клиентской машине, соответственно, путь до нее должен быть локальным. Если хотите автоматически подставить в список нужную библиотеку, то нажмите кнопку Detect Automatically.

При нажатии этой кнопки будет произведен поиск клиентской библиотеки в следующий местах:

  • в рабочей директории SQL Manager,
  • в директории SystemRoot\System32,
  • в директориях переменной среды PATH.

В разделе Authentication type укажите тип аутентификации на сервере.

RadioButton Normal (traditional IB/FB authentication with security database) - стандартная авторизация с использованием базы данных безопасности серверов IB и FB.

RadioButton Win32 NTLM authentication (only FB 2.1 or above) - Win32 NTLM аутентификация пользователей (используется для серверов Firebird вер. 2.1 и выше).

RadioButton Mixed - смешанная.

Путь к базе данных безопасности серверов укажите в поле Path to server security database isc4.gdb/admin.ib/security.fdb. База данных безопасности находится на IB/FB сервере, соответственно, задаваемый путь - это путь для файла, находящегося на удаленной машине. Кнопка ExplorerButton может быть использована только в случае, если IB/FB сервер установлен локально.

Путь к утилитам базы данных можно указать в поле Path to database utilities. Имеются в виду утилиты командной строки, входящие в пакет IB/FB клиента или сервера.

Если хотите автоматически подставить в поле нужное значение, то нажмите кнопку Detect Automatically.

Укажите псевдоним для текущего хоста в поле Host alias, который будет отображаться в Проводнике БД.

При редактировании параметров соединения Embedded сервера некоторые поля становятся недоступными для изменения.

Host Registration Info - Connection - Embedded

Важно: Резервное копирование и Восстановление базы данных из резервной копии, расположенной на Embedded сервере, можно осуществить только с помощью локальных утилит и только в случае, если в одной папке с утилитой gbak.exe (эта папка указывается в поле Path to database utilities на этой вкладке) находится библиотека fbembed.dll (embedded сервера), переименованная в fbclient.dll, а также библиотеки icudt30.dll, icuin30.dll и icuuc30.dll.


Опции сервера

На этой вкладке задайте некоторые дополнительные параметры сервера.

Host Registration Info - Common host options

CheckBox Login prompt before connection

Если Вы не хотите хранить пароль, то устанавливайте этот флажок, и каждый раз при подключении SQL Manager будет предлагать ввести имя пользователя и пароль заново.

CheckBox Autoconnect on startup

При запуске программы SQL Manager for InterBase/Firebird связь с этим хостом будет устанавливаться автоматически.

CheckBox Connect to the host automatically when connecting to any its database

Подключаться к серверу автоматически, если установлено соединение с одной из его баз данных.

CheckBox Don't show client library warnings

Не показывать предупреждения о версиях клиентской библиотеки.


SSH Туннелирование

CheckBox Если необходимо использовать туннелирование для передачи данных, то установите флажок Use Secure Shell (SSH) tunneling.

Host Registration Info - SSH Tunneling

SSH (Secure Shell Host) протокол используется для повышения компьютерной безопасности при работе Unix-системами в Internet. SSH использует несколько алгоритмов шифрования разной степени надежности. Распространенность SSH связана еще и с тем, что многие Linux-подобные ОС (например, FreeBSD) включают в стандартную комплектацию SSH сервер. Для получения дополнительной информации Вы можете посетить https://www.openssh.com. Опция SSH туннель в SQL Manager представляет собой средство организации безопасного доступа к серверу при работе по небезопасным каналам связи. Также Вы можете использовать SSH туннель для доступа к удаленным серверам, если по каким-либо причинам порт 3050 закрыт для внешних подключений. Соединение через SSH туннель выглядит следующим образом. Сначала устанавливается соединение и производится процедура аутентификации между встроенным в SQL Manager for InterBase/Firebird SSH клиентом и удаленным SSH сервером, затем вся исходящая и входящая информация между программой и сервером передается через SSH сервер с использованием коммуникационного порта (обычно 22), а SSH сервер транслирует информацию уже непосредственно серверу баз данных. Чтобы зарегистрировать базу данных, соединение к которой должно выполняться с использованием SSH туннеля, Вы должны задать следующие параметры при регистрации базы данных:

SSH Host - имя машины (IP-адрес), на которой установлен сервер SSH.

SSH Port - порт SSH сервера на удаленном хосте (по умолчанию равен 22).

SSH User Name - имя пользователя на сервере (пользователь SSH сервера, а не сервера InterBase/Firebird).

SSH Password - пароль пользователя SSH сервера.

Имейте в виду, что в случае использования SSH туннелирования имя хоста должно быть задано относительно сервера SSH. Например, если InterBase/Firebird и SSH сервер установлены на одном компьютере, следует указать 'localhost' в качестве имени хоста вместо имени внешнего хоста или IP адреса.

CheckBox Если установлен флажок Use Private Key for authentication, то в поле SSH key file можно указать ключевой файл для аутентификации.


SSL

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

Параметры SSL

Если необходимо подключаться к базе данных по зашифрованному каналу, Вы можете настроить SSL на этой вкладке.

Host Registration Info - SSL

Client certificate

Задайте полный путь к SSL-сертификату на клиентском компьютере.

Passphrase file

Задайте полный путь к файлу, содержащему ключевую парольную фразу.

Passphrase

Введите пароль с парольной фразой.

CA file

Укажите имя файла центра сертификации.

CA path

Задайте путь для расположения файла центра сертификации.


Свойства базы данных

Свойства базы данных - это некоторые дополнительные ее характеристики. Их устанавливают отдельно для каждой базы данных. Эти параметры уникальны и не влияют на другие базы данных. Открыть это окно можно как для подключенной, так и для неподключенной базы данных.

Чтобы просмотреть свойства базы данных необходимо выбрать пункт Database Properties в контекстном меню базы данных или нажать кнопку Object properties на панели инструментов проводника баз данных.

Информация

Основные свойства

Активные пользователи

Текстовое описание

Дополнительные файлы

Поиск опций

Смотрите также:

Мастер создания баз данных

Мастер регистрации баз данных

Регистрационная информация баз данных


Информация

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

нформация

Раздел Информация отображает информацию о базе данных: о файле БД, кодировке, характеристиках памяти и быстродействии.

Database Properties - Info

Информация о БД (Database Characteristics)

Версия (Version)

Информация о версии БД.

Версия ODS (ODS version)

Версия дисковой структуры, используемая БД.

Реализация (Implementation)

Версия реализации.

Имя файла (File name)

Полное имя файла БД.

Расположение БД (Site name)

Имя хоста БД.

Набор символов по умолчанию (Default charset)

Набор символов БД по умолчанию. Его значение можно изменить на вкладке Основных свойств.

Сортировка по умолчанию (Default collation)

Сортировка по умолчанию для БД.

Размер страницы (Page size)

Размер страницы БД (в байтах).

Выделенные страницы (Allocated pages)

Количество страниц БД.

Размер БД (Database size)

Размер БД (в Мб).

Характеристики окружения (Environment Characteristics)

Текущая память (Current memory)

Количество используемой памяти (в байтах).

Максимальная память (Max memory)

Максимальное количество байт, используемое БД.

Статистика производительности (Performance Statistics)

Отметки (Marks)

Количество отмеченных страниц БД.

Загрузки записей (Fetches)

Количество загруженных в память страниц БД.

Чтения (Reads)

Количество прочитанных страниц БД.

Записи (Writes)

Количество записанных страниц БД.


Основные свойства

На этой вкладке вы можете задать основные свойства БД.

Database Properties - General

SQL Dialect

Диалект SQL, используемый в выбранной базе данных.

Sweep Interval

Число транзакций, после выполнения которых будет произведена сборка мусора.

Reclaim interval

Интервал, в секундах, который задает частоту запуска сборщика мусора для очистки памяти от неиспользуемых процедур, триггеров и внутренних системных запросов.

Default charset

Набор символов БД, используемый по умолчанию.

Linger interval

Позволяет установить задержку закрытия базы данных. Сохраняет базу данных в открытом состоянии в течение заданного интервала (в секундах) после того, как последние соединение закрыто. Это может помочь улучшить производительность и уменьшить издержки в случаях, когда база данных часто открывается и закрывается.

Difference file

Путь и имя дельта файла (.delta).

Buffers

Кэш базы данных состоит из всех страниц базы данных (буферов), хранящихся в памяти одновременно.

Pages

Количество страниц базы данных.

Size

Размер страниц (в килобайтах)

Cache

CheckBox Forces writes

Указывает, установлен ли для базы режим синхронного вывода.

CheckBox Group commit

Включает групповую фиксацию транзакций.

CheckBox Linger interval

Позволяет установить задержку закрытия базы данных. Сохраняет базу данных в открытом состоянии в течение заданного интервала (в секундах) после того, как последние соединение закрыто.

CheckBox Flush interval

Указывает включен ли сброс буферов БД.

Embedded User Authentication

CheckBox Use Embedded User Authentication

Задает будет ли в базе данных использоваться аутентификация встроенного пользователя (Embedded User Authentication).

CheckBox Enabled

Включить/Отключить аутентификацию встроенного пользователя (Embedded User Authentication).

CheckBox Reserve page spaces

Включает резервирование пространства.

CheckBox Read Only

Если этот флажок установлен, то база данных доступна только для чтения.


Активные пользователи

На этой вкладке отображается список активных пользователей базы данных.

Database Properties - Active users


Текстовое описание

На этой вкладке Вы можете задать текстовое описание выбранной базы данных.

Database Properties - Description


Дополнительные файлы

На данной вкладке вы можете просмотреть информацию о дополнительных файлах базы данных.

Database Properties - Secondary Files

В столбце Length отображается информация о максимальном размере дополнительного файла, в страницах.

В столбце Starting at отображается номер страницы, с которой должен начаться дополнительный файл.

Значение Preallocate обозначает дополнительное пространство для нового файла.


Поиск опций

С помощью этого инструмента Вы можете найти свойства базы данных по их названию.

Option

Введите в данное поле сочетание символов, которое вы хотите найти.

Database Properties - Find Option

Все опции, в названии которых встречается искомое сочетание символов, выводятся в списке.

В поле Available Options отображается название найденных опций. В поле Option Kind отображается раздел, к которому относится указанная функция.

Вкладка, на которой расположена искомая функция показана в поле Category. Группа элементов управления, к которой относится искомая опция, отображается в столбце Group.

Чтобы перейти к искомой опции, выберите нужную опцию из списка и нажмите кнопку iconFindText Show Option или два раза нажмите мышкой на нужной опции в общем списке.

После этого будет совершен переход на вкладку где эта опция находится, а сама опция будет обозначена символом iconFindOption


Объекты базы данных

SQL Manager for InterBase/Firebird предоставляет пользователю набор всех необходимых инструментов для работы с объектами базы данных.

Важно: Чтобы начать работать с объектами, необходимо подключиться к базе данных.

Основные действия с объектами

Создание нового объекта

Для создания любого объекта используйте:

  • пункт Database | New Object главного меню программы,
  • или контекстное меню объекта базы данных <Тип объекта> | пункт New <Тип объекта>. Этот пункт присутствует и в контекстном меню группы объектов и в контекстном меню объекта. Например: в контекстном меню группы объектов Tables выберите пункт New Table.
  • сочетание клавиш <Ctrl + N>.

Созданный объект автоматически открывается в соответствующем редакторе.

Копирование объекта

Для копирования объектов существует специальный мастер, потому что объект можно копировать в другую базу данных, а так же с данными или без них.

Для копирования объекта необходимо выбрать пункт Duplicate<тип объекта><имя объекта> в контекстном меню объекта. Если Вы копируете объект таким образом, то Мастер копирования объектов открывается сразу на третьем шаге, так как на первых двух шагах выбирается база данных и объект, а в данном случае это не нужно.

Редактирование объекта

Для открытия объекта базы данных в соответствующем редакторе достаточно двойного щелчка мыши по нему в проводнике баз данных. Или выбора пункт Edit<тип объекта><имя объекта> в контекстном меню объекта. Ещё можно использовать сочетание клавиш <Ctrl + О>

Переименование объекта

Если хотите сменить имя объекта, то Вам нужно:

  • выбрать пункт контекстного меню объекта Rename<тип объекта><имя объекта>,
  • или использовать сочетание клавиш <Ctrl + R>.

Важно: Таблицы нельзя переименовывать.

Удаление объекта

Чтобы удалить объект необходимо для выбранного объекта выбрать пункт контекстного меню объекта Drop<тип объекта><имя объекта> или использовать сочетание клавиш <Shift + Del>.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Службы

Настройки

Внешние инструменты

Как...


Новый объект

С помощью этого инструмента Вы можете выбрать тип создаваемого объекта и запустить соответствующий инструмент для создания объекта.

Для создания нового объекта выберите Database | New Object в главном меню программы.

В появившемся окне выберите базу данных, в которой будет создан объект, из раскрывающегося списка Database (в списке отображаются только подключенные базы данных), и тип создаваемого объекта из списка Select the type of object to create.

Объект открывается в соответствующем редакторе при нажатии кнопки OK, или при двойном щелчке левой кнопки мыши.

Database Objects management - Create New Object

Смотрите также:

Основные операции над объектами

Мастер копирования объекта


Мастер копирования объектов

Для копирования объекта надо выбрать пункт Duplicate<тип объекта><имя объекта> в контекстном меню объекта или Database | Duplicate Object... в главном меню программы.

Одним из этих действий Вы запускаете Мастер копирования объектов.

Этот мастер используется для создания нового объекта базы данных с такими же свойствами, как у копируемого объекта.

Необходимо помнить, что объекты копируются вместе с подобъектами. Выбрать копируемые подобъекты Вы сможете на одном из шагов.

Мастер состоит из следующих шагов:

  • Выбор исходной базы данных,
  • Выбор объекта для копирования,
  • Выбор базы данных и имени для нового объекта,
  • Выбор подобъектов,
  • Изменение скрипта.

Смотрите также:

Основные операции над объектами

Новый объект


Выбор исходной базы данных

Из раскрывающегося списка Source database выберите базу данных, в которой содержится исходный объект.

Duplicate Object Wizard - Selecting the source database

Следующий шаг


Выбор объекта

Выберите объект, который хотите скопировать

Из раскрывающегося списка Object выберите тип объекта, из списка, расположенного ниже, выберите объект.

Duplicate Object Wizard - Selecting object to duplicate

Следующий шаг


Выбор базы данных

На этом шаге необходимо выбрать базу данных, в которую Вы хотите поместить новый объект и задать имя этого объекта.

Duplicate Object Wizard - Selecting destination database

Из раскрывающегося списка Target database выбираете базу данных

CheckBox Если флажок Copy data установлен, то в новый объект будут скопированы все данные, содержащиеся в копируемом.

Если не установлен, то будет скопирована только структура объекта.

CheckBox Если установлен флажок Deactivate triggers while data copying, то в процессе копирования данных триггеры объекта будут неактивны. Триггеры будут деактивированы перед началом копирования данных.

CheckBox Привилегии, заданные для исходного объекта будут назначены новому, если установлен флажок Copy privileges.

Следующий шаг


Выбор подобъектов

На этом шаге Вы можете указать какие из подобъектов нужно скопировать.

Duplicate Object Wizard - Specifying object details

Подобъекты:

  • первичные ключи - Primary Key,
  • внешние ключи - Foreign Keys,
  • ограничения - Checks,
  • индексы - Indexes.

Все подобъекты, отмеченного флажком типа будут скопированы.

Также можно изменить название подобъекта один раз нажав на нем мышкой.

Следующий шаг


Просмотр описания

Просмотрите скрипт создания нового объекта в окне New object definition.

Duplicate Object Wizard - Modifying the new object's definition

Для создания объекта нажмите Finish.


Домены

Домен - это шаблон описания свойств и параметров столбца. Действует для всей базы данных. На этом шаблоне может базироваться описание конкретных столбцов.

Если в базе данных существуют столбцы, имеющие одинаковый набор параметров, то для них целесообразно создавать домены.

Редактор доменов позволяет создавать и редактировать объекты этого типа. Он открывается автоматически при создании или редактировании объекта.

Чтобы открыть объект в соответствующем редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Domain - Редактировать параметры домена
  • Check - Проверки домена
  • Dependencies - Зависимости объектов
  • Description - Описание объекта
  • DDL - Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Domain Editor - Using Navigation bar

на панели Object:

iconDB Выбрать базу данных,

Выбрать объект для редактирования.

на панели General:

iconCompile компилировать домен - Compile,

iconPrint печатать метаданные таблицы - Print,

просматривать Дерево зависимостей - Dependency tree,

iconQuickSave быстрое сохранение - Quick save,

iconQuickLoad быстрая загрузка - Quick load,

iconRefresh обновить домен - Refresh,

btnEnvironmentOptions настройки редактора объектов - Options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При создании домена появляется дополнительная панель, позволяющая задать параметры массива.

iconPlus добавить размерность массива - Add Dimension,

btnArrowRight добавить перед выбранной записью - Insert Dimension,

iconMinus удалить запись - Delete Dimension,

btnArrowUp переместить на одну позицию вверх - Move Up Dimension,

btnArrowDown переместить на одну позицию вниз - Move Down Dimension.

При переходе на другие вкладки редактора, появляются панели, со специальными функциями для каждой вкладки.

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Execute Script - Open DDL in Execute Script.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Appearance в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактирование домена

На вкладке Domain задайте основные параметры домена при создании и редактировании этого объекта.

Domain Editor - Editing domain definition

В поле Name укажите название домена.

Из раскрывающегося списка Type выберите один из основных типов данных.

С помощью счетчика Length задайте длину поля.

Из раскрывающегося списка Subtype выберите номер подтипа данных типа BLOB.

У типа BLOB имеется возможность определять набор нескольких подтипов и специальных процедур, называемых фильтрами (BLOB filters), для работы с этими подтипами. Существует несколько предопределенных подтипов BLOB, которые встроены в InterBase. Все эти подтипы имеют неотрицательные номера, например subtype 0 - это данные неопределенного типа, subtype 1 - текст, subtype 2 - BLR (Binary Language Representation).

Для текстовых полей можно выбрать из раскрывающегося списка Charset кодировку, а из списка Collate правило сравнения символьных данных.

Default value

С помощью этой группы опций задайте выражение, которое по умолчанию заносится в столбец, ассоциированный с доменом, при создании записи таблицы.

Value

Введите желаемое значение по умолчанию для домена. Тип введенного значения должен совпадать с типом данных домена.

Отметьте опцию CheckBox Set value to, чтобы выбрать значение по умолчанию для домена из списка значений по умолчанию, соответствующих выбранному типу данных.

CheckBox Установленный флажок Not Null указывает, что столбцы, ассоциированные с доменом, обязательно должны содержать какое-либо значение, отличное от пустого.

Границы массива данных можно задать в разделе Array только при создании домена.

С помощью кнопок Add и Delete, располагающихся на панелях инструментов, добавляйте и удаляйте значения.

Lower bound - нижняя граница.

Upper bound - верхняя граница.


Проверки домена

На вкладке Check Вы можете задать условия, ограничивающие значения, вводимые в столбец.

Domain Editor - Check


Таблицы

Таблицы являются объектами, которые содержат все данные в реляционных базах данных. Таблица - это коллекция столбцов. В таблицах данные организованы в виде строк и столбцов, аналогичном электронной таблице. Каждая строка представляет уникальную запись, а каждый столбец представляет поле записи. Например, таблица, содержащая данные о сотрудниках компании, может иметь строку для каждого сотрудника и столбцы, представляющие сведения о сотрудниках (например, его идентификационный номер, имя, адрес, должность и номер домашнего телефона). Каждая таблица может содержать до 1024 столбцов. Имена таблиц и столбцов должны соответствовать правилам для идентификаторов; они должны быть уникальными в пределах таблицы, другими словами, можно использовать одинаковые имена столбцов в разных таблицах одной базы данных.

Таблицы имеют следующие основные составляющие:

  • Столбцы

Каждый столбец представляет какой-либо атрибут объекта, моделируемого таблицей, к примеру, таблица сведений о деталях содержит столбцы для их идентификатора, цвета и веса.

  • Строки

Каждая строка представляет отдельное вхождение объекта, моделируемого таблицей. Например, в таблице сведений о деталях обязательно имеется одна строка для каждой детали, продаваемой компанией.


Новая таблица

Инструмент New Table позволяет Вам создавать новую таблицу, задавать для нее поля и редактировать ее описание.

Это окно открывается автоматически при создании таблицы.

  • Панели инструментов
  • свойства таблицы
  • задание полей таблицы

Смотрите также:

Редактор таблиц

Редактор полей


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

New table - Using Navigation bar

на панели Object

iconDB выбрать базу данных, в которой надо создавать таблицу.

на панели General

iconCompile компилировать таблицу с текущими свойствами - Compile,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

При переходе на другие вкладки появляются панели, со специальными функциями для каждой вкладки.

Когда активна вкладка Fields, то появляется панель Fields.

добавить поле - Add field.

редактировать поле - Edit field

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Execute Script - Open DDL in Query Editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Свойства таблицы

На вкладке Table задаются основные свойства создаваемой таблицы:

New table - Setting table properties

Название таблицы укажите в поле Table Name.

Table type

В этом разделе выберите тип таблицы.

RadioButton Persistent table

Постоянная таблица для хранения данных.

RadioButton External table

Внешняя таблица, которая будет получать данные из внешнего файла.

File name

Используя кнопку ExplorerButton, укажите файл для внешней таблицы.

RadioButton Transaction GTT - таблицы GLOBAL TEMPORARY хранят записи только до ближайшей фиксации транзакции, причем не только транзакции, которая их создала, но и любой другой транзакции в этом же подключении.

RadioButton Connection GTT - таблицы GLOBAL TEMPORARY хранят записи до окончания подключения, во время которого они были добавлены, причем их видимость ограничена только этим подключением.

Description - текстовое описание.


Задание полей

Вкладка Fields предназначена для задания полей создаваемой таблицы.

New table - Specifying fields

На этой вкладке отображаются следующие свойства поля:

  • является ли оно ключевым - Primary Key,
  • имя поля - Column Name,
  • тип данных - Data Type,
  • допускается нулевое значение или нет - Not Null,
  • должно ли значение в этом поле быть уникальным - Unique,
  • комментарий - Comment.

Двойной щелчок откроет выбранное поле в соответствующем редакторе - Field Editor

Контекстное меню поля таблицы

Правой кнопкой можно вызвать контекстное меню поля.

С помощью этого меню можно:

  • создать новое поле - New Field...,
  • редактировать поле - Edit Field <имя поля>,
  • вставить поле - Insert Field,
  • удалить поле - Delete Field <имя поля>,
  • переместить выше - Move Up,
  • переместить ниже - Move Down.


Редактор таблиц

Редактор таблиц - основной инструмент SQL Manager for InterBase/Firebird для работы с таблицами баз данных. Он позволяет выполнять все операции с таблицей, а также с ее подобъектами.

Чтобы открыть таблицу в редакторе таблиц достаточно двойного щелчка мыши на таблице в проводнике баз данных.

Инструменты редактора таблиц:

  • Панели инструментов
  • Изменение порядка полей
  • Вкладки

Вкладки редактора таблиц

Для удобства Редактор таблиц разделен на несколько вкладок, каждая из которых позволяет выполнять некоторое количество операций, и отвечает за определенный набор свойств таблицы и элементов таблицы.

Вкладки:

  • Table - текстовое описание таблицы.
  • Fields - работа с полями.
  • Constraints - ограничения таблицы:
  • Primary key - управление первичными ключами,
  • Foreign keys - управление внешними ключами,
  • Managing checks - управление проверками,
  • Unique keys - управление уникальными ключами,
  • Indexes - управление индексами.
  • Triggers - работа с триггерами.
  • Dependencies - зависимости объектов.
  • Data - просмотр данных.
  • Permissions - назначение прав.
  • Description - описание объекта.
  • DDL - просмотр DDL.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Да
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Новая таблица

Редактор полей

Редактор индексов


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Table Editor - Using Navigation bar

на панели Object:

iconDB Выбрать базу данных,

Выбрать таблицу для редактирования.

на панели General:

iconRefresh обновить содержимое редактируемой таблицы - Refresh,

iconCompile компилировать таблицу - Compile,

iconPrint печатать метаданные таблицы - Print,

iconGrantsOnObject задать права на объект - Grants on table,

iconQuickSave быстрое сохранение - Quick save,

iconQuickLoad быстрая загрузка - Quick load,

iconOptions настроить редактор таблиц - Option.

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size,

На панели Tools:

просматривать Дерево зависимостей таблицы - Dependency tree,

создать представление - Create view,

создать процедуру - Create procedure.

При переходе на другие вкладки редактора появляются панели со специальными функциями для каждой вкладки.

на панели Fields:

Для вкладки Fields появляется панель Constraints. С ее помощью Вы можете:

создать в таблице новое поле - New Field,

редактировать выделенное поле - Edit Field<имя поля>,

удалить выделенное поле Drop field<имя поля>.

iconDBExplorer В группе Explorer отображается полный список подобъектов таблицы.

На вкладке Constraints расположено несколько вкладок. Для каждой из них отображаются соответствующие элементы на панели инструментов:

Для вкладки Primary key появляется панель Constraints. С ее помощью Вы можете:

создать первичный ключ - New Primary Key,

редактировать существующий ключ - Edit Primary Key <имя объекта>,

удалить существующий ключ - Drop Primary Key <имя объекта>.

Для вкладки Foreign Keys появляется панель Constraints. С ее помощью Вы можете:

создать внешний ключ - New Foreign Key,

редактировать существующий ключ - Edit Foreign Key <имя объекта>,

удалить существующий ключ - Drop Foreign Key <имя объекта>.

Для вкладки Checks появляется панель Constraints, с помощью которой Вы можете:

создать ограничение - New check,

редактировать существующее ограничение - Edit check <имя объекта>,

удалить существующее ограничение - Drop check <имя объекта>.

Для вкладки Unique появляется панель Constraints, с помощью которой Вы можете:

создать уникальный ключ - New Unique Key,

редактировать существующий ключ - Edit Unique Key <имя объекта>,

удалить существующий ключ - Drop Unique Key <имя объекта>.

Для вкладки Indexes появляется панель Indexes, с помощью которой Вы можете:

создать новый индекс - New index,

редактировать существующий индекс - Edit index <имя объекта>,

удалить существующий индекс - Drop index <имя объекта>.

Для вкладки Triggers появляется панель Triggers, с помощью которой Вы можете:

создать новый триггер - New trigger,

редактировать существующий триггер - Edit trigger <имя объекта>,

удалить существующий триггер - Drop trigger <имя объекта>.

Для вкладки Data появляется панель Data management, с помощью которой Вы можете:

iconCommit применить транзакцию для данных - Commit Transaction,

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction,

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data.

Для вкладки Permissions появляется панель Data management, с помощью которой Вы можете:

добавить объект - Add Object,

Grant - предоставить права,

Revoke - не установлены права,

Grant with GRANT OPTION - предоставить с правами 'GRANT',

Grant All - установлены права на все действия для выделенного объекта,

Revoke All - не установлены для всех действий данного объекта,

Grant All with GRANT OPTION - предоставить с правами 'GRANT' на все действия для выделенного объекта,

Grant on All - предоставить права на это действие для всех объектов,

Revoke on All - не установлены права на это действие для всех объектов,

Grant on All with GRANT OPTION - предоставить с правами 'GRANT' на это действие для всех объектов,

Grant All on All - предоставить права на все действия для всех объектов,

Revoke All on All - не установлены права на все действия для всех объектов,

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Execute Script - Open DDL in Query Editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Работа с полями

Вкладка Fields редактора таблиц предназначена для работы с полями таблицы.

Поле - область окна или записи, в которой хранится отдельное значение.

Двойной щелчок открывает поле в редакторе полей. Правой кнопкой вызывается контекстное меню поля.

Для каждого поля на этой вкладке можно указывать следующие свойства:

  • имя - Field Name,
  • тип значения - Field Type (для определенных пользователем типов данных в скобках указывается базовый тип, на основе которого создан данный тип),
  • домены - Domain,
  • допускается нулевое значение или нет - Not Null,
  • значение по умолчанию - Default Source,
  • формула для подсчета вычисляемого значения - Computed Source,
  • краткое текстовое описание поля - Description.

Table Editor - Managing fields

Свойства поля (кроме описания) нельзя менять в таблице. Для внесения изменений необходимо открыть Редактор полей.

Создать поле

Чтобы добавить поле в таблицу необходимо выполнить следующие действия:

  • открыть таблицу в редакторе таблиц. Для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Fields (по умолчанию открывается сразу при открытии таблицы в редакторе таблиц),
  • в контекстном меню поля выбрать пункт New Field...,
  • в появившемся редакторе полей укажите требуемые свойства поля.

Копировать поле

Для копирования поля необходимо выбрать пункт Duplicate Field <имя объекта> в контекстном меню поля. В первом появившемся окне введите имя нового поля, а во втором укажите копировать ли объект с данными или без них.

Редактировать поле

для того чтобы изменить поле необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Fields (по умолчанию открывается сразу при открытии таблицы в редакторе таблиц),
  • в контекстном меню поля выбрать пункт Edit Field<имя объекта>,
  • в появившемся редакторе полей укажите требуемые свойства поля.

Если в Environment Options на вкладке DB Explorer установлен флажок Show table subobjects, то поля таблицы будут отображаться в проводнике баз данных. В этом случае для того, чтобы изменить поле нужно щелкнуть на нем два раза мышкой в проводнике баз данных.

Если в контекстном меню SQL Assistant, в качестве отображаемых подобъектов таблицы, Вы выбрали поля, то открыть поле для редактирования можно, щелкнув на нем два раза мышкой в SQL Assistant.

Удалить поле

для того чтобы удалить поле необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Fields (по умолчанию открывается сразу при открытии таблицы в редакторе таблиц),
  • в контекстном меню поля выбрать пункт Drop Field<имя объекта>,
  • в появившемся окне подтвердить удаление поля.

Контекстное меню поля

С помощью контекстного меню, которое открывается нажатием правой кнопки мыши на поле, Вы можете:

  • Создать новое поле - New Field...,
  • Редактировать выделенное поле - Edit Field <имя объекта>,
  • Переименовать поле - Rename Field <имя объекта>,
  • Удалить поле - Drop Field <имя объекта>,
  • Копировать поле - Duplicate Field,
  • Изменить порядок полей - Reorder Fields,
  • Скопировать список имен полей в буфер обмена - Copy list of field Names to clipboard,
  • Экспортировать метаданные - Export List.

Смотрите также:

Сохранение изменений.


Редактор полей

Этот инструмент позволяет изменять свойства полей таблицы базы данных при создании или редактировании поля.

Открыть поле в редакторе можно следующим образом:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Fields (по умолчанию открывается сразу при открытии таблицы в редакторе таблиц),
  • в контекстном меню поля выбрать пункт Edit Field<имя объекта>.

Еще один способ подходит, если у вас в SQL Assistant отображаются поля таблицы. Тогда, чтобы открыть поле, достаточно двойного щелчка мыши на нем в SQL Assistant. Настроить SQL Assistant можно с помощью кнопки View Mode проводника баз данных.

После выполнения одной из двух операций откроется редактор полей, в котором можно указывать все свойства поля.

Вкладки редактора

Fields - задание основных параметров поля.

Description - описание объекта.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Да
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.


Задание параметров поля

На вкладке Field редактора полей Вы можете изменить основные свойства объекта.

Tables - Field Editor

В текстовом поле Column задайте название столбца.

CheckBox Установка флажка Not null указывает, разрешены ли в столбце данного типа значения NULL. Значение NULL отличается от нуля (0), пробела или символьной строки нулевой длины, например "". Значение NULL обозначает, что поле не было заполнено. Если флажок установлен, то поле не может иметь значение NULL.

CheckBox Add to primary key

Обычно, в таблице есть столбец или комбинация столбцов, содержащих значения, уникально определяющие каждую строку таблицы. Этот столбец, или столбцы, называются первичным ключом - Primary key - таблицы и обеспечивает целостность сущности таблицы.

Редактируемое поле можно добавить к комбинации столбцов, образующих первичный ключ, установив флажок CheckBox Primary key. Столбец с данным ограничением не может содержать значения NULL.

В разделе Field based on задайте тип данных поля.

RadioButton Domain

Если Вы выбрали Domain, то для задания типа данных поля будет использоваться один из созданных шаблонов описания свойств и параметров столбца - домен.

Настройка полей на основе доменов.

RadioButton Standard data type

Поле основывается на стандартных типах данных.

Настройка полей со стандартными типами данных.

RadioButton 'COMPUTED BY' expression

Указывает, что значение данного поля рассчитывается по указанному выражению во время выполнения.

Задание выражений 'COMPUTED BY'.

CheckBox Support IB6/FireBird syntax

Эта опция доступна только для редактирования существующего поля. Выберите эту опцию, чтобы включить поддержку синтаксиса InterBase 6.0/ FireBird.

Чтобы завершить процесс создания поля, нажмите кнопку OK.


Настройка полей на основе доменов

Если Вы выбрали Domain, то для задания типа данных поля будет использоваться один из созданных шаблонов описания свойств и параметров столбца - домен.

Tables - Field Editor - Domain-based field options

Из раскрывающегося списка Domain name выберите один из созданных доменов.

Если необходимого домена не существует, то Вы можете создать его, нажав на кнопку New Domain.

Также, Вы можете изменить свойства выбранного домена с помощью кнопки Edit Domain. После нажатия на эту кнопку выбранный домен откроется в редакторе доменов.

CheckBox Autoincrement value и CheckBox Identity

Эти опции доступны, если выбранный домен создан на основе числовых типов данных. Выберите одну из этих опции для задания автоинкрементных свойств для поля.

В разделе Domain info отображаются свойства выбранного домена.

Из раскрывающегося списка Collation выбираете правило сравнения символьных данных. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других форматах.

CheckBox Use default value

Включите эту опцию, чтобы определить значение, которое поле будет принимать по умолчанию.


Настройка полей со стандартными типами данных

Если Вы выбрали Standard data type, то необходимо будет указать тип данных поля.

Tables - Field Editor - Standard data type options

Из раскрывающегося списка Type выберите один из основных типов данных.

CheckBox Autoincrement value и CheckBox Identity

Выберите одну из этих опции для задания автоинкрементных свойств для поля.

Field dimension

Для типов данных NUMERIC и DECIMAL.

Точность представления данных (от 1 до 18) в поле Precision.

Масштаб поля (количество десятичных разрядов, которые могут храниться. Значения могут быть от 1 до 18) задайте в поле Scale.

Для типов данных CHAR и VARCHAR.

С помощью счетчика Length задайте длину поля (количество символов).

Для BLOB данных следует указать размер сегмента и подтип.

Для текстовых полей можно выбрать из раскрывающегося списка Charset кодировку, а из списка Collate правило сравнения символьных данных.

Для типов данных CHAR, VARCHAR, text Blob Вы можете использовать различные кодировки.

Charset определяет символы, которые могут быть введены в виде текста в столбцы, а также определяет максимальное количество байт хранения необходимых для представления каждого символа. Наборы символов могут быть использованы для хранения данных InterBase/Firebird, а сервер позволяет проводить сопоставления по различным правилам сравнения.

Кодировка и правила сравнения сопоставляются сервером следующим образом:

  • Если заданы Character Set X и Collation Y, то и то и другое будет применяться.
  • Если задан Character Set X, но не указан Collation, то будет использоваться character set X и соответствующее ему по умолчанию Collation.
  • Если задан Collation, но не указан Character Set, то используются кодировка и правило сравнения символьных данных принятых по умолчанию (смотрите вкладку Настройки подключения Регистрационной информации базы данных).

Если установлен флажок Support IB6/FireBird syntax, то будет осуществляться поддержка синтаксиса серверов IB6 и FireBird.

CheckBox Use default value

Установите этот флажок, чтобы указать значение по умолчанию для данного поля.


Задание массива

На вкладке Array Вы можете задать параметры массива. Поле может быть массивом одного из стандартных типов данных (кроме данных типа BLOB). Чтобы создать массив выберите тип данных и перейдите на вкладку Array.

Tables - Field Editor - Array

Чтобы задать размеры массива нажмите кнопку Add Dimension. Затем задайте необходимые размеры в появившемся окне.

Tables - Field Editor - Array - Dimension Editor

В поле Lower bound укажите нижнюю границу массива. В поле Upper bound - верхнюю.

Открыть для редактирования размеры массива можно с помощью кнопки Edit Dimension.

Если Вы хотите удалить указанные размеры массива, то нажмите кнопку Delete Dimension.


Задание выражений 'COMPUTED BY'

Если при задании параметров поля Вы выбрали RadioButton 'COMPUTED BY' expression, то значение данного поля рассчитывается по указанному выражению во время выполнения.

Tables - Field Editor - Specifying COMPUTED BY expression

В поле задайте выражение, которое будет вычислять значение в поле. Выражения задаются в поле, обладающем всеми возможностями Редактора SQL.

Пример:

(OLD_SALARY + OLD_SALARY * PERCENT_CHANGE / 100)

Важно:

  • выражением может быть любое арифметическое выражение, действительное для используемых типов данных;
  • все столбцы, на которые ссылается выражение, должны существовать;
  • выражение не может ссылаться на поля BLOB;
  • выражение должно возвращать одно значение, и не может возвратить массив.


Задание значений по умолчанию

Для редактируемого поля Вы можете задать значение по умолчанию.

Значение, которое подставляется в поле, если в него не введено другого значения, является значением по умолчанию.

Значение по умолчанию можно задавать на основной вкладке редактора поля.

Tables - Field Editor - Setting field defaults

Значение по-умолчанию можно задавать и редактировать только в том случае, если установлен флажок Use default value.

Тип поля для задания значений по умолчанию зависит от выбранного типа данных.

Default value

Введите желаемое значение по умолчанию для домена. Тип введенного значения должен совпадать с выбранным типом данных поля.

Отметьте опцию CheckBox Set value to, чтобы выбрать значение по умолчанию для поля из списка значений по умолчанию, соответствующих выбранному типу данных.

Для поля на основе домена будет применено значение по умолчанию, заданное в редакторе поля, а не в свойствах домена.

Смотрите также:

Редактор полей


Задание автоинкремента

В Редакторе полей для полей типов SMALLINT и INTEGER Вы можете задать автоинкремент. Вы можете создать Генератор, Триггер и/или Процедуру для задания свойств автоинкремента.

Установите флажок CheckBox Autoincrement value option, чтобы задать свойства автоинкремента.

  • Задание генератора
  • Задание триггера
  • Задание процедуры

На вкладке Disable, Вы можете удалить Генератор, Триггер и/или Процедуру автоинкремента.

CheckBox Drop generator - удалить генератор,

CheckBox Drop trigger - удалить триггер,

CheckBox Drop procedure wrapper - удалить

Начиная с версии 3.0 сервера Firebird, можно задать свойство поля IDENTITY для обеспечения возможностей автоинкремента. Выберите опцию CheckBox Identity и задайте начальное значение последовательности в поле Start with. Помните, что нельзя использовать одновременно опции CheckBox Identity и CheckBox Autoincrement value, так как они фактически реализуют одну и ту же возможность.


Задание генератора

На этой вкладке задайте свойства генератора.

Tables - Field Editor - Autoincrement - Generator

Generator name

В этом поле укажите имя генератора.

Initial value

С помощью этого счетчика установите начальное значение для генератора.


Задание триггера

На этой вкладке задайте настройки триггеров.

Tables - Field Editor - Autoincrement - Trigger

Trigger definition

Тело процедуры или триггера заключается в операторы BEGIN и END.

Вы можете работать с окном редактирования также, как с редактором SQL.


Задание процедуры

На этой вкладке Вы можете задать параметры процедуры.

Tables - Field Editor - Autoincrement - Procedure

CheckBox Create procedure wrapper

Установите этот флажок, чтобы создать оболочку процедуры. Оболочка процедуры возвращает значение генератора и может быть использовано вместо GEN_ID для специальных генераторов.

Procedure definition

Тело процедуры или триггера заключается в операторы BEGIN и END.

Вы можете работать с окном редактирования также, как с редактором SQL.


Изменение порядка полей

Вы можете изменить порядок полей при помощи специального инструмента - Reorder Fields. Открыть этот инструмент можно с помощью пункта контекстного меню поля Reorder Fields.

Table Editor - Changing fields order

В списке Column name представлен список полей таблицы в том порядке, в котором они находятся в таблице.

Изменить этот порядок можно двумя способами:

  • с помощью кнопок [image] [image]. Они перемещают вверх или вниз выбранное поле,
  • с помощью стандартной операции Drag And Drop - перетаскивания поля на нужное место.


Редактирование ограничений таблицы

Используйте вкладку Constraints редактора таблиц, чтобы задать ограничения таблицы.

Существует четыре типа ограничений. Для каждого типа создана отдельная вкладка:

Primary keys - управление первичными ключами.

Foreign keys - управление внешними ключами.

Checks - управление проверками.

Unique keys - управление уникальными ключами.

Все изменения вступают в силу только после нажатия кнопки Compile на одной из панелей инструментов.

К ограничениям таблицы относятся:

Первичные ключи

Внешние ключи

Ограничения

Уникальные ключи

Создать ограничение

Чтобы добавить ограничение в таблицу необходимо выполнить следующие действия:

  • открыть таблицу в редакторе таблиц. Для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • перейти на вкладку Constraints
  • открыть соответствующую вкладку,
  • в контекстном меню ограничения выбрать пункт New <тип ограничения>,
  • в появившемся редакторе укажите требуемые свойства ограничения.

Редактировать ограничение

Для того чтобы изменить ограничение необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • перейти на вкладку Constraints
  • открыть соответствующую вкладку,
  • в контекстном меню ограничения выбрать пункт Edit <тип ограничения><имя объекта>,
  • в появившемся редакторе ограничений укажите требуемые свойства.

Не все ограничения можно редактировать.

Если в Environment Options на вкладке DB Explorer установлен флажок Show table subobjects, то ограничения таблицы будут отображаться в проводнике баз данных. В этом случае для того, чтобы изменить ограничение нужно щелкнуть на нем два раза мышкой в проводнике баз данных. Он автоматически откроется в соответствующем редакторе.

Удалить ограничение

для того чтобы удалить ограничение необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • перейти на вкладку Constraints
  • открыть нужную вкладку,
  • в контекстном меню ограничения выбрать пункт Drop <тип ограничения><имя объекта>,
  • в появившемся окне подтвердить удаление.


Управление первичными ключами

В таблице есть столбец или комбинация столбцов, содержащих значения, уникально определяющие каждую строку таблицы. Этот столбец, или столбцы, называются первичным ключом - Primary key - таблицы и обеспечивает целостность сущности таблицы.

Table Editor - Constraints - Primary keys

Создать первичный ключ

Чтобы добавить ключ в таблицу необходимо выполнить следующие действия:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Constraints,
  • открыть вкладку Primary Keys,
  • в контекстном меню ключа выбрать пункт New Primary Key...,
  • в появившемся редакторе первичных ключей укажите требуемые свойства ключа.

Редактировать первичный ключ

для того чтобы изменить первичный ключ необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Constraints,
  • открыть вкладку Primary Keys,
  • в контекстном меню ключа выбрать пункт Edit Primary Key<имя объекта>,
  • в появившемся редакторе первичный ключей укажите требуемые свойства поля.

Важно: некоторые свойства первичного ключа можно задавать только при создании. При редактировании уже созданного они недоступны.

Если в Environment Options на вкладке DB Explorer установлен флажок Show table subobjects, то первичные ключи таблицы будут отображаться в проводнике баз данных. В этом случае для того, чтобы изменить первичный ключ нужно щелкнуть на нем два раза мышкой в проводнике баз данных.

Если в контекстном меню SQL Assistant, в качестве отображаемых подобъектов таблицы, Вы выбрали первичные ключи, то открыть первичный ключ для редактирования можно, щелкнув на нем два раза мышкой в SQL Assistant.

Удалить первичный ключ

для того чтобы удалить первичный ключ необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Constraints,
  • открыть вкладку Primary Keys,
  • в контекстном меню ключа выбрать пункт Drop Primary Key<имя объекта>,
  • в появившемся окне подтвердить удаление первичного ключа.

Контекстное меню первичного ключа

Правой кнопкой вызывается контекстное меню для выделенного ключа.

С помощью этого меню можно:

  • создать новый первичный ключ/Редактировать существующий - New Primary Key/Edit Primary Key<имя объекта>,
  • переименовать первичный ключ - Rename Primary Key<имя объекта>,
  • удалить ключ - Drop Primary Key<имя объекта>,
  • повторно рассчитать индекс - Recompute Index,
  • экспортировать список - Export List.

Смотрите также:

Сохранение изменений.


Редактор первичных ключей

В редакторе первичных ключей Вы можете выбрать столбцы таблицы, которые будут составлять первичный ключ.

Этот редактор используется для изменения свойств первичного ключа. Редактор открывается при создании нового ключа или при редактировании существующего.

Tables - Constraints Editor - Primary Key

В поле Name укажите название первичного ключа.

В списке Available fields содержится список полей таблицы. С помощью кнопок можно переместить поля из списка доступных полей в список полей, включенных в первичный ключ - Included Fields.


Управление внешними ключами

Внешний ключ - Foreign Key - столбец или сочетание столбцов, значения которого соответствуют первичному или уникальному ключу из той же или другой таблицы. Внешний ключ также называют ссылочным ключом.

Создание и редактирование внешних ключей осуществляется с помощью специального инструмента - Foreign Key Editor.

Внешний ключ применяется для принудительного установления связи между данными в двух таблицах.

Table Editor - Constraints - Foreign keys

Создать внешний ключ

Чтобы добавить ключ в таблицу необходимо выполнить следующие действия:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Constraints,
  • открыть вкладку Foreign Keys,
  • в контекстном меню ключа выбрать пункт New Foreign Key...,
  • в появившемся редакторе внешних ключей укажите требуемые свойства ключа.

Редактировать внешний ключ

для того чтобы изменить внешний ключ необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Constraints,
  • открыть вкладку Foreign Keys,
  • в контекстном меню ключа выбрать пункт Edit Foreign Key<имя объекта>,
  • в появившемся редакторе внешних ключей укажите требуемые свойства поля.

Важно: некоторые свойства внешнего ключа можно задавать только при создании. При редактировании уже созданного они недоступны.

Если в Environment Options на вкладке DB Explorer установлен флажок Show table subobjects, то внешние ключи таблицы будут отображаться в проводнике баз данных. В этом случае для того, чтобы изменить внешний ключ нужно щелкнуть на нем два раза мышкой в проводнике баз данных.

Если в контекстном меню SQL Assistant, в качестве отображаемых подобъектов таблицы, Вы выбрали внешние ключи, то открыть внешний ключ для редактирования можно, щелкнув на нем два раза мышкой в SQL Assistant.

Удалить внешний ключ

для того чтобы удалить внешний ключ необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Constraints,
  • открыть вкладку Foreign Keys,
  • в контекстном меню ключа выбрать пункт Drop Foreign Key<имя объекта>,
  • в появившемся окне подтвердить удаление внешнего ключа.

Контекстное меню внешнего ключа

Правой кнопкой вызывается контекстное меню для выделенного ключа.

С помощью этого меню можно:

  • Создать новый внешний ключ - New Foreign Key,
  • Редактировать существующий - Edit Foreign Key<имя объекта>,
  • Переименовать внешний ключ - Rename Foreign Key<имя объекта>,
  • Удалить ключ - Drop Foreign Key<имя объекта>,
  • экспортировать список - Export List.

Смотрите также:

Сохранение изменений.


Редактор внешних ключей

Этот редактор используется для изменения свойств внешнего ключа. Редактор открывается при создании нового ключа или при редактировании существующего.

На вкладке Foreign Key Вы задаете основные свойства внешнего ключа.

Tables - Constraints Editor - Foreign Key

Имя ключа задается в поле Name.

Чтобы добавить поля таблицы в ключ переместите их из списка доступных полей - Available Fields в список выбранных полей - Included Fields.

Далее из раскрывающегося списка Foreign table выберите внешнюю таблицу. Переместите поля из списка доступных полей - Available Fields в список выбранных полей - Included Fields.

Ниже Вы указываете действия, производимые при обновлении и удалении для соблюдения ссылочной целостности данных.

Ссылочная целостность сохраняет определенные связи между таблицами при добавлении или удалении строк.

Delete action позволяет установить следующие действия, выполняемые при удалении строки, содержащей первичный ключ:

  • No Action - Без действия.
  • Каскадное удаление - Cascade - операция удаления строки, содержащей значение первичного ключа, на которую указывают внешние ключи в существующих строках других таблиц. При каскадном удалении удаляются также все строки, значение внешнего ключа которых указывает на удаленное значение первичного ключа.
  • Set Null - указывает, что при попытке удалить строку с ключом, на которую ссылаются внешние ключи в строках других таблиц, все значения, составляющие эти внешние ключи, должны быть изменены на NULL. Чтобы выполнялось это ограничение, все столбцы внешних ключей целевой таблицы должны допускать значение NULL.
  • Set Default - указывает, что при попытке удалить строку с ключом, на которую ссылаются внешние ключи в строках других таблиц, все значения, составляющие эти внешние ключи, должны быть изменены на значения по умолчанию. Чтобы выполнялось это ограничение, для всех столбцов внешних ключей целевой таблицы должно быть определено значение по умолчанию. Если столбец допускает значение NULL и множество значений по умолчанию не задано явно, NULL становится неявным значением по умолчанию для данного столбца.

Из раскрывающегося списка Update action Вы выбираете действие, которое будет выполняться при обновлении данных в таблице:

  • No Action - Без действия.
  • Cascade - Каскадное обновление. Операция обновления значения первичного ключа, на которое указывают внешние ключи в существующих строках других таблиц. При каскадном обновлении все значения внешних ключей обновляются так, чтобы они соответствовали новому значению первичного ключа.
  • Set Null - Указывает, что при попытке обновить ключевое значение, на которое ссылаются внешние ключи в строках других таблиц, все значения, составляющие эти внешние ключи, должны быть изменены на NULL. Чтобы выполнялось это ограничение, все столбцы внешних ключей целевой таблицы должны допускать значение NULL.
  • Set Default - Указывает, что при попытке обновить ключевое значение, на которое ссылаются внешние ключи в строках других таблиц, все значения, составляющие эти внешние ключи, должны быть изменены на значение по умолчанию. Чтобы выполнялось это ограничение, для всех столбцов внешних ключей целевой таблицы должно быть определено значение по умолчанию. Если столбец допускает значение NULL и множество значений по умолчанию не задано явно, NULL становится неявным значением по умолчанию для данного столбца.


Управление ограниченями

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

Управление ограничениями

Ограничения CHECK устанавливают, какие значения данных допустимы в столбце.

Если ограничение CHECK уже существует, его можно изменить или удалить.

Table Editor - Constraints - Checks

Создать ограничение CHECK

Чтобы добавить ограничение в таблицу необходимо выполнить следующие действия:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Constraints,
  • открыть вкладку Checks,
  • в контекстном меню ограничения выбрать пункт New Check...,
  • в появившемся редакторе ограничений указать требуемые свойства ограничения CHECK.

Редактировать ограничение CHECK

для того чтобы изменить ограничение необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Constraints,
  • открыть вкладку Checks,
  • в контекстном меню ограничения выбрать пункт Edit Check<имя объекта>,
  • в появившемся редакторе ограничений укажите требуемые свойства ограничения CHECK.

Если в Environment Options на вкладке DB Explorer установлен флажок Show table subobjects, то подобъекты таблицы будут отображаться в проводнике баз данных. В этом случае для того, чтобы изменить ограничение CHECK нужно щелкнуть на нем два раза мышкой в проводнике баз данных.

Если в контекстном меню SQL Assistant, в качестве отображаемых подобъектов таблицы, Вы выбрали ограничения CHECK, то открыть ограничение CHECK для редактирования можно, щелкнув на нем два раза мышкой в SQL Assistant.

Удалить ограничение CHECK

для того чтобы удалить ограничение необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Constraints,
  • открыть вкладку Checks,
  • в контекстном меню ограничения выбрать пункт Drop Check<имя объекта>,
  • в появившемся окне подтвердить удаление ограничения CHECK.

Контекстное меню ограничений

  • New Check - создать ограничение.
  • Edit Check - редактировать ограничение
  • Rename Check - переименовать ограничение
  • Drop Check - удалить ограничение
  • Export List - экспортировать список ограничений в файл.

Смотрите также:

Сохранение изменений.


Редактор ограничений

Этот редактор предназначен для создания и изменения ограничений CHECK. Открывается тогда, когда Вы создаете или открываете для редактирования определенное ограничение.

Наиболее используемые операции вынесены на панели инструментов.

Все свойства ограничения, размещаются в редакторе на двух вкладках. Это:

  • свойства ограничения CHECK - Check,
  • DDL описание - DDL.

Tables - Constraints Editor - Check

На вкладке Check задайте основные параметры

В поле Name укажите название объекта.

В SQL редакторе, расположенном ниже, задайте текст ограничения.

Смотрите также:

Просмотр DDL


Управление уникальными ключами

Если существует уникальный ключ, то в поле, которое входит в состав этого ключа, можно заносить только уникальные значения.

Уникальный ключ создает системный индекс, который не отображается в редакторе индексов.

Некоторые параметры уникального ключа нельзя редактировать.

Table Editor - Constraints - Unique keys

Создать уникальный ключ

Чтобы добавить ключ в таблицу необходимо выполнить следующие действия:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Constraints,
  • открыть вкладку Uniques,
  • в контекстном меню ключа выбрать пункт New Unique...,
  • в появившемся редакторе уникальных ключей укажите требуемые свойства ключа.

Редактировать уникальный ключ

для того чтобы изменить уникальный ключ необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Constraints,
  • открыть вкладку Uniques,
  • в контекстном меню ключа выбрать пункт Edit Unique<имя объекта>,
  • в появившемся редакторе уникальных ключей укажите требуемые свойства поля.

Важно: некоторые свойства уникального ключа можно задавать только при создании. При редактировании объекта они недоступны.

Если в Environment Options на вкладке DB Explorer установлен флажок Show table subobjects, то уникальные ключи таблицы будут отображаться в проводнике баз данных. В этом случае для того, чтобы изменить уникальный ключ нужно щелкнуть на нем два раза мышкой в проводнике баз данных.

Если в контекстном меню SQL Assistant, в качестве отображаемых подобъектов таблицы, Вы выбрали уникальные ключи, то открыть уникальный ключ для редактирования можно, щелкнув на нем два раза мышкой в SQL Assistant.

Удалить уникальный ключ

для того чтобы удалить уникальный ключ необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Constraints,
  • открыть вкладку Uniques,
  • в контекстном меню ключа выбрать пункт Drop Unique<имя объекта>,
  • в появившемся окне подтвердить удаление уникального ключа.

Контекстное меню уникального ключа

Правой кнопкой вызывается контекстное меню для выделенного ключа.

С помощью этого меню можно:

  • Создать новый уникальный ключ - New Unique,
  • Редактировать существующий - Edit Unique<имя объекта>,
  • Удалить ключ - Drop Unique<имя объекта>,
  • Экспортировать список - Export List.

Смотрите также:

Сохранение изменений.


Редактор уникальных ключей

В редакторе уникальных ключей Вы можете выбрать столбцы таблицы, которые будут составлять уникальный ключ.

Редактор открывается тогда, когда Вы создаете или открываете для редактирования уникальный ключ.

Tables - Constraints Editor - Unique

В поле Name укажите название первичного ключа.

В списке Available fields содержится список полей таблицы. С помощью кнопок можно переместить поля из списка доступных полей в список полей, включенных в уникальный ключ - Included Fields.


Управление индексами

Индекс - это объект реляционной базы данных, обеспечивающий быстрый доступ к данным в строках таблицы на основе значений ключа. Индексы также обеспечивают уникальность строк таблицы.

Table Editor - Managing indexes

На вкладке Indexes Вы можете создавать, просматривать и редактировать индексы таблицы.

Двойной щелчок мыши открывает индекс в редакторе индексов.

Создать индекс

Чтобы добавить индекс в таблицу необходимо выполнить следующие действия:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Indexes,
  • в контекстном меню индекса выбрать пункт New Index...,
  • в появившемся редакторе индексов указать требуемые свойства индекса.

Редактировать индекс

для того чтобы изменить индекс необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Indexes,
  • в контекстном меню индекса выбрать пункт Edit Index<имя объекта>,
  • в появившемся редакторе индексов укажите требуемые свойства индекса.

Если в Environment Options на вкладке DB Explorer установлен флажок Show table subobjects, то индексы таблицы будут отображаться в проводнике баз данных. В этом случае для того, чтобы изменить индекс нужно щелкнуть на нем два раза мышкой в проводнике баз данных.

Если в контекстном меню SQL Assistant, в качестве отображаемых подобъектов таблицы, Вы выбрали индексы, то открыть индекс для редактирования можно, щелкнув на нем два раза мышкой в SQL Assistant.

Удалить индекс

для того чтобы удалить индекс необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Indexes,
  • в контекстном меню индекса выбрать пункт Drop Index<имя объекта>,
  • в появившемся окне подтвердить удаление индекса.

Контекстное меню индекса

Правой кнопкой вызывается контекстное меню индекса.

С помощью этого меню можно:

  • Создать новый индекс - New Index,
  • Редактировать существующий индекс - Edit Index<имя индекса>,
  • Переименовать индекс - Rename Index<имя индекса>,
  • Удалить индекс - Drop Index<имя индекса>,
  • Recompute Index - перестроить индекс,
  • Recompute All Indexes - перестроить все индексы,
  • Set Index Inactive/Active - деактивировать/активировать индекс,
  • Экспортировать метаданные - Export List.

Смотрите также:

Сохранение изменений.


Редактор индексов

Этот инструмент позволяет создавать и редактировать уже созданные индексы.

Наиболее используемые операции вынесены на панели инструментов.

Все свойства индекса, размещаются в редакторе на нескольких вкладках. Это:

  • свойства индекса - Index,
  • поля - Fields,
  • описание индекса - Description,
  • DDL описание - DDL.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Да
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Редактор первичных ключей

Редактор внешних ключей

Редактор ограничений

Редактор уникальных ключей


Управление индексом

На этой вкладке указываются основные параметры индекса.

Tables - Index Editor

В поле Name указываете имя индекса таблицы.

В разделе Index type указываете тип создаваемого индекса:

RadioButton Index - индекс будет представлять собой поле или совокупность полей.

RadioButton Expression Index - в качестве индекса будет выступать выражение, задаваемое на вкладке Expression value.

CheckBox IndexЕсли установлен флажок Index Active, то индекс включен.

Из раскрывающегося списка Order выберите тип сортировки:

Ascending - по возрастанию.

Descending - по убыванию.


Свойства индекса

Индекс может быть задан как поле или как выражение.

На второй вкладке необходимо указать поля, составляющие индекс.

Tables - Index Editor - Fields

В списке Available fields содержится список полей таблицы. С помощью кнопок можно переместить поля из списка доступных полей в список полей, включенных в индекс - Included Fields.

CheckBox Если установлен флажок Unique, то значения в полях, составляющих индекс, должны быть уникальными.

Если на вкладке Index Вы выбрали тип индекса RadioButton Expression Index, то на вкладке Expression Value в поле Редактора SQL задайте текст индекса.

Tables - Index Editor - Expression


Работа с триггерами таблиц

На вкладке Triggers Вы можете создавать, просматривать и редактировать триггеры таблицы.

Table Editor - Managing triggers

Двойной щелчок мыши открывает триггер в редакторе триггеров таблиц.

На этой вкладке все триггеры разделены по категориям. В каждой категории можно создавать соответствующий триггер.

  • Before Insert - событие, которое будет выполняться перед вставкой данных,
  • After Insert - после вставки данных
  • Before Update - перед обновлением данных,
  • After Update - после обновления данных,
  • Before Delete - перед удалением данных
  • After Delete - после удаления данных

Текст триггера отображается в окне Trigger DDL, которое располагается под главным.

В этом окне текст триггера можно только просматривать.

Создать триггер таблицы

Чтобы добавить триггер в таблицу необходимо выполнить следующие действия:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Triggers,
  • в контекстном меню триггера таблицы выбрать пункт New Trigger...,
  • в появившемся редакторе триггеров таблиц указать требуемые свойства триггера таблицы.

Редактировать триггер таблицы

для того чтобы изменить триггер таблицы необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Triggers,
  • в контекстном меню триггера таблицы выбрать пункт Edit Trigger<имя объекта>,
  • в появившемся редакторе триггеров таблиц укажите требуемые свойства объекта.

Если в Environment Options на вкладке DB Explorer установлен флажок Show table subobjects, то триггеры таблицы будут отображаться в проводнике баз данных. В этом случае для того, чтобы изменить объект нужно щелкнуть на нем два раза мышкой в проводнике баз данных.

Если в контекстном меню SQL Assistant, в качестве отображаемых подобъектов таблицы, Вы выбрали триггер таблицы, то открыть объект для редактирования можно, щелкнув на нем два раза мышкой в SQL Assistant.

Удалить триггер таблицы

для того чтобы удалить триггер таблицы необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Triggers,
  • в контекстном меню триггера таблицы выбрать пункт Drop Trigger<имя объекта>,
  • в появившемся окне подтвердить удаление триггера таблицы.

Контекстное меню триггера

По нажатию правой кнопкой на триггер открывается контекстное меню.

С помощью этого меню Вы можете:

  • создать новый триггер - New Trigger...,
  • редактировать выделенный триггер - Edit Trigger <имя объекта>,
  • переименовать триггер - Rename Trigger <имя объекта>,
  • удалить триггер - Drop Trigger <имя объекта>,
  • сделать триггер неактивным - Set Trigger Inactive,
  • открыть триггер в отдельном редакторе - Open in Separate Editor.

Смотрите также:

Сохранение изменений


Триггер

С помощью редактора триггеров задайте свойства триггера таблицы.

Tables - Trigger Editor

Подробно свойства триггера описаны на странице Триггеры баз данных.


Просмотр данных

На этой вкладке Вы можете внести данные в таблицу. Также можете просматривать данные и менять их.

Управление данными осуществляется с помощью панели инструментов и раскрывающегося меню.

Table Editor - Working with table data

Смотрите также:

Просмотрщик данных


Создание представлений на основе таблиц

На основе таблицы можно создать представление, используя кнопку Create view, расположенную на одной из панелей инструментов. Таким образом Вы сможете создать представление в визуальном дизайнера запросов, указав нужные поля.

После нажатия этой кнопки открывается окно, в котором необходимо указать параметры создаваемого представления.

На вкладке Options укажите, будет ли создаваемое представление содержать триггеры.

Tables - Create View from Table - Options

В разделе Triggers установите флажки для тех событий, для которых должны будут выполняться триггеры.

CheckBox Before Insert - триггер, который будет выполняться перед вставкой данных,

CheckBox Before Update - перед обновлением данных,

CheckBox Before Delete - перед удалением данных.

CheckBox Если установлен флажок Grant privileges on view according to the privileges on the table, то при создании представления все права будут установлены в соответствии с таблицей-источником.

На вкладке View info

Задайте имя представления - в поле Name.

Выберите поля таблицы, которые должны в это представление попасть.

Исправьте, при необходимости, текст создаваемого представления.

Tables - Create View from Table - View info

Далее, на вкладках Before Insert, Before Update и Before Delete задайте триггеры, которые должны выполняться для этих событий.

Tables - Create View from Table - View triggers


Создание SIUD процедур

Вы можете создать SELECT/INSERT/UPDATE/DELETE процедуры для выбранной таблицы с помощью пункта Create procedure на одной из панелей управления таблицы.

Tables - Create Procedure from Table - Options

CheckBox Create SELECT procedure - создать процедуру SELECT.

CheckBox Create INSERT procedure - создать процедуру INSERT.

CheckBox Create UPDATE procedure - создать процедуру UPDATE.

CheckBox Create DELETE procedure - создать процедуру DELETE.

CheckBox Grant EXECUTE on procedures according to the privileges on the table - установите этот флажок, чтобы назначить права на выполнение процедур в соответствии с правами таблицы.

На вкладках Select, Insert и Update Вы можете создавать соответствующие процедуры.

Tables - Create Procedure from Table - SELECT

В поле Name укажите имя создаваемой процедуры.

В верхней части Вы можете выбирать поля, устанавливая флажки напротив нужных.

В нижней части формы Вы можете менять сам текст процедуры.

При создании процедуры DELETE Вы можете задавать текст процедуры.

Tables - Create Procedure from Table - DELETE


Представления

Представление - это виртуальная таблица, представляющая данные одной или более таблиц альтернативным образом. Представление может быть создано только в текущей базе данных. Представление может включать не более 1024 столбцов.

Для работы с представлениями в SQL Manager for InterBase/Firebird существует специальный инструмент - View Editor (Редактор представлений)

Редактор представлений позволяет создавать и редактировать объекты этого типа. Он открывается автоматически при создании или редактировании объекта.

Чтобы открыть объект в соответствующем редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

Представление

Управление триггерами

Описание объекта

Просмотр плана запроса

Просмотр данных

Анализ производительности

Зависимости объектов

Просмотр DDL

Также, Вы можете создавать представления визуально, используя Дизайнер запросов.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Да

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

View Editor - Using Navigation bar

на панели Object

iconDB Выбрать базу данных,

Выбрать представление для редактирования.

на панели General:

iconCompile компилировать представление с текущими свойствами - Compile,

iconShowSQLHelp показать справку по серверу - Show SQL help,

iconPrint печатать метаданные объекта - Print,

iconQuickSave быстрое сохранение - Quick save,

iconQuickLoad быстрая загрузка - Quick load,

iconRefresh обновить содержимое редактируемого представления - Refresh,

изменить вид редактора Визуальный редактор представлений/текстовый редактор представлений - Visual editor/Text editor,

iconOptions adjust Visual Mode Editors options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

на панели View

открыть представление в Дизайнере запросов - Edit with Query Builder.

на панели Tools

просматривать дерево зависимостей представления - Dependency tree,

iconGrantsOnObject установить права на объект - Grants,

на панели Explorer group

iconDBExplorer В группе Explorer отображается полный список подобъектов.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Для вкладки Data появляется панель Data management, с помощью которой Вы можете:

iconCommit применить транзакцию для данных - Commit Transaction,

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction,

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data.

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Execute Script - Open DDL in Query Editor.

Для вкладки Permissions появляется панель Data management, с помощью которой Вы можете:

добавить объект - Add Object,

Grant - предоставить права,

Revoke - не установлены права,

Grant with GRANT OPTION - предоставить с правами 'GRANT',

Grant All - установлены права на все действия для выделенного объекта,

Revoke All - не установлены для всех действий данного объекта,

Grant All with GRANT OPTION - предоставить с правами 'GRANT' на все действия для выделенного объекта,

Grant on All - предоставить права на это действие для всех объектов,

Revoke on All - не установлены права на это действие для всех объектов,

Grant on All with GRANT OPTION - предоставить с правами 'GRANT' на это действие для всех объектов,

Grant All on All - предоставить права на все действия для всех объектов,

Revoke All on All - не установлены права на все действия для всех объектов,

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Управление триггерами

На вкладке Triggers Вы можете создавать, просматривать и редактировать триггеры представления.

View Editor - Managing triggers

Двойной щелчок мыши открывает триггер в редакторе триггеров представлений.

На этой вкладке все триггеры разделены по категориям. В каждой категории можно создавать соответствующий триггер.

  • Before Insert - событие, которое будет выполняться перед вставкой данных,
  • After Insert - после вставки данных
  • Before Update - перед обновлением данных,
  • After Update - после обновления данных,
  • Before Delete - перед удалением данных
  • After Delete - после удаления данных

Текст триггера отображается в окне Trigger DDL, которое располагается под главным.

В этом окне текст триггера можно только просматривать.

Создать триггер представления

Чтобы добавить триггер в представление необходимо выполнить следующие действия:

  • открыть представление в редакторе представлений для этого достаточно двойного щелчка мышью по нужному представлению в проводнике баз данных,
  • выбрать соответствующий тип триггера, выделив нужную группу Triggers,
  • в контекстном меню триггера представления выбрать пункт New Trigger...,
  • в появившемся редакторе триггеров указать требуемые свойства триггера представления.

Редактировать триггер представления

для того чтобы изменить триггер представления необходимо:

  • открыть представление в редакторе представлений для этого достаточно двойного щелчка мышью по нужному представлению в проводнике баз данных,
  • открыть вкладку Triggers,
  • в контекстном меню триггера представления выбрать пункт Edit Trigger<имя объекта>,
  • в появившемся редакторе триггеров укажите требуемые свойства объекта.

Если в Environment Options на вкладке DB Explorer установлен флажок Show table subobjects, то триггеры представления будут отображаться в проводнике баз данных. В этом случае для того, чтобы изменить объект нужно щелкнуть на нем два раза мышкой в проводнике баз данных.

Если в контекстном меню SQL Assistant, в качестве отображаемых подобъектов представления, Вы выбрали триггер представления, то открыть объект для редактирования можно, щелкнув на нем два раза мышкой в SQL Assistant.

Удалить триггер представления

для того чтобы удалить триггер представления необходимо:

  • открыть представление в редакторе представлений для этого достаточно двойного щелчка мышью по нужному представлению в проводнике баз данных,
  • открыть вкладку Triggers,
  • в контекстном меню триггера представления выбрать пункт Drop Trigger<имя объекта>,
  • в появившемся окне подтвердить удаление триггера представления.

Контекстное меню триггера

По нажатию правой кнопкой на триггер открывается контекстное меню.

С помощью этого меню Вы можете:

  • создать новый триггер - New Trigger...,
  • редактировать выделенный триггер - Edit Trigger <имя объекта>,
  • удалить триггер - Drop Trigger <имя объекта>,
  • сделать триггер неактивным - Set Trigger Inactive,
  • открыть триггер в отдельном редакторе - Open in Separate Editor.


Просмотр плана запроса

На этой вкладке отображается последовательной действий, которые происходят в системе при выполнении запроса.

Полезная информация о каждом этапе выполнения предоставлена в окне свойств, расположенном снизу от основного окна.

View Editor - View plan


Редактирование представления

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

SQL описание

На вкладке Object задайте основные свойства представления. Удобно создавать представления с помощью Визуального дизайнера запросов.

View Editor - Editing view definition

В поле Name укажите имя представления.

В разделе Fields отображаются поля таблиц, которые входят в редактируемое представление. Имена полей представления можно прямо в таблице.

Текстовое описание каждого поля можно задать в окне, Field Description.

Текст представления можно просматривать и изменять в окне редактора SQL, расположенном ниже.

У редактора существует

С помощью сплиттера Вы можете переключать редактор из визуального режима в текстовый и наоборот.

Если при создании нового представления будет допущена ошибка в описании, то сообщение об ошибке будет выведено в информационное окно, расположенное в нижней части формы.


Просмотр данных

На этой вкладке Вы можете увидеть данные представления. Вы можете просматривать данные .

Важно: данные можно менять только в представлениях, основанных на простых запросах.

Управление данными осуществляется с помощью панели инструментов и раскрывающегося меню.

На нижней панели Вы можете просмотреть информацию о производительности выполнения запроса.

View Editor - Working with data

Смотрите также:

Просмотрщик данных


Процедуры

Процедура — это сохраненная совокупность инструкций языка SQL, которая может принимать и возвращать предоставленные пользователем параметры.

Редактор процедур позволяет создавать, выполнять и редактировать объекты этого типа. Он открывается автоматически при создании или редактировании объекта.

Чтобы открыть объект в соответствующем редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение процедуры
  • Выполнение процедуры
  • Отладка процедур
  • Просмотр результатов
  • Описание объекта
  • Зависимости объектов
  • Параметры и переменные процедуры
  • Ввод параметров
  • Анализ производительности
  • Назначение прав
  • Просмотр DDL

Смотрите также:

Отладчик процедур и триггеров


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Object

iconDB Выбрать базу данных,

Выбрать процедуру для редактирования.

General

iconCompile компилировать процедуру с текущими свойствами - Compile,

iconExecute выполнить процедуру - Execute,

iconPrint печатать метаданные процедуры - Print,

iconRefresh обновить содержимое редактируемой процедуры - Refresh,

iconEditorMode изменить вид редактора Визуальный редактор/текстовый редактор - Visual editor/Text editor,

iconOptions задать настройки Visual Mode - Options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Tools

просматривать дерево зависимостей процедуры - Dependency tree,

iconGrantsOnObject установить права для этого объекта - Grants,

iconAutograntPrivileges автоматически права - Autogrant,

iconDebug отладить процедуру в отладчике процедур - Debug procedure,

Explorer

iconDBExplorer В группе Explorer отображается полный список подобъектов.

Input Parameters

iconPlus добавить параметр - Append,

btnArrowRight вставить параметр перед выделенным - Insert,

iconMinus удалить параметр - Delete,

btnArrowUp переместить на одну строку вверх - Move up,

btnArrowDown переместить на одну строку вниз - Move down.

На панели Explorer Вы можете увидеть все подобъекты процедуры.

Если процедура была выполнена и вернула результат, то кроме вкладки Results появляется еще панель Data Management.

Data Management

iconCommit применить транзакцию для данных - Commit Transaction,

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction,

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script.

При переходе на другие вкладки появляются панели, со специальными функциями для каждой вкладки.

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Execute Script - Open DDL in Query Editor.

Для вкладки Permissions появляется панель Data management, с помощью которой Вы можете:

добавить объект - Add Object,

Grant - предоставить права,

Revoke - не установлены права,

Grant with GRANT OPTION - предоставить с правами 'GRANT',

Grant All - установлены права на все действия для выделенного объекта,

Revoke All - не установлены для всех действий данного объекта,

Grant All with GRANT OPTION - предоставить с правами 'GRANT' на все действия для выделенного объекта,

Grant on All - предоставить права на это действие для всех объектов,

Revoke on All - не установлены права на это действие для всех объектов,

Grant on All with GRANT OPTION - предоставить с правами 'GRANT' на это действие для всех объектов,

Grant All on All - предоставить права на все действия для всех объектов,

Revoke All on All - не установлены права на все действия для всех объектов,

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение процедуры

На вкладке Stored Procedures Вы можете задать основные свойства процедуры.

Procedure Editor - Editing procedure definition

В поле Name укажите имя объекта.

Тело процедуры Вы задаете в редакторе SQL, расположенном ниже.

Текст процедуры можно просматривать и изменять в окне редактора SQL, расположенном ниже.


Выполнение процедуры

Редактор процедур позволяет выполнить редактируемую процедуру. Для того чтобы выполнить процедуру используйте команду Execute iconExecute , которая находится на одной из панелей инструментов. Если в процедуре содержатся параметры, то при выполнении Вы можете их задать в специальном окне Input Parameters. Это окно появляется перед выполнением процедуры. Если в процедуре содержится ошибка, то появляется окно компиляции. С его помощью Вы можете исправить возникшую ошибку и продолжить или отменить выполнение процедуры.

Если процедура возвращает некоторый результат, например, таблицу, то этот результат Вы можете просмотреть на появившейся вкладке просмотр результатов.

Procedure Editor - Executing procedure


Просмотр результатов

На этой вкладке Вы можете увидеть данные, полученные в результате выполнения процедуры. Данные на этой вкладке можно просматривать и экспортировать.

Procedure Editor - Results


Отладчик процедур и триггеров

Для исправления ошибок и оптимизации, в SQL Manager for InterBase/Firebird существует специальный инструмент - отладчик. Чтобы открыть процедуру или триггер в отладчике откройте объект в соответствующем редакторе, затем нажмите кнопку iconDebug Debug на любой из панелей инструментов или сочетание клавиш Shift+Ctrl+F9.

Панели инструментов

Отладка

Просмотр информации

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Редактор процедур

Редактор триггеров


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором

Procedure Debugger - Using Navigation bar

на панели General

iconShowSQLHelp отобразить справку по серверу - Show SQL help,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

на панели Debug:

iconExecute выполнить процедуру - Run,

сброс - Reset,

выполнить оператор и перейти к отладке вызываемой подпрограммы - Trace into,

отладка одного оператора без перехода к отладке вызываемых подпрограмм - Step over,

выполнять до возврата на верхний уровень - Run until return.

выполнять до позиции курсора - Run to cursor.

на панели Tools:

iconCommit фиксировать транзакцию и сохранить изменения - Commit retaining,

открыть окно ввода параметров - Parameters,

установить/убрать точку остановки - Toggle breakpoint,

добавить переменную или параметр в список мониторинга - Add Watch at Cursor,

оценить/изменить переменную - Evaluate/Modify a variable,

трассировать внутренние вызовы - Always trace embedded calls.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Отладка

В основном окне Вы можете отлаживать процедуру. Редактировать текст процедуры в отладчике нельзя.

Голубым цветом выделен текущий оператор.

Красным выделена строка, на которой стоит Breakpoint - контрольная точка.

Сочетания клавиш, используемые при отладке:

  • F8 - пошаговое выполнение.
  • F7 - выполнить оператор и перейти к отладке вызываемой подпрограммы - Trace into
  • Ctrl+F2 - прервать выполнение процедуры.
  • Ctrl+F8 - добавить контрольную точку к текущему оператору.
  • F9 - выполнить процедуру (до конца или до следующей контрольной точки).

Procedure Debugger - Debugging procedure

Значения на всех информационных панелях меняются на каждом шаге.

При установке курсора на переменную в тексте отображается всплывающая подсказка.

Вкладки

При отладке процедур Вы можете открыть вложенную процедуру, нажав на её названии в тексте, удерживая при этом клавишу Ctrl.

Вложенная процедура будет открыта на новой вкладке отладчика.


Просмотр информации

На вкладках, расположенных в нижней части окна отладчика, отображается разнообразная информация о объекте и процессе его отладки.

На вкладке Parameters and Variables отображаются все переменные и параметры объекта, а также их типы (поле Kind) и значения (поле Value).

Procedure Debugger - Debug info - Parameters and Variables

Значение в столбце Value можно менять с помощью двойного щелчка мыши. В этом случае появляется диалоговое окно в котором необходимо указать новое значение.

Procedure Debugger - Debug info - Parameters and Variables - Modify Variable

Для каждого типа данных предусмотрено соответствующее поле ввода.

На вкладке Watches отображаются выбранные для отдельного просмотра переменные и параметры.

Procedure Debugger - Debug info - Watches

Для управления переменными и параметрами используйте контекстное меню. с его помощью Вы можете:

  • Выбрать переменную или параметр для просмотра - Watch Selection,
  • Удалить переменную или параметр из списка просматриваемых - Delete Watch,
  • Удалить все переменные и параметры из списка просматриваемых - Delete All Watches.

Procedure Debugger - Debug info - Watches - Add Watch

При добавлении параметра появляется диалоговое окно, с помощью которого Вы можете выбрать один или несколько параметров, содержащихся в процедуре.

В списке доступных параметров - Available - отображаются только те параметры и переменные, которые описаны в текущем модуле, который открыт на активной вкладке.

В поле Address отображается какому внутреннему вызову запроса принадлежит параметр или переменная.

Если процедура возвращает данные, то на вкладке Results можно просмотреть промежуточные результаты выполнения процедуры.

Procedure Debugger - Debug info - Results

Последний выполненный оператор отображается на вкладке Last Statement.

Procedure Debugger - Debug info - Last Statement

Полный список точек останова показан на вкладке Breakpoints.

Procedure Debugger - Debug info - Breakpoints

О контрольной точке отображается следующая информация:

  • Line - номер строки на которой стоит контрольная точка.
  • Condition - условие выполнения. В это поле вводится любое SQL выражение, возвращающее булево значение.
  • Eval expression - это выражение, вычисляемое при проходе точки останова, может быть любым SQL выражением присваивания.
  • Passes - число проходов точки, через которое произойдет ее срабатывание.

С помощью контекстного меню можно:

  • удалить контрольную точку - Delete,
  • активировать контрольную точку - Enabled,
  • просмотреть свойства точки - Properties,
  • удалить все контрольные точки - Delete All Breakpoints,
  • активировать все точки - Enable All Breakpoints,
  • деактивировать все точки - Disable All Breakpoints.

Окно свойств контрольной точки открывается при выборе пункта контекстного меню Properties.

Procedure Debugger - Debug info - Breakpoints - Breakpoint Properties

С помощью этого окна Вы можете задать следующие свойства точки останова:

  • Condition - состояние. В это поле вводится любое SQL выражение, возвращающее булево значение.
  • Pass count - число проходов точки, через которое произойдет ее срабатывание.
  • Break - если установлен этот флажок, то выполнение будет остановлено в этой точке.
  • Eval expression - оценка выражения. В это поле можно добавить любой SQL оператор.

Сообщения, полученные при выполнении операторов можно просмотреть на вкладке Messages.

Procedure Debugger - Debug info - Messages

  • Line - строка при прохождении которой появилось сообщение.
  • Type - код сообщения.
  • Text - текст сообщения.

На вкладке Call Stack отображается стек вызовов процедур.

Procedure Debugger - Debug info - Call Stack

В скобках отображаются параметры с которыми была вызвана процедура.

При двойном щелчке мышью на вкладках Breakpoint, Messages и Call Stack, произойдет переход на соответствующий внутренний вызов.


Внешние функции

Определенная пользователем функция (UDF) представляет собой подпрограмму, которая возвращает значение. Пользовательская функция не может выполнять действия, изменяющие состояние базы данных. Она, как и системная функция, может быть вызвана из запроса.

С помощью определенных пользователем функций могут быть реализованы функциональности, отсутствующие в стандартных встроенных функциях.

Функция пишется на любом алгоритмическом языке, позволяющем разрабатывать DLL (библиотеки динамического вызова), например, на Object Pascal.

Редактор пользовательских функций позволяет создавать и редактировать объекты этого типа. Он открывается автоматически при создании или редактировании объекта.

Чтобы открыть объект в соответствующем редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

Задание пользовательской функции

Зависимости объектов

Описание объекта

Просмотр DDL


Панели инструментов

на панели Object

iconDB Выбрать базу данных,

Выбрать функцию для редактирования.

на панели General

iconCompile компилировать определенную пользователем функцию с текущими свойствами - Compile,

iconPrint печатать метаданные объекта - Print,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconOptions настроить редактор с помощью Object Editors options - Options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

на панели Tools

просматривать дерево зависимостей объекта - Dependency tree,

На панели Input Arguments

iconPlus добавить аргумент - Append,

btnArrowRight вставить аргумент перед выделенным - Insert,

iconMinus удалить аргумент - Delete,

btnArrowUp переместить на одну строку вверх - Move up,

btnArrowDown переместить на одну строку вниз - Move down.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Execute Script - Open DDL in Query Editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Задание пользовательской функции

На вкладке UDF укажите основные свойства внешней функции.

UDF Editor - Editing UDF definition

В поле Name задайте имя объекта.

Entry Point - имя процедуры внутри библиотеки.

Библиотеку можно задать в поле Library Name.

Input arguments

В разделе Input arguments задайте входные аргументы.

Параметры аргументов указываются в специальном окне, открывающемся при выборе типа аргумента в таблице из раскрывающегося списка Argument Type.

Управлять списком аргументов можно с помощью контекстного меню аргумента.

Контекстное меню аргумента

iconPlus добавить аргумент - Append,

btnArrowRight вставить аргумент перед выделенным - Insert,

iconMinus удалить аргумент - Delete,

btnArrowUp переместить на одну строку вверх - Move up,

btnArrowDown переместить на одну строку вниз - Move down.

Returns

Укажите свойства возвращаемого значения. Более детальная информация в разделе управления аргументами.

Mechanism

Вы можете задать вид передачи возвращаемого значения.

Если из раскрывающегося списка By Вы выбрали пункт By Value, то передаваться будет само значение. Если выберите By Reference, то передаваться будет ссылка на значение. By Descriptor - передача параметра по дескриптору.

Передаваемое значение будет удалено из памяти при завершении внешней функции, если установлен флажок CheckBox Free it.


SQL функции

SQL функция - это программа, хранящяяся в области метаданных базы данных и выполняющяяся на стороне сервера. К хранимой функции могут обращаться хранимые

процедуры, хранимые функции (в том числе и сама к себе), триггеры и клиентские программы.

Редактор SQL функции позволяет задать ее свойства. Редактор открывается автоматически при создании новой функции или редактировании уже существующей при двойном нажатии в Проводнике БД.

  • Using Navigation bar and Toolbar
  • Creating/editing SQL function
  • Managing parameters\arguments\variables
  • Specifying input parameters
  • Browsing object dependencies
  • Setting object permissions
  • Editing object description
  • Viewing DDL definition


Панели инструментов

на панели Object

iconDB Выбрать базу данных,

Выбрать функцию для редактирования.

на панели General

iconExecute запустить SQL функцию - Execute

iconCompile компилировать определенную пользователем функцию с текущими свойствами - Compile,

iconPrint печатать метаданные объекта - Print,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconVisualMode переключение между текстовым и визуальным редактором - Text editor\Visual editor

iconOptions настроить редактор с помощью Object Editors options - Options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

на панели Tools

просматривать дерево зависимостей объекта - Dependency tree,

iconGrantsOnObject установить права для этого объекта - Grants

iconAutograntPrivileges автоматически назначить привилегии на SQL функцию - Autogrant privilegies

iconDebugProcedure отладить процедуру в отладчике процедур - Debug SQL Function,

На панели Input Arguments

iconPlus добавить аргумент - Append,

btnArrowRight вставить аргумент перед выделенным - Insert,

iconMinus удалить аргумент - Delete,

btnArrowUp переместить на одну строку вверх - Move up,

btnArrowDown переместить на одну строку вниз - Move down.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Execute Script - Open DDL in Query Editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактирование SQL функции

На вкладке SQL Function вы можете задать основные свойства SQL функции.

Name

Введите имя функции.

SQL Function - Editing SQL Function

Input parameters

На данной вкладке вы можете создавать или редактировать входные параметры функции.

Для каждого параметра в списке отображается Имя, Значение по умолчанию, Тип параметра, Атрибут Not NULL и описание.

Для редактирования параметра нажмите стрелку в столбце Parameter type и задайте необходимые настройки в окне управления типами данных.

Output parameters

На данной вкладке вы можете редактировать выходной параметр функции.

Для параметра в списке отображается Имя, Тип параметра, Атрибут Not NULL.

Для редактирования параметра нажмите стрелку в столбце Parameter type и задайте необходимые настройки в окне управления типами данных.

Variables/Cursors

На данной вкладке вы можете редактировать переменные функции, а также задать значение курсора.

В нижней области редактора функций находится редактор тела функции.

See also:

Managing parameters

Specifying input parameters


Триггеры

Триггер - это особый вид хранимой процедуры, которая выполняется автоматически при вставке, удалении или модификации записи таблицы или представления (view). Триггеры могут "срабатывать" непосредственно до или сразу же после указанного события.

Редактор триггеров позволяет создавать и редактировать объекты этого типа. Он открывается автоматически при создании или редактировании объекта.

Чтобы открыть объект в соответствующем редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Редактировать триггер
  • Зависимости объектов
  • Описание объекта
  • Просмотр DDL

Смотрите также:

Отладчик процедур и триггеров


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Trigger Editor - Using Navigation bar

на панели Object

iconDB Выбрать базу данных,

Выбрать триггер для редактирования.

на панели General:

iconCompile компилировать триггер с текущими свойствами - Compile,

iconShowSQLHelp отображать справку по серверу - Show SQL help,

iconQuickSave быстрое сохранение - Quick save,

iconQuickLoad быстрая загрузка - Quick load,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconEditorMode изменить вид редактора Визуальный редактор/текстовый редактор - Visual editor/Text editor.

iconOptions задать настройки Visual Mode - Options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

на панели Tools

просматривать дерево зависимостей - Dependency tree,

iconGrantsOnObject установить права для этого объекта - Grants,

iconAutograntPrivileges автоматически установить права - Autogrant privileges,

iconDebug отладить триггер - Debug trigger,

на панели Explorer

iconDBExplorer В группе Explorer отображается полный список подобъектов.

на панели Variable:

iconPlus добавить переменную - Append,

btnArrowRight вставить переменную перед выделенным - Insert,

iconMinus удалить переменную - Delete,

btnArrowUp переместить на одну строку вверх - Move up,

btnArrowDown переместить на одну строку вниз - Move down.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Execute Script - Open DDL in Query Editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактирование триггера

На вкладке Trigger задайте основные параметры триггера.

Trigger Editor - Editing trigger definition

В поле Name укажите имя объекта. Имя таблицы, к которой относится триггер, задайте в поле For table.

В разделе On event укажите, при выполнении какого действия с таблицей должен срабатывать редактируемый триггер.

CheckBox Insert - при вставке данных в таблицу,

CheckBox Update - при обновлении данных,

CheckBox Delete - при удалении данных.

В разделе Type выберите когда будет выполняться триггер.

RadioButton Before - до события, указанного в разделе On event.

RadioButton After - после события.

Если на одно событие назначено несколько триггеров, то с помощью счетчика Position можно установить очередность их выполнения. В этом счетчике укажите порядковый номер триггера при выполнении.

CheckBox Если флажок Is active установлен, то триггер активен.

В разделе Variables/Cursors задайте параметры переменной или курсора триггера.

В этом разделе отображается следующая информация о переменной:

Name - имя переменной или курсора,

Default Value/Request - значение переменной по умолчанию для переменной или текст запроса для курсора,

Variable Type - тип переменной,

Not Null - может ли переменная иметь значение NULL,

Description - описание переменной.

Параметры переменной можно задавать и изменять на форме, появляющейся при выборе типа переменной из раскрывающегося списка.

Variable

На вкладке Variable задайте параметры переменной.

Более подробное описание вкладки Variable смотрите на странице Задание параметров триггера базы данных.

Cursors

На этой вкладке в поле SQL редактора Вы можете задать текст курсора.

Procedure Editor - Managing parameters - Cursors

Контекстное меню.

Управлять переменными можно с помощью контекстного меню.

iconPlus добавить переменную - Append,

btnArrowRight вставить переменную перед выделенным - Insert,

iconMinus удалить переменную - Delete,

btnArrowUp переместить на одну строку вверх - Move up,

btnArrowDown переместить на одну строку вниз - Move down.

экспортировать список - Export List.


Редактировать сообщения триггера

Вкладка Messages предназначена для отображения сообщений системного триггера.

Trigger Editor - Managing trigger messages

See also:

Параметры системных объектов


Журналы

Журналирование позволяет сохранять все изменения транзакций до того момента, как эти транзакции будут применены.

Важно: создание журналов доступно только в InterBase 2009.

Редактор журналов позволяет создавать и редактировать объекты этого типа. Он открывается автоматически при создании или редактировании объекта.

Чтобы открыть объект в соответствующем редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Панели инструментов

Редактировать журнал

Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Journal Editor - Using Navigation bar

На панели General:

iconCompile компилировать журнал с текущими свойствами - Compile.

iconShowSQLHelp отображать справку по серверу - Show SQL help,

iconOptions открыть вкладку Настроек редакторов объектов - Options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Раздел Tools:

iconCreateArchive создать резервную копию базы данных

iconSweepUntil очистить журнал от резервных копий до текущей

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Execute Script - Open DDL in Query Editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактировать журнал

На вкладке Journal задайте основные свойства создаваемого журнала.

Journal Editor - Setting journaling configuration options

В поле Directory укажите или выберите с помощью кнопки ExplorerButton директорию, в которой будут храниться файлы журнала. Имя базового файла укажите в поле Base file name.

Length

Задайте в этом поле, максимальное число страниц в файле журнала. Максимальный размер одного файла журнала не должен превышать 2GB.

Page size

Размер (в байтах) страницы файла журнала укажите в этом поле. Размер страницы должен быть в два раза меньше, размера страницы базы данных.

Page cache

В этом поле укажите количество распределяющих буферов. Размер каждого буфера соответствует размеру страницы журнала.

Checkpoint length

Количество страниц журнала, которые буду записаны до того, как будет активирована контрольная точка базы данных, укажите в том поле.

Checkpoint interval

Задайте количество секунд в интервале между двумя контрольными точками базы данных.

Важно: Если Checkpoint length и Checkpoint interval заданы, то при любом событии будет инициализирована контрольная точка базы данных.

CheckBox Use timestamp name

Если флажок установлен, то к имени файла будет добавлено время. В этом случае имя файла будет выглядеть следующим образом: <YYYY>_<MM>_DD>T<hh>_<mm>_ss>Z.<sequence-number>.journal

Чтобы выполнить операторы CREATE JOURNAL и CREATE JOURNAL ARCHIVE Вы можете нажать кнопку iconCompile Compile на одной из Панелей инструментов.

На вкладке DDL отображается тело журнала.


Просмотр журнала

Чтобы просмотреть журнал дважды щелкните мышкой по группе Journal в дереве объектов проводника баз данных, или используйте пункт контекстного меню View Journal.

В режиме просмотра журнала вы можете создать резервную копию базы данных ( iconCreateArchive Create Archive) и очистить журнал от резервных копий до текущей ( iconSweepUntil Sweep Until). Используйте соответствующие пункты контекстного меню или элементы панели инструментов.

Journals - View


Исключения

Исключения - это определенные пользователем ошибки или сообщения, которые используются в процедурах и триггерах.

Исключение, вызванное процедурой или триггером может:

  • остановить выполнение процедуры или триггера,
  • вернуть сообщение об ошибке или предупреждение для вызвавшего его объекта.

Исключение перехватывает выполнение оператора WHEN в процедурах и триггерах.

Редактор исключений позволяет создавать и редактировать объекты этого типа. Он открывается автоматически при создании или редактировании объекта.

Чтобы открыть объект в соответствующем редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

Задание исключения

Зависимости объектов

Описание объекта

Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Exception Editor - Using Navigation bar

на панели Object

iconDB Выбрать базу данных,

Выбрать исключение для редактирования.

на панели General:

iconCompile компилировать исключение с текущими свойствами - Compile,

iconShowSQLHelp отображать справку по серверу - Show SQL help,

iconPrint печатать метаданные объекта - Print,

iconQuickSave быстрое сохранение - Quick save,

iconQuickLoad быстрая загрузка - Quick load,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconOptions задать настройки в Object Editors options - Options,

iconRestoreDefaultSize вернуть окну исходный размер - Restore Default Size.

на панели Tools

просматривать дерево зависимостей - Dependency tree,

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Execute Script - Open DDL in Query Editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Задание исключения

На вкладке Exception задайте основные параметры исключения.

Exception Editor - Editing exception definition

В поле Name укажите имя объекта.

Текст предупреждения укажите в поле Text. Максимальная длина сообщения - 78 символов.


Генераторы

Генератор - это последовательность чисел, которая может автоматически подставляться в столбец таблицы, с помощью функции GEN_ID(). Генераторы используются для задания уникальных значений в первичных ключах таблиц.

в базе данных может содержаться любое количество генераторов. Генератор действует для всей базы данных.

Редактор генераторов позволяет создавать и редактировать объекты этого типа. Он открывается автоматически при создании или редактировании объекта.

Чтобы открыть объект в соответствующем редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

Задание параметров генератора

Зависимости объектов

Описание объекта

Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Generator Editor - Using Navigation bar

на панели Object

iconDB Выбрать базу данных,

Выбрать генератор для редактирования.

на панели General:

iconCompile компилировать генератор с текущими свойствами - Compile,

iconShowSQLHelp отображать справку по серверу - Show SQL help,

iconPrint печатать метаданные объекта - Print,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconOptions задать настройки в Object Editors options - Options,

iconRestoreDefaultSize вернуть окну исходный размер - Restore Default Size.

на панели Tools

просматривать дерево зависимостей - Dependency tree,

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Execute Script - Open DDL in Query Editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Задание параметров генератора

На вкладке Generator задайте основные параметры генератора.

Generator Editor - Editing generator definition

В поле Name задайте имя объекта.

С помощью счетчика Value задайте первое значение последовательности, которую будет создавать генератор.

В поле Initial value установите начальное значение.

Increment - шаг, на который будет увеличиваться значение в поле.


BLOB фильтры

Для автоматического преобразования содержимого BLOB-поля к другому виду разработчик может определять BLOB-фильтры.

Эти фильтры применяются для сжатия полей типа BLOB.

Редактор BLOB фильтров позволяет создавать и редактировать объекты этого типа. Он открывается автоматически при создании или редактировании объекта.

Чтобы открыть объект в соответствующем редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

Задание BLOB фильтра

Зависимости объектов

Описание объекта

Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

BLOB Filter Editor - Using Navigation bar

на панели Object

iconDB выбрать базу данных,

выбрать BLOB фильтр для редактирования.

на панели General:

iconCompile компилировать BLOB фильтр с текущими свойствами - Compile,

iconShowSQLHelp отображать справку по серверу - Show SQL help,

iconPrint печатать метаданные объекта - Print,

iconQuickSave быстрое сохранение - Quick save,

iconQuickLoad быстрая загрузка - Quick load,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconOptions задать настройки в Object Editors options - Options,

iconRestoreDefaultSize вернуть окну исходный размер - Restore Default Size.

на панели Tools

просматривать дерево зависимостей - Dependency tree,

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Execute Script - Open DDL in Query Editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Задание BLOB фильтра

На вкладке BLOB Filter задайте основные параметры BLOB фильтра.

BLOB Filter Editor - Editing BLOB Filter definition

В поле Name задайте имя объекта.

Entry Point - имя функции, реализующей фильтр, внутри библиотеки.

Библиотеку можно задать в поле Library Name.

BLOB фильтр преобразовывает поле из подтипа, который указан в поле From subtype в подтип, указываемый в поле To subtype.


Триггеры баз данных

Триггер базы данных - это PSQL модуль, который выполняется, когда происходит событие уровня транзакции или подключения.

Триггеры базы данных используется только для централизованных, глобальных операций. Триггеры срабатывают независимо от того, какой пользователь или приложение базы данных выполняет оператор.

Важно: создание триггеров баз данных доступно только для Firebird 2.1.

Редактор триггеров базы данных позволяет создавать и редактировать объекты этого типа. Он открывается автоматически при создании или редактировании объекта.

Чтобы открыть объект в соответствующем редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Задание параметров триггера базы данных
  • Зависимости объектов
  • Описание объекта
  • Операции
  • Назначение прав
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель Object

iconDB Выбрать базу данных,

Выбрать триггер для редактирования.

на панели General:

iconCompile компилировать триггер с текущими свойствами - Compile,

iconDebug отладить триггер - Debug trigger,

iconPrint печатать метаданные объекта - Print,

iconShowSQLHelp отображать справку по серверу - Show SQL help,

просматривать дерево зависимостей - Dependency tree,

iconQuickSave быстрое сохранение - Quick save,

iconQuickLoad быстрая загрузка - Quick load,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconEditorMode изменить вид редактора Визуальный редактор/текстовый редактор - Visual editor/Text editor.

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

iconOptions открыть вкладку Настроек редакторов объектов - Options,

Панель Variable

iconPlus добавить переменную - Append,

btnArrowRight вставить переменную перед выделенным - Insert,

iconMinus удалить переменную - Delete,

btnArrowUp переместить на одну строку вверх - Move up,

btnArrowDown переместить на одну строку вниз - Move down.

Панель Message

iconPlus добавить сообщение - Append,

btnArrowRight вставить сообщение перед выделенным - Insert,

iconMinus удалить сообщение - Delete,

btnArrowUp переместить на одну строку вверх - Move up,

btnArrowDown переместить на одну строку вниз - Move down.

Панель Permissions

iconAddGranteeObject Добавить объект - Add a grantee object.

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Для вкладки Description появляется панель Description, с помощью которой Вы можете:

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Execute Script - Open DDL in Query Editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Задание параметров триггера базы данных

На вкладке Database Trigger задайте основные параметры триггера базы данных.

Name

Укажите имя объекта.

Database Trigger Editor - Editing DB Trigger definition

Trigger type

RadioButton Database

Триггер создается на событие базы данных. В разделе On event выберите событие для срабатывания триггера.

RadioButton DDL

Триггер выполняется только при фиксации транзакции, в которой выполняется выбранный DDL.

Type

RadioButton Database

Триггер создается на событие базы данных. В разделе On event выберите событие для срабатывания триггера.

RadioButton DDL

On event

В этом разделе укажите событие, которое активизирует триггер.

CheckBox Connect

Подключение к базе данных

CheckBox Disconnect

Отключение от базы данных

CheckBox Transaction start

Триггер будет запущен, если пользователь создает транзакцию. Необработанное исключение будет возвращено клиенту и будет произведен откат транзакции.

CheckBox Transaction commit

Триггер будет запущен при фиксации транзакции.

CheckBox Transaction rollback

Триггер будет запущен при откате транзакции.

Если на одно событие назначено несколько триггеров, то с помощью счетчика Position можно установить очередность их выполнения. В этом счетчике укажите порядковый номер триггера при выполнении.

CheckBox Если флажок Is active установлен, то триггер активен.

Variables/Cursors

Задайте параметры переменной или курсора триггера. В этом разделе отображается следующая информация об объектах:

Name - имя переменной или курсора,

Default Value/Request - значение переменной по умолчанию для переменной или текст запроса для курсора,

Variable Type - тип переменной,

Not Null - может ли переменная иметь значение NULL,

Description - описание переменной.

Параметры переменной или курсора можно задавать и изменять на форме, появляющейся при выборе типа переменной из раскрывающегося списка Variable Type.

Контекстное меню

Управлять переменными можно с помощью контекстного меню.

iconPlus добавить переменную - Append,

btnArrowRight вставить переменную перед выделенным - Insert,

iconMinus удалить переменную - Delete,

btnArrowUp переместить на одну строку вверх - Move up,

btnArrowDown переместить на одну строку вниз - Move down.

экспортировать список - Export List.


Редактирование сообщений триггера

На вкладке Messages отображаются сообщения триггера.

Trigger Editor - Managing trigger messages

Управлять переменными можно с помощью контекстного меню.

iconPlus добавить сообщение - Append,

iconMinus удалить переменную - Delete,

btnArrowRight вставить сообщение перед выделенным - Insert,

btnArrowUp переместить на одну строку вверх - Move up,

btnArrowDown переместить на одну строку вниз - Move down.


Сортировки

Сортировка (collation) - это объект базы данных, который определяет упорядочивающую последовательность (или последовательность сортировки) текстовых данных. Сортировка должна уже присутствовать в системе (обычно в файле библиотеки) и должна быть корректно зарегистрирована в conf файле в директрии intl в папке установки Firebird.

Редактор Сортировки позволяет задать свойства сортировки. Он автоматически открывается при создании новой сортировки или редактировании уже существующей.

Открыть Редактор сортировки можно двойным нажатием по объекту в дереве БД.

  • Панели инструментов
  • Редактирование сортировок


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель Object

iconDB Выбрать базу данных

iconCollation Выбрать сортировку для редактирования

Панель General

iconCompile Compile - компилировать сортировку с текущими свойствами

iconPrint Print - печатать метаданные объекта

iconRefresh Refresh обновить содержимое редактируемого объекта

iconRestoreDefaultSize Restore default size восстановить исходный размер окна

iconOptions Options открыть вкладку Настроек редакторов объектов

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактирование сортировок

На вкладке Collation вы можете просматривать и редактировать свойства сортировки.

Collation Editor - Editting collation

Name

Введите имя новой сортировки или отредактируйте имя уже существующей.

For charset

С помощью выпадающего меню выберите существующий набор символов для создания сортировки.

From

Выберите сортировку, на основе которой будет создаваться новая Base name. Если выбран CheckBox External, то необходимо вручную задать имя сортировки в поле Base name. Поиск сортировки будет произведен в файле $fbroot/intl/fbintl.conf, при этом указаннео имя должно в точности соответствовать имени в конфигурационном файле (чувствительно к регистру).

Collation attributes

CheckBox Pad space

Данная опция позволяет не учитывать конечные пробелы при сравнении.

CheckBox Case insensitive

Опция задает будет ли сортировка чувствительна к регистру.

CheckBox Accent insensitive

Опция задает будет ли сортировка чувствительна к акцентированным буквам.

CheckBox Use special attributes

Позволяет указать специфичные аттрибуты для сортировки.

Укажите параметры сортировки языкового стандарта в поле Collation locale, при этом необходимо также указать точную версию библиотеки ICU в поле Version of ICU library или включите настройки по умолчанию CheckBox Use default.

CheckBox Disable compression of certain character sequence

Данная опция отключает сжатие, т.е. символьные последовательности сортируются как атомарные модули.

CheckBox Disable expansions of certain characters into character sequences

Данная опция позволяет рассматривать определённые символы (например, лигатуры или гласные умляуты) как последовательности символов и сортировать их соответственно.

CheckBox Use more than one ordering level

Данная опция позволяет использовать несколько уровней сортировки.

CheckBox Order special characters before alphanumeric characters

Данная опция позволяет сортировать специальные символы (пробелы и т.д.) до буквенно-цифровых символов.

CheckBox Sort numeric characters in numerical order

Данная опция позволяет обрабатывать непрерывные группы десятичных цифр в строке как атомарные модули и сортировать их в числовой последовательности (естественная сортировка).


Пакеты

Пакет (Package) - это группа процедур и функций, которая может управляться как единый объект.

Важно: Пакеты доступны только на Firebird 3.0 и выше.

Редактор пакетов позволяет создавать и редактировать объекты этого типа. Он открывается автоматически при создании или редактировании объекта.

Чтобы открыть объект в соответствующем редакторе, достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

  • Панели инструментов
  • Редактирование пакетов


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель Object

iconDB Выбрать базу данных

Выбрать пакет для редактирования

Панель General

iconCompile Compile - компилировать пакет с текущими свойствами

iconPrint Print - печатать метаданные объекта

iconRefresh Refresh обновить содержимое редактируемого объекта

iconRestoreDefaultSize Restore default size восстановить исходный размер окна

iconOptions Options открыть вкладку Настроек редакторов объектов

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактирование пакетов

На вкладках Header и Body вы можете просматривать и редактировать свойства пакета.

Package Editor - Editing package

Package name

Введите имя вновь создаваемого пакета. Имя существующего пакета доступно только для просмотра и не может быть изменено.

Редактировать заголовок пакета можно в текстовом редакторе внизу. Для редактирования тела пакета нужно переключиться на вкладку Body, содержащую соответствующее поле редактира.


Запросы

SQL Manager for InterBase/Firebird предлагает два инструмента для работы с SQL запросами:

  • Query Editor для редактирования текста запросов,
  • Design Query для построения запросов визуально.

Создание запросов

в Редакторе запросов

Для создания этого объекта используйте:

  • пункт Tools | Query Data главного меню программы,
  • или нажмите кнопку btnNewSQLEditor Query Data на стандартной панели инструментов программы,
  • или используйте сочетание клавиш <Shift+F12>.

После выполнения одной из этих операций автоматически открывается редактор запросов.

в Дизайнер запросов

Для создания этого объекта используйте:

  • пункт Tools | Query Builder главного меню программы,
  • или нажмите кнопку btnNewQueryBuilder Query Builder на стандартной панели инструментов программы,

После выполнения одной из этих операций автоматически открывается Дизайнер запросов.

Редактирование запросов

в Редакторе запросов

для того, чтобы открыть созданный запрос для редактирования Вам необходимо

  • выбрать пункт Tools | Query Editor главного меню программы,
  • или нажать кнопку btnShowSQLEditor Query Editor на стандартной панели инструментов программы,
  • или использовать сочетание клавиш <F12>.

После выполнения одной из этих операций запрос автоматически открывается в редакторе запросов.

в Дизайнере запросов

для того, чтобы открыть созданный запрос для редактирования Вам необходимо

  • выбрать пункт Tools | Design Query главного меню программы,
  • или нажать кнопку btnShowQueryBuilder Design Query на стандартной панели инструментов программы.

После выполнения одной из этих операций запрос автоматически открывается в Дизайнере запросов.

Выполнение запроса

Чтобы выполнить запрос в любом из редакторов необходимо:

  • Создать новый или отрыть уже существующий запрос.
  • нажать кнопку btnExecuteQuery Execute query на навигационной панели или на панели инструментов редактора, или клавишу F9,
  • просмотреть, редактировать полученные данные на вкладке Results.

Сохранение запроса

Чтобы сохранить запрос в файл необходимо:

  • создать новый или отрыть уже существующий запрос,
  • выбрать пункт Save to file на навигационной панели редактора запросов, или пункт Save diagram на навигационной панели Визуального дизайнера запросов.
  • в появившемся окне выберите куда сохранить файл и тип сохраняемого файла.

Если хотите сохранить несколько запросов в один файл, то нажмите Save All на навигационной панели редактора запросов. Для Дизайнера запросов такой функции нет.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Службы

Настройки

Внешние инструменты

Как...


Редактор запросов

Редактор запросов - основной инструмент программы SQL Manager for InterBase/Firebird для работы с запросами. Он позволяет создавать, редактировать и выполнять запросы, а также просматривать результаты, полученные в ходе выполнения запроса.

Для создания запроса в редакторе запросов необходимо выполнить одну из следующих операций:

  • выбрать пункт Tools | Query Data главного меню программы,
  • или нажать кнопку btnNewSQLEditor Query Data на стандартной панели инструментов программы,
  • или использовать сочетание клавиш <Shift+F12>.

После выполнения одной из этих операций редактор запросов открывается автоматически.

Сохраненные в файл запросы открываются в редакторе с помощью команды Load from file, находящейся на навигационной панели редактора и на панели инструментов.

Панели инструментов

Работа с окном редактирования SQL

Контекстное меню

Создание запроса с помощью перетаскивания

Просмотр плана запроса

Выполнение запроса

Использование ссылок на объекты

Журнал

Редактор избранных запросов

Анализ производительности

Смотрите также:

Дизайнер запросов

Параметры запросов

Редактор выполнения скриптов

Настройки редакторов


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

SQL Editor - Using Navigation bar

На панели Database:

iconDB выбрать базу данных для которой будет создаваться запрос

На панели General:

iconAutoDDL включить/отключить автоматическую фиксацию изменений метаданных - Toggle AutoDDL,

iconExecute выполнить текущий запрос - Execute query,

iconExecuteSelectedOnly выполнить только выделенную часть запроса - Execute selected only,

iconExecuteUnderCursor выполнить текст, находящийся под курсором - Execute under Cursor,

iconCompile подготовить запрос - Prepare query,

открыть запрос в виде плана на специальной вкладке - Explain query,

открыть запрос в Дизайнере запросов - Run Query Builder,

iconOptions настроить редактор запросов - Query Editor Options,

показывать результаты запроса на той же/на отдельной вкладке - Results on Edit tab/Results on separate tab.

iconShowSQLHelp показать справку по серверу - Show SQL help,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size,

создать представление - Create view,

создать процедуру - Create procedure.

На панели Queries:

Add new query - добавить новый запрос,

Rename current query - переименовать текущий запрос,

Remove current query - удалить текущий запрос,

Remove all queries - удалить все запросы,

Add to Favorite Queries - добавить запрос в Избранные запросы,

На панели Edit:

iconFindText найти текст - Find text,

iconLoadFromFile загрузить запрос из файла - Load from file,

iconSaveToFile сохранить текущий запрос в файл - Save to file,

iconSaveToFileAs сохранить в файл как - Save to file as,

iconSaveAll сохранить все открытые запросы одновременно - Save all.

При переходе на другие вкладки редактора появляются панели со специальными функциями для каждой вкладки.

Для вкладки Data появляется панель Data management, с ее помощью Вы можете:

iconCommit применить транзакцию для данных - Commit Transaction,

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction,

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data.

Для вкладки Logs появляется панель Logs. На этой панели:

iconFindText найти текст в журнале - Find text,

iconSaveToFile сохранить журнал в файл - Save logs to file,

очистить журнал - Clear logs.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Смотрите также:

Работа с окном редактирования SQL

Просмотр плана запроса

Выполнение запроса

Журнал

Редактор избранных запросов


Работа с окном редактирования SQL

В главном окне Вы можете создавать и редактировать запросы.

SQL Editor - Working with SQL Editor area

Основные особенности:

  • отображение имен объектов в виде ссылок на эти объекты,
  • вызов и настройка списка автоматической подстановки,
  • возможность нумерации строк,
  • возможность сворачивать запросы и подзапросы,
  • возможность задавать свойства выделенных объектов,
  • настройка полей и номеров строк,
  • изменение параметров различных объектов текста запроса,
  • настройка автоматического форматирования текста запроса,
  • задание сочетаний клавиш для быстрого ввода текста и выполнения команд.

Основные инструменты, позволяющие настраивать свойства редактора, располагаются на следующих вкладках:

  • General,
  • Display,
  • Color,
  • Quick Code,
  • SQL Formatter,
  • Keyboard templates
  • Key Mapping.

Большинство возможностей по редактированию текста доступны из контекстного меню.

Смотрите также:

Панели инструментов

Контекстное меню

Настройки редакторов

Шаблоны клавиатуры

Редактор избранных запросов

Окно поиска


Контекстное меню

Для редактора текста запроса существует специальное контекстное меню, которое отрывается по нажатию правой клавиши мыши в любой точке области редактирования. Это меню позволяет быстро выполнять самые используемые команды.

SQL Editor - Using the context menu

Контекстное меню позволяет:

  • добавить в словарь проверки правописания - Add To Dictionary, (этот пункт появляется только тогда, когда контекстное меню вызывается для текста запроса),
  • исправить на (в появившемся диалоговом окне укажите слово, которым Вы хотите заменить выделенное) - Correct With. (этот пункт появляется только тогда, когда контекстное меню вызывается для текста запроса),
  • Выполнить запрос - Execute,
  • Выполнить только выделенное - Execute Selected Only,
  • Выполнить под курсором. Выполняет от след строки под курсором и до конца запроса - Execute under Cursor,
  • Убрать точки выполнения - Reset Execution Point,
  • Работать с маркерами - Markers,
  • Работать с закладками - Toggle Bookmarks,
  • Перейти к строке под номером... - Go To Line Number...,
  • Отменить действие- Undo,
  • Вернуть отмененное действие- Redo,
  • Вырезать выделенное- Cut,
  • Копировать выделенное- Copy,
  • Вставить - Paste,
  • Выделить все - Select All,
  • Найти - Find,
  • Найти и заменить - Replace,
  • Возобновить поиск - Search Next,
  • Инкрементный поиск (поиск по названию ключевого поля)- Incremental Search,
  • экспортировать результат выделенного запроса - Export Data of Selected Query,
  • Предварительный просмотр - Preview,
  • Печатать - Print,
  • Быстрый код - Quick Code,
  • Просмотреть и изменить свойства в Editor Options- Properties.

Подменю пункта Quick Code:

  • Форматировать запрос SQL (при этом применяются изменения, внесенные в Форматтер SQL) - Format SQL,
  • Выбрать символ из таблицы символов, которая открывается при выборе этого пункта - Select Character,
  • Преобразовать выделенный текст в комментарии - поставить в начале и конце текста символы /* и */ - Toggle Comment,
  • Привести выделенный текст к нижнему регистру - Selection Lower Case,
  • Привести выделенный текст к верхнему регистру - Selection Upper Case,
  • Изменить регистр выделенного текста - Selection Toggle Case,
  • Увеличить отступ текста - Indent,
  • Уменьшить отступ текста - Unindent.

Смотрите также:

Работа с окном редактирования SQL

Выполнение запроса


Просмотр плана запроса

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

На этой вкладке отображается последовательной действий, которые происходят в системе при выполнении запроса.

Полезная информация о каждом этапе выполнения предоставлена в окне свойств, расположенном снизу от основного окна.

SQL Editor - Viewing query plan

Смотрите также:

Настройки редактора SQL

Выполнение запроса


Создание запроса с помощью перетаскивания

Поместить объект в запрос можно прямо из проводника баз данных, перетащив его мышкой из окна проводника или SQL ассистента в редактор. В этом случае появляется диалоговое окно, в котором нужно указать оператор для этого объекта.

DB Explorer - Insert to Editor

Из списка Statement выберите оператор, который нужно применить в запросе к выбранному объекту:

  • Name - в запрос будет помещено только имя объекта,
  • SELECT - оператор выбора,
  • INSERT - оператор вставки. Вместо значений используются параметры,
  • UPDATE - оператор обновления,
  • DELETE - оператор удаления записи,
  • CREATE - оператор создания,
  • DROP - оператор удаления таблицы,
  • Fields list - список полей,
  • Name and Type - список полей с указанием типов.

В поле Alias можно задать псевдоним для объекта.

Префикс для параметра укажите в поле Prefix for variable.

Смотрите также:

Параметры запросов

Дизайнер запросов


Использование ссылок на объекты

Если объект, упомянутый в запросе, присутствует в базе данных, то в тексте запроса его имя будет выделено другим цветом.

Чтобы открыть объект в соответствующем редакторе, нажмите на нем левой кнопкой мыши, удерживая при этом клавишу Ctrl.

SQL Editor - Using object links

Изменить цвет ссылок Вы можете на вкладке Color диалогового окна Editor Options.

Смотрите также:

Работа с окном редактирования SQL

Настройки редакторов


Выполнение запроса

Чтобы выполнить запрос, необходимо нажать Execute btnExecuteQuery на одной из панелей инструментов или в контекстном меню, или клавишу F9. Если текст запроса содержит ошибки, то программа укажет на это и результат не будет доступен до тех пор, пока все ошибки не будут исправлены.

Если запрос должен возвращать данные (в тексте содержатся SELECT операторы), то в редакторе появится новая вкладка Results, на которую и будут вынесены полученные результаты.

На этой вкладке возвращенные запросом данные отображаются в Просмотрщике данных. Просмотрщик позволяет экспортировать данные и экспортировать данные как SQL скрипт.

SQL Editor - Viewing results

На нижней панели отображается информация о производительности выполнения запроса.

SQL Editor - Brief performance statistics

Смотрите также:

Просмотрщик данных

Мастер экспорта данных

Мастер экспорта в виде SQL скрипта


Журнал

Все операции, производимые с запросом, программа заносит в специальные файлы журналов - Logs, которые отображаются на вкладке Logs редактора запросов.

В журнал заносится следующая информация:

  • дата модификации запроса,
  • сам текст запроса,
  • ошибки, возникшие при исполнении (если они были),
  • если ошибок не было, то информация о результате, полученном в ходе выполнения запроса.

Дополнительная информация о выполнении отображается в виде комментариев. Это позволяет копировать текст запроса и выполнять его. При этом все дополнительные сведения не будут вызывать ошибок.

SQL Editor - Viewing query logs

Смотрите также:

Выполнение запроса

Контекстное меню


Редактор избранных запросов

SQL Manager for InterBase/Firebird позволяет обеспечить быстрый доступ к запросам или некоторым частям запросов с помощью инструмента Favorite Queries.

Создать избранный запрос

Чтобы создать избранный запрос необходимо:

  • в проводнике баз данных из контекстного меню группы объектов Favorite Query выбрать пункт New Favorite Query,
  • перетащить выделенный текст запроса в папку Favorite Query, при этом откроется редактор избранных запросов.

Редактор избранных запросов

Этот редактор открывается только в том случае, если в контекстном меню избранного запроса Вы выбираете пункт Edit Favorite Query. Если откроете запрос двойным щелчком мыши, то он будет открыт в редакторе запросов.

SQL Editor - Favorites editor

С помощью редактора Вы можете создавать и редактировать избранные запросы.

В поле Name укажите имя запроса.

Из раскрывающегося списка Storage выберите место хранения.

В SQL редакторе Вы можете работать с текстом запроса так же как в редакторе запросов.

Смотрите также:

Избранные запросы

Работа с окном редактирования SQL


Дизайнер запросов

Этот инструмент позволяет создавать и редактировать запросы графически без текстового их описания на языке SQL. Вы можете создавать, выполнять просматривать результаты, используя визуальные методы, предоставленные этим инструментом.

Также с помощью Визуального дизайнера запросов Вы можете получать графическое представление запроса, написанного в текстовой форме. Для этого в окно редактирования необходимо поместить текст запроса.

Для создания запроса в конструкторе выполните одну из этих операций:

  • выберите пункт Tools | Query Builder главного меню программы,
  • или нажмите кнопку Query Builder btnNewQueryBuilder на стандартной панели инструментов программы.

После выполнения одной из этих операций запрос автоматически открывается в Дизайнере запросов.

Основные инструменты конструктора:

Панели инструментов

Окно диаграммы

Установка связей

Задание критериев

Выводимые поля

Критерии группировки

Условия сортировки

Окно редактирования

Выполнение запроса

Анализ быстродействия

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Редактор запросов

Параметры запросов

Настройки дизайнера запросов


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Query Builder - Using Navigation bar

На панели Database:

iconDB выбрать базу данных для которой будет создаваться запрос

На панели General:

iconExecute выполнить текущий запрос - Execute query,

открыть запрос в виде плана на специальной вкладке - Explain query,

удалить текущий запрос - Clear query,

создать представление на основе запроса - Create View,

создать процедуру на основе запроса - Create procedure,

iconShowSQLHelp показать справку по серверу - Show SQL help,

iconOptions настроить Дизайнер запросов - Query Builder Options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

На панели Visual Builder:

iconLoadFromFile загрузить диаграмму - Load Diagram,

iconSaveToFile сохранить диаграмму - Save Diagram.

На панели Data Management:

экспортировать данные с помощью Мастера экспорта данных - Export Data,

экспортировать данные в виде SQL скрипта с помощью Мастера экспорта в виде SQL скрипта - Export as SQL Script.

На панели Object представлен список всех объектов, содержащихся в базе данных, которые можно использовать в диаграмме.

Поместить объекты из этого окна в окно диаграммы можно с помощью перетаскивания мышью.

При переходе на другие вкладки редактора, появляются панели, со специальными функциями для каждой вкладки.

Для вкладки Edit появляется панель Edit. С ее помощью можно:

iconLoadFromFile загрузить SQL текст запроса из файла- Load SQL,

iconSaveToFile сохранить текст запроса в файл - Save query.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Смотрите также:

Работа с окном диаграммы

Выполнение запроса


Работа с окном диаграммы

Основные действия выполняются на вкладке Builder визуального дизайнера запросов. Основным инструментов является Рабочая область.

Query Builder - Working with diagram area

Добавление объекта в рабочую область

Объекты необходимо поместить в рабочую область. Чтобы добавить таблицу или представление в рабочую область достаточно перетащить ее или из проводника баз данных или из списка на панели Object, располагающейся на навигационной панели. Объект, отображаемый на панели Object, добавить в рабочую область можно еще и двойным щелчком мыши.

Выбор полей

Чтобы добавить поля таблицы или представления в создаваемый запрос необходимо установить флажок около поля или выделить поле двойным щелчком мыши. Все поля, у которых установлены флажки, попадают в запрос.

Чтобы добавить в запрос сразу все поля объекта необходимо установить флажок, находящийся перед названием объекта в строке заголовка. Если ничего не выделено, то по умолчанию будут выбраны все поля.

Удаление объекта из рабочей области

Чтобы удалить объект из рабочей области необходимо выполнить одну из следующих операций:

  • нажать на кнопку "закрыть" Query Builder - Working with diagram area - Close в заголовке объекта,
  • или выбрать пункт Delete контекстного меню, открывающегося при нажатии правой кнопкой мыши на заголовок объекта.

Объект удалится только из рабочей области. В базе данных он останется.

Переименование объекта

Переименовать объект можно с помощью пункта Rename контекстного меню, открывающегося при нажатии правой кнопкой мыши на заголовок объекта. Или нажав два раза мышью на название объекта. При этом для имени таблицы создается псевдоним.

Установка связей

Под рабочей областью располагается окно работы с полями.

С его помощью можно:

  • задавать критерии отбора данных в запросе,
  • выбирать какие поля будут выводиться в результате запроса,
  • устанавливать параметры группировки,
  • задавать условия сортировки.

Слева от рабочей области находится дерево подзапросов.

Visual Query Builder - Union

В нем отображаются вложенные запросы и составные части запроса. UNION и UNION ALL.

Из раскрывающегося списка, расположенного над деревом подзапросов, списка выберите тип запроса - Select, Insert, Update или Delete.

Visual Query Builder - Selecting query type

В нижней части окна располагается панель информации. Если запрос был выполнен успешно, то туда выносится краткий отчет о результатах выполнения. Если же нет, то отчет об ошибках.

Смотрите также:

Установка связей

Работа с окном редактирования

Выполнение запроса


Установка связей

В реляционных базах данных требуется создание связей между таблицами.

Визуальный конструктор позволяет быстро устанавливать связи между объектами, помещенными в рабочую область.

Чтобы установить связь между таблицами по двум полям необходимо поле из одной таблицы перетащить в другую (поля представлены в виде списка, в котором каждая строчка - поле).

После перетаскивания связь будет отображена в виде черной линии, соединяющей желаемые поля.

Query Builder - Joining two objects

Свойства связи

Свойства связи можно редактировать. Для этого необходимо открыть редактор связи, два раза щелкнув на ней мышкой или выбрать пункт контекстного меню связи Properties.

Query Builder - Link properties

В появившемся окне указываете желаемые свойства редактируемой связи.

  • условие связи выбирается из раскрывающегося списка, находящегося между именами полей. (=, >, <, >=, <=, <>).
  • с помощью установки флажков Вы указываете тип связи.

Контекстное меню связи позволяет:

Visual Query Builder - Link menu

  • Insert point - создавать точку на линии связи, с помощью которой эту линию можно двигать, для удобства визуального представления,
  • Delete link - удалять связь,
  • Property - редактировать свойства связи.

Смотрите также:

Работа с окном диаграммы

Задание критериев


Задание критериев

На вкладке Criteria Вы можете установить критерии отбора данных в запросе.

Query Builder - Setting criteria

Чтобы добавить условие ограничения нужно нажать кнопку EllipsisButton на форме и из появившегося контекстного меню выбрать пункт Add condition. Добавится строчка, которой будет присвоен порядковый номер. В этой строчке Вам необходимо указать условие отбора.

Чтобы задать тип составного условия нажмите на надпись All, располагающуюся рядом с EllipsisButton и выберите один из предложенных типов.

По нажатию на раскрывающиеся списки Visual Query Builder - Line1 открываются списки, состоящие из всех полей объектов, участвующих в запросе. Нужное поле можно не выбирать из списка, а перетащить из рабочей области дизайнера запросов на вкладки Criteria, Selection, Grouping criteria, Sorting. Для этих полей можно задать операторы условий. Это могут быть как имена полей, так и константы или выражения.

Нажав на "=", Вы получаете возможность установить отношение между операторами.

Управлять условием можно с помощью контекстного меню, которое открывается при нажатии левой кнопкой мыши на порядковый номер.

Visual Query Builder - Condition menu

С помощью этого меню можно:

  • добавить новое условие - Add condition,
  • добавить составное условие - Make composite condition,
  • удалить условие - Delete condition,
  • развернуть условие - Expand condition. (этот пункт активен только тогда, когда в добавлены составные условия. Если условие развернуто, то этот пункт заменяется на "свернуть условие" - Collapse condition).

Если в любом месте условия нажать правой кнопкой мыши, то появится меню с одним пунктом - Insert query. Если нажмете на этот пункт, то будет создан вложенный запрос, с которым можно работать также как и с основным. Иерархия запросов отображается в дереве подзапросов, расположенном слева от рабочей области. Если создан подзапрос то условие примет вид Editor Options - Condition. Первый оператор условия после символа отношения задает квалификатор запроса, а во втором отображается начало вложенного запроса.

Квалификатор запроса можно выбрать из списка, открывающегося по нажатию на нем левой кнопкой мыши.

Visual Query Builder - Criteria menu

Удалить подзапрос можно с помощью пункта контекстного меню Delete query. Это контекстное меню открывается по нажатию на условии, содержащем подзапрос правой кнопкой мыши. С помощью этого меню можно:

  • удалить подзапрос - Delete query,
  • открыть подзапрос - Show query.

Смотрите также:

Выводимые поля

Критерии группировки

Параметры сортировки


Выводимые поля

На этой вкладке Вы формируете выходную форму запроса.

Вы указываете, какие поля будут отображаться в результате запроса и как они будут отсортированы и сгруппированы. Также, Вы можете создавать вычисляемые поля.

Query Builder - Setting output fields

  • В столбце Name of output указан псевдоним поля, под которым оно будет выведено в результате запроса.
  • Столбец Aggregate содержит аггрегирующую функцию.
  • Source field name содержит настоящие имена столбцов, выводимых в результат запроса.
  • Grouping указывает сгруппирован столбец или нет.

Если флажок Select only unique records установлен, то в результате запроса отображаются только неповторяющиеся записи.

Основные действия с полями выполняются при помощи контекстного меню, которое открывается по нажатию на поле правой кнопкой мыши.

Visual Query Builder - Selection field menu

С помощью этого меню выполняются следующие операции:

  • удаление выделенного поля - Delete current row,
  • вставка вложенного запроса - Insert Query,
  • вставка конструкции CASE - Insert CASE.

Также поля можно отсортировать, щелкнув левой кнопкой мышки на заголовок столбца в котором содержатся поля.

Порядок полей в результате запроса будет соответствовать их последовательности в этой таблице.

Встроенные запрос открывается на отдельной вкладке рабочей области для редактирования и отображается в дереве подзапросов в левой части Визуального конструктора.

Смотрите также:

Задание критериев

Критерии группировки

Параметры сортировки


Критерии группировки

На этой вкладке задаются критерии, по которым будут сгруппированы данные, полученные в результате выполнения запроса.

Query Builder - Setting grouping criteria

Чтобы добавить критерий группировки нужно нажать кнопку EllipsisButton на форме и из появившегося контекстного меню выбрать пункт Add condition. Добавится строчка, которой будет присвоен порядковый номер. В этой строчке Вам необходимо указать условие группировки.

Чтобы задать тип условия нажмите на надпись All, располагающуюся рядом с EllipsisButton и выберите один из предложенных типов.

Аггрегирующую функцию Вы выбираете из списка Visual Query Builder - Line2.

По нажатию на раскрывающиеся списки Visual Query Builder - Line1 открываются списки, состоящие из всех полей объектов, участвующих в запросе. В этих полях Вы можете задать операторы условия. Это могут быть как имена полей, так и константы или выражения.

Нажав на "=", Вы получаете возможность установить отношение между операторами.

Управлять условием группировки можно с помощью контекстного меню, которое открывается при нажатии левой кнопкой мыши на порядковый номер.

Visual Query Builder - Condition menu

С помощью этого меню можно:

  • добавить новое условие - Add condition,
  • добавить составное условие - Make composite condition,
  • удалить условие - Delete condition,
  • развернуть условие - Expand condition. (этот пункт активен только тогда, когда в добавлены составные условия. Если условие развернуто, то этот пункт заменяется на "свернуть условие" - Collapse condition).

Смотрите также:

Задание критериев

Выводимые поля

Параметры сортировки


Параметры сортировки

В окне работы с полями, которое располагается под рабочей областью, существует специальная вкладка, на которой можно указывать параметры сортировки полей в запросе.

В списке Output fields содержатся все поля объектов, участвующих в запросе. Чтобы указать, по какому полю будет отсортирована, полученная в результате выполнения запроса, таблица, необходимо переместить поля из списка Output fields в список Sorted fields. Делается это с помощью кнопок или перетаскивания выбранного элемента или двойным нажатием мышкой.

В списке Sorted fields для выбранных полей Вы указываете параметры сортировки:

  • порядок сортировки "по возрастанию" или "по убыванию" указывается в поле Sort order с помощью кнопки A...Z,
  • очередность сортировки (по какому полю сортировать в первую очередь, а по какому во вторую) задается расположением полей в списке Sorted fields. По первому в списке полю сортировка проходит в первую очередь и т.д. Перемещать поля в списке можно с помощью кнопок Up и Down.

Query Builder - Setting sorting parameters

Смотрите также:

Задание критериев

Выводимые поля

Критерии группировки


Работа с окном редактирования

В окне редактирования автоматически генерируется текст запроса. В этом окне Вы можете просмотреть и исправить запрос. Все изменения будут отображены в окне диаграммы.

Query Builder - Working with editor area

Все что в тексте запроса выделено зеленым является ссылками на объекты.

Открыть для просмотра объект, на который есть ссылка в тексте, Вы можете, нажав на нем левой кнопкой мыши, удерживая при этом клавишу Ctrl. Если в этом редакторе Вы создадите текст запроса, то в рабочей области этот запрос будет представлен в графическом виде.

Более подробно про окно редактирования текста SQL.

Смотрите также:

Работа с окном диаграммы

Выполнение запроса

Редактор запросов


Выполнение запроса

Чтобы выполнить запрос необходимо нажать Execute на одной из панелей инструментов.

При выполнении запроса появится новая вкладка Results, на которую и будут вынесены полученные результаты.

На этой вкладке возвращенные запросом данные отображаются в Просмотрщике данных. Просмотрщик позволяет Экспортировать данные и Экспортировать данные как SQL скрипт.

Query Builder - Viewing results

Смотрите также:

Работа с окном диаграммы

Работа с окном редактирования

Просмотрщик данных


Параметры запросов

Редактор запросов и Конструктор запросов позволяют использовать параметры в тексте запроса.

Параметр - это переменная, значение которой может быть определено непосредственно перед выполнением запроса. В тексте запроса параметры выделены символом ":", который ставится в начале параметра.

SELECT * FROM MYTABLE WHERE ID = :param1;

Обратите внимание: Чтобы можно было использовать параметры необходимо установить флажок Allow using of parameters in query text в Options | Environment options | Tools.

Смотрите также:

Редактор запросов

Дизайнер запросов


Окно ввода параметров

Так как параметр - это переменная, значение которой может быть определено непосредственно перед выполнением запроса, в программе SQL Manager for InterBase/Firebird существует специальный инструмент, позволяющий вводить значения параметров при выполнении запроса.

Окно Input Parameters формируется на основании тех параметров, которые заданы в тексте запроса. Для каждого параметра создается поле ввода, которое называется так же как и параметр.

Для разных типов полей предусмотрены специальные поля ввода параметров.

Например, для даты появляется календарь, позволяющий избежать ошибок при вводе.

Appendix - Input Parameters

Для числовых типов предоставляется калькулятор.

В поле Вы можете ввести значение параметра, а можете оставить его пустым.

В таблице сверху содержатся наборы недавно использованных наборов значений параметров. Чтобы выбрать готовый набор, просто кликните два раза строку, и поля заполнятся автоматически.

Нажав кнопку Ok, Вы продолжите выполнение запроса с учетом введенных параметров. Если нажмете Cancel, то отмените выполнение запроса.


Управление данными

Данные, хранящиеся в таблицах и результаты запросов, отображаются на специальных вкладках редакторов, предназначенных для просмотра данных. Так данные таблицы можно просматривать и редактировать на вкладке Data, результаты запроса - на вкладке Results. Везде, где есть возможность просмотра и редактирования данных, используется специальный инструмент - просмотрщик данных.

Используется в:

Редакторе таблиц

Редакторе представлений

Редакторе запросов

Дизайнере запросов и т.д.

Данные в просмотрщике могут отображаться тремя способами:

  • в виде таблицы - на вкладке Grid View,
  • в виде формы - на вкладке Form View,
  • в виде печатной формы - на Print Data,
  • просматривать/редактировать данные BLOB (в виде HEX/Text/RTF/Image/HTML) - на вкладке BLOB View.

Основные операции, которые Вы можете производить с данными, используя контекстное меню и панели инструментов просмотрщика данных:

  • Экспорт данных,
  • Экспорт данных в виде SQL скрипта,
  • Импорт данных
  • Редактировать BLOB.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Средства импорта и экспорта данных

Инструменты базы данных

Службы

Настройки

Внешние инструменты

Как...


Просмотрщик данных

В SQL Manager for InterBase/Firebird существует мощный инструмент для просмотра, редактирования и печати данных из таблиц, запросов и представлений.

Наиболее часто используемые инструменты просмотрщика данных могут быть вызваны с помощью контекстного меню.

Вкладки просмотрщика данных располагаются в нижней его части.

С их помощью можно просмотреть данные:

  • на вкладке Grid View в виде таблицы, сетки данных,
  • на Form View в виде форм, где каждая запись вынесена на отдельную форму для печати,
  • на вкладке Print Data данные представлены в виде страницы предварительного просмотра,
  • на вкладке Blob View - в виде специального просмотрщика данных BLOB (если в таблице присутствуют поля, содержащие данные BLOB.

Просмотрщик данных используется в таких инструментах:

Редакторе таблиц - вкладка Data,

Редакторе представлений - вкладка Data,

Редакторе запросов - вкладка Results,

Дизайнере запросов - вкладка Results.

Настроить просмотрщик данных можно с помощью вкладки Grid в диалоговом окне, открывающемся при выборе пункта Options | Environment Options, в главном меню программы.

Смотрите также:

Конструктор фильтров

Таблицы

Представления


Панели инструментов

В редакторе, в котором используется просмотрщик данных, при переходе на вкладку Data или Results на навигационной панели, появляется панель Data management.

Data Management

iconCommit применить транзакцию для данных - Commit Transaction,

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction,

экспортировать данные -Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data.

Tools group

отобразить дерево зависимостей для таблицы

iconGrantsOnObject задать привилегии для таблицы

iconCreateView создать представление на основе таблицы

iconPurgeTable очистить данные таблицы

iconCreateProc создать процедуру на основе таблицы

Панели инструментов просмотрщика данных

Панель работы с записями

Data View - Navigation pane

С ее помощью можно:

  • перейти к первой записи - First record,
  • перейти к предыдущей странице - Prior page,
  • перейти к предыдущей записи - Prior record,
  • перейти к следующей записи - Next record,
  • перейти к следующей странице - Next page,
  • перейти к последней записи - Last record,
  • добавить запись - Insert record,
  • удалить запись - Delete record,
  • редактировать запись - Edit record,
  • сохранить изменения - Post edit,
  • отклонить изменения - Cancel edit,
  • обновить данные - Refresh data,
  • создать закладку - Save bookmark,
  • перейти к закладке - Goto bookmark,
  • фильтровать данные - Filter data (открывается конструктор фильтров),
  • в поле Find Вы указываете набор символов, который хотите найти в выделенном столбце,
  • с помощью счетчика Record Limit Вы указываете максимальное число отображаемых записей,
  • если число записей больше указанного максимального числа, то становится активна кнопка Fetch All, с помощью которой отображаются все записи,
  • кнопка Show Linked Tables Details позволяет автоматически создавать и отображать подуровни таблиц.

Панель инструментов вкладки Print Data

Data View - Print Data - Toolbar

C помощью этой панели Вы можете:

  • настроить вид отчета с помощью инструмента Format report - Design Report,
  • загрузить отчет из файла - Load Report,
  • сохранить отчет в файл - Save Report,
  • печатать - Print,
  • открыть диалог печати - Print Dialog (открывается стандартное диалоговое окно, в котором указываете параметры печати),
  • настроить параметры страницы - Page Setup,
  • показать макеты страниц - Show Thumbnails,
  • настройка примечаний - Title...:

вставка даты и времени - Date and Time...,

вставка номеров страниц - Page Numbering...,

  • разместить все на одной странице - Shrink To Page,
  • задать цвета фона страницы - Background,
  • задать масштаб - Zoom,
  • масштаб по ширине страницы - Zoom Page Width,
  • целая страница - Whole Page,
  • несколько страниц - Multiple Page.
  • произвольный масштаб выбирается с помощью раскрывающегося списка - Zoom,
  • перейти к первой странице - First Page,
  • перейти к предыдущей странице - Previous Page,
  • указать номер страницы, к которой хотите перейти - счетчик Active Page (кроме того, в нем отображается номер страницы, на которой Вы сейчас находитесь),
  • перейти к следующей странице - Next Page,
  • перейти к последней странице - Last Page.

Панель инструментов вкладки Blob View

Data View - BLOB View - Toolbar

С помощью этой панели на вкладке для редактирования данных типа BLOB Вы можете:

  • из раскрывающегося списка выбрать поле типа BLOB (если в таблице содержится больше одного поля такого типа),
  • из следующего раскрывающегося списка выберите кодировку редактируемого текста,
  • загрузить из файла - Load from File (Вы можете выбрать любой тип файлов. Это может быть текст, рисунок и т.д.),
  • сохранить в файл - Save to File,
  • вырезать - Cut To Clipboard,
  • копировать - Copy To Clipboard,
  • вставить - Paste From Clipboard,
  • отменить действие - Undo,
  • печатать - Print,

Следующие кнопки активны только для вкладки Rich text)

  • выбрать шрифт - раскрывающийся список Font,
  • выбрать размер шрифта - счетчик Font Size,
  • выбрать жирное начертание - Bold,
  • выбрать начертание курсивом - Italic,
  • выбрать начертание с подчеркиванием - Underline,
  • выбрать выравнивание по левому краю - Align Left,
  • выбрать выравнивание по центру - Align Center,
  • выбрать выравнивание по правому краю - Align Right,
  • создать маркированный список - Bullets.

Смотрите также:

Просмотр в виде таблицы

Просмотр в виде формы

Просмотр в виде печатной формы

Редактор данных типа BLOB

Применение изменений

Настройка панелей инструментов


Просмотр в виде таблицы

На основании полей таблицы или запроса создается форма табличного просмотра данных. Столбцы формируются из полей.

Если в просмотрщике открыты данные одной таблицы, то их можно добавлять, удалять, редактировать по усмотрению пользователя. Если в просмотрщик выведен результат запроса, то возможность редактирования данных зависит от запроса.

Все остальные операции с данными одинаковы для данных таблиц и для результатов запросов.

С помощью панели инструментов можно выполнять переход по записям, добавление и удаление строк и т.д.

Контекстное меню позволяет копировать ячейки, создавать уровни, устанавливать сводку по столбцам и т.д.

Основные операции с данными:

  • сортировка по столбцам, в соответствии с правилами интерфейса,
  • управление столбцами,
  • группировка данных,
  • фильтрация данных,
  • создание и работа с несколькими уровнями,
  • просмотр в виде карточек,
  • сводка по столбцам,
  • изменение порядка столбцов.

Data View - Grid View

Смотрите также:

Панели инструментов

Просмотр в виде формы

Просмотр в виде печатной формы

Редактор данных типа BLOB

Применение изменений


Управление столбцами

Выбор видимых столбцов

Можно указывать, какие из столбцов таблицы будут видимыми.

Делается это с помощью пункта контекстного меню Visible Columns или с помощью кнопки btnSelectVisibleColumns в левом верхнем углу таблицы, рядом с заголовками столбцов. По нажатию на эту кнопку появляется окно, в котором, устанавливая флажки, Вы отмечаете видимые столбцы.

Data View - Grid View - Selecting visible columns

Изменение порядка столбцов.

Если Вы хотите изменить порядок столбцов, то достаточно перетащить заголовок столбца в требуемое место. Если в это место можно переместить столбец, то оно будет отмечено зелеными стрелочками, которые появятся при непосредственном приближении к месту вставки.

Data View - Grid View - Changing columns order

Редактор полей типа Array.

Data View - Grid View - Array

Эта форма открывается при редактировании значение в полях, для которых определён массив.

Значение поля указывается в счетчике Value. Указанная при создании поля размерность массива отображается в таблице. Границы указываются в полях Dimension n.

Смотрите также:

Группировка данных

Фильтрование данных

Работа с несколькими уровнями

Просмотр в виде карточек

Сводка по столбцу


Группировка и сортировка данных

Чтобы отсортировать данные необходимо:

открыть данные на вкладке Data или Results -> выбрать столбец, по которому хотите отсортировать данные -> нажать на заголовок этого столбца мышкой.

Если столбец не был отсортирован, то одно нажатие отсортирует его по возрастанию, следующее - по убыванию.

Чтобы отменить сортировку, вызовите контекстное меню правой кнопкой мыши на нужном столбце и выберите пункт Clear Sorting, или нажмите клавишу Ctrl и щелкните по полю, по которому была отсортирована таблица.

Вы можете группировать данные в таблице по одному или нескольким столбцам.

Для того, чтобы сгруппировать таблицу по столбцу необходимо перетащить заголовок столбца на специальную панель над таблицей, так называемую "панель группировки".

Data View - Grid View - Filtering records

Группировка по одному столбцу

Если на панель группировки Вы поместите заголовок поля, то все записи таблицы будут сгруппированы по этому полю.

Группировка по нескольким столбцам.

Если на панель группировки Вы поместите заголовки нескольких полей, то все записи таблицы будут сгруппированы по этим полям в указанном порядке.

Таблица будет выглядеть следующим образом.

Data View - Grid View - Grouping data by two columns

В заголовках групп могут отображаться сведения о сгруппированных данных, если была задана сводка по столбцу.

На панели группировки тот заголовок, который находится ниже, является подчиненным. Группировка по нему будет проходить во вторую очередь. Объекты на панели группировки доступны для фильтрации данных.

Отменить группировку можно перетащив заголовок столбца обратно в таблицу. При этом можно изменить порядок столбцов.

Смотрите также:

Управление столбцами

Фильтрование данных

Работа с несколькими уровнями

Просмотр в виде карточек

Сводка по столбцу


Фильтрование данных

Фильтр — это быстрый способ поиска подмножества данных и работы с ними в таблице. В отфильтрованной таблице отображаются только строки, отвечающие условиям, заданным для столбца.

Фильтр не меняет порядок записей. При фильтрации временно скрываются строки, которые не отвечают заданным условиям.

Фильтровать данные в таблице можно тремя способами:

1. С помощью пункта контекстного меню Quick Filter.

Data View - Grid View - Quick Filter

Порядок действий:

  • вызвать контекстное меню для ячейки с данными,
  • выбрать пункт контекстного меню Quick Filter,
  • выбрать из открывшегося дочернего меню условие фильтрации.
  • = Value в таблице будут отображаться только те строки, которые в этом поле имеют такое же значение, как и активное (активное значение это то для которого было вызвано контекстное меню),
  • <> Value - в таблице будут отображаться только те записи, значение которых в этом поле не равно активному значению,
  • < Value - будут выбраны значения строго меньше активного,
  • > Value - будут выбраны значения строго больше активного,
  • <= Value - будут выбраны значения меньше активного и равные активному,
  • >= Value - будут выбраны значения больше активного и равные активному.

С помощью Quick Filter нельзя фильтровать данные BLOB-типов и sysname.

2. С помощью заголовков столбцов.

Data View - Grid View - Filtering records

Load all rows задается в контекстном меню для текущей таблицы.

В заголовке каждого столбца имеется кнопка со стрелочкой. Если нажать на эту стрелочку, то появится список значений, содержащихся в этом столбце. Если выбрать одно из этих значений, то это и будет условие фильтрации. В таблице останутся видимыми только те строки, которые соответствуют этому условию.

Кроме того, задавать более сложные условия с помощью пункта списка значений (Custom...).

При выборе этого пункта открывается специальное окно для задания условий фильтрации.

Data View - Grid View - Custom Filter

В этом диалоге можно задать 2 условия фильтрации и их отношение - должны ли выполняться оба условия сразу, или достаточно выполнения одного.

С помощью этого окна очень удобно задавать интервалы.

Из раскрывающихся списков выбираем условие отбора:

  • равно - equals,
  • не равно - does not equal,
  • больше - is greater than,
  • больше или равно - is greater than or equal to,
  • меньше - is less than,
  • меньше или равно - is less than or equal to,
  • пустые - is blank,
  • не пустые - is not blank,
  • между <значение> и <значение> - between and,
  • не между - not between,
  • в - in,
  • не в - not in.

В поле указываем последовательность символов. Используйте символ "%" для указания любого набора символов и символ "_" для обозначения любого символа. При выполнении условия отбираются только те значения, которые отвечают указанному условию. Например, из списка Вы выбрали пункт больше, а в поле указали 100. Следовательно, в таблице будут отображаться только те строки, в которых это значение больше 100.

Второе условие не является обязательным.

Установив переключатель в положение AND Вы указываете, что оба условия должны выполняться одновременно, в положение OR указываете, что должно выполняться только одно из них.

3. С помощью кнопки на панели инструментов.

Кнопка btnSetFilter открывает конструктор фильтров, с помощью которого Вы задаете и применяете условия фильтрации.

Если для таблицы установлен фильтр, то в нижней части появляется специальная панель, на которой отображается условие фильтра.

С помощью этой панели можно:

  • удалить фильтр - нажав на кнопку btnClose,
  • включить фильтр - установить флажок,
  • изменить условия фильтрации с помощью кнопки Customize.... Эта кнопка открывает конструктор фильтров.

Data View - Grid View - Filtering records - Filtering panel

Кроме того, на этой панели в кратком виде отображаются условия фильтра, а также история модификации фильтра, которая открывается при нажатии на кнопку раскрывающегося списка.

Смотрите также:

Управление столбцами

Группировка данных

Конструктор фильтров


Контекстное меню

С помощью контекстного меню Вы можете выполнять следующие действия:

Data View - Grid View - Using the context menu

  • копировать ячейки - Copy Cell,
  • вставить ячейки - Paste Cell,
  • копировать все записи - Copy All Records,
  • копировать выделенные записи - Copy Selected Records,
  • вставить записи - Paste Records
  • управлять данными - Data Manipulation, (в управление данными входит: экспортировать данные - Export Data, экспортировать данные в виде SQL скрипта - Export as SQL Script, импортировать данные - Import Data, осуществить массовый импорт данных - BULK INSERT.)
  • установить фильтр данных - Quick Filter,
  • удалить фильтр - Disable Filter,
  • отменить сортировку - Clear Sorting,
  • установить значение в ячейке - Set Value,
  • редактировать данные типа BLOB - Edit BLOB (этот пункт меню активен, для полей типа BLOB),
  • сохранить данные из ячейки типа BLOB в файл - Save BLOB to File (этот пункт меню активен, если меню было вызвано для поля, содержащего объекты типа BLOB),
  • развернуть все - Expand All (команда активна только тогда, когда существует группировка по одному или нескольким полям или существуют подуровни таблицы),
  • свернуть все - Collapse All (команда активна только тогда, когда существует группировка по одному или нескольким полям или существуют подуровни таблицы),
  • перейти на следующую вкладку - Next Tab (этот и следующий пункты меню активны для результатов тех запросов, которые возвращают более одного DataSet. В этом случае для результата каждого запроса создается отдельная вкладка, а также для таблиц, имеющих более одного подуровня),
  • перейти на предыдущую вкладку - Previous Tab,
  • Show Linked Tables Details позволяет автоматически создавать и отображать подуровни таблиц.
  • работать с уровнями таблицы - Grid Levels,
  • добавить уровень - Add Grid Level... (при выборе этого пункта открывается мастер создания уровней),
  • удалить уровень - Delete Grid Level,
  • просмотр в виде таблицы - Table View,
  • просмотр в виде карточек - Card View,
  • установить сводку по столбцу - Column Summary...,
  • выбрать столбцы, которые будут отображаться - Visible Columns (также выбрать видимые столбцы можно с помощью кнопки btnSelectVisibleColumns в левом верхнем углу таблицы, рядом с заголовками столбцов),
  • выровнять ширину столбцов - Fit Columns Widths,
  • выбрать режим сетки - Grid Mode (отображать все столбцы, отображать только видимые столбцы или режим по умолчанию),
  • Просмотреть и изменить свойства просмотрщика данных - Properties....(откроется окно Options | Environment Options | Grid)

Важно: Если включены опции CheckBox Show editor immediately и CheckBox Always show editor на вкладке Environment options | Grid, то для вызова контекстного меню ячейки необходимо выделить нужную ячейку и щелкнуть правой кнопкой мышки по заголовку таблицы. При щелчке правой кнопкой мыши по ячейки вызовется контекстное меню для редактирования ячейки.


Работа с несколькими уровнями

Одной из уникальных особенностей SQL Manager for InterBase/Firebird является возможность работы с данными в режиме нескольких уровней. Это позволяет изменять и просматривать данные в нескольких связанных таблицах одновременно.

Data View - Grid View - Working in multi-level mode

Управлять уровнями можно с помощью пункта контекстного меню Grid Levels,

  • добавить уровень - Add Grid Level... (при выборе этого пункта открывается мастер создания уровней),
  • удалить уровень - Delete Grid Level,
  • просмотр в виде таблицы - Table View,
  • просмотр в виде карточек - Card View,

Когда добавлен уровень, то для каждой записи таблицы можно просмотреть соответствующие ей записи в другой таблице. Такая подчиненная таблица называется Подуровень.

Чтобы открыть (развернуть) подуровень таблицы нужно нажать на "+", который находится в начале строки. "-" сворачивает подуровень.

Подуровней может быть несколько. В этом случае каждый располагается на отдельной вкладке в окне подуровней. Между вкладками можно переключаться, просто щелкая на них мышью, или с помощью пунктов контекстного меню:

  • перейти на следующую вкладку - Next Tab,
  • перейти на предыдущую вкладку - Previous Tab.

Для того чтобы открыть подуровни для всех записей используется пункт контекстного меню Expand All.

Пункт Collapse All сворачивает все подуровни.

Смотрите также:

Контекстное меню

Мастер создания уровней


Мастер создания уровней

Мастер создания уровней позволяет создать для таблицы новые подуровни для более удобного представления данных.

Мастер создания уровней состоит из четырех шагов.

  • Выбор главной таблицы.
  • Выбор зависимой таблицы или запроса.
  • Установка связи.
  • Задание параметров.

Чтобы запустить Мастер, необходимо выбрать пункт дочернего меню Add Grid Level..., пункта контекстного меню Grid Levels.

Create Grid Level - Add Grid Level

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.


Выбор главной таблицы

На первом шаге Вы выбираете таблицу или запрос, который будет являться главным уровнем, к которому потом нужно будет назначить подуровень.

Из раскрывающегося списка выберите главный уровень.

Далее, с помощью переключателя Source of New level data, выбираете источник для подуровня.

RadioButton Если устанавливаете переключатель в положение Table, то на втором шаге вам будет предложено выбрать таблицу или представление.

RadioButton Если в положение Query, то на следующем шаге необходимо будет вручную написать запрос, определяющий подуровень.

Create Grid Level - Specifying master level

Следующий шаг


Выбор зависимой таблицы или запроса

Вид мастера на втором шаге зависит от того, какой источник для подуровня Вы выбрали на первом шаге.

Если в качестве источника Вы выбрали Table, то на втором шаге Вам будет предложено выбрать конкретную таблицу из раскрывающегося списка Table Name. В списке содержатся все имеющиеся в базе данных таблицы и представления.

CheckBox Вы можете уменьшить их число, установив флажок Show tables related by foreign keys only. В этом случае в списке останутся только те таблицы, которые связаны с главной с помощью внешнего ключа.

Create Grid Level - Defining source for detail level - Table

Если на первом шаге в качестве источника Вы выбрали запрос, то на втором шаге Вы должны будете создать запрос в редакторе запроса

Create Grid Level - Defining source for detail level - Query

В этом окне находится редактор SQL запросов.

Вы можете написать SQL запрос вручную, можете скопировать его или с помощью кнопки Query Builder... Вы можете запустить Дизайнер запросов, который откроется в модальном окне, и создать запрос там.

После того, как выбрана таблица или создан запрос, можно переходить к следующему шагу.

Следующий шаг


Установка связи

На третьем шаге Вы выбираете поля, по которым необходимо связать объекты.

Из списков Master Level Key Fields и Detail Level Key Fields выберите поля родительской и дочерней таблиц, по которым эти таблицы будут связаны.

С помощью кнопки Add добавьте в список Links Between Master and Detail Levels новую связь, которая образуется из выбранных полей.

Связей может быть несколько. В этом случае, каждая дочерняя таблица будет отображаться на отдельной вкладке подуровня. Между вкладками можно переключаться, просто щелкая на них мышью, или с помощью пунктов контекстного меню:

  • перейти на следующую вкладку - Next Tab,
  • перейти на предыдущую вкладку - Previous Tab.

Удалить связь из списка можно с помощью кнопки Remove.

Если в таблице существуют внешние ключи, то с помощью кнопки From Foreign Key можно установить связь между полями таблиц в соответствии со связью, установленной во внешнем ключе. При нажатии на кнопку From Foreign Key открывается список внешних ключей таблицы, из которого можно выбрать тот в соответствии с которым необходимо установить связь.

Create Grid Level - Binding master and detail levels

Следующий шаг


Параметризация запросов

Если на шаге Выбор главной таблицы был выбран запрос RadioButton Query, то на этом шаге Вам необходимо задать параметры. Форма для задания параметров будет использоваться в сетке данных в режиме 'Load visible rows'. Смотрите дополнительно Environment Options | Grid | Data Options.

Create Grid Level - Query parameterization

Следующий шаг


Задание параметров

На последнем шаге необходимо выбрать вид отображения подуровня и указать его заголовок.

Заголовок отображается в верхней части подуровня. Указать его можно в поле Level caption.

С помощью переключателя Level type выберите, в каком виде будут отображаться данные подуровня:

RadioButton Table view - в виде таблицы,

RadioButton Card View - в виде карточек.

Create Grid Level - Setting additional parameters

Нажав кнопку Finish, Вы закончите формирование уровня.


Просмотр в виде карточек

В окне табличного просмотра существует дополнительный режим просмотра - режим карточек Card View.

Если в таблице есть подуровни, то в виде карточек можно представить только самый нижний уровень иерархии подчинения.

Чтобы включить просмотр в виде карточек, необходимо использовать пункт дочернего меню Card View пункта контекстного меню Grid Levels.

Data View - Grid View - Working in card view mode

Чтобы вернуть вид таблицы, воспользуйтесь пунктом дочернего меню Table View пункта контекстного меню Grid Levels.

Смотрите также:

Контекстное меню


Сводка по столбцу

В SQL Manager for InterBase/Firebird существует специальный инструмент, позволяющий выводить итоговую информацию о столбце при группировке данных. С помощью этого инструмента можно вывести в нижнюю или в верхнюю часть таблицы, отображающейся при группировке, некую сводку по столбцу.

Инструмент создания сводок по столбцам вызывается с помощью пункта контекстного меню Column Summary....

Data View - Grid View - Column Summary

В окне Column Summary из списка Column выбираете столбец таблицы, для которого хотите отображать дополнительную информацию.

Group header - отображает информацию в заголовке сгруппированных данных.

Group footer - отображает данные в нижнем колонтитуле сгруппированных данных.

Footer summary отображает итоговую информацию в нижнем колонтитуле всей таблицы.

Информация, которую можно вывести для столбцов, имеющих числовой тип данных:

RadioButton ничего - None,

RadioButton сумму значений в столбце - Sum,

RadioButton минимальное значение в столбце - Minimum,

RadioButton максимальное значение в столбце - Maximum,

RadioButton количество значений в столбце - Count,

RadioButton среднее значение в столбце - Average.

Для всех остальных типов столбцов доступно только количество значений в столбце - Count.

В поле Number format задаете формат числа.

Смотрите также:

Контекстное меню


Установка соответствия столбцов

При копировании нескольких строк Вы можете задать соответствие полей таблицы.

Data View - Grid View - Associate columns

В списке Clipboard Columns отображаются поля копируемых строк.

В списке Grid Columns - поля таблицы, в которую копируются строки.

С помощью кнопок устанавливаются соответствия между полями. Они отображаются в списке соответствий, располагающемся в нижней части формы.

Кнопка Add добавляет в список соответствий новое соответствие между выделенными полями.

Кнопка Add All позволяет автоматически подобрать полям таблицы, в которую копируются данные соответствующие поля источника данных.

Нажав на кнопку Remove, Вы удалите выделенное соответствие. Нажатие на кнопку Remove All полностью очищает список соответствий.

CheckBox First row is a header

Если этот флажок установлен, то значение в первой строке будет определено как заголовок столбца.


Просмотр в виде формы

На вкладке Form View каждая запись представлена в Виде формы. Редактировать данные удобнее, когда они представлены в таком виде.

Data View - Form View

Если на вкладке Grid View Вы выделили строчку или ячейку, а затем перешли на вкладку Form View, то на этой вкладке отобразится выделенная запись.

Для каждой записи отображается:

  • название полей,
  • тип полей,
  • поля для редактирования данных.

CheckBox Рядом с каждым полем расположен флажок Null. С его помощью можно это поле очистить. Вернуть удаленные данные, убрав флажок, не получится. Чтобы вернуть данные необходимо нажать на кнопку Query Builder - Working with diagram area - Close - отклонить изменения - Cancel edit на панели инструментов.

Переключаться между записями можно с помощью кнопок, расположенных на панели инструментов. Эти кнопки позволяют вам создавать, редактировать, удалять записи и перемещаться по записям таблицы базы данных.

Для каждого типа данных генерируется поле ввода соответствующее типу данных.

Например, для поля типа datetime появляется календарь, позволяющий избежать ошибок при вводе даты.

Для типов полей большого размера создаются большие текстовые поля.

Если Вы на этой вкладке зададите условия для фильтрования данных, то отобразится первая запись таблицы, отвечающая заданным условиям.

Дополнительные настройки форм просмотре можно задавать с помощью вкладки дополнительные настройки в Environment Options.

Смотрите также:

Панели инструментов

Просмотр в виде таблицы

Просмотр в виде печатной формы

Редактор данных типа BLOB

Применение изменений


Просмотр в виде печатной формы

На вкладке Print Data данные представлены в режиме полного графического соответствия печатного варианта и изображения редактируемого документа на экране.

Вы можете изменять вид печатной формы, задавать формат страницы, параметры печати, сохранять отчеты в файл и загружать из файла. Все это делается с помощью панелей инструментов.

Data View - Print Data

На верхней панели отображаются характеристики полей и колонтитулов печатного документа:

  • Left - левое поле,
  • Top - верхнее поле,
  • Right - правое поле,
  • Bottom - нижнее поле,
  • Header - верхний колонтитул,
  • Footer - нижний колонтитул.

На нижней панели отображается статистика:

  • Page - страницы,
  • количество страниц - Pages,
  • Paper size - размер бумаги,
  • Status - статус.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Панели инструментов

Просмотр в виде таблицы

Просмотр в виде формы

Редактор данных типа BLOB

Применение изменений


Параметры страницы

Чтобы открыть диалоговое окно настройки страницы для печати необходимо на панели инструментов нажать кнопку [image] Page Setup.

С помощью этого инструмента Вы можете настроить вид страницы при печати.

Настройки печати Вы можете задать на следующих вкладках:

Страница

Поля

Колонтитулы

Масштаб

Чтобы распечатать страницу, нажмите кнопку Print. Настройки печати укажите в открывшемся диалоговом окне Print.

Смотрите также:

Настройщик отчетов

Задание опций отчета

Печать


Страница

На вкладке Page Вы указываете размер и ориентацию страницы.

Data View - Print Data - Page Setup - Page

Из списка Type выбираете один из типовых размеров.

Если стандартные типы не подходят, то указываете высоту и ширину листа в разделе Dimension. В поле Width - ширину, в поле Height - высоту.

Из раскрывающегося списка Paper source выбираете тип подачи бумаги.

С помощью переключателя в разделе Orientation Вы выбираете ориентацию страницы.

RadioButton Portrait - книжная,

RadioButton Landscape - альбомная.

Так данные представлены в табличной форме, то при печати необходимо указать последовательность вывода страниц в разделе Print Order:

RadioButton Down, then over - вниз, затем вправо,

RadioButton Over, then down - вправо, затем вниз.

CheckBox Если установить флажок Print using gray shading, то при печати будут использоваться оттенки серого цвета, а не только черный и белый.


Поля

На вкладке Margins Вы можете указать размер полей документа и размер колонтитулов.

Data View - Print Data - Page Setup - Margins

  • Top - размер верхнего поля
  • Bottom - размер нижнего поля
  • Left - размер левого поля
  • Right - размер правого поля
  • Header - размер верхнего колонтитула
  • Footer - размер нижнего колонтитула

Если Вы задали неподходящее значение, то нажмите на кнопку Fix, чтобы его исправить.

Нажатие на кнопку Restore Original возвращает настройки к настройкам по умолчанию.

С помощью флажков в разделе Center on page Вы указываете, следует ли центрировать текст на странице.

CheckBox Если установлен флажок Horizontally, то текст центрируется по горизонтали,

CheckBox Если Vertically, то по вертикали.

Все указанные отображаются в разделе Preview.


Колонтитулы

На вкладке Header\Footer Вы можете задать свойства верхнего и нижнего колонтитулов.

Data View - Print Data - Page Setup - Header and Footer

Каждый колонтитул поделен на 3 раздела. В каждом разделе можно указывать разную информацию. Текст можно писать самостоятельно, а можно выбрать стандартный с помощью кнопок Predefined Function:

  • Machine name - имя компьютера,
  • User Name - имя пользователя,
  • Time Printed - время печати,
  • Date Printed - дата печати,
  • Date & Time Printed - дата и время печати документа,
  • Page # of Pages # - страница № из общего числа страниц
  • Total Pages - общее число страниц
  • Page # - номер страницы

Для колонтитула можно задавать шрифт - с помощью кнопки Font... и фон с помощью кнопки Background.

Выравнивание текста по вертикали осуществляется при помощи кнопок Vertical Alignment.

CheckBox Reverse on even pages

Если установлен этот флажок, то указанные колонтитулы будут отображаться на каждой странице.


Масштаб

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

На вкладке Scaling указывается масштаб страницы.

RadioButton Adjust To - установить n процентов от натуральной величины. Проценты указываются в специальном поле.

RadioButton Fit To - разместить не более чем на n страниц в ширину и n страниц в высоту. Количество страниц задается в специальных полях.

Data View - Print Data - Page Setup - Scaling


Настройщик отчетов

Настроить вид печатной формы можно с помощью инструмента Format report, который открывается при нажатии кнопки [image] Design Report на панели инструментов вкладки Print data просмотрщика данных.

Все инструменты располагаются на следующих вкладках:

  • Настройка отображаемых областей,
  • Характеристики (поведение),
  • Форматирование,
  • Стили,
  • Предварительный просмотр,
  • Карточки
  • Диаграммы

Нажав на кнопку Title Properties, Вы сможете задать параметры титульного листа отчета.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Параметры страницы

Задание опций отчета

Печать


Настройка отображаемых областей

На вкладке View, с помощью флажков, Вы можете выбрать те области, которые будут отображаться в отчете:

Data View - Print Data - Report Formatter - View

В разделе Show выберите те элементы, которые будут отображаться для всей таблицы.

CheckBox Caption - строка заголовка страницы,

CheckBox Bands - видимые диапазоны, (опция недоступна)

CheckBox Headers - заголовки столбцов,

CheckBox Footers - строки итогов,

CheckBox Group Footers - область группировки данных

CheckBox Expand Buttons -

CheckBox Filter Bar - панель фильтра. Если данные были отфильтрованы, то в этой строке будет показано условие фильтрации.

Далее, в разделе On Every Page, Вы можете указать те разделы, которые будут на каждой странице

CheckBox Caption - строка заголовка страницы,

CheckBox Bands - видимые диапазоны,

CheckBox Headers - заголовки столбцов,

CheckBox Footers - строки итогов,

CheckBox Filter Bar - панель фильтра.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Характеристики (поведение)

На этой вкладке задайте следующие характеристики:

Data View - Print Data - Report Formatter - Behaviors

В разделе Selection настройте параметры выделения:

CheckBox Process Selection - обрабатывать выделенный текст,

CheckBox Process Exact Selection - процесс точного выделения.

Элементы, которые будут развернуты на печатной форме выберите в разделе Expanding.

CheckBox Groups - группы,

CheckBox Details - детали,

CheckBox Cards - карточки.

Если установлен флажок Auto Width, то ширина таблицы будет равна ширине страницы.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Форматирование

Параметры форматирования задайте на вкладке Formatting.

Из раскрывающегося списка Look and Feel выберите оформление границ ячеек заголовка.

В разделе Refinements можно задать параметры сжатия отчета.

CheckBox Transparent Graphics - прозрачные графические изображения,

CheckBox Display Graphic As Text - отображать вместо графики текст,

CheckBox Flat CheckMarks - использовать плоские флажки.

CheckBox Suppress Background Textures - сглаживать текстуры фона.

CheckBox Consume Selection Style - не применять стили выделения.

Параметры разбиение на страницы задайте в разделе Pagination.

CheckBox By TopLevel Groups - разбиение на страницы в соответствии с группировкой,

CheckBox One Group Per Page - одна группа на странице.

Data View - Print Data - Report Formatter - Formatting

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Стили

На этой вкладке Вы можете менять внешний вид отчета.

Data View - Print Data - Report Formatter - Styles

CheckBox Если установлен флажок Use Native Styles, то будет использоваться только стиль по умолчанию, изменения нельзя будет внести.

В списке находятся все элементы отчета, кроме того, для каждого элемента указан фон, вид и размер шрифта.

Для каждого элемента можно задать следующие свойства:

  • Font - шрифт,
  • Color - цвет,
  • Texture - текстура,
  • Clear - вернуть настройки по умолчанию

Нажав на кнопку Restore Defaults, Вы отмените все внесенные изменения для выделенного объекта и установите настройки по умолчанию.

С помощью кнопки Save As... Вы можете сохранить принятые изменения в файл схемы.

Все файлы схемы отображаются в списке Style Sheets. Нажав на кнопку New, Вы создадите новый файл схемы. Копировать нужную схему можно, нажав на кнопку Copy. Кнопка Delete удаляет выбранную схему. Чтобы переименовать активную схему нажмите на кнопку Rename.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Предварительный просмотр

Параметры предпросмотра задайте на этой вкладке

Data View - Print Data - Report Formatter - Preview

CheckBox Если установлен флажок Visible, то будут отображаться строки группировки.

CheckBox Если установлен флажок Auto Height, то высота строк будет задана автоматически.

Задайте максимальное количество строк на странице в счетчике Max Line Count.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Карточки

На этой вкладке Вы можете задать внешний вид карточек.

В разделе Sizes можно настроить размеры карточек:

CheckBox установленный флажок Auto Width автоматически подгоняет ширину карточек

CheckBox Keep Same Width - фиксирует исходную ширину.

CheckBox Keep Same Height - фиксирует исходную высоту карточки.

В разделе Spacing задайте расстояние между карточками:

Horizontal - расстояние по горизонтали,

Vertical - расстояние по вертикали.

В разделе Framing можно задать параметры рамок карточек

CheckBox Border - если установлен этот флажок, то у карточек будет внешняя граница,

CheckBox Horizontal Lines - устанавливает внутри карточки горизонтальные разграничители для каждой строки

CheckBox Vertical Lines - добавляет разграничители для столбцов.

С помощью инструментов в разделе Shadow задайте параметры тени карточек.

Color - цвет тени,

Depth - размер тени.

Data View - Print Data - Report Formatter - Cards

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Диаграммы

CheckBox На этой вкладке Вы можете задать такое свойство диаграммы как прозрачность, установив флажок Transparent.

Data View - Print Data - Report Formatter - Charts

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Задание опций отчета

Опции

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Design Report [image] на панели инструментов и выберите пункт Preferences item.

Data View - Print Data - Report options

В разделе Show выберите элементы, которые будут отображаться на предварительном просмотре.

CheckBox Margins - поля.

CheckBox Margins hints - сведения о размере поля.

CheckBox Margins hints while dragging - сведения о размере поля, отображающиеся при его изменении с помощью перетаскивания.

Из раскрывающегося списка Measurement Units выберите единицы измерения, в которых будет измеряться размер поля. Это могут быть дюймы (inches), миллиметры (millimeters) или единицы, принятые по умолчанию на этом компьютере. (default).

Параметры масштаба укажите в разделе Zoom Parameters.

CheckBox Zoom on roll with IntelliMouse

Если установлен этот флажок, то Вы можете менять масштаб страницы, вращая колесико мышки и удерживая клавишу Ctrl.

Zoom Step

В этом счетчике задайте процент изменения масштаб страницы, при Zoom on roll with IntelliMouse.

Из раскрывающегося списка Margins Color выберите цвет полей страницы.

Заголовок отчета

В этом диалоговом окне Вы можете задать настройки заголовка печатаемого документа.

Чтобы открыть это окно, нажмите кнопку Title... на панели инструментов.

Data View - Print Data - Report options - Title

Mode

Из этого раскрывающегося списка выберите, как должен отображаться заголовок.

On the first page - на первой странице.

On every top page - на каждой странице.

Not displayed at all - не отображать

На вкладке Text укажите Текст заголовка.

Properties

CheckBox Transparent

Если установлен этот флажок, то заголовок будет прозрачным.

Цвет заголовка выберите из раскрывающегося списка Color.

Вы можете изменить цвет, только если не установлен флажок CheckBox Transparent.

Нажмите кнопку Font, чтобы задать шрифт заголовка в стандартном диалоговом окне.

CheckBox Adjust on scale

Если установлен этот

If this option is selected, the title can be adjusted on scale.

Alignment

В разделе Alignment укажите выравнивание заголовка по горизонтали (Horizontally) и вертикали (Vertically).

Для восстановления значений по умолчанию, нажмите кнопку Restore Defaults.

Дата и время

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Title [image] на панели инструментов и выберите пункт Date and Time.

В открывшемся диалоговом окне задайте настройки даты и времени для документа.

Data View - Print Data - Report options - Date and Time

Из списков Available Date Formats и Available Time Formats выберите формат даты и времени.

При необходимости, Вы можете указать, что дата и время будут обновляться автоматически, установив флажок Update automatically.

Чтобы применить форматы даты и времени, принятые в системе по умолчанию, нажмите кнопку Default.

Нумерация страниц

Вы можете задать нумерацию страниц печатного документа.

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Title [image] на панели инструментов и выберите пункт Page Numbering.

Data View - Print Data - Report options - Page Number Format

Формат номера страницы выберите из раскрывающегося списка

RadioButton Continue from the previous section - продолжить нумерацию

RadioButton Start At - начать нумерацию. С какого значения необходимо начать нумерацию страниц, укажите в соответствующем поле.

Для восстановления значений по умолчанию, нажмите кнопку Defaults.

Масштаб

Параметры масштаб страницы укажите в этом окне.

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Title [image] на панели инструментов и выберите пункт Setup zoom.

Data View - Print Data - Report options - Zoom

Выберите одно из часто используемых значений масштаба (500%, 200%, 150%, 100%, 75%, 50%, 25%, 10%) или укажите процент вручную в счетчике Percent.

RadioButton Page Width - по ширине страницы.

RadioButton Whole Page - целая страница.

RadioButton Two Pages - две страницы.

RadioButton Four Pages - четыре страницы.

RadioButton Many Pages = несколько страниц.

В разделе Preview отображаются принятые изменения.

Смотрите также:

Параметры страницы

Настройщик отчетов

Печать


Печать

Стандартное диалоговое окно Print позволит Вам настроить параметры печати.

Это окно открывается при нажатии кнопки btnPrintSetup на панели инструментов, или клавиш Ctrl+P.

Data View - Print Data - Print dialog

Чтобы начать печать, нажмите кнопку Print.

Если Вы хотите изменить параметры страницы, то нажмите кнопку Page Setup. В появившемся диалоговом окне Page Setup задайте необходимые настройки.

Смотрите также:

Параметры страницы

Настройщик отчетов

Задание опций отчета


Редактор данных типа BLOB

Если в таблице содержатся поля, имеющие тип данных BLOB, то в просмотрщике данных появляется дополнительная вкладка Blob View. На этой вкладке можно редактировать любой тип данных, относящихся к BLOB. Для каждого типа создана своя вкладка:

Редактировать в шестнадцатеричном представлении

Редактировать как текст

Редактировать как RTF

Редактировать как изображение

Редактировать как HTML

Data View - BLOB View

Работа с записями на вкладке Blob View.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

Если в таблице присутствует несколько полей, имеющих тип данных BLOB, то выбирать поля для просмотра можно с помощью раскрывающегося списка Select BLOB Column на панели инструментов.

Для сохранения внесенных изменений, используйте кнопку Post Edit.

Data View - Applying changes

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Панели инструментов

Просмотр в виде таблицы

Просмотр в виде формы

Просмотр в виде печатной формы

Применение изменений


Редактировать в шестнадцатеричном представлении

На вкладке Hexadecimal Вы можете просмотреть и отредактировать информацию, содержащуюся в одной ячейке поля типа BLOB. В левой части формы содержимое ячейки представлено в шестнадцатеричном виде (шестнадцатеричные значения байтов), а в правой - в виде обычного текста.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

Data View - BLOB View - Hexadecimal


Редактировать как текст

На вкладке Text содержимое ячейки представлено в виде обычного текста, доступного для редактирования.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

Из раскрывающегося списка на панели инструментов Вы можете выбрать кодировку текста. Выбранная новая кодировка меняет представление только неизмененного текста, как только в текст внесены изменения, выбранная кодировка будет влиять лишь на сохранение данных в базе данных и не влиять на текущее отображение

Data View - BLOB View - Text


Редактировать как RTF

На вкладке Rich Text текст представлен в виде RTF (Rich Text Format). Его можно форматировать: изменять шрифт, менять начертание и размер шрифта, добавлять списки, устанавливать междустрочные интервалы и т.п.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

Data View - BLOB View - Rich Text


Редактировать как изображение

Если поле в базе данных имеет тип image, то добавить в это поле изображение, а также просмотреть его можно на вкладке Image инструмента Blob View.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

На панели в нижней части формы отображается информация о размере и формате изображения.

Data View - BLOB View

Чтобы добавить изображение нажмите кнопку iconLoadFromFile.


Редактировать как HTML

Если тип данных в ячейке HTML, то редактировать удобнее всего будет на вкладке HTML.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

Data View - BLOB View - HTML


Применение изменений

После того, как Вы внесли изменения, нажмите кнопку Post Edit btnPostEdit на навигационной панели, чтобы сохранить внесенные изменения. Если Вы хотите отменить внесенные изменения, то нажмите кнопку Cancel Edit btnCancelEdit на навигационной панели.

Data View - Applying changes

Смотрите также:

Панели инструментов

Просмотрщик данных

Просмотр в виде формы

Просмотр в виде печатной формы

Редактор данных типа BLOB


Конструктор фильтров

В SQL Manager for InterBase/Firebird имеется специальный инструмент для задания условий отбора данных в таблице просмотрщика данных. С помощью конструктора фильтров Вы можете не только создать условие отбора любого уровня сложности, но и сохранить его в файл и загрузить из файла (см. Кнопки конструктора фильтров), что позволяет многократно использовать один фильтр.

Запуск конструктора фильтров

Работа с условиями

Работа с группами

Применение фильтра

Смотрите также:

Просмотрщик данных


Запуск конструктора фильтров

Конструктор фильтров можно открыть следующими способами:

  • с помощью кнопки Filter data btnSetFilter на Панели работы с записями,

Если для таблицы установлен фильтр, то в нижней части появляется специальная панель, на которой отображается условие фильтра.

С помощью этой панели можно:

  • удалить фильтр - нажав на кнопку btnClose,
  • включить фильтр - установить флажок,
  • изменить условия фильтрации с помощью кнопки Customize.... Эта кнопка и открывает конструктор фильтров.

Data View - Grid View - Filtering records - Filtering panel

Кроме того, на этой панели в кратком виде отображаются условия фильтра, а также история модификации, которая открывается при нажатии на раскрывающийся список.


Работа с условиями

Добавить новое условие можно двумя способами:

  • нажать кнопку press the button to add condition,
  • выбрать из меню, открывшегося при нажатии кнопки Filter пункт Add Condition.

Условия можно объединять в группы.

Отношение между группами определяется групповым оператором, который выбирается из списка, открывающегося по нажатию на надпись AND.

Надпись после AND указывает на группу, в которой находятся условия. Идентификатор главной группы - <root>.

Filter Builder dialog - Setting group operator

Далее необходимо указать одно или несколько условий отбора данных. Каждая строчка - это одно условие.

Добавить или удалить условие можно с помощью меню, которое открывается при нажатии на кнопку EllipsisButton.

  • добавить условие - Add Condition,
  • добавить группу - Add Group,
  • удалить группу или условие - Remove Row.

По нажатию на надпись, выделенную зеленым цветом, открывается список полей таблицы, запроса или представления. Из списка выбираем то поле, для которого хотим указать условие отбора.

Filter Builder dialog - Setting filter criteria

Нажав на следующую надпись, выбираем оператор из раскрывающегося списка.

Filter Builder dialog - Setting filter operator

В списке содержатся следующие операторы:

  • равно - equals,
  • не равно - does not equal,
  • больше - is greater than,
  • больше или равно - is greater than or equal to,
  • меньше - is less than,
  • меньше или равно - is less than or equal to,
  • похоже (для текстовых полей) - like,
  • не похоже (для текстовых полей) - not like,
  • пустые - is blank,
  • не пустые - is not blank,
  • между <значение> и <значение> - between,
  • не между - not between,
  • в - in,
  • не в - not in.

(по умолчанию для числовых полей и полей типа datetime стоит оператор equals, для текстовых - like)

Для полей типа Дата в этом списке появляется еще несколько операторов:

  • вчера - is yesterday,
  • сегодня - is today,
  • завтра - is tomorrow,
  • на прошлой неделе - is last week,
  • в прошлом месяце - is last month,
  • в прошлом году - is last year,
  • на этой неделе - is this week,
  • в этом месяце - is this month,
  • в этом году - is this year,
  • не следующей неделе - is next week,
  • в следующем месяце - is next month,
  • в следующем году - is next year.

Выбрав оператор, необходимо указать критерий отбора. При нажатии на надпись <empty> вместо этой надписи появляется поле для ввода значения. Тип поля соответствует типу данных. Для текста это текстовое поле, для числовых - счетчик, для даты и времени - календарь. Используйте символ "%" для указания любого набора символов и символ "_" для обозначения любого символа.

Filter Builder dialog - Setting filter criteria values

Для операторов between и not between появляется два поля ввода, так как нужно указать интервал.

В поле указываем последовательность символов. При выполнении условия отбираются только те значения, которые отвечают указанному условию.

Например, оператор Вы выбрали is greater than (больше), а в поле указали 100. Следовательно, в таблице будут отображаться только те строки, в которых это значение больше 100.


Работа с группами

Условий для фильтра можно задавать несколько, а также объединять эти условия в группы и задавать отношения между группами условий.

Группы имеют иерархическую структуру. Групповой оператор распространяется на те группы, которые находятся внутри той группы, для которой он установлен.

В каждой группе задаются условия для одного поля.

Filter Builder dialog - Adding a new group

Добавить группу можно с помощью пункта Add Group контекстного меню, открывающегося при нажатии кнопки EllipsisButton.

Отношение между группами определяется групповым оператором, который выбирается из списка, открывающегося по нажатию на надпись AND.

Filter Builder dialog - Setting group operator

Групповых операторов четыре:

  • AND - одновременно должны выполняться все группы условий,
  • OR - выполняться должна хотя бы одна группа условий,
  • NOT AND - не должно выполняться хотя бы одно из перечисленных условий,
  • NOT OR - не должно выполняться ни одно из перечисленных условий.


Применение фильтра

Файл фильтра имеет расширение .flt. Открыть такой файл можно с помощью кнопки Open, расположенной внизу формы. Кнопка Save As позволяет сохранять созданный фильтр в файл.

Чтобы применить созданный фильтр, используйте кнопки Ok или Apply. При нажатии на Ok конструктор закроется, при нажатии на Apply останется открытым, и Вы сможете, исходя из результатов, исправить созданный фильтр.

Кнопка Cancel закрывает конструктор без сохранения изменений.


Импорт и экспорт данных

SQL Manager for InterBase/Firebird предоставляет пользователю набор инструментов для быстрого и удобного импорта и экспорта данных.

Экспорт данных

Экспорт данных осуществляется в файлы различных форматов. В том числе: MS Excel, MS Access, RTF, HTML, PDF. и т.д.

Экспорт данных в виде SQL скрипта

Экспорт данных в SQL скрипт.

Импорт данных

Импортирует данные из файлов разных форматов: MS Excel, MS Access, DBF, TXT, CSV, XML, MS Word, ODF Spreadsheets, ODF Text.

Использование шаблонов

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Инструменты базы данных

Службы

Настройки

Внешние инструменты

Как...


Мастер экспорта данных

Мастер экспорта данных - Export Data Wizard - позволяет экспортировать данные из таблиц, представлений, результатов запроса в файлы самых распространенных форматов.

Экспорт данных можно осуществлять только из тех редакторов, где есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор запросов и Дизайнер запросов.

Этот инструмент открывается с помощью кнопки Export Data, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results.

Также эта команда присутствует в контекстном меню объектов таблицы и представления, в проводнике баз данных. Содержится в подменю пункта Data Manipulation.

Шаги мастера:

Задание имени и формата выходного файла

Выбор экспортируемых полей

Настройка форматов данных

Установка колонтитулов

Задание особенностей форматов

Задание общих опций экспорта

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер импорта данных

Мастер экспорта в виде SQL скрипта

Использование шаблонов


Задание имени и формата выходного файла

На этом шаге мастера экспорта данных Вам необходимо выбрать формат выходного файла - в разделе Destination format - установив переключатель напротив нужного формата.

В поле Destination file name укажите имя выходного файла и путь к нему с помощью кнопки btnSaveAs.

Важно: Если файл с таким именем уже существует, то в появившемся окне предупреждения Вам необходимо будет выбрать что делать в этом случае.

Export Data - Setting destination file name and format

Следующий шаг

Шаблоны

Смотрите также:

Поддерживаемые форматы файлов


Выбор экспортируемых полей

На этом шаге Вам необходимо из списка всех полей таблицы или представления выбрать те, которые Вы хотите экспортировать.

Из списка Available Fields выберите доступные поля и с помощью кнопок, перетаскивания или двойного щелчка мыши, переместите их в список экспортируемых полей - Selected fields. Если не выбрать ни одного поля, то по умолчанию будут экспортированы все поля, кроме поле BLOB.

CheckBox Установленный флажок Allow captions указывает на то, что заголовки столбцов будут вынесены в первую строку.

Export Data - Selecting fields for export

Следующий шаг

Шаблоны


Настройка форматов данных

На третьем шаге Вы задаете, в каком формате будут отображаться данные.

Форматы отображения Вы можете задать для следующих форматов данных:

  • Integer format - Целое число,
  • Float format - Число с плавающей точкой,
  • Date format - Дата,
  • Time format - Время,
  • DateTime format - Дата и время,
  • Currency format - Денежный,
  • Boolean True - Истина,
  • Boolean False - Ложь,
  • Null string - Строка NULL,
  • Decimal Separator - символ, отделяющий десятичную часть числа,
  • Date Separator - разделитель в дате
  • Thousand Separator - разделитель тысяч,
  • Time separator - разделитель времени.

Export Data - Adjusting data formats

Следующий шаг

Шаблоны


Установка колонтитулов

На этом шаге можно задать текст, который будет отображаться в верхнем и нижнем колонтитулах выходного файла.

Если Вы выбрали формат файла, не поддерживающий колонтитулы, то этого шага не будет.

В поле Header text указываете текст верхнего колонтитула.

В поле Footer text - нижнего.

Этот текст будет повторяться на каждой странице выходного файла.

Export Data - Setting header and footer

Следующий шаг

Шаблоны


Задание особенностей форматов

Набор опций на пятом шаге определяется выбранным форматом выходного файла.

Для следующих форматов можно указывать различные свойства на пятом шаге:

MS Excel 97-2003

MS Access 97-2003

MS Word 97-2003/RTF

HTML

PDF

TXT

CSV

XML

Excel/ODF Spreadsheets

MS Access

Word/ODF Text

Следующий шаг

Шаблоны


Особенности экспорта в Excel 97-2003

Если данные будут экспортированы в файл формата Excel 97-2003, то на пятом шаге Вы можете указать следующие свойства:

  • формат данных - на вкладке Data format,
  • расширения - на вкладке Extensions,
  • оформление - на вкладке Advanced.

Export Data - Format-specific options - Excel

Следующий шаг

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Оформление таблицы и данных

Вкладка Data format содержит инструменты, необходимые для форматирования ячеек выходного файла.

Вы можете задавать такие параметры как шрифт, выравнивание, границы и т.д. для всех типов ячеек (ячеек с данными, заголовков, ссылок и т.д.). Можно также создавать стили, которые могут быть применены ко всем типам ячеек.

Оформление Полей

Опции

Стили

Шаблоны


Оформление Полей

На вкладке Fields для каждого поля Вы можете указать совокупность параметров, определяющих его внешний вид.

Export Data - Format-specific options - Excel - Data Format - Fields

Все инструменты, отвечающие за настройки шрифта, находятся на вкладке Font:

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

На вкладке Borders Вы можете задать толщину и вид границ ячеек.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

Если нажата одна из кнопок [image] [image] [image] [image] , значит соответствующая граница будет отображаться. Для верхней, нижней, правой и левой границы отдельная кнопка.

Из раскрывающихся списков выберите тип границы (одинарная, двойная, пунктирная и т.д.). Нажав на кнопку [image] , Вы можете задать для границы цвет.

На вкладке Fill Вы можете задать фоновый узор ячейки.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

Кнопка [image] отвечает за цвет фона.

Из раскрывающегося списка Вы выберите узор.

Кнопка [image] позволяет выбрать цвет узора

На вкладке Aggregate Вы можете задать для столбца одну итоговую функцию. Это значит что для данных в столбце будет найдено:

Export Data - Format-specific options - Excel - Data Format - Fields - Aggregate

RadioButton сумма - SUM,

RadioButton или среднее арифметическое - AVG,

RadioButton или минимальное значение - MIN,

RadioButton или максимальное значение - MAX.

В окне, расположенном ниже, Вы можете видеть все изменения, производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного поля и для всех полей соответственно.


Опции

На вкладке Options есть возможность задать свойства вспомогательного текста:

  • верхний колонтитул - HEADER,
  • заголовок - CAPTION,
  • итоговые функции - AGGREGATE,
  • нижний колонтитул - FOOTER,
  • ссылка - HYPERLINK.

Export Data - Format-specific options - Excel - Data Format - Options

Все инструменты, отвечающие за шрифт, находятся на вкладке Font:

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

На вкладке Borders Вы можете задать толщину и вид границ ячеек.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

Если нажата одна из кнопок [image] [image] [image] [image] , значит соответствующая граница будет отображаться. Для верхней, нижней, правой и левой границы отдельная кнопка.

Из раскрывающихся списков выберите тип границы (одинарная, двойная, пунктирная и т.д.). Нажав на кнопку [image] , Вы можете задать для границы цвет.

На вкладке Fill Вы можете задать фоновый узор ячейки.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

Кнопка [image] отвечает за цвет фона.

Из раскрывающегося списка Вы можете выбрать узор.

Кнопка [image] позволяет выбрать цвет узора

В окне, расположенном ниже, Вы можете видеть все изменения производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного поля и для всех полей соответственно.


Стили оформления

Вы можете создать собственный набор стилей, которые будут использоваться для оформления столбцов и строк.

Стили создаются на вкладке Styles.

С их помощью Вы можете оформить таблицу, задав различный цвет для столбцов или строк.

Чтобы создать стиль необходимо нажать на кнопку iconPlus, чтобы удалить - на iconMinus.

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown.

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip style определяет, как будут применены созданные стили:

RadioButton None - не применен,

RadioButton Col - к столбцам,

RadioButton Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Export Data - Format-specific options - Excel - Data Format - Styles

Все инструменты, отвечающие за шрифт, находятся на вкладке Font:

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выбираете один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

На вкладке Borders Вы можете задать толщину и вид границ ячеек.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

Если нажата одна из кнопок [image] [image] [image] [image], значит соответствующая граница будет отображаться. Для верхней, нижней, правой и левой границы отдельная кнопка.

Из раскрывающихся списков выберите тип границы (одинарная, двойная, пунктирная и т.д.). Нажав на кнопку [image], Вы можете задать для границы цвет.

На вкладке Fill Вы можете задать фоновый узор ячейки.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

Кнопка [image] отвечает за цвет фона.

Из раскрывающегося списка Вы выберите узор.

Кнопка [image] позволяет выбрать цвет узора

В окне, расположенном ниже, Вы можете видеть все изменения производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного поля и для всех полей соответственно.


Расширения

Вкладка Extensions позволяет:

создавать ссылки в ячейках - объекты Hyperlinks,

создавать примечания для любой ячейки выходного файла - Notes,

задавать свойства диаграммы - Charts,

определять значение и тип ячейки - Cells,

указывать какие ячейки следует объединить - Merged Cells

Все эти объекты представлены в виде иерархического списка.

Чтобы создать объект необходимо нажать на кнопку iconPlus , чтобы удалить - на iconMinus .

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Ссылки

На этой вкладке Вы можете изменять параметры созданной гиперссылки.

Export Data - Format-specific options - Excel - Extensions - Hyperlinks

Важно: Если Вы создали гиперссылку, то её название, указанное в поле Title, заменит содержимое ячейки, для которой Вы её создали.

Свойства гиперссылки:

С помощью счетчиков Col и Row Вы задаете ту ячейку, в которой будет находиться гиперссылка.

Col - номер столбца, Row - номер строки.

В разделе Style выберите тип ссылки:

RadioButton URL - адрес в интернете,

RadioButton Local file - файл на компьютере, на котором запущен SQL Manager for InterBase/Firebird, или в локальной сети.

В поле Title укажите имя гиперссылки.

В поле Target задайте путь к файлу или web странице.

Кнопка [image] позволяет выбрать файл из имеющихся на компьютере или в локальной сети.


Примечания

Примечание представляет собой какие-либо замечания, относящиеся к ячейке и хранящиеся независимо от содержимого этой ячейки. Ячейки с примечаниями помечаются треугольником в правом верхнем углу. При наведении указателя на ячейку, помеченную таким образом, отображается примечание.

Для создания примечаний к ячейкам выходного файла на вкладке Extensions существует вкладка Notes.

Параметры каждого примечания Вы можете задать на вкладках Base, Font и Fill.

Export Data - Format-specific options - Excel - Extensions - Notes - Base

Вкладка Base

С помощью счетчиков Col и Row Вы можете задать ту ячейку, в которой будет находиться примечание. Col - номер столбца, Row - номер строки.

В поле Text пишете текст примечания.

Все инструменты, отвечающие за шрифт примечания, находятся на вкладке Font:

Export Data - Format-specific options - Excel - Extensions - Notes - Font

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

В разделе Orientation выбирается ориентация текста в окне примечания.

На вкладке Fill Вы можете задать вид фона окна примечания.

Export Data - Format-specific options - Excel - Extensions - Notes - Fill

RadioButton Solid - фон однородный,

RadioButton Gradient - будет использован градиент фонового цвета,

  • Horizontal - горизонтальный,
  • Vertical - вертикальный,
  • Diagonal Up - диагональная_1,
  • Diagonal Down - диагональная_2,
  • From Corner - из угла,
  • From Center - от центра.

Кнопка [image] отвечает за цвет фона.

Кнопка [image] позволяет выбрать цвет узора.

Передвигая ползунок Transparency от отметки 0% до 100%, Вы можете задать степень прозрачности окна примечания. 100% - наибольшая степень прозрачности.


Диаграммы

Вы можете создать диаграмму в выходном файле Microsoft Excel.

Для этого на вкладке Extensions нужно создать объект Chart.

Export Data - Format-specific options - Excel - Extensions - Charts - Base

Основные свойства диаграммы можно задать на вкладке Base.

В поле Title указываете имя диаграммы.

Из раскрывающегося списка Style выберите тип диаграммы. Список состоит из стандартных типов диаграмм, таких как гистограмма, круговая, точечная и т.д.

В разделе Legend position укажите положение легенды:

RadioButton Bottom - под диаграммой,

RadioButton Corner - в углу,

RadioButton Top - над диаграммой,

RadioButton Right - справа от диаграммы,

RadioButton Left - слева от диаграммы.

CheckBox Если установлен флажок Show legend, то легенда будет отображаться.

CheckBox Если установлен Флажок Auto color, то на диаграмме каждая серия будет выделена своим цветом. Если не установлен, то все серии будут одного цвета.

На вкладке Position задается расположение диаграммы на листе.

Export Data - Format-specific options - Excel - Extensions - Charts - Position

RadioButton Автоматическое - Auto:

В разделе Placement указывается положение диаграммы относительно данных.

RadioButton Bottom - под данными,

RadioButton Right - справа от данных.

Ниже, с помощью счетчиков, указываются размер диаграммы и отступы сверху и слева в сантиметрах.

Left - расстояние до данных слева,

Top - расстояние до данных сверху,

Height - высота диаграммы,

Width - ширина диаграммы.

RadioButton В разделе Custom можно указать абсолютное положение диаграммы.

На вкладке Category Labels Вы можете указывать, в каких строках и столбцах строить диаграмму.

Из раскрывающегося списка Column выберите столбец таблицы, который будет являться осью X в диаграмме.

Или с помощью счетчиков раздела Custom укажите диапазон ячеек.

Export Data - Format-specific options - Excel - Extensions - Charts - Category Labels

Для того, чтобы построить диаграмму, необходимо создать объект Series. Без него невозможно построить диаграмму.

Этот объект указывает на те значения, которые будут располагаться в диаграмме по оси Y.

Для одной диаграммы может быть создано несколько серий.

Свойства серий задаются на специальной вкладке:

Export Data - Format-specific options - Excel - Extensions - Series

Title - название серии,

Column - столбец таблицы, значения которого будут образовывать серию.

Или с помощью счетчиков раздела Custom указываете диапазон ячеек.

Нажав на кнопку [image] , Вы можете задать для серии цвет.


Ячейки

На этой вкладке Вы можете задать формат ячейки и значение, которое в ней будет находиться.

В счетчике Col укажите номер столбца, в Row - строки. На их пересечении будет находиться редактируемая ячейка.

Тип ячейки выберите из раскрывающегося списка Cell type. В поле Value задаете значение, которое будет находиться в этой ячейке.

В разделе Formats укажите, в каком виде будут отображаться данные, если они являются числовыми или датой.

В поле Data укажите вид, в котором должны отображаться данные типа дата и время, а в поле Numeric - укажите формат числовых значений.

Export Data - Format-specific options - Excel - Extensions - Cells

Инструменты, располагающиеся на вкладках Font, Borders и Fill соответствуют инструментам на вкладке Fields.


Объединенные ячейки

С помощью набора инструментов раздела Merged Cells Вы можете объединить ячейки в выходном документе.

При необходимости можно создать несколько объединенных ячеек. Для этого на вкладке Extensions необходимо создать несколько объектов Merged Cells.

С помощью счетчиков задаете ячейки, которые необходимо объединить:

  • First col - первый столбец,
  • First row - первая строка,
  • Last col - последний столбец,
  • Last row - последняя строка.

Export Data - Format-specific options - Excel - Extensions - Merged Cells


Оформление страницы

На вкладке Advanced Вы можете задать общие свойства страницы:

Export Data - Format-specific options - Excel - Advanced

  • верхний колонтитул страницы - в поле Page header,
  • нижний колонтитул страницы - в поле Page footer,
  • название листа - в поле Sheet title,
  • фон страницы - с помощью раскрывающегося списка Page background.

CheckBox Если установлен флажок Calculate column width automatically, то ширина столбцов задается автоматически исходя, из размеров поля.

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Особенности экспорта в Access 97-2003

Если данные экспортируются в Access 97-2003, то на этом шаге необходимо будет указать опции таблицы. В поле Table name указать имя таблицы.

CheckBox Если не существует таблицы с таким именем, то ее можно создать, установив флажок Create new table if it does not exist.

Export Data - Format-specific options - Access

Следующий шаг

Шаблоны


Особенности экспорта в Word 97-2003/RTF

При экспорте данных в документ Microsoft Word можно указать следующие свойства выходного файла:

  • Базовые стили
  • Стили оформления строк

Export Data - Format-specific options - Word

Следующий шаг

Шаблоны


Базовые стили

На вкладке Base Styles Вы можете указать основные свойства выходного документа.

Из списка выберите объект, для которого необходимо задать свойства:

верхний колонтитул - HEADER,

заголовок - CAPTION,

нижний колонтитул - FOOTER,

ссылка - HYPERLINK.

В разделе Page orientation установите ориентацию страницы:

RadioButton Portrait - книжная,

RadioButton Landscape - альбомная.

Export Data - Format-specific options - Word - Base Styles

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), выравнивание текста по горизонтали и выравнивание текста по вертикали.

Кнопка [image] отвечает за цвет фона.

CheckBox Если установлен флажок Background, то цвет фона будет отображаться в выходном файле.

Кнопка [image] позволяет выбрать цвет, которым будет выделен текст.

CheckBox Если установлен флажок Highlight, то в выходном файле текст будет выделен указанным цветом.

В окне, расположенном ниже, Вы можете видеть все изменения производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного объекта и для всех объектов соответственно.


Стили оформления строк

На вкладке Styles Вы можете создать собственный набор стилей, которые будут использоваться для оформления столбцов и строк.

С их помощью Вы можете оформить таблицу, задав различный цвет для столбцов или строк.

Export Data - Format-specific options - Word - Strip Styles

Чтобы создать стиль необходимо нажать на кнопку iconPlus, чтобы удалить - на iconMinus.

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown.

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip style определяет, как будут применены созданные стили:

RadioButton None - не применен,

RadioButton Col - к столбцам,

RadioButton Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), выравнивание текста по горизонтали и выравнивание текста по вертикали.

Кнопка [image] отвечает за цвет фона.

CheckBox Если установлен флажок Background, то цвет фона будет отображаться в выходном файле.

Кнопка [image] позволяет выбрать цвет, которым будет выделен текст.

CheckBox Если установлен флажок Highlight, то в выходном файле текст будет выделен указанным цветом.

В окне, расположенном ниже, Вы можете видеть все изменения, производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного стиля и для всех стилей соответственно.


Особенности экспорта в HTML

Если Вы экспортируете данные в формате HTML, то для выходного файла Вы можете задать следующие характеристики:

  • оформление таблицы в выходном файле можно выбрать из предлагаемых форматов на вкладке Preview,
  • основные свойства выходного файла можно указать на вкладке Basic,
  • свойства многостраничного документа можно задать на вкладке Multi-file,
  • шрифт и формат ячеек таблицы укажите на вкладке Advanced.

Export Data - Format-specific options - HTML

Следующий шаг

Шаблоны


Автоформат

На вкладке Preview Вы можете задать внешний вид таблицы данных.

Из раскрывающегося списка Template можно выбрать уже готовый шаблон оформления документа. В окне предпросмотра показано, как будет выглядеть итоговая таблица, если к ней применить выбранный шаблон оформления.

Export Data - Format-specific options - HTML - Preview

Для того, чтобы изменить шаблон, достаточно нажать на любой элемент в окне предпросмотра. При нажатии на элемент появится стандартная палитра, из которой можно выбрать нужный цвет для этого элемента.

Можно изменять цвет текста, цвет фона и различных видов гиперссылок и т.д..

Внесенные изменения можно сохранить в виде шаблона с помощью кнопки Save template. В этом случае при следующем экспортировании Вы уже сможете воспользоваться готовым шаблоном, загрузив его с помощью кнопки Load template.


Базовые опции

Свойства выходного файла Вы можете задать на вкладке Basic.

Export Data - Format-specific options - HTML - Basic

Название выходного HTML файла указывается в поле Title. По умолчанию оно соответствует имени экспортируемого объекта.

В разделе Cascade style sheet options можно выбрать место хранения таблицы стилей:

RadioButton Internal - означает, что стили будут храниться в самом выходном HTML файле,

RadioButton External - для таблицы стилей будет создан отдельный файл формата *.css.

В поле CSS file name укажите имя CSS файла, а также выберите, куда его сохранить, с помощью кнопки EllipsisButton.

CheckBox Если установлен флажок Overwrite CSS file if it exist, то при создании нового CSS файла существующий будет заменен новым.

CheckBox Установив флажок Export boolean fields as HTML check boxes, Вы указываете, что все поля таблицы, которые имеют формат boolean, в выходном файле будут отображаться в виде флажков.


Многостраничный документ

SQL Manager for InterBase/Firebird позволяет экспортировать таблицы, содержащие любое количество записей. Для того чтобы в выходном HTML файле было удобно просматривать таблицы с большим количеством записей при экспорте Вы можете указать, что выходной файл будет многостраничным, а также указать количество строк на каждой странице.

В разделе Multi-file export Вы можете задать параметры выходного многостраничного документа:

CheckBox Use Multi-file export. Установив этот флажок, Вы указываете, что создаваемый HTML документ будет многостраничным, в счетчике Record(s) in a single file Вы устанавливаете, сколько записей будет содержаться на каждой странице.

CheckBox Если флажок Generate index установлен, то будет создана страница содержания, в которой будут ссылки на все страницы с данными. В поле пишете название страницы, которое будет отображаться в содержании рядом с номером страницы.

Export Data - Format-specific options - HTML - Multi-file

В многостраничном HTML документе должна существовать система перехода от одной страницы к другой, а также к содержанию.

Раздел Navigation становится активным только если выбрана опция Use multi-file export.

В разделе Navigation задайте свойства навигационных элементов управления, то есть тех, которые обеспечивают переход между страницами документа. Навигация по многостраничному документу обеспечивается с помощью ссылок, которые выстроены в одну строку. Эту строку можно поместить:

CheckBox вверху страницы - установив флажок On top,

CheckBox внизу страницы - установив флажок On bottom.

Далее в текстовых полях указывается текст ссылок:

  • Index link - текст ссылки на страницу содержания,
  • First link - текст ссылки на первую страницу с данными,
  • Prior link - текст ссылки на предыдущую страницу с данными,
  • Next link - текст ссылки на следующую страницу с данными,
  • Last link - текст ссылки на последнюю страницу с данными.


Оформление выходного файла

Как будет выглядеть выходной файл, можно задать с помощью инструментов на вкладке Advanced.

В разделе Body options задаются свойства для всей страницы:

  • шрифт всех страниц выходного файла - Default font,
  • фон документа (с помощью кнопки EllipsisButton в качестве фона можно установить любое изображение) - Background,
  • Advanced attributes - внешние атрибуты страницы

В разделе Table Options Вы можете указать некоторые свойства таблицы данных, такие как:

  • отступ ячейки - счетчик Cell padding,
  • расстояние между ячейками - Cell spacing,
  • внешняя границы таблицы - Border
  • фон таблицы (с помощью кнопки EllipsisButton в качестве фона можно установить любое изображение) - Background,
  • Advanced attributes - внешние атрибуты таблицы.

Export Data - Format-specific options - HTML - Advanced


Особенности экспорта в PDF

Если данные будут экспортированы в файл формата PDF, то на пятом шаге Вы можете указать следующие свойства:

Export Data - Format-specific options - PDF

Из списка выберите объект, для которого необходимо задать вид шрифта:

Верхний колонтитул - Header font,

Заголовок - Caption font,

Ссылка - Hyperlink.

Нижний колонтитул - Footer font.

Из раскрывающегося списка Base font name выберите нужный шрифт. Кодировку выберите из списка Font encoding.

В счетчике Font size укажите размер шрифта.

Кнопка Font color отвечает за цвет шрифта.

В поле, расположенном ниже, Вы можете видеть все изменения производимые с объектом. Они отображаются на образце текста "SAMPLE".

В разделе Page options можно задать свойства страницы:

  • из раскрывающегося списка Page size выберите размер страницы. По умолчанию стоит размер А4,
  • ширина страницы указывается в счетчике Width,
  • высота - в счетчике Height,
  • в раскрывающемся списке Units содержатся единицы измерения, в которых указан размер страницы,
  • из раскрывающегося списка Orientation выберите ориентацию страницы: (Portrait - книжная, Landscape - альбомная).

В разделе Margins можно задать размер полей страницы:

Left - левого,

Right - правого,

Top - верхнего,

Bottom - нижнего.

Grid options. В этом разделе можно задать некоторые свойства таблицы:

Col spacing - количество пробелов для выравнивания столбца,

Row spacing - количество пробелов для выравнивания строки,

Line width - толщина линий таблицы.

Следующий шаг

Шаблоны


Особенности экспорта в TXT

Если данные будут экспортированы в файл формата TXT, то на пятом шаге Вы можете указать следующие свойства.

CheckBox В выходном файле автоматически будет вычисляться ширина столбцов, если установить флажок Calculate column width,

расстояние между ячейками можно задать, используя счетчик Spacing.

Export Data - Format-specific options - TXT

Следующий шаг

Шаблоны


Особенности экспорта в CSV

Если данные будут экспортированы в файл формата CSV, то на этом шаге Вы можете указать следующие свойства:

CheckBox Если установлен флажок Quote strings, то каждое значение, содержащееся в ячейке, будет заключено в кавычки;

CheckBox Опция Quote captions позволяет заключать в кавычки заголовки столбцов;

Check this option to apply quoting for captions in the target file.

из раскрывающегося списка Quote Вы можете выбрать вид кавычек - одинарные или двойные;

Из раскрывающегося списка Comma можно выбрать разделитель столбцов.

Export Data - Format-specific options - CSV

Следующий шаг

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Особенности экспорта в XML

Если данные будут экспортированы в файл формата XML, то на этом шаге Вы можете указать следующие свойства:

кодировку - выбирается из раскрывающегося списка Encoding,

CheckBox флажок Standalone устанавливается в том случае, если необходимо создать автономный XML документ. (standalone="yes")

Из раскрывающегося списка XML type выберите используемый тип XML.

CheckBox Если выбран тип Access, то можно установить флажок Export XSD Schema, который позволит экспортировать и XSD схему.

Export Data - Format-specific options - XML

Следующий шаг

Для того, чтобы каждый раз при экспортировании не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Особенности экспорта в MS Excel/ODS

Если данные будут экспортированы в файл формата Excel 2007 или ODS, то на этом шаге Вы можете параметры отображения текста.

Export Data - Format-specific options - Excel 2007 - Base Styles

Задавать параметры оформления стандартных разделов файла Вы можете на вкладке Base Style.

Изменять Вы можете следующие разделы:

  • HEADER - верхний колонтитул,
  • CAPTION - заголовок,
  • DATA - данные,
  • FOOTER - нижний колонтитул.

На вкладке Strip Styles Вы задаете различный цвет для столбцов или строк.

Export Data - Format-specific options - Excel 2007 - Strip Styles

Чтобы создать стиль необходимо нажать на кнопку "+", чтобы удалить - на "-".

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown.

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip type определяет, как будут применены созданные стили:

  • None - не применен,
  • Col - к столбцам,
  • Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Для каждого стиля, как стандартного, так и созданного, можно задавать следующие характеристики:

  • На вкладке Font задайте свойства шрифта редактируемого стиля.

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выбираете один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое) и выравнивание текста по горизонтали и выравнивание текста по вертикали.

CheckBox Если установлен флажок Background, то появляется специальная кнопка [image], открывающая стандартное окно для выбора цвета.

CheckBox Установив флажок Wrap text, Вы указываете, что текст в ячейках будет переноситься по словам.

CheckBox Если хотите задать специальные параметры для границ ячеек, то установите флажок Use Border.

Нажав на кнопку [image] - Border Color, Вы можете задать для границы цвет. Из раскрывающегося списка Border Style выберите тип границы (одинарная, двойная, пунктирная и т.д.).


Особенности экспорта в Access

Если данные экспортируются в Access, то на этом шаге необходимо будет указать опции таблицы. В поле Table name указать имя таблицы.

CheckBox Если не существует таблицы с таким именем, то ее можно создать, установив флажок Create new table if it does not exist.

Export Data - Format-specific options - Access 2007

Следующий шаг

Шаблоны


Особенности экспорта в MS Word/ODT options

Если данные будут экспортированы в файл формата Word 2007 или ODT, то на этом шаге Вы можете параметры отображения текста.

Export Data - Format-specific options - Word 2007 - Base Styles

Задавать параметры оформления стандартных разделов файла Вы можете на вкладке Base Style.

Изменять Вы можете следующие разделы:

  • HEADER - верхний колонтитул,
  • CAPTION - заголовок,
  • DATA - данные,
  • FOOTER - нижний колонтитул.

На вкладке Font задайте свойства шрифта редактируемого стиля.

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выбираете один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое) и выравнивание текста по горизонтали и выравнивание текста по вертикали.

CheckBox Если установлен флажок Background, то появляется специальная кнопка [image], открывающая стандартное окно для выбора цвета.

CheckBox Если установлен флажок Highlight, то из раскрывающегося списка можно выбрать цвет, которым будет выделен текст.

На вкладке Strip Styles Вы задаете различный цвет для столбцов или строк.

Export Data - Format-specific options - Word 2007 - Strip Styles

Чтобы создать стиль необходимо нажать на кнопку "+", чтобы удалить - на "-".

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown.

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip type определяет, как будут применены созданные стили:

RadioButton None - не применен,

RadioButton Col - к столбцам,

RadioButton Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Для каждого стиля, как стандартного, так и созданного, можно задавать следующие характеристики:

На вкладке Border задайте параметры границы:

Export Data - Format-specific options - Word 2007 - Border

CheckBox Если хотите задать специальные параметры для границ ячеек, то установите флажок Use Border.

Нажав на кнопку [image] - Border Color, Вы можете задать для границы цвет. Из раскрывающегося списка Border Style выберите тип границы (одинарная, двойная, пунктирная и т.д.).


Задание общих опций экспорта

На последнем шаге у Вас есть возможность задать общие свойства экспорта данных.

CheckBox Export empty tables - установка этого флажка позволяет экспортировать пустую таблицу в файл.

Skip n records - Пропустить n записей. Если в счетчике стоит 0, то экспортированы будут все записи. Если же больше нуля, то первые n записей будут пропущены.

RadioButton Чтобы экспортировать все записи установите переключатель Export all records.

RadioButton Export only n records - этот счетчик позволяет экспортировать только указанное количество записей.

CheckBox Чтобы открыть файл после экспорта, установите флажок Open file after export.

CheckBox Print file after export - установив этот флажок, Вы можете распечатать файл после экспорта.

Export Data - Setting common export options

Следующий шаг

Шаблоны


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

О ходе выполнения сообщается в специальном окне.

Export Data - Exporting data

О выполняемой операции отображается следующая информация:

  • Exported - количество экспортированных записей,
  • Time - время, затраченное на экспортирование записей,
  • Speed - скорость экспорта данных.

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется при успешном выполнении операции. Если же флажок не установлен, то можно изменить свойства импорта, не открывая мастер заново.

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Мастер импорта данных

Мастер импорта данных - Import Data Wizard - позволяет импортировать данные в таблицу, представление или результат запроса из файлов самых распространенных форматов.

Импорт данных можно осуществлять только с помощью тех редакторов, в которых есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор запросов и Дизайнер запросов.

Этот инструмент открывается с помощью кнопки Import Data, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results. Также эта команда присутствует в контекстном меню объектов таблицы и представления, в проводнике баз данных и содержится в подменю пункта Data Manipulation.

Шаги мастера:

Указание файла источника данных

Выбор источника данных

Указание соответствия полей

Настройка форматов данных

Определение форматов полей

Выбор метода импорта

Настройка общих опций

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер экспорта данных

Мастер экспорта в виде SQL скрипта

Использование шаблонов


Указание файла источника данных

На первом шаге мастера импорта данных Вы должны указать тип файла, из которого будет импортироваться информация, и путь к этому файла.

Import type с помощью переключателя выберите тип файла из доступных:

RadioButton MS Excel 97-2003,

RadioButton MS Access 97-2003,

RadioButton DBF,

RadioButton XML,

RadioButton TXT,

RadioButton CSV,

RadioButton HTML

RadioButton XML Generic

RadioButton MS Excel

RadioButton MS Word

RadioButton MS Access,

RadioButton ODF Spreadsheets

RadioButton ODF Text

Для файла имеющего формат CSV можно указать дополнительные свойства:

  • Из раскрывающегося списка Quote Вы можете выбрать вид кавычек - одинарные или двойные,
  • из раскрывающегося списка Delimiter можно выбрать разделитель столбцов.

В строке Source file name укажите путь к файлу источнику. При нажатии на кнопку ExplorerButton открывается стандартное диалоговое окно позволяющее выбрать файл.

Import Data - Selecting source file name and format

Следующий шаг

Шаблоны


Выбор источника данных

Этот шаг доступен только тогда, когда Вы импортируете данные из базы данных MS Access.

На этом шаге нужно выбрать таблицу или запрос базы данных Access, или в редакторе запросов создать новый запрос к базе данных. Текст запроса можно загрузить из файла, используя кнопку Load from file, и сохранить в файл при помощи кнопки Save to File.

RadioButton Установив переключатель в пункт I would like to import data from a table, Вы получаете возможность выбрать для импорта таблицу или запрос из базы данных.

RadioButton Если переключатель установлен в пункт I would like to import data from a SQL query, то в редакторе запросов можно создать текст запроса к базе данных.

Import Data - Selecting data source

Следующий шаг

Шаблоны


Указание соответствия полей

При импорте данных в таблицу необходимо установить соответствие полей между таблицей, в которую данные будут импортироваться, и таблицей, из которой они импортируются.

Все операции по установлению этого соответствия проводятся на втором шаге (если импортируете данные из MS Access, то на третьем, так как существует дополнительный шаг).

Если соответствие для поля установлено, то оно выделяется жирным шрифтом.

Для каждого формата файлов существуют свои особенности установки соответствия полей:

Excel 97-2003

Access, DBF, XML

TXT

CSV

HTML

XML Document

MS Excel/ODF Spreadsheets

Следующий шаг

Шаблоны


Excel 97-2003

На этом шаге необходимо установить соответствие между столбцами с данными в книге MS Excel и полями в таблице.

Import Data - Setting fields correspondence - Excel

В левой части, в списке Fields, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа MS Excel.

В списке Ranges показано соответствие, установленное между полями таблицы базы данных и столбцами таблицы Excel.

Объект в списке Ranges можно открыть для редактирования двойным щелчком мыши.

Import Data - Setting fields correspondence - Excel - Range

В разделе Range Type задайте тип диапазона.

Из раскрывающегося списка выберите, будет ли это диапазон строк (Row) или столбцов (Col). Затем из списка, расположенного рядом, выберите начало диапазона.

В разделах Start и Finish задайте параметры начала и конца редактируемого диапазона.

Это можно сделать автоматически, установив RadioButton Where data started для начала и RadioButton Where data Finished для конца диапазона. Или вручную указать номер строки или столбца в счетчиках RadioButton Start Row и RadioButton Finish Row.

Выберите направление считывания данных с помощью переключателя Direction.

RadioButton Down - вниз,

RadioButton Up - вверх.

Также можно указать лист в книге Microsoft Excel, на котором располагаются нужные данные. Если в разделе Sheet выбрать RadioButton Default Sheet, то будут использованы данные первого листа. Если установить переключатель в положение RadioButton Custom Sheet, то можно указать нужный лист по номеру ( RadioButton Sheet number) или по имени ( RadioButton Sheet name)

С помощью кнопок можно автоматически устанавливать соответствие между полями и удалять его:

Кнопка iconAutoFillColumns Auto Fill Cols - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconAutoFillRows Auto Fill Rows - автоматически устанавливает соответствие между полем и строкой,

Кнопка iconCross Clear Ranges - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

В разделе Skip можно указать строки и/или столбцы, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В счетчике Col(s) укажите, сколько столбцов, начиная с первого, следует исключить. В счетчике Row(s) - сколько строк.

Следующий шаг

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Access, DBF, XML

Для форматов Access, DBF и XML этот шаг одинаков.

Import Data - Setting fields correspondence - Access

В списке Destination Fields отображаются поля таблицы, в которую импортируются данные.

В списке Source Fields - поля таблицы, из которой импортируют данные.

С помощью кнопок между списками устанавливаются соответствия между полями. Они отображаются в списке соответствий, располагающемся в нижней части формы.

Кнопка iconPlus Add добавляет в список соответствий новое соответствие между выделенными полями.

Кнопка iconAutoFillColumns Auto Fill позволяет автоматически подобрать полям таблицы, в которую импортируются данные соответствующие поля из таблицы источника данных.

Нажав на кнопку Remove, Вы удалите выделенное соответствие. Нажатие на кнопку Clear полностью очищает список соответствий.

При импорте данных из файла формата DBF появляется дополнительный флажок Skip deleted records. Установка этого флажка позволяет пропустить при импорте записи, помеченные на удаление.

Следующий шаг

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


TXT

На этом шаге необходимо установить соответствие между столбцами с данными в текстовом документе и полями в таблице.

В левой части окна располагается список полей таблицы, в которую будут импортироваться данные. В этом же списке отображается соответствие полей таблицы и столбцов текстового документа.

В правой части - фрагмент текстового документа - источника данных.

В текстовом документе не существует такого понятия как поля или столбцы, поэтому в SQL Manager for InterBase/Firebird при экспорте нужно вручную устанавливать разграничители столбцов для текстовых файлов. Разграничители представляют собой вертикальные черные линии, отделяющие один столбец от другого. Изначально в документе разгарничителей нет. Устанавливаются они с помощью двойного щелчка мыши на макете документа. Разграничители должны быть между столбцами, а также перед первым столбцом и после последнего. Размер столбца определяется количеством символов в нем. Для этого сверху и снизу макета документа предусмотрены линейки, на которых каждое деление соответствует символу.

Соответствие между столбцами устанавливается следующим образом:

В списке полей таблицы выбирается поле. В макете документа выбирается столбец. Если соответствие установлено, то рядом с названием поля появляются две цифры. Первая - это номер символа, с которого начинается столбец, вторая - количество символов в столбце.

Import Data - Setting fields correspondence - TXT

Если хотите удалить все установленные соответствия, то нажмите кнопку iconCross Clear All.

С помощью счетчика Skip Lines можно указать, сколько первых строк не учитывать при импорте. Таким образом, исключаются заголовки столбцов из импортируемых данных.

Из раскрывающегося списка Charset выберите кодировку файла источника данных.

Следующий шаг

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


CSV

Чтобы при импорте данных из файла формата CSV все столбцы данных корректно отображались на втором шаге необходимо на первом шаге правильно указать разделитель столбцов.

В левой части окна располагается список полей таблицы, в которую будут импортироваться данные. В этом же списке отображается соответствие полей таблицы и столбцов текстового документа.

В правой части - фрагмент документа CSV. Все столбцы в нем пронумерованы. Соответствие столбцов устанавливается по номеру столбца документа CSV.

Чтобы установить соответствие поля таблицы, куда импортируют данные, и столбца в документе-источнике данных необходимо выделить поле в списке полей и выделить столбец в макете документа CSV или выбрать нужный номер столбца из списка Col. Если связь установлена, то напротив названия поля появится номер столбца, который поставлен в соответствие с этим полем.

Import Data - Setting fields correspondence - CSV

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами.

Кнопка iconCross Clear All - удаляет все соответствия.

Чтобы в импортируемые данные не попали заголовки столбцов можно указать число первых строк, которые при импорте будут пропущены. Сделайте это с помощью счетчика Skip.

Из раскрывающегося списка Charset выберите кодировку файла источника данных.

Следующий шаг

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


HTML

На этом шаге необходимо установить соответствие между столбцами с данными в таблице HTML файла и полями в таблице базы данных.

Import Data - Setting fields correspondence - HTML

В левой части, в списке Fields, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа.

В списке Ranges показано соответствие, установленное между полями таблицы базы данных и столбцами таблицы Excel.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconCross Clear - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

Из раскрывающегося списка Table выберите номер таблицы, из которой хотите импортировать данные. Это сделано на тот случай, если в HTML документе не одна таблица, а несколько.

В счетчике Col укажите номер столбца, который соответствует выбранному полю таблицы базы данных.

В разделе Row можно указать строки, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В нижней части формы представлена таблица с данными того документа, из которого импортируются данные.

Следующий шаг

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


XML Generic

На этом шаге необходимо установить соответствие между столбцами с данными в документе XML и полями в таблице.

Import Data - Setting fields correspondence - XML Document

Чтобы заполнить таблицу на форме текстом соответствующих подузлов необходимо в поле XPath указать путь в формате XML и нажать на кнопку iconAutoFillColumns Fill Grid.

В нижней части формы представлена таблица с данными того документа, из которого импортируются данные.

В левой части, в списке Fields, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа XML Document.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconCross Clear - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

В разделе Skip можно указать строки и/или столбцы, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В счетчике Col(s) укажите, сколько столбцов, начиная с первого, следует исключить. В счетчике Row(s) - сколько строк.

Следующий шаг

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


MS Excel/Word, ODF

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

MS Excel/Word 97-2003, ODF

На этом шаге необходимо установить соответствие между столбцами с данными документа и полями в таблице базы данных.

Import Data - Setting fields correspondence - MS Excel and Word 2007, ODF

В левой части, в списке Fields, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа.

В списке Ranges показано соответствие, установленное между полями таблицы базы данных и столбцами таблицы Excel.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconCross Clear - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

В поле Col укажите название столбца, который соответствует выбранному полю таблицы базы данных.

В разделе Skip можно указать строки, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В нижней части формы представлена таблица с данными того документа, из которого импортируются данные.

Следующий шаг

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Настройка форматов данных

На этом шаге необходимо указать вид представления данных для импортируемого файла. Этот вид должен соответствовать представлению данных в том файле, куда эти данные импортируются.

Date & Time formats в этом разделе задаются форматы для отображения даты и времени.

  • Short date - Дата (кратко),
  • Long date - Дата (расширено),
  • Short time - Время (кратко),
  • Long time - Время (расширено).

В разделе Separators указываются символы, которые будут являться разделителями десятичных разрядов при определении форматов данных.

  • Decimal - Десятки,
  • Thousand - Тысячи,
  • Date - Дата,
  • Time - Время.

Boolean True - в этом поле водится текст, который отображается, если значение в ячейке "истина" (значение будет "истина" при совпадении данных в документе и в этом поле),

Boolean False в этом поле водится текст, который отображается, если значение в ячейке "ложь",

Null Values в этом поле водится текст, который отображается, если значение в ячейке NULL

Import Data - Adjusting data formats

Следующий шаг

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Определение форматов полей

На этом шаге Вы можете выбрать из списка Field name поле и указать в разделе Formats набор свойств, определяющих формат этого поля.

Import Data - Setting advanced field formats

Generator value - генератор значений. Если поле, в которое импортируются данные, имеет тип Identity, то генератор не будет работать. С помощью счетчика Generator step задайте интервал с которым будет создавать значения генератор значений.

Constant value - в это поле вводится значение, которое заменяет все значения в столбце.

Null value - значение, которое устанавливается в ячейке, если значение после импорта в ней остается Null,

В поле Value указываете значение.

В поле Left quote задаете левую кавычку, в поле Right - правую.

Quote action - действие, выполняемое при нахождении в тексте кавычек.

Из раскрывающегося списка Character case - регистр текстовых данных.

Из раскрывающегося списка Charset - выберите кодировку.

Text to find Replace with Ignore case

На этом шаге мастера есть возможность в процессе импорта данных заменить некоторые значения в поле другими значениями. Замен текста для столбца можно создать несколько. С помощью кнопки iconPlus Add Replacement Вы можете добавить новый параметр замены. Все параметры отображаются в списке, где в столбце Text to find находятся те значения текста, которые необходимо заменить, в столбце Replace - текст которым надо заменить указанные фрагменты.

CheckBox Если установлен флажок Ignore case, то замена будет произведена без учета регистра. С помощью кнопки [image] Edit Replacement можно редактировать условие замены. Кнопка iconMinus Delete Replacement удаляет условие замены.

Import Data - Setting advanced field formats - Add Replacement

Следующий шаг

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Выбор метода импорта

На этом шаге укажите режим импорта.

Import Data - Setting import mode

Переключатель Insert mode позволяет задать те записи, которые будут импортироваться в таблицу.

RadioButton Insert all - вставить все записи,

RadioButton Insert new - вставить только новые записи,

RadioButton Update - обновить записи,

RadioButton Update or insert - обновить существующие и вставить новые записи,

RadioButton Delete - удалить те записи, где совпадает первичный ключ таблицы и значение поля, выбранного в качестве ключевого, импортируемого файла,

Delete or insert - удалить совпадающие записи и вставить новые.

В разделе Key columns выберите ключевое поле, по которому сравниваются поля таблицы и файла источника данных.

Из списка Available columns выберите доступные поля и с помощью кнопок переместите их в список ключевых полей - Selected columns.

Пример:

Таблица в базе данных | Данные из внешнего файла
Import Data - Setting import mode - Destination Table1 | Import Data - Setting import mode - Source Table_Rus

В качестве ключевого поля выбрано поле ID. Для режима Insert All выбирать ключевое поле не требуется.

Insert mode | Insert all | Insert new | Update | Update or insert | Delete | Delete or insert
Результат | Import Data - Setting import mode - Result - Insert All | Import Data - Setting import mode - Result - Insert new_Rus | Import Data - Setting import mode - Result - Update_Rus | Import Data - Setting import mode - Result - Update or insert_Rus | Import Data - Setting import mode - Result - Delete_Rus | Import Data - Setting import mode - Result - Delete or insert_Rus

Следующий шаг


Настройка общих опций

В разделе Commit задайте параметры фиксации транзакции:

RadioButton Commit when done - фиксировать транзакцию после выполнения импорта,

RadioButton Commit after each block - фиксировать транзакцию после каждых n записей. Применяется для больших таблиц. Количество записей указывается в счетчике Block size,

RadioButton Commit changes manually - автоматическая фиксация транзакции не производится (должна быть выполнена вручную).

В разделе Record count Вы можете задать количество импортируемых записей.

RadioButton Выберите пункт Import all records, чтобы импортировать сразу все записи.

RadioButton В счетчике Import only n records задайте количество записей.

Import Data - Customizing common options

Следующий шаг

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Import Data - Importing data

Нажмите кнопку Finish, чтобы выполнить импорт записей из файла в таблицу.

На этом шаге отображаются следующие параметры операции:

  • Inserted - количество импортированных записей,
  • Deleted - число удаленных записей,
  • Commited - число зафиксированных записей,
  • Updated - количество обновленных записей,
  • Errors - отображает число возникших при импорте ошибок,
  • Time - время, затраченное на импортирование записей.

Если установить флажок Close the Wizard after successful completion, то мастер закроется при успешном выполнении операции. Если же флажок не установлен, то можно изменить свойства импорта, не открывая мастер заново.

Для того чтобы каждый раз не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Мастер экспорта в виде SQL скрипта

Экспорт в виде SQL скрипта можно осуществлять только из тех инструментов, где есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор запросов и Дизайнер запросов.

Этот инструмент открывается с помощью кнопки Export as SQL script, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results. Также эта команда присутствует в контекстном меню объектов таблицы и представления, в проводнике баз данных и содержится в подменю пункта Data Manipulation.

Шаги мастера:

Задание типа назначенного сервера

Указание имени файла назначения

Выбор метода экспорта полей типа BLOB

Выбор полей для экспорта

Редактирование SQL скрипта

Настройка опций экспорта

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер экспорта данных

Мастер импорта данных

Использование шаблонов


Задание типа назначенного сервера

На первом шаге необходимо выбрать сервер назначения. Скрипт будет генерироваться в формате, совместимом с выбранным типом сервера.

Export as SQL Script - Defining type of destination server

Серверы:

RadioButton DB2,

RadioButton InterBase/Firebird,

RadioButton MS SQL,

RadioButton MySQL,

RadioButton Oracle,

RadioButton PostgreSQL.

CheckBox Если установлен флажок Add CREATE TABLE statement, то в скрипт будет добавлена инструкция CREATE TABLE, которая генерируется в соответствии с синтаксисом выбранного типа сервера.

CheckBox Selected records only

Эта опция отображается, если мастер Export as SQL Script вызван из просмотрщика данных. Если флажок установлен, то в результирующий скрипт будут выгружены только выбранные строки данных в таблице.

Следующий шаг

Шаблоны


Указание имени файла назначения

На втором шаге необходимо задать имя генерируемого скрипта и место его хранения.

Export as SQL Script - Setting destination file name

Укажите в разделе Script destination, будет ли созданный скрипт открыт в редакторе SQL запросов или сразу сохранен в файл:

RadioButton Automatically load to Script Editor - созданный скрипт открывается в редакторе SQL запросов,

RadioButton Если выберите Save to file, то созданный скрипт сохранится в файл. Имя и адрес файла укажите в поле File name. Можно выбрать файл с помощью стандартного диалогового окна, открывающегося по нажатию кнопки btnSaveAs. Кодировку создаваемого файла выберите из раскрывающегося списка File charset.

В поле Table name (as it will be represented in the script file) укажите имя таблицы, которая будет создаваться с помощью этого скрипта.

CheckBox Если флажок Compress file установлен, то выходной файл будет сжат.

Из раскрывающегося списка Compression выберите тип сжатия.

Способов сжатия предложено четыре: без сжатия - None, быстрое сжатие - Fastest, сжатие по умолчанию - Default и наилучшее сжатие - Best.

В счетчике Split file every n Mb укажите размер файла, при котором необходимо будет начать новый файл.

Следующий шаг

Шаблоны


Выбор метода экспорта полей типа BLOB

На этом шаге Вы можете задать способ экспорта полей типа BLOB.

Export as SQL Script - Setting BLOB options

RadioButton Если выберите пункт Don't extract BLOB and binary fields, то поля типа BLOB не будут экспортированы.

RadioButton Extract BLOB and binary fields as strings - при выборе этого пункта поля типа BLOB будут экспортированы в виде строк.

RadioButton Можно экспортировать поля этих типов в файл, выбрав пункт Extract BLOB and binary fields into file.

Важно: восстановить поля можно только выполнив скрипт в редакторе SQL скриптов.

Для файла, в который будут экспортированы эти поля, можно задать следующие свойства:

Имя файла и путь к нему указываются в поле File name. Можно выбрать файл с помощью стандартного диалогового окна, открывающегося по нажатию кнопки btnSaveAs.

создаваемый файл можно сжать, для этого устанавливаете флажок Compress file,

способ сжатия выбирается из раскрывающегося списка Compression. Способов сжатия предложено четыре: без сжатия - None, быстрое сжатие - Fastest, сжатие по умолчанию - Default и наилучшее сжатие - Best.

CheckBox Extract array type fields into file

Извлекать поля типа массив.

Следующий шаг

Шаблоны


Выбор полей для экспорта

На этом шаге Вам необходимо из списка всех полей таблицы или представления выбрать те, которые Вы хотите экспортировать.

Из списка Available Fields выберите доступные поля и с помощью кнопок, перетаскивания или двойного щелчка мыши, переместите их в список экспортируемых полей - Selected fields. Если не выбрать ни одного поля, то по умолчанию будут экспортированы все поля.

Export as SQL Script - Selecting fields to export

Следующий шаг

Шаблоны


Редактирование SQL скрипта

На этом шаге Вы можете просмотреть и отредактировать создаваемый SQL скрипт в редакторе запросов.

Этот шаг становится доступным только если на первом шаге установить флажок Add CREATE TABLE statement.

Export as SQL Script - Editing table definition

Следующий шаг


Настройка опций экспорта

На этом шаге настраиваются общие свойства экспорта.

CheckBox Чтобы в тексте скрипта заменить непечатаемые символы пробелами установите флажок Replace non-print characters in strings with spaces.

В разделе Data options укажите параметры фиксации транзакции.

CheckBox Если установлен флажок Insert COMMIT after each block, то после указанного в счетчике Records in a block числа записей транзакция будет фиксироваться.

CheckBox При включении опции Quote identifiers в скрипт будут добавлены символы кавычек.

CheckBox Установите флажок Use multi insert statements для генерации скрипта с использованием многострочного синтаксиса в одной команде.

Export as SQL Script - Setting export options

Следующий шаг

Шаблоны


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы завершить экспорт нажмите кнопку Finish.

Export as SQL Script - Exporting as SQL Script

CheckBox Если установлен флажок Load generated script into Script Editor, то созданный скрипт автоматически будет открыт в редакторе запросов.

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется при успешном выполнении операции. Если же флажок не установлен, то можно изменить свойства экспорта, не открывая мастер заново.

Шаблоны


Инструменты базы данных

SQL Manager for InterBase/Firebird предоставляет набор инструментов, позволяющих работать с базой данных.

Дерево зависимостей - позволяет представить зависимости объектов в виде диаграммы.

Монитор SQL - отображает все SQL операции, выполненные в течение одной сессии работы SQL Manager for InterBase/Firebird.

Редактор SQL скриптов - позволяет создавать и выполнять SQL скрипты.

Мастер извлечения баз данных - извлекает метаданные таблиц в SQL скрипт, который потом может быть выполнен на другой машине, чтобы восстановить структуру базы данных.

Мастер сравнения баз данных - сравнивает метаданные баз данных и генерирует SQL скрипт, которыйможет быть выполнен позже для синхронизации структуры баз данных.

Печать метаданных - создает отчет по метаданным базы данных.

Мастер создания HTML отчетов - создает отчет по метаданным базы данных в формате HTML.

Работа с отчетами - набор инструментов, позволяющий создавать и печатать отчеты.

Поиск по метаданным - создает отчет по метаданным базы данных.

Монитор базы данных - позволяет Вам получить полную информацию о состоянии и активности базы данных.

Редактор серверных сообщений - позволяет вам просматривать и редактировать серверные сообщения.

Монитор событий - позволяет просматривать уведомления событий.

Монитор изменений таблиц - показывает сколько раз были внесены изменения в метаданные таблиц и представлений базы данных.

Конструктор баз данных - позволяет создавать графическое представление базы данных.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Службы

Настройки

Внешние инструменты

Как...


Дерево зависимостей

Дерево зависимостей позволяет Вам просматривать зависимости объектов базы данных.

Чтобы открыть Дерево зависимостей, выберите пункт главного меню Tools | Dependency Tree или на основной панели инструментов нажмите кнопку Dependency Tree btnDependencyTree, или в контекстном меню базы данных выберите пункт Tasks | Dependency Tree.

В появившемся окне выберите тип объекта и сам объект.

Dependency Tree - Select object

Этот инструмент позволяет просматривать зависимости всех объектов в виде диаграммы.

В главном окне этого инструмента отображается зависимость объектов, представленная в виде дерева.

Во время построения дерева прогресс операции отображается индикатором прогресса.

Все основные инструменты для работы с объектами и диаграммой зависимости располагаются на панелях инструментов:

  • на навигационной панели,
  • на панели инструментов,
  • в контекстном меню.

Чтобы просмотреть зависимость объекта его необходимо выбрать. Сделать это можно одним из этих способов:

  • нажать на кнопку Select object на навигационной панели,
  • перетащить объект из окна проводника баз данных в главное окно дерева зависимостей.

Выбранный объект, являющийся главным, отличается от остальных цветом рамки. У него она синего цвета, у всех остальных - черного. Зависимости между объектами показаны стрелками. Если на объекте, представленном в диаграмме зависимостей, щелкнуть мышкой, то он становится главным и все зависимости отображаются для него. Чтобы просмотреть информацию по предыдущему объекту нужно на навигационной панели, на панели инструментов или в контекстном меню выбрать пункт Previous object.

Слева от объекта - те объекты, на которые ссылается редактируемый объект. Справа - те объекты, которые ссылаются на объект.

Если существует циклическая ссылка, то на том месте где она должна быть отображается крестик.

В диаграмме зависимостей существует возможность отображать и скрывать подобъекты.

Делается это с помощью кнопки Hide subobjects на панелях инструментов.

Контекстное меню объекта:

Set as Root - посмотреть зависимости этого объекта.

Edit Object - открыть объект в соответствующем редакторе.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Навигационная панель

Dependency Tree - Using Navigation bar

на панели Database:

iconDB выбрать базу данных.

на панели General:

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

iconPrintSetup настройки печати - Print setup,

iconSaveAsPicture сохранить диаграмму как изображение - Save as image,

iconOptions настроить вид дерева зависимостей - Options,

показать/скрыть Домены - Show/Hide domains.

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

на панели Object:

просмотреть зависимости предыдущего объекта - Previous object,

просмотреть зависимости следующего объекта - Next object,

показать подобъекты - Show subobjects.

выбрать объект - Select object.

на панели Objects to show:

отобразить все объекты - Show all objects,

показать объекты, зависящие от выбранного объекта - Show objects depending on the root object,

показать объекты, от которых зависит выбранный объект - Show objects the root object depends on.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Контекстное меню

Открывается при нажатии правой кнопкой мыши на рабочей области диаграммы.

iconRefresh обновить - Refresh,

просмотреть зависимости предыдущего объекта - Previous object,

просмотреть зависимости следующего объекта - Next object,

выбрать объект - Select object,

показать подобъекты - Show subobjects.


Монитор SQL

SQL монитор позволяет увидеть все запросы, отправленные SQL Manager for InterBase/Firebird на сервер, а также результаты их выполнения. Содержимое окна нельзя редактировать, но можно копировать в буфер обмена, сохранять в файл и распечатывать.

Все инструменты для работы с SQL монитором располагаются на панелях инструментов и в контекстном меню.

Чтобы открыть SQL монитор выберите в главном меню программы Tools | SQL Monitor.

Смотрите также:

Настройки SQL Монитор


Панели инструментов

На навигационной панели находятся следующие инструменты:

SQL Monitor - Using Navigation bar

Clear contents - очистить содержимое окна,

Save to file - сохранить текст в файл,

iconFindText Find - найти в тексте,

iconSearchAgain Search again - продолжить поиск,

iconOptions SQL Monitor options - настройка SQL монитора (эти же настройки есть и в Options | Environment Options | Tools | SQL Monitor),

iconAlwaysOnTop Always on top - поверх остальных окон,

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна.


Работа с монитором SQL

SQL монитор позволяет увидеть все запросы, отправленные SQL Manager for InterBase/Firebird на сервер, а также результаты их выполнения. Содержимое окна нельзя редактировать, но можно копировать в буфер обмена, сохранять в файл и распечатывать.

Для каждой операции отображается следующая информация:

Executed - дата и время выполнения операции,

Operation - SQL оператор,

Result - результат выполнения.

SQL Monitor - Working with SQL Monitor


Редактор выполнения скриптов

Используя Execute Script Editor Вы можете создавать, просматривать, редактировать и выполнять SQL скрипты. Чтобы открыть редактор SQL скриптов выберите Tools | SQL Script в главном меню программы. Структура скрипта базы данных представлена в проводнике редактора скриптов.

Область редактирования.

Работать с SQL скриптами позволяют инструменты редактора, располагающиеся на панелях инструментов:

  • навигационная панель,
  • панель инструментов,
  • контекстное меню.

Важно: в редакторе скриптов не выводятся результаты запросов. Для этого используйте редактор запросов.

Если при выполнении скрипта возникнут ошибки, то все они будут показаны в специальном окне, расположенном под областью редактирования. Настройка отображения ошибок происходит с помощью Options | Environment Options | Tools | SQL Script, с помощью кнопки SQL Script Options на панели инструментов и на навигационной панели.

Смотрите также:

Редактор запросов

Настройки SQL скрипт

Настройки редакторов


Панели инструментов

Инструменты для работы с SQL скриптами.

Навигационная панель

SQL Script Editor - Using Navigation bar

На панели Destination:

iconHost выбрать хост,

iconDB выбрать базу данных.

На панели General:

iconAutoDDL включить/отключить автоматическую фиксацию изменений метаданных - Toggle AutoDDL,

iconExecute выполнить скрипт - Execute script,

iconExecuteSelectedOnly выполнить только выделенную часть запроса - Execute selected only,

iconExecuteUnderCursor выполнить текст, находящийся под курсором - Execute under Cursor,

iconCompile выполнить скрипт из файла - Execute script from file,

iconNew создать новый скрипт - New script,

iconLoadFromFile открыть скрипт (скрипты сохраняются в виде файлов *.sql) - Open script,

iconSaveToFile сохранить скрипт - Save script,

iconSaveToFileAs сохранить скрипт как - Save as,

iconDBExplorer отключить синтаксический анализ - Disable Parsing,

включить журнал результатов - Enable result log,

iconOptions настройка свойств SQL скрипта - SQL Script options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size,

iconShowSQLHelp показать справку по серверу - Show SQL help.

на панели Explorer расположен проводник редактора SQL скриптов.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Смотрите также:

Работа с областью редактирования Execute Script

Проводник редактора скриптов

Выполнение скрипта


Работа с редактором скриптов

В этом редакторе Вы можете работать с текстом SQL-скрипта.

Основные особенности:

  • отображение имен объектов в виде ссылок на эти объекты,
  • вызов и настройка списка автоматической подстановки,
  • возможность нумерации строк,
  • возможность сворачивать запросы и подзапросы,
  • возможность задавать свойства выделенных объектов,
  • настройка полей и номеров строк,
  • изменение параметров различных объектов текста запроса,
  • настройка автоматического форматирования текста запроса,
  • задание сочетаний клавиш для быстрого ввода текста и выполнения команд.

SQL Script Editor - Working with SQL Script editor area

Контекстное меню открывается по нажатию правой кнопки мыши в области редактирования.

  • Добавить слово в словарь - Add To Dictionary,
  • Исправить с помощью замены - Correct With,
  • Выполнить запрос - Execute Query,
  • Выполнить только выделенное - Execute Selected Only,
  • Выполнить под курсором - Execute under Cursor,
  • включить/отключить синтаксический анализ - Enable/Disable Parsing,
  • Работать с маркерами - Markers,
  • Работать с закладками - Toggle Bookmarks,
  • Перейти к строке под номером... - Go To Line Number...,
  • Отменить действие- Undo,
  • Вернуть отмененное действие- Redo,
  • Вырезать выделенное- Cut,
  • Копировать выделенное- Copy,
  • Вставить - Paste,
  • Выделить все - Select All,
  • Найти - Find,
  • Найти и заменить - Replace,
  • Возобновить поиск - Search Next,
  • инкрементный поиск - Incremental Search,
  • Загрузить из файла - Load from File...,
  • Сохранить в файл - Save to File...,
  • Сохранить как избранный запрос - Save as Favorite Query,
  • Предварительный просмотр - Preview,
  • Печатать - Print,
  • Быстрый код - Quick Code,
  • Просмотреть и изменить свойства в Editor Options- Properties.

Подменю пункта Quick Code:

  • Форматировать запрос SQL (при этом применяются изменения, внесенные в Форматтер SQL) - Format SQL,
  • выбрать кодировку - Select Character,
  • Преобразовать выделенный текст в комментарии - Toggle Comment,
  • Привести выделенный текст к нижнему регистру - Selection Lower Case,
  • Привести выделенный текст к верхнему регистру - Selection Upper Case,
  • Изменить регистр выделенного текста - Selection Toggle Case,
  • Увеличить отступ текста - Indent,
  • Уменьшить отступ текста - Unindent.

Настройки редактора

  • ссылки на объекты,
  • автоматическая подстановка,
  • нумерация строк,
  • сворачивание запросов и подзапросов,
  • свойства выделенных объектов,
  • поля и номера строк,
  • параметры различных объектов текста запроса,
  • форматирование текста запроса,
  • выполнение команд.

Смотрите также:

Панели инструментов

Проводник редактора скриптов

Выполнение скрипта

Избранные запросы

Настройки SQL скрипт


Проводник редактора скриптов

На навигационной панели расположен инструмент Проводник, который позволяет отобразить в виде дерева все объекты, содержащиеся в SQL скрипте. С помощью проводника можно быстро перейти к нужному объекту в тексте скрипта.

Проводник отображается, если на панели инструментов или в контекстном меню нажать кнопку Enable Parsing - включить синтаксический анализ

SQL Script Editor - Using Script Explorer

Смотрите также:

Панели инструментов

Работа с областью редактирования Execute Script

Управление объектами базы данных


Выполнение скрипта

Когда все параметры скрипта заданы, Вы можете приступать к его выполнению.

Чтобы выполнить скрипт, выберите пункт btnExecuteQuery Execute script на одной из панелей инструментов или в контекстном меню. Также, Вы можете использовать клавишу F9.

SQL Script Editor - Script execution

Важно: Если установлен флажок CheckBox Execute selected text separately (Environment Options | Tools | SQL Script), и выделен фрагмент текста скрипта, то будет выполнен только выделенный фрагмент.

Если в тексте скрипта нет ошибок, то скрипт выполняется, а об успешном выполнении информирует появляющееся информационное окно.

SQL Script Editor - Script execution - Done

Если в тексте скрипта обнаружены ошибки, то список их будет выведен в нижней части формы редактора.

Важно: Когда Вы выбираете ошибку из появившегося списка ошибок, то соответствующий ей участок кода выделяется цветом. Если Вы дважды щелкаете мышкой на ошибке, то в редакторе осуществляется переход к нужному участку кода.

Важно: Execute Script Editor не отображает результатов выполнения запросов.

Для выполнения запросов существует специальный инструмент - Query Data.

Смотрите также:

Панели инструментов

Работа с областью редактирования Execute Script

Проводник редактора скриптов


Мастер извлечения баз данных

Используя Мастер извлечения баз данных, Вы можете извлечь структуру объектов базы данных и сами данные в SQL скрипт. Полученный скрипт можно использовать для копирования и восстановления базы данных. Чтобы открыть мастер выберите пункт главного меню программы Tools | Extract Database.

Шаги мастера:

Выбор исходной базы данных

Выбор файла назначения

Выбор объектов для извлечения

Извлечение данных типа BLOB

Выбор объектов для извлечения

Выбор объектов, из которых будут извлечены данные

Задание свойств скрипта

Выполнение операции

Смотрите также:

Редактор SQL скриптов

Управление объектами базы данных

Использование шаблонов


Выбор исходной базы данных

На первом шаге выберите базу данных, которую необходимо извлечь.

из раскрывающегося списка Source database выберите нужную базу данных.

Extract Database - Selecting source database

Установите флажок CheckBox Extract all metadata and data if database, если хотите извлечь все объекты базы данных и данные, хранящееся в ней.

Следующий шаг

Шаблоны


Выбор файла назначения

На этом шаге Вы можете определить сохранить ли создаваемый скрипт в файл или сразу открыть в редакторе SQL скриптов.

RadioButton Чтобы автоматически открыть скрипт в редакторе SQL скриптов, нужно выбрать пункт переключателя Automatically load to Script Editor.

RadioButton Если хотите сохранить скрипт в файл, то выберите пункт Save to file. В этом случае в поле File name необходимо указать имя файла и путь к нему, или выбрать файл, воспользовавшись стандартным диалоговым окном, открывающимся при нажатии на кнопку btnSaveAs. Кодировку этого файла выберите из раскрывающегося списка File charset.

Extract Database - Specifying destination file name

В разделе Compression options можно задать параметры сжатия выходного файла.

CheckBox Если флажок Compress file установлен, то выходной файл будет сжат.

Из раскрывающегося списка Compression выберите тип сжатия.

Способов сжатия предложено четыре: без сжатия - None, быстрое сжатие - Fastest, сжатие по умолчанию - Default и наилучшее сжатие - Best.

В счетчике Split file every n Mb укажите размер файла, при котором необходимо будет начать новый файл.

Следующий шаг

Шаблоны


Выбор объектов для извлечения

Этот шаг неактивен, если на первом шаге Вы указали, что извлекать нужно всю структуру и данные базы данных, установив флажок Extract all metadata and data if database.

Extract Database - Setting extraction mode

Вы можете выбрать один из трех вариантов экспорта:

RadioButton извлечь структуру и данные базы - Extract both of structure and data,

RadioButton извлечь только структуру - Extract structure only,

RadioButton извлечь только данные - Extract data only.

Следующий шаг

Шаблоны


Извлечение данных типа BLOB

Этот шаг появится, если Вы экспортируете данные, структуру базы вместе с данными или только данные.

На этом шаге Вы можете задать способ экспорта полей типа BLOB.

Extract Database - Setting BLOB options

RadioButton Если выберите пункт Don't extract BLOB fields, то поля типа BLOB не будут экспортированы.

RadioButton Extract BLOB fields as strings - при выборе этого пункта поля типа BLOB и двоичные файлы будут экспортированы в виде строки.

Этот режим следует использовать в случае, если BLOB-поля содержат только текстовые данные.

Важно: Экспорт больших BLOB-полей в виде строки может привести к невыполнению SQL-запроса, так как его длина не может превышать 64 Кб.

RadioButton Можно экспортировать поля этих типов в файл, выбрав пункт Extract BLOB fields into file.

Важно: В случае сохранения полей типа BLOB в файл, восстановить такие данные можно только с помощью Редактора SQL скриптов.

Для файла, в который будут экспортированы эти поля, можно задать следующие свойства:

Имя файла и путь к нему указываются в поле File name. Можно выбрать файл с помощью стандартного диалогового окна, открывающегося по нажатию кнопки btnSaveAs.

CheckBox создаваемый файл можно сжать, для этого устанавливаете флажок Compress file,

CheckBox способ сжатия выбирается из раскрывающегося списка Compression. Способов сжатия предложено четыре: без сжатия - None, быстрое сжатие - Fastest, сжатие по умолчанию - Default и наилучшее сжатие - Best.

Если установлен флажок Extract array type fields into file, то массивы, тоже буду извлекаться.

Следующий шаг

Шаблоны


Выбор объектов для извлечения

Этот шаг будет активен только в том случае, если Вы извлекаете структуру базы данных.

Extract Database - Selecting objects for structure extraction

Вы можете выбрать объекты, структуру которых следует извлечь.

RadioButton Установленный в Extract all objects переключатель указывает на то, что будет извлечена структура всех без исключения объектов.

RadioButton Если необходимо выбрать отдельные объекты из базы данных, то установите переключатель в пункт Extract selected objects.

Из раскрывающегося списка Objects to copy выбираете тип объекта (таблица, представление и т.д.). После выбора типа в списке Available появляются все объекты базы данных, соответствующие выбранному типу. С помощью кнопок, перетаскивания или двойного щелчка мыши, переместите объекты из списка доступных - Available в список выбранных - Selected.

Следующий шаг

Шаблоны


Выбор таблиц, из которых будут извлечены данные

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

Выбор таблиц из которых будут извлеченаы данные

На этом шаге Вы можете выбрать те таблицы, из которых необходимо извлечь данные.

Extract Database - Selecting objects for data extraction

RadioButton Если выберите Extract all tables, то данные будут извлечены из всех таблиц базы.

RadioButton Пункт переключателя Extract data of tables selected on previous step указывает на то, что данные будут извлекаться только из тех таблиц, которые были выбраны на предыдущем шаге.

RadioButton Если выбран пункт Extract data of the selected tables, то Вы сможете выбрать таблицы из списка доступных - Available, и с помощью кнопок, перетаскивания или двойного щелчка мыши, переместить их в список выбранных - Selected.

Следующий шаг

Шаблоны


Задание свойств скрипта

На последнем шаге можно задать некоторые общие опции генерируемого SQL скрипта.

Extract Database - Customizing script options

CheckBox Если установлен флажок Generate "CREATE DATABASE" statement, то в скрипте будет создан оператор CREATE DATABASE.

CheckBox Если установлен флажок Generate "CONNECT DATABASE" statement, то в скрипте будет создан оператор CONNECT DATABASE.

CheckBox Include Password in "CONNECT" and "CREATE DATABASE" statements - включить пароль в операторы CONNECT и CREATE DATABASE.

CheckBox Если установлен флажок Generate "CREATE JOURNAL" statement, то в скрипте будет создан оператор CREATE JOURNAL.

CheckBox Установленный флажок Generate "DROP" statements for objects указывает на то, что при извлечении будут созданы операторы DROP, которые будут удалять объекты соответствующие создаваемым скриптом объектам перед их созданием.

CheckBox Generate "SET AUTO DDL" statement

Установите этот флажок, чтобы добавить оператор SET AUTO DDL и выбрать будет ли в полученном скрипте использоваться оператор SET AUTO DDL ON или SET AUTO DDL OFF.

CheckBox Set generators - добавить операторы для установки текущих значений генераторов.

CheckBox Include object descriptions - включить в скрипт описания объектов.

CheckBox Include trigger messages - добавить в скрипт сообщения триггеров.

CheckBox Include privileges - добавить в скрипт информацию о привилегиях объекта.

CheckBox Use dependencies - сортировать операторы в скрипте, учитывая зависимости объектов. Актуально только, если выбраны не все объекты для извлечения.

Количество записей в одном блоке задается в счетчике Records in a block.

CheckBox Если установлен флажок Insert "COMMIT" statement after each block, то после каждого блока добавляется оператор COMMIT.

CheckBox Операция извлечения будет прервана при возникновении ошибки, если установлен флажок Abort extraction on error. В противном случае скрипт будет выполняться без прерываний, а все возникшие ошибки отобразятся в специальном окне.

Следующий шаг

Шаблоны


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать извлечение нажмите кнопку Finish.

Extract Database - Start of extraction process

CheckBox Вы можете загрузить полученный скрипт в редактор скриптов, установив флажок Load script to Script Editor.

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется после успешного выполнения операции. Если же флажок не установлен, то можно изменить свойства извлечения, не открывая мастер заново.

Шаблоны


Мастер сравнения баз данных

Используя Мастер сравнения баз данных, Вы можете сравнить структуру баз данных и сгенерировать SQL скрипт, который позволит синхронизировать структуру этих баз данных. Чтобы открыть мастер выберите пункт главного меню программы Tools | Compare Database.

Шаги мастера:

Выбор исходной базы данных

Выбор целевой базы данных

Выбор типа скрипта синхронизации

Выбор дополнительных опций

Выполнение операции

Смотрите также:

Редактор SQL скриптов

Управление объектами базы данных

Использование шаблонов


Выбор исходной базы данных

На первом шаге выберите исходную базу данных.

Из раскрывающегося списка Source host выберите хост, а из списка Source database выберите нужную исходную базу данных, которая находится на этом хосте.

Важно, чтобы хост и нужная база данных были предварительно зарегистрированы в проводнике баз данных

Compare Database - Selecting source database

Следующий шаг

Шаблоны


Выбор целевой базы данных

На этом шаге выберите исходную базу данных.

Compare Database - Selecting target database

Следующий шаг

Шаблоны


Выбор типа скрипта синхронизации

Скрипт будет сгенерирован в зависимости от выбранного типа RadioButton Target database into source database или RadioButton Source database into target database.

При выполеннии в целевой базе данных скрипта, сгенерированного с типом RadioButton Target database into source database, целевая база данных примет структуру исходной базы данных.

Compare Database - Selecting script type

Следующий шаг

Шаблоны


Выбор дополнительных опций

На этом шаге Вы можете определить сохранить ли создаваемый скрипт в файл или сразу открыть в редакторе SQL скриптов.

RadioButton Чтобы автоматически открыть скрипт в редакторе SQL скриптов, нужно выбрать пункт переключателя Automatically load to Script Editor.

RadioButton Если хотите сохранить скрипт в файл, то выберите пункт Save to file. В этом случае в поле File name необходимо указать имя файла и путь к нему, или выбрать файл, воспользовавшись стандартным диалоговым окном, открывающимся при нажатии на кнопку btnSaveAs. Кодировку этого файла выберите из раскрывающегося списка File charset.

Compare Database - Selecting additional options

Следующий шаг

Шаблоны


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать извлечение нажмите кнопку Run.

Compare Database - Start of comparizon process

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется после успешного выполнения операции. Если же флажок не установлен, то можно изменить свойства извлечения, не открывая мастер заново.

Шаблоны


Печать метаданных

Инструмент Print Metadata позволяет напечатать метаданные любого объекта базы данных. Чтобы открыть этот инструмент нужно выбрать Tools | iconPrint Print Metadata.

Настройки печати можно произвести с помощью инструментов, находящихся на панелях инструментов.

Панели инструментов

Выбор объектов

Настройки печати

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных

Настройки печати метаданных


Панели инструментов

Основные инструменты располагаются на панелях инструментов.

Навигационная панель

Print Metadata - Using Navigation bar

На панели Database:

iconDB выбрать базу данных.

На панели General:

iconPrint печатать - Print,

iconPreview предварительный просмотр - Preview,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

На панели Show находится список типов объектов:

показать все объекты - Show All,

выбрать из списка нужный тип объектов.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Выбор объектов

В окне Print Metadata Вы можете выбрать объекты объекты метаданные которых необходимо напечатать allows you to select the database objects for printing metadata.

В списке Available Objects отображаются все объекты этого типа, содержащиеся в базе данных. С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available, перетаскивания или двойного щелчка мыши, переместите эти объекты в список выбранных - Objects for Printing.

Print Metadata - Selecting objects

В нижней части списка выбранных объектов Вы можете указать, какую именно информацию об этом объекте следует печатать:

CheckBox Fields/Params - поля/параметры,

CheckBox Foreign Keys - внешние ключи,

CheckBox Checks - ограничения,

CheckBox Indexes - индексы,

CheckBox Triggers - триггеры,

CheckBox DDL - DDL,

CheckBox Description - описание объекта.

Убрать объект из списка выбранных можно с помощью кнопок или двойного щелчка мыши.

После того, как выбрали нужные объекты, нажмите кнопку btnPrintPreview Preview или btnPrintMetadata Print на одной из панелей инструментов.


Предварительный просмотр

При нажатии кнопки btnPrintPreview Preview, на одной из панелей инструментов, формируется представление печатного документа.

Report Viewer - Metadata

Панель инструментов

  • Начать печать отчета.
  • Открыть предыдущий сохраненный отчет.
  • Сохранить текущий отчет в файл, с расширением *.fr3.
  • btnPreviewExport Экспортировать файл предварительного просмотра в один из доступных форматов (HTML file, Excel file, Text file, RTF file, CSV file, HTML file, BMP image, Excel table (OLE), JPEG image, TIFF).
  • Искать текст.
  • Масштаб
  • Отобразить/скрыть содержание отчета.
  • Отобразить/скрыть иконки отчета.
  • Задать параметры страницы.
  • Редактировать страницу в Конструкторе отчетов.
  • Переход по страницам отчета.
  • Закрыть предпросмотр.

Смотрите также:

Панели инструментов

Настройки печати


Мастер создания HTML отчетов

Мастер создания HTML отчетов позволит Вам создать подробный развернутый отчет о метаданных выбранной базы данных. Открывается с помощью пункта меню Tools | HTML Report.

Выбор базы данных и выходной директории

Выбор типа объекта базы данных

Задание стилей отчета

Задание дополнительных параметров

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных

Использование шаблонов


Выбор базы данных и выходной директории

На первом шаге необходимо выбрать базу данных, по метаданным которой необходимо сгенерировать отчет.

Исходная база выбирается из раскрывающегося списка Source database, в котором содержатся все зарегистрированные и подключенные базы данных.

В поле Output directory, с помощью кнопки ExplorerButton указываете путь к папке, в которой будет создан HTML отчет.

HTML Report - Selecting database and directory

Следующий шаг

Шаблоны


Выбор типа объекта базы данных

На втором шаге Вы можете выбрать тип объектов, информация о которых попадет в отчет. По умолчанию, выбраны все типы объектов.

HTML Report - Selecting object types

CheckBox Domains - Домены

CheckBox Tables - Таблицы

CheckBox Views - Представления

CheckBox Procedures - Процедуры

CheckBox Triggers - Триггеры

CheckBox Generators - Генераторы

CheckBox Exceptions - Исключения

CheckBox UDFs - Пользовательские функции

CheckBox BLOB Filters - BLOB фильтры

CheckBox Indexes - индексы

CheckBox Foreign keys - внешние ключи,

CheckBox Checks - ограничения

CheckBox Roles - Роли

Нажав на кнопку Check all, Вы можете выделить все объекты сразу. Отменить выделение всех объектов одновременно можно, нажав кнопку Uncheck all.

Следующий шаг

Шаблоны


Задание стилей отчета

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

Задание стиля отчета

На третьем шаге Вы задаете стиль выходного HTML файла. Текст описания стиля Вы можете редактировать вручную, а может скопировать его из файла формата *.css.

HTML Report - Specifying CSS

Следующий шаг

Шаблоны


Задание дополнительных параметров

На последнем шаге задаются параметры, общие для всего отчета. Такие как:

  • кодировка - выбирается из списка Charset,
  • верхний колонтитул - Report header,
  • нижний колонтитул - Report footer.

HTML Report - Setting additional report options

Следующий шаг

Шаблоны


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

CheckBox Если установлен флажок Show report after generating, то новый отчет откроется сразу же после создания.

CheckBox Если установлен флажок Close the Wizard after successful completion, то мастер будет закрыт после создания отчета.

HTML Report - Creating HTML report

Чтобы начать создание отчета нажмите кнопку Finish.

Шаблоны


Работа с отчетами

Создавать отчеты в SQL Manager for InterBase/Firebird можно с помощью таких инструментов:

Мастер создания отчетов

Мастер создания отчетов предназначен для быстрого пошагового создания бланка отчета.

Конструктор отчетов

Конструктор отчетов позволяет Вам создавать и редактировать отчеты.

Редактор отчетов

С помощью этого инструмента Вы можете просматривать, редактировать, сохранять и распечатывать отчеты.

Просмотрщик отчетов

Позволяет просматривать перед печатью отчеты, создаваемые в SQL Manager, и экспортировать их в другие форматы.

Хранить отчеты можно в директориях, определенных в базе данных при редактировании регистрационной информации базы данных на вкладке Directories или в базе данных, в таблице IFM$REPORTS.


Мастер создания отчетов

Мастер создания отчетов предназначен для быстрого пошагового создания бланка отчета. Для него определен источник данных, отображаемые области и параметры страницы. Для запуска мастера необходимо выполнить одно из действий:

  • создать объект Report в проводнике баз данных,
  • выбрать пункт главного меню программы Database | New Object,
  • выбрать пункт Report из списка, открывающегося при нажатии на кнопку Create на панели инструментов проводника баз данных.

Задание основных свойств отчета

Выбор областей, отображаемых в отчете

Определение стиля отчета

Задание параметров страницы

Задание параметров бумаги

Задание параметров полей

Задание дополнительных опций

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Конструктор отчетов

Редактор отчетов

Просмотрщик отчетов


Задание основных свойств отчета

На первом шаге создания отчета Вам необходимо выбрать базу данных, для которой будет сформирован отчет, из списка Database. Список состоит из зарегистрированных и подключенных баз данных.

Create Report - Specifying database name and report options

В разделе Report creation method выберите способ создания отчета:

RadioButton New report - будет создан новый отчет,

RadioButton Import from file - отчет будет импортирован из файла.

В разделе Save options можно задать параметры сохранения файла отчета.

Имя файла укажите в поле Report name,

RadioButton если переключатель установить в Save to database, то отчет будет сохранен в папку базы данных, определенную для отчетов.

RadioButton отчет будет сохранен в произвольный файл, если переключатель установить в Save to file.

Если выбран Save to file, то в файл формата *.fr3.

Следующий шаг


Выбор областей отображаемых в отчете

На втором шаге необходимо выбрать области, в которых отображаются дополнительные данные, то есть колонтитулы, суммы, группировки полей и т.д.

Create Report - Selecting report bands

Необходимые области выберите из списка доступных областей - Available Bands и с помощью кнопок, перетаскивания или двойного щелчка мыши, перенесите в список отображаемых областей - Report Bands.

Для областей Master data, Detail data и Subdetail data можно задать значения, используя кнопку [image]. При нажатии на эту кнопку открывается конструктор запросов, с помощью которого Вы можете задать данные, которые будут отображаться в отчете.

Области, для которых указаны данные, отмечены галочкой.

Важно: Задавать данные для Detail data можно только после того как они заданы для Master data, а для Subdetail data только после Master data.

Report title - заголовок отчета

Report summary - итоги отчета

Page header - верхний колонтитул страницы

Page footer - нижний колонтитул страницы

Master header - мастер заголовков

Master data - мастер данных

Master footer - мастер итогов данных

Detail header - заголовок данных

Detail data - детали данных

Detail footer - итоги данных

Subdetail header - заголовок дополнительных деталей данных

Subdetail data - дополнительные детали данных

Subdetail footer - итоги дополнительных деталей данных

Group header - заголовок групп при группировке данных

Group footer - итоги группы при группировке данных

Следующий шаг


Определение стиля отчета

На третьем шаге Вы можете выбрать стиль отчета. На форме расположены макеты оформления страниц. Для выбора макета достаточно щелкнуть на нужном левой кнопкой мыши.

Create Report - Selecting report style

Следующий шаг


Задание параметров бумаги

На этом шаге Вам предстоит задать параметры страницы печатного документа отчета.

Вкладка Paper

Create Report - Specifying paper settings

В разделе Size указываете размер страницы.

Из раскрывающегося списка выберите один из стандартных размеров. Если стандартные размеры не подходят, то выберите пункт Особая бумага. В этом случае станут доступными для редактирования поля, в которых указывается ширина и высота бумаги в миллиметрах - Width, mm (ширина) и Height, mm (высота).

С помощью переключателя в разделе Orientation Вы выберите ориентацию страницы.

  • Portrait - книжная,
  • Landscape - альбомная.

Чтобы начать создание отчета нажмите кнопку Finish.

Смотрите также:

Задание параметров полей

Задание дополнительных опций


Задание параметров полей

На вкладке Margins можно указать размеры полей страницы.

Create Report - Specifying margins

CheckBox Если установлен флажок Stretch to print area, то автоматически устанавливается соответствие размеров полей размеру печатной области.

Установить размеры полей страницы вручную можно с помощью следующих полей:

  • Left, mm - левое поле,
  • Top, mm - верхнее поле,
  • Right, mm - правое поле,
  • Bottom, mm - нижнее поле.

Чтобы начать создание отчета нажмите кнопку Finish.

Смотрите также:

Задание параметров бумаги

Задание дополнительных опций


Задание дополнительных опций

На вкладке Others можно задать некоторые дополнительные характеристики макета отчета.

Create Report - Specifying other page settings

CheckBox Print to previous page. Эта опция позволит при печати отчета использовать пустое пространство предыдущей страницы. Функция используется, если отчет состоит из нескольких страниц.

CheckBox Если установлен флажок Two-pass report, то формирование отчета будет осуществляться в два этапа. На первом проходе отчет формируется, осуществляется его разбивка на страницы, но результат нигде не сохраняется. На втором проходе происходит обычное формирование отчета с сохранением результата в потоке.

CheckBox Установка флажка Page numbering указывает на то, что страницы отчета будут пронумерованы.

Columns

В счетчике Number задайте количество столбцов в отчете.

В поле Gap, mm указываете расстояние между столбцами.

CheckBox Если установлен флажок Open the report after the wizard has finished, то созданный мастером отчет после создания автоматически откроется в конструкторе отчетов.

Чтобы начать создание отчета нажмите кнопку Finish.

Смотрите также:

Задание параметров бумаги

Задание параметров полей


Конструктор отчетов

Конструктор отчетов позволяет Вам создавать и редактировать отчеты. Этот инструмент открывается при выборе пункта Tools | Report Designer или после создания отчета с помощью Мастера создания отчетов.

Модуль Report Designer является компонентом программы FastReport (https://www.fast-report.com). Поэтому для него существует отдельный файл справки, который открывается при нажатии клавиши F1 в окне дизайнера.

Основные элементы

Панели инструментов

Добавление объектов базы данных

Добавление компонентов отчета

Просмотр отчета

Создание диалоговой формы

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер создания отчетов

Редактор отчетов

Просмотрщик отчетов


Основные элементы

Рабочая область Конструктора отчетов состоит из следующих элементов:

Строка главного меню

Report Tree

Вспомогательное окно по умолчанию расположено в левой верхней части окна программы. В нем, в виде дерева, отображается структура отчета.

Report Designer_Report Tree

Вкладки позволяют переключаться между разными частями отчета, такими как Код, Данные, Страницы и Диалоговые формы.

Code

На этой вкладке отображается можно работать со скриптом отчета.

Data

Отображается структура данных отчета.

Page

Печатная форма отчета.

Form

Диалоговая форма отчета.

Data Tree

Вспомогательное окно, по умолчанию расположенное в левой нижней части окна программы. В нем, в виде дерева, отображается структура данных, указанных в [image] ADOTable и [image] ADOQuery - поля таблиц и запросов.

Report Designer_Data Tree

Workspace - рабочая область.

Расположена в центральной части окна.

Object Inspector

Отображает свойства активного объекта. Свойства объекта в этом окне можно менять.

Расположен по умолчанию в правой части рабочего окна программы.

Report Designer_Object Inspector

Важно: Object Inspector можно открыть нажав клавишу F11.


Панели инструментов

Основные панели инструментов программы расположены в верхней части окна программы.

Для разных вкладок Report Tree отображаются разные боковые панели инструментов:

Для вкладки Data

Для вкладки Page

Для вкладки DialogPage


Добавление объектов базы данных

Для начала работы с отчетом необходимо подключить источник данных - одну или несколько баз данных.

Report Designer - Adding database component

Подключиться к базе данных

  1. В Report tree перейти на вкладку Data.
  2. Выбрать объект [image] ADODatabase на боковой панели инструментов, расположенной слева от основного окна, и поместить его в рабочую область.
  3. В контекстном меню объекта ADODatabase выбрать пункт Edit.
  4. В открывшемся окне либо указать строку подключения, либо с помощью кнопки EllipsisButton вызвать стандартное окно Windows "Свойства связи с данными" и в нем задать необходимые параметры подключения. В качестве поставщика данных должен выступать SQL Native Client.
  5. В Object Inspector установить свойство Connection True.

Добавить таблицу в отчет

  1. В Report tree перейти на вкладку Data.
  2. Выбрать объект [image] ADOTable на боковой панели инструментов, расположенной слева от основного окна, и поместить его в рабочую область.
  3. В Object Inspector установить следующие свойства:
  • Database - выбрать один из определенных пользователем [image] ADODatabase.
  • TableName - выбрать одну из таблиц подключенной базы данных. Как только Вы выбрали таблицу, все поля её отображаются в Data Tree.

Добавить запрос в отчет

  1. В Report tree перейти на вкладку Data.
  2. Выбрать объект [image] ADOQuery на боковой панели инструментов, расположенной слева от основного окна, и поместить его в рабочую область.
  3. В Object Inspector установить следующие свойства:
  • Database - выбрать один из определенных пользователем [image] ADODatabase.
  • SQL - с помощью кнопки EllipsisButton вызвать окно редактора SQL, в котором задать текст запроса.


Добавление компонентов запроса

Для работы с макетом печатной формы отчета необходимо в Report Tree перейти на вкладку Page.

Report Designer - Adding bands

Для корректного отображения различных частей отчета, таких как данные, заголовки, колонтитулы в Report Designer используются Bands. Каждый тип Band может отображать определенные данные.

Вы можете автоматически создать отчет, в котором будут основные элементы.

Выберите в главном меню пункт File | New Report. или на панели инструментов нажмите кнопку [image] New Report. На печатную форму отчета будут помещены автоматически ReportTitle, MasterData и PageFooter.

Чтобы добавить Band на страницу необходимо:

  1. В Report tree перейти на вкладку Page1.
  2. На боковой панели инструментов нажать кнопку [image] Insert Band.
  3. Из появившегося раскрывающегося списка выбрать нужный Band.

Каждый добавленный Band появляется в Report Tree в виде узла.

Поля таблиц и отчетов необходимо добавлять в Band MasterData.

Заголовки столбцов - GroupHeader.

Заголовок отчета - ReportTitle.

Для правильного отображения данных используются различные типы Band-ов.

Данные таблиц и запросов отображаются в MasterData.

Чтобы добавить поля таблицы или запроса в отчет необходимо из DataTree перетащить нужные поля в Band MasterData.

Свойства каждого поля можно задать в Object Inspector.


Просмотр отчета

Чтобы просмотреть и распечатать полученный отчет, нажмите кнопку Preview на панели инструментов.

Report Designer - Preview

Сохранить отчет в файл другого формата.

На панели инструментов просмотрщика выбрать пункт btnPreviewExport Export -> из раскрывшегося списка выбрать формат файла, в который будет произведен экспорт -> в появившемся окне выбрать директорию и указать имя файла.


Создание диалоговой формы

Чтобы добавить диалоговую форму, необходимо на панели инструментов нажать кнопку Add dialog form.

Report Designer - Adding dialog form

На форме можно размещать текстовые поля, кнопки, изображения, флажки, переключатели и т.д. Этим элементам можно назначать некоторые события.


Редактор отчетов

С помощью этого инструмента Вы можете просматривать, редактировать, сохранять и распечатывать отчеты.

Основные инструменты располагаются на панелях инструментов.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер создания отчетов

Конструктор отчетов

Просмотрщик отчетов


Панели инструментов

Навигационная панель

Report Editor - Using Navigation bar

На панели Object:

iconDB выбрать базу данных,

выбрать отчет.

На панели General:

iconRefresh обновить - Refresh,

редактировать отчет в конструкторе отчетов - Edit report,

iconSaveToFile сохранить отчет - Save report,

iconSaveToFileAs сохранить отчет в файл - Save report as,

iconPrint распечатать отчет - Print,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Просмотр отчета

Главное окно редактора отчетов позволяет просматривать выбранный отчет.

Report Editor - Viewing Report

Инструменты, позволяющие работать с отчетом, располагаются на Навигационной панели и Панели инструментов


Просмотрщик отчетов

Report Viewer позволяет просматривать перед печатью отчеты, создаваемые в SQL Manager, и экспортировать их в другие форматы.

Модуль Report Designer является компонентом программы FastReport (https://www.fast-report.com). Поэтому для него существует отдельный файл справки - Fast Report User Manual (FRUserManual.chm).

Этот инструмент открывается при нажатии кнопки btnPrintPreview Preview в Печати метаданных или Конструкторе отчетов.

Панели инструментов

Работа с просмотрщиком отчетов

Настройки страницы

Параметры экспорта

Отправка по электронной почте

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер создания отчетов

Конструктор отчетов

Редактор отчетов


Панели инструментов

Основные инструменты располагаются на панелях инструментов.

Report Viewer - Using Toolbar

btnPrint печатать отчет,

iconSaveToFile сохранить отчет в файл с расширением *.fp3,

экспортировать отчет в файл одного из доступных форматов,

задать параметры экспорта в PDF,

задать настройки отправки по электронной почте,

найти текст,

увеличить масштаб,

уменьшить масштаб,

во весь экран/вернуть обычный режим,

отобразить/скрыть окно структуры отчета,

отобразить/скрыть область просмотра уменьшенных страниц отчета,

указать настройки страницы,

перейти к первой странице,

перейти к предыдущей странице,

перейти к следующей странице,

перейти к последней странице.

Все инструменты также доступны в контекстном меню.


Работа с просмотрщиком отчетов

Report Viewer позволяет просматривать перед печатью отчеты, созданные в Конструкторе отчетов и в Печати метаданных.

Data Report

Отчет, созданный в Конструкторе отчетов.

Report Viewer - Data

Metadata Report

Отчет, созданный в Печати метаданных.

Report Viewer - Metadata

Инструменты, позволяющие управлять отчетом располагаются на панелях инструментов и в контекстном меню.


Настройки страницы

Это диалоговое окно открывается при выборе пункта File | Page Settings в главном меню Просмотрщика отчетов или при выборе пункта [image] указать настройки страницы на панели инструментов.

В этом диалоговом окне вы можете задать настройки страницы для печати.

Report Viewer - Page Settings

Из списка Type выбираете один из типовых размеров.

Если стандартные типы не подходят, то указываете высоту и ширину листа.

В поле Width - ширину, в поле Height - высоту.

С помощью переключателя в разделе Orientation выберите ориентацию страницы.

RadioButton Portrait - книжная,

RadioButton Landscape - альбомная.

Margins

В этом разделе укажите в сантиметрах размер каждого поля страницы.

Other

RadioButton Apply to the current page - применить настройки к текущей странице

RadioButton Apply to all pages - применить настройки ко всем страницам.


Параметры экспорта в PDF

Это диалоговое окно открывается при выборе пункта [image] задать параметры экспорта в PDF на панели инструментов.

С его помощью Вы можете настроить параметры экспорта отчета в файл PDF.

Report Viewer - Export to PDF

Page range

В этом разделе укажите, какие страницы будут экспортированы.

RadioButton All - все.

RadioButton Current page - текущая страница.

RadioButton Specified pages - страницы, номера которых указаны в соответствующем поле.

В разделе Export settings задайте параметры экспорта.

CheckBox Compressed - сжимать файл,

CheckBox Embedded fonts - использовать внешние шрифты,

CheckBox Background - использовать фон.

CheckBox Print optimized - оптимизация печати.

CheckBox Outline - отобразить/скрыть окно структуры отчета.

CheckBox Open after export - открыть файл после экспорта.


Отправка по электронной почте

В этом диалоговом окне Вы можете задать настройки отправки отчета по электронной почте. Оно открывается при нажатии кнопки [image] на панели инструментов.

Report Viewer - Sending by E-mail

Address - адрес электронной почты.

Subject -тема письма.

Text - текст письма.

Attachment

Прикрепленный отчет.

Format - формат прикрепленного отчета.

CheckBox Advanced export settings - дополнительные настройки отчета.


Поиск по метаданным

Если необходимо найти некоторое сочетание символов в тексте метаданных базы данных.

Чтобы открыть окно поиска метаданных необходимо выбрать пункт Tools | Search in Metadata в главном меню программы, или воспользоваться сочетанием клавиш Ctrl+Alt+F.

Search in Metadata - Setting search conditions

В поле Text to find задайте искомое слово. Из раскрывающегося списка Database выберите базу данных, в которой будет производиться поиск.

Search in DDL - Включать в диапазон поиска описание объектов.

Case Sensitive - при поиске учитывать регистр.

Whole words only - учитывать слово целиком.

Regular Expressions - искать устойчивое словосочетание в тексте.

В разделе Direction укажите направление поиска:

  • Forward - вниз,
  • Backward - вверх.

Результаты поиска выводятся в специальном окне.

Search in Metadata - Viewing search results

На навигационной панели, в разделе Explorer отображаются все объекты, в метаданных которых встречается искомое слово и словосочетание.

Метаданные объекта отображаются в SQL редакторе при нажатии на название объекта в разделе Explorer.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных


Монитор базы данных

Монитор базы данных позволяет Вам получить полную информацию о состоянии и активности базы данных.

Этот инструмент доступен только для версий сервера InterBase 7 (и выше) и Firebird 2.1 (в ODS 11.1 и выше).

Чтобы запустить Database Monitor необходимо выбрать пункт Services |Database Monitor в главном меню программы, или пункт Tasks | Database Monitor в контекстном меню базы данных в DB Explorer.

Монитор базы данных

Панели инструментов

Обзор базы данных

Транзакции

Операторы

Пользователи

Стек вызовов (только для Firebird)

Процедуры (только для InterBase)

Связи (только для InterBase)

Триггеры (только для InterBase)

Использование памяти (только для InterBase)

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.


Панели инструментов

Инструменты для работы с монитором баз данных.

Панель инструментов

Database Monitor - Using Navigation bar

На панели Database:

iconDB Выбрать базу данных

На панели General:

iconOptions редактировать Параметры мониторинга базы данных - Options,

iconExecute начать/возобновить мониторинг - Start/Resume monitoring.

iconPause приостановить мониторинг - Pause monitoring.

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

На панели Remote Control:

iconCommit применить транзакцию для данных - Commit Transaction (Активно на вкладке Transactions),

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction (Активно на вкладке Transactions),

iconRollback отменить выполнение оператора - Cancel statement (Активно на вкладке Statements),

iconDeleteRole отключить пользователя - Shutdown User (Активно на вкладке Users),

iconRollback Отменить текущую операцию - Cancel current operation (Активно на вкладке Users).

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Обзор базы данных

На вкладке Database Вы можете просматривать основные параметры работы базы данных.

Database Monitor - Database overview


Транзакции

На вкладке Transactions Вы можете просматривать транзакции базы данных.

Database Monitor - Viewing transactions


Операторы

На вкладке Statements Вы можете просматривать операторы, выполненные в базе данных.

В верхней части располагается список операторов - Statement List. В нижней части, в разделе Statement Text, Вы можете просматривать текст выбранного оператора.

Database Monitor - Viewing statements


Пользователи

На вкладке Users Вы можете просматривать пользователей базы данных и их статус.

Database Monitor - Viewing users


Стек вызовов

На вкладке Call stack Вы можете просматривать стеки вызовов базы данных.

Важно: Эта вкладка доступна только для базы данных сервера Firebird.

Database Monitor - Viewing call stack


Процедуры

На вкладке Procedures Вы можете просматривать процедуры базы данных.

Важно: Эта вкладка доступна только для базы данных сервера InterBase.

Database Monitor - Viewing procedures


Связи

На вкладке Relations Вы можете просматривать связи базы данных.

Важно: Эта вкладка доступна только для базы данных сервера InterBase.

Database Monitor - Viewing relations


Триггеры

На вкладке Triggers Вы можете просматривать триггеры базы данных.

Важно: Эта вкладка доступна только для базы данных сервера InterBase.

Database Monitor - Viewing triggers


Использование памяти

На вкладке Memory usage Вы можете просматривать использование памяти при работе базы данных.

Важно: Эта вкладка доступна только для базы данных сервера InterBase.

Database Monitor - Memory usage


Редактор серверных сообщений

Редактор сообщений позволяет вам просматривать и редактировать серверные сообщения.

Чтобы открыть список серверных сообщений выберите пункт Tools | Server Messages Editor в главном меню программы.

menuServerMessagesEditor `

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.


Панели инструментов

Основные инструменты, позволяющие работать с ролями, располагаются на панелях инструментов.

Server Messages Editor - Using Navigation bar

На панели General:

iconLoadFromFile Open message file - открыть файл сообщений,

iconFindText Find text - найти текст,

iconSearchAgain Find next - найти следующее,

iconGoToMessage Go to message - перейти к сообщению (в появившемся окне укажите порядковый номер и тип сообщения),

Export to text file - экспортировать список сообщений в текстовый файл,

Import from text file - импортировать список сообщений из текстового файла.

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Работа с сообщениями сервера

Рабочая область позволяет работать со списком сообщений сервера InterBase/Firebird.

Server Messages Editor

Серверные сообщения отображаются в виде таблицы со следующими столбцами:

Number - уникальный номер. Формат отображения DEC/HEX можно переключить щелчком мыши на заголовке столбца Number,

Text - текст сообщения,

Original Text - оригинальный текст.

Вы можете изменять порядок столбцов.

Формат отображения DEC/HEX можно переключить щелчком мыши на заголовке столбца Number.

Редактор сообщения открывается двойным щелчком мыши на нужной строке.

Контекстное меню:

Контекстное меню открывается при нажатии правой кнопкой мыши на списке сообщений.

  • Open message file - открыть файл сообщений,
  • Save messages - сохранить сообщения в файл,
  • Find text - найти текст,
  • Find next - найти следующее значение,
  • Go to message - перейти к сообщению (в появившемся окне укажите порядковый номер и тип сообщения),
  • Export to text file - экспортировать список сообщений в текстовый файл,
  • Import from text file - импортировать список сообщений из текстового файла,
  • Revert to original - вернуться к исходному значению.

Все элементы управления доступны на панелях инструментов.

На панели статуса отображается общее число сообщений.


Перейти к сообщению

Это диалоговое окно открывается если выбрать на одной из панелей инструментов или в контекстном меню сообщения пункт Go To Message Number.

Указав номер сообщения в поле Message number, Вы можете перейти к нужному сообщению.

Номер Вы можете указать шестнадцатеричный или десятичный. Для это в разделе Search type необходимо выбрать тип поиска.

Заданное значение интерпретируется как десятичное/шестнадцатеричное.

RadioButton Hexadecimal - шестнадцатеричное.

RadioButton Decimal - десятичное.

Server Messages Editor - Go To Message


Управление сообщениями

Открыть сообщение в редакторе можно двойным щелчком мыши.

Редактор северных сообщений.

Server Messages Editor - Editing message

В поле New Text задайте новый текст серверного сообщения.

в поле Original Text отображается текст сообщения, принятый по-умолчанию. Его изменять нельзя.


Монитор событий

С помощью этого инструмента Вы можете просмотреть предупреждения обработчика событий.

Event alerts - сообщения, посылаемые базой данных приложению. Позволяют приложениям получать уведомления об асинхронных изменениях в базе данных.

Чтобы открыть монитор событий выберите пункт Tools | Event Monitor в главном меню программы.

Сообщения отправляются при выполнении процедуры или триггера, если в теле триггера или процедуры Вы указали оператор POST_EVENT.

Пример:

BEGIN

/* Statements... */

POST_EVENT 'Null_field_met';

/* Statements... */

END

После того как Вы прописали оператор POST_EVENT в триггере или процедуре, событие необходимо зарегистрировать на вкладке События в Регистрационная информация баз данных.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Регистрация события


Панели инструментов

Основные инструменты, позволяющие работать с событиями, располагаются на панелях инструментов.

Event Monitor - Using Navigation bar

Очистить список событий - Clear events,

Сохранить список событий в текстовый файл*.txt - Export to text file,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Работа с монитором событий

В основном окне отображается список событий, которые были определены для базы данных, а потом посланы.

Event Monitor - Working with Event Monitor

Для каждого события отображается следующая информация:

База данных, пославшая сообщение - Database,

Время отправки сообщения - Time,

Событие, отправившее сообщение - Event,

Число сообщений - Count.

С помощью контекстного меню Вы можете управлять списком событий.

Очистить список событий - Clear events,

Сохранить список событий в текстовый файл - Export to text file,


Монитор изменений таблиц

Монитор изменения таблиц показывает сколько раз были внесены изменения в метаданные таблиц и представлений базы данных.

Чтобы открыть монитор изменения таблиц необходимо в главном меню выбрать пункт Tools | Table Altering Monitor.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Таблицы

Использование шаблонов


Панели инструментов

Инструменты для работы с монитором изменений таблиц

Tables Altering Monitor - Using Navigation bar

На панели Database:

iconDB Выбрать базу данных

На панели General:

iconRefresh обновить - Refresh,

iconPrint печатать метаданные объекта - Print,

iconPrintSetup настройки печати - Print setup,

iconSaveAsPicture сохранить диаграмму как изображение - Save as image,

iconOptions настроить дерево зависимостей - Options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

на панели Object:

просмотреть изменения предыдущего объекта - Previous object,

просмотреть изменения следующего объекта - Next object,

показать/скрыть подобъекты - Show/Hide subobjects.

на панели Objects to show:

Отобразить все объекты - Show all objects,

Показать объекты, зависящие от выбранного объекта - Show objects depending on the root object,

показать объекты, от которых зависит выбранный объект - Show objects the root object depends on.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Важно: Опции, доступные на панели инструментов, в разделе Object, также доступны в контекстном меню.


Работа с монитором изменения таблиц

В основной части окна отображается список таблиц и количество произведенных изменений.

Tables Altering Monitor

Смотрите также:

Панели инструментов


Конструктор баз данных

Конструктор баз данных предназначен для визуального представления баз данных, объектов баз данных и связей между ними. Также он позволяет создавать, редактировать и удалять таблицы и поля таблицы и устанавливать отношения между таблицами.

Чтобы открыть конструктор выберите пункт Tools | Database Designer главного меню программы.

Панели инструментов

Перемещение по диаграмме

Добавление объектов

Создание связей

Работа с несколькими страницами

Обратное проектирование

Печать диаграммы

Сохранить/загрузить диаграмму

Настройка диаграммы

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных


Панели инструментов

Навигационная панель

VDBD - Using Navigation bar

на панели Database:

iconDB выбрать базу данных.

на панели General:

iconOptions задать свойства диаграммы - Diagram options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size,

iconRefresh обновить диаграмму - Refresh,

добавить новую вкладку - New Page,

удалить текущую вкладку - Delete Page,

удалить все вкладки - Delete All Pages,

iconPrintSetup задать настройки печати - Print Setup,

iconPrint печатать диаграмму - Print,

iconPreview просмотреть диаграмму перед печатью - Print Preview.

на панели Navigator:

В окне навигатора уменьшенный макет диаграммы для удобного перемещения по ней.

на панели Database Objects:

VDBD - Database Objects pane

список элементов, которые могут быть помещены в диаграмму.

Нажатие правой кнопкой на списке вызывает контекстное меню. С помощью этого меню Вы можете:

  • iconFindText найти выбранный объект на диаграмме.
  • iconPlus добавить новый объект на диаграмму с помощью обратного проектирования,
  • отображать в списке элементов таблицы - Show Tables,
  • отображать в списке элементов представления - Show Views,
  • отображать в списке элементов процедуры - Show Procedures,
  • вид отображения объектов В виде дерева / В виде списка - As Tree / As a list,
  • сортировать объекты в списке по имени объекта - Sort by Name,
  • сортировать объекты в списке по типу, затем по имени объекта - Sort by Type, name,
  • iconRefresh обновить список объектов - Refresh.

Главная панель инструментов

VDBD - Toolbars - Main

  • выбрать базу данных Databases,
  • создает новую диаграмму - New Diagram,
  • открыть диаграмму - Open Diagram,
  • сохранить диаграмму - Save Diagram,
  • сохранить диаграмму как изображение - Save as Image,
  • увеличить масштаб - Zoom In,
  • уменьшить масштаб - Zoom Out,
  • печатать метаданные объекта - Print,
  • настройки печати - Print setup,
  • предварительный просмотр - Print Preview,
  • компоновать объекты - Arrange objects,
  • преобразовать диаграмму в SQL скрипт - Extract metadata,
  • обратный инжиниринг базы данных (генерация модели данных на основе анализа существующей БД) - Reverse Engineer,
  • обновить содержимое редактируемого объекта - Refresh,
  • задать свойства диаграммы - Designer options,
  • задать масштаб,
  • восстановить исходный размер окна - Restore default size,
  • создать новую таблицу в диаграмме - New Page,
  • удалить активную страницу диаграммы - Delete Page,
  • удалить все страницы диаграммы - Delete all.

Панель инструментов диаграммы Alignment позволяет:

Если панель отсутствует, то ее можно включить, установив флажки Alignment Palette и New object в контекстном меню панели инструментов. Эту панель инструментов Вы можете настроить.

VDBD - Toolbars - Alignment Palette

  • выровнять по левой границе выделенные объекты - Align left edges,
  • выровнять объекты по правой границе - Align right edges,
  • выровнять по верхней границе - Align tops,
  • выровнять по нижней границе - Align bottom,
  • выровнять по центру по горизонтали - Align horizontal centers,
  • выровнять по центру по вертикали - Align vertical centers,
  • равное пространство по горизонтали - Space equally, horizontal,
  • равное пространство по вертикали - Space equally, vertical.

Панель инструментов диаграммы New object позволяет:

VDBD - Toolbars - New object

  • Select - режим выделения объектов,
  • Create table - если нажата эта кнопка (выбран этот режим), то при нажатии левой кнопкой мыши на свободную область диаграммы будет создана новая таблица,
  • если выбрана кнопка Create relation, то между таблицами можно создавать связи,
  • создать комментарий - Create comment.

Смотрите также:

Контекстные меню

Перемещение по диаграмме

Работа с объектами диаграммы

Инкрементный поиск

Создание связей

Работа с вкладками

Обратное проектирование

Печать диаграммы

Сохранить/загрузить диаграмму

Настройка диаграммы


Перемещение по диаграмме

Для быстрого и удобного перемещения по диаграмме существует специальный инструмент - Навигатор, который располагается на навигационной панели.

Навигатор представляет собой макет окна диаграммы, в котором красным прямоугольником выделена видимая область диаграммы. Он позволяет увидеть всю диаграмму в уменьшенном виде. Работать с объектами - выделять, перемещать, создавать и редактировать - в навигаторе можно так же, как и в самом окне диаграммы.

При нажатии левой кнопкой мыши в окне навигатора, центр видимой области диаграммы перемещается в эту точку. Таким образом, можно перемещаться по диаграмме, не используя полосы прокрутки.

VDBD - Diagram navigator

Смотрите также:

Панели инструментов

Работа с объектами диаграммы

Работа с вкладками


Контекстные меню

Контекстное меню

Контекстное меню области диаграммы позволяет:

VDBD - Using context menu

  • выделить все объекты диаграммы - Select All.
  • Zoom - из подменю выбрать масштаб диаграммы,
  • Create - выбрать тип создаваемого объекта,
  • Grid - настроить вид сетки,
  • Style - настроить диаграмму,
  • обратный инжиниринг схемы данных (генерация модели данных на основе анализа существующей БД) - Reverse Engineer,
  • генерировать скрипт метаданных объектов диаграммы и загрузить этот скрипт в Execute Script Editor - Extract Metadata,
  • задать настройки диаграммы - Designer options, при этом отрывается.

Контекстное меню заголовка таблицы позволяет работать с таблицей:

VDBD - Using entity context menu

  • открыть таблицу в редакторе - Edit Table "имя схемы.Имя_объекта",
  • создать таблицу - New Table...,
  • удалить таблицу из базы данных - Drop Table "имя схемы.Имя_объекта",
  • скрыть подъобъекты - Hide Subitems.
  • удалить таблицу из диаграммы - Remove Table "имя схемы.Имя_объекта".

Контекстное меню поля позволяет редактировать, добавлять и удалять поля таблицы.

Смотрите также:

Панели инструментов

Работа с объектами диаграммы

Создание связей

Инкрементный поиск


Работа с объектами диаграммы

Объектами диаграммы являются таблицы, представления и процедуры.

Жирным шрифтом в таблицах выделены обязательные для заполнения поля. Ключевые поля отделены от остальной таблицы и обозначены специальной иконкой. Вид представления таблиц и связей можно настроить.

Добавление объектов в диаграмму

Добавить объект в область диаграммы можно несколькими способами:

  • перетащить объект из окна проводника баз данных,
  • перетащить из списка доступных объектов, который расположен на навигационной панели.

Удаление объектов из диаграммы

Чтобы удалить объект из диаграммы (не из базы данных) воспользуйтесь пунктом контекстного меню заголовка таблицы Remove <Тип объекта> <Имя_объекта>.

VDBD - Removing objects from diagram

Создание нового объекта

В окне диаграммы можно создавать новые таблицы, процедуры или предствления, используя пункт контекстного меню заголовка объекта New <Тип объекта>.... Далее, в открывшемся редакторе, задаете все поля и свойства нового объекта и нажимаете Compile. После этого созданный объект появляется на диаграмме.

VDBD - Creating new table

Редактирование объекта

В окне диаграммы можно редактировать как таблицы, представления, процедуры и поля таблиц.

Чтобы открыть объект в соответствующем редакторе нужно в контекстном меню заголовка таблицы выбрать пункт Edit <Тип объекта> <Имя_объекта>.

Работа с полями осуществляется с помощью контекстного меню поля.

Смотрите также:

Панели инструментов

Перемещение по диаграмме

Контекстные меню

Создание связей

Инкрементный поиск

Обратное проектирование

Управление объектами базы данных


Создание связей

SQL Manager for InterBase/Firebird позволяет создавать связи между таблицами - внешние ключи - в окне диаграммы. Для этого на панели инструментов окна диаграммы надо нажать кнопку Create relation.

Теперь, чтобы установить связь между двумя таблицами нужно нажать мышкой на каждой из них. После этого откроется редактор внешних ключей, в котором Вы сможете задать все свойства создаваемой связи.

VDBD - Creating relations

Связь между таблицами отображается в виде соединительной линии.

Управление связью осуществляется с помощью контекстного меню, которое открывается при нажатии правой кнопкой мыши на связь.

VDBD - Creating relations - Context menu

С помощью этого меню Вы можете:

  • открыть связь в редакторе внешних ключей - Edit Foreign Key "имя_объекта",
  • удалить связь Drop Foreign Key "имя_объекта".

Смотрите также:

Перемещение по диаграмме

Работа с объектами диаграммы

Инкрементный поиск


Работа с вкладками

В одной диаграмме баз данных Вы можете создать несколько вкладок для разделения объектов на группы для удобства просмотра.

VDBD - Working with diagram pages

Работа с вкладками:

  • создать новую вкладку - New Page,
  • удалить вкладку - Delete Page,
  • удалить все вкладки - Delete All Pages,
  • переименовать вкладку - Rename Page.

Все эти команды находятся в контекстном меню страницы и на панели инструментов.

Смотрите также:

Перемещение по диаграмме

Работа с объектами диаграммы


Обратное проектирование

Для того чтобы быстро перенести на диаграмму все таблицы базы данных с отношениями между ними нужно воспользоваться кнопкой btnReverseEngineer Reverse Engineer (реконструировать базу данных) на панели инструментов.

Все таблицы базы выстраиваются на диаграмме, со всеми существующими между ними связями.

VDBD - Reverse engineering

Нажмите кнопку OK, чтобы начать обратное проектирование базы данных.

Смотрите также:

Панели инструментов

Перемещение по диаграмме

Работа с объектами диаграммы


Печать диаграммы

Конструктор баз данных позволяет открыть диаграмму в окне предпросмотра и распечатать ее.

Инструмент для предпросмотра диаграммы - Print Preview btnPrintPreview - открывается при нажатии кнопки Print Preview, на панели инструментов.

Для настроек печатного документа используйте Print Setup Dialog, который открывается при нажатии на кнопку Print setup btnPrintSetup , на панели инструментов. С помощью этого же инструмента можно распечатать документ.


Предварительный просмотр

Предварительный просмотр - это режим просмотра документа в том виде, в котором он будет напечатан.

С помощью инструмента Print Preview Вы можете просмотреть диаграмму перед печатью.

Действия, которые можно выполнить, используя панель инструментов:

  • указать номер просматриваемой страницы. С помощью кнопок можно открыть следующую или предыдущую страницу, в счетчике укажите номер желаемой страницы,
  • кнопка Print all позволяет напечатать все страницы или только текущую (раскрывающийся список кнопки),
  • настроить параметры печати - кнопка Print options,
  • установить масштаб просмотра - Preview zoom.

VDBD - Printing diagram - Print Preview


Настройки печати

Это диалоговое окно позволяет настроить опции печати:

  • параметры принтера - на вкладке Printer,
  • параметры страницы на вкладке Page options.

Инструменты, располагающиеся на вкладке Printer.

Database tools - VDBD - Print Setup - Printer

  • имя принтера - отображается в поле Name,
  • выбор активного принтера - кнопка Choose printer,
  • сведения о драйвере принтера - поле Driver,
  • порт подключения принтера - поле Port,
  • процент от натуральной величины - Use scale factor,
  • разместить не более чем на n страницах в ширину и n страницах в высоту - Arrange diagram at n pages horizontally and n pages vertically,
  • если установлен флажок Skip empty pages, то при печати будут пропущены пустые страницы,
  • установите флажок Print only selected objects, если хотите? чтобы напечатаны были только выделенные объекты,
  • установленный флажок Print page borders позволяет печатать границы страниц,
  • All pages указывает на то что печататься будут все страницы,
  • Pages from... to... позволяет задать диапазон печатаемых страниц.

Инструменты, располагающиеся на вкладке Page options.

Database tools - VDBD - Print Setup - Page options

  • Top margin (mm) - размер верхнего поля в мм.,
  • Bottom margin (mm) - размер нижнего поля в мм.,
  • Left margin (mm) - размер левого поля в мм.,
  • Right margin (mm) - размер правого поля в мм.,
  • в поле Page Header задайте текст верхнего колонтитула,
  • Left align - выравнивание текста колонтитула по левому краю,
  • Center align - выравнивание текста колонтитула по центру,
  • Right align - выравнивание текста колонтитула по правому краю,
  • Page Footer - размер нижнего колонтитула,
  • Left align - выравнивание текста колонтитула по левому краю,
  • Center align - выравнивание текста колонтитула по центру,
  • Right align - выравнивание текста колонтитула по правому краю.


Сохранить/загрузить диаграмму

SQL Manager for InterBase/Firebird позволяет сохранять и загружать сохраненную диаграмму.

Файлы диаграммы сохраняются в формате .ibd.

Кнопки сохранить загрузить диаграмму находятся на панели инструментов:

  • ExplorerButton открыть диаграмму - Open Diagram,
  • btnSave сохранить диаграмму - Save Diagram,
  • btnSaveAsPicture сохранить диаграмму как изображение - Save as Image.

Если попытаться открыть диаграмму для другой базы, то программа, не найдя соответствующих таблиц, выдаст ошибку.

Смотрите также:

Панели инструментов

Перемещение по диаграмме

Контекстные меню

Работа с объектами диаграммы


Настройка диаграммы

Настроить вид диаграммы можно с помощью пункта контекстного меню диаграммы Designer options или с помощью Options | Environment Options | Tools | Database Designer.

В окне настройки, открывающемся после нажатия Designer Options, имеет две вкладки. На первой - настройки внешнего вида, на второй - отдельно настройки цветов диаграммы.

Инструменты вкладки Options:

VDBD - Setting diagram options

Из раскрывающегося списка Model notation выберите стандарт отображения информации в диаграмме - IDEF1x или IE.

CheckBox установив флажок Draw PRIMARY KEY fields separately, Вы указываете, что ключевое поле будет отделено от всей остальной таблицы.

CheckBox если установлен флажок Draw entities icons, то рядом с заголовками таблиц будут отображаться иконки.

если установлен флажок Draw attributes icon, то рядом с названием каждого поля будет отображаться иконка.

Draw only names of entities - отображать только названия объектов.

Draw FOREIGN KEY name - отображать названия внешних ключей таблиц.

если установлен флажок Show grid, то будет отображаться сетка окна диаграммы.

установить привязку к сетке можно с помощью флажка Snap to grid.

задать параметры сетки диаграммы можно с помощью счетчиков Grid size. ширина - X, высота - Y.

В разделе Entity header font задаете параметры шрифта заголовков таблиц:

  • Name - вид шрифта,
  • Size - размер шрифта.
  • В разделе Attributes font задаете параметры шрифта полей таблиц:
  • Name - вид шрифта,
  • Size - размер шрифта.

На вкладке Palette можно задать цвет для каждого элемента диаграммы.

  • Work area - рабочая область,
  • Work area text - текст рабочей области,
  • Entity - цвет объекта,
  • Entity caption text - текст заголовка объекта,
  • Attribute text - неактивный заголовок таблицы,
  • Selection - выделение,
  • Selected entity caption text - выделенный текст заголовка объекта,
  • Selected attribute text - выделенный текст атрибута.

Если после внесения изменений установить флажок Default, то все принятые изменения будут назначены свойствами по умолчанию. Все последующие диаграммы будут создаваться с учетом этих свойств.

Смотрите также:

Настройки визуального конструктора баз данных


Службы

В SQL Manager for InterBase/Firebird существуют специальные службы для обеспечения работы с сервером и базами данных, находящимися на сервере.

Резервное копирование базы данных

С помощью мастера резервного копирования Вы можете создавать резервные копии баз данных.

Восстановление базы данных

С помощью этого мастера Вы можете восстановить и подготовить к работе базу данных из резервной копии.

Проверка базы данных

Database Validation Wizard позволяет проверить целостность структуры данных в базе данных.

Статистика базы данных

Database Statistics Wizard позволяет собирать информацию о состоянии базы данных.

Запустить/остановить базу данных

С помощью этого инструмента Вы можете запустить или остановить базу данных.

Перестройка индексов

По отношению к индексу будет выполнена команда REBUILD. Это означает, что индекс будет перестроен с использованием тех же столбцов, типов индекса, атрибута уникальности и порядка сортировки.

Очистка базы данных

Очищает данные выбранных таблиц.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Настройки

Внешние инструменты

Как...


Резервное копирование базы данных

С помощью мастера резервного копирования Вы можете создавать резервные копии баз данных.

Чтобы запустить этот инструмент необходимо выбрать Services | Backup Database в главном меню программы, или пункт Database Operations | Backup Database в контекстном меню базы данных.

Все инструменты мастера располагаются на следующих шагах:

Выбор базы данных,

Задание параметров резервного копирования

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Восстановление базы данных

Использование шаблонов


Выбор базы данных

На первом шаге необходимо задать основные параметры резервного копирования базы данных.

Backup Database - Selecting database and backup type

Из раскрывающегося списка Database выберите базу данных, для которой хотите создать резервную копию.

В разделе Backup type выберите тип резервного копирования.

RadioButton Full backup - полное резервное копирование,

RadioButton Archive (только для IB) - резервное копирование с использованием системы журналирования.

RadioButton Incremental backup - инкрементное резервное копирование.

В разделе Backup File задайте параметры файла резервной копии, который будет создан после завершения операции.

Backup File name - имя выходного файла. Вы можете использовать переменные в имени файла. Использование переменных позволяет получить уникальное имя файла, а также полезно при резервном копировании при помощи шаблона. Следующие переменные доступны для использования: [Timestamp], [Date], [Time].

Пример использования: 'C:\Backups\my_database[Timestamp].GBK'.

Важно: Формат значений переменных зависит от системных настроек.

User name - имя пользователя.

Password - пароль резервной копии.

Эти имя и пароль используются для доступа к файлу.

Для каждого из типов резервного копирования (Archive, Incremental backup и т.д.) Вы можете задать специальные настройки.

Следующий шаг для Full backup

Следующий шаг для Archive backup

Шаблоны


Полное резервное копирование

Если в качестве типа резервной копии был выбран RadioButton Full backup, то необходимо будет указать следующие настройки.

Backup Database - Backup type - Full Backup options

CheckBox Shutdown database before service start - остановить базу данных перед началом операции.

CheckBox Bring database online after service finished - запустить базу данных после завершения операции.

CheckBox Установив флажок Compression, Вы указываете, что будет выполнено дополнительное архивирование файла резервной копии средствами SQL Manager for InterBase/Firebird. Этот флажок доступен, только если файл резервной копии создается на локальной машине. Такие файлы можно использовать в Мастере восстановления баз данных напрямую, без дополнительных преобразований.

В разделе Execution mode выберите метод создания резервной копии.

RadioButton Use local utilities - при создании резервной копии будут использоваться локальные утилиты. Путь к ним указывается в поле Path to database utilities на вкладке Параметры соединения (Регистрационная информация сервера).

RadioButton Use services - для создания копии будут использованы службы сервера.

Важно: Резервное копирование базы данных, расположенной на Embedded сервере, возможно только с помощью локальных инструментов. Необходим, чтобы icudt30.dll, icuin30.dll, icuuc30.dll и fbembed.dll (fbembed.dll должна быть переименована в fbclient.dll) были расположены вместе с файлом gbak.exe в директории, указанной в поле Path to database utilities на вкладке Параметры соединения Регистрационной информации сервера.

Тип хранения файла резервной копии выберите в разделе Store mode.

RadioButton Local - на локальном компьютере. Этот пункт доступен, если в качестве метода создания резервной копии Вы выбрали Use local utilities.

RadioButton Server - на сервере.

Смотрите также:

Архивное резервное копирование

Инкрементное резервное копирование


Архивное резервное копирование

Если в качестве типа резервной копии был выбран RadioButton Archive Backup, то необходимо будет указать следующие настройки.

Backup Database - Backup type - Archive Backup options

Archive Backup - создание архива журналов. Только для сервера InterBase 2009 и выше.

В разделе Execution mode выберите, каким способом выполнять резервное копирование.

RadioButton Use local utilities - при создании резервной копии будет использоваться локальная утилита gbak.exe. Этот пункт доступен только в том случае, если утилита gbak.exe находится в директории, заданной в поле Path to database utilities на вкладке Параметры соединения в Регистрационной информации сервера.

RadioButton Use services - для создания копии будут использованы службы сервера.

Archive Backup Type

RadioButton Database backup - резервная копия базы данных.

RadioButton Journals backup - резервная копия журналов.

Смотрите также:

Полное резервное копирование

Инкрементное резервное копирование


Инкрементное резервное копирование

Если в качестве типа резервной копии был выбран RadioButton Incremental backup, то необходимо будет указать следующие настройки.

Инкрементное резервное копирование (Incremental backup).можно выполнять для сервера Firebird вер. 2.0 и выше.

Backup Database - Backup type - Incremental Backup options

Переключатель Incremental Backup доступен только в том случае, если для сервера, на котором зарегистрирована выбранная база, задано значение в поле Path to database utilities на вкладке Параметры соединения (Регистрационная информация сервера), и в указанной директории существует файл nbackup.exe.

Incremental backup (online dump). Для сервера InterBase 2009 и выше Вы можете задать следующие параметры.

Зарегистрированный сервер, на котором выбрана база, должен быть локальным.

В разделе Execution mode выберите, с помощью чего необходимо выполнять резервное копирование.

RadioButton Use local utilities - при создании резервной копии будет использоваться локальная утилита gbak.exe. Этот пункт доступен только в том случае, если утилита gbak.exe находится в директории, заданной в поле Path to database utilities на вкладке Параметры соединения в Регистрационной информации сервера.

RadioButton Use services - для создания копии будут использованы службы сервера.

CheckBox Overwrite old file - если установлен флажок, то существующий файл резервной копии будет перезаписан полностью.

Если не установлен, то в существующий файл будут добавлены изменения, относительно последней резервной копии.

CheckBox Generate backup name - автоматически генерировать имя резервной копии.

Backup level - уровень инкрементного резервного копирования. Резервная копия уровня n может быть создана, только если в истории резервных копий существует резервная копия уровня n-1 для указанной базы данных. Это не относится к нулевому уровню, так как нулевой уровень является

Важно: Резервное копирование базы данных, расположенной на Embedded сервере, можно осуществить только с помощью локальных утилит и только в случае, если в одной папке с утилитой gbak.exe (эта папка указывается в поле Path to database utilities на вкладке Параметры соединения в Регистрационной информации сервера.) находится библиотека fbembed.dll (embedded сервера), переименованная в fbclient.dll, а также библиотеки icudt30.dll, icuin30.dll и icuuc30.dll.

Смотрите также:

Полное резервное копирование

Архивное резервное копирование


Задание дополнительных опций

На этом шаге мастера Вы можете задать дополнительные параметры резерв копирования.

Этот шаг доступен только если Вы выбрали RadioButton Full backup на шаге Выбора базы данных.

Backup Database - Setting backup options

CheckBox Ignore check sum - если флажок установлен, то неправильная контрольная сумма страниц заголовков, в которых указаны параметры подключения базы данных, будет игнорироваться при создании резервной копии.

CheckBox Ignore transaction in Limbo - если установлен этот флажок, то транзакции, которые не определены как выполненные или прерванные, будут игнорироваться.

CheckBox Backup Metadata only - в резервной копии будут сохранены только метаданные базы данных, если установлен этот флажок.

CheckBox Garbage collection - если этот флажок установлен, то сборка мусора осуществляется во время создания резервной копии.

CheckBox Old metadata description - если этот флажок установлен, то в резервной копии будут сохраняться текстовые описания метаданных.

CheckBox Convert to Tables - если установлен этот флажок, то данные базы будут сохранены в резервной копии в виде таблиц.

Из раскрывающегося списка Format выберите формат данных для резервной копии.

В разделе Shutdown Mode выберите тип отключения.

RadioButton Forced - принудительное отключение. При таком отключении прерываются все выполняемые транзакции и отключаются все пользователи.

RadioButton Deny new transaction - все незавершенные транзакции будут завершены за указанный в поле Wait(seconds) промежуток времени. Новые транзакции будут запрещены.

RadioButton Deny new attachment - все пользовательские соединения должны быть завершены за указанное в поле Wait(seconds) время.

Следующий шаг


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

Backup Database - Running backup

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется при успешном выполнении операции. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Восстановление базы данных

С помощью этого мастера Вы можете восстановить и подготовить к работе базу данных из резервной копии.

Чтобы запустить этот инструмент, необходимо выбрать Services | Restore Database в главном меню программы, или пункт Database Operations | Restore Database в контекстном меню базы данных.

Все инструменты мастера располагаются на следующих шагах:

Выбор типа восстановления

Задание настроек базы данных и файла восстановления

Восстановление из полной резервной копии

Восстановление из инкрементной резервной копии

Восстановление с использованием журналов

Восстановление из онлайн дампа

Задание настроек сервера

Параметры туннелирования

Настройки базы данных

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Резервное копирование базы данных

Использование шаблонов


Выбор типа восстановления

SQL Manager for InterBase/Firebird
  • В начало
  • « Назад
  • Вперед »

Выбор назначенной базы данных

На первом шаге необходимо выбрать тип источника данных, из которого будет происходить восстановление базы данных.

Restore Database - Selecting restore type

RadioButton Restore from full backup - восстановление из полной резервной копии.

RadioButton Restore from incremental backup (Firebird only) - восстановление из инкрементной резервной копии. Только для сервера Firebird вер. 2.0 и выше.

RadioButton Restore from Journal Archive (InterBase only) - восстановление из журналов. Только для сервера InterBase 2009 и выше.

RadioButton Restore online dump (InterBase only) - восстановление из онлайн дампа. Только для сервера InterBase 2009 и выше.

Важно: Восстановление базы данных из резервной копии, расположенной на Embedded сервере, можно осуществить только с помощью локальных утилит и только в случае, если в одной папке с утилитой gbak.exe (эта папка указывается в поле Path to database utilities на вкладке Параметры соединения в Регистрационной информации сервера.) находится библиотека fbembed.dll (embedded сервера), переименованная в fbclient.dll, а также библиотеки icudt30.dll, icuin30.dll и icuuc30.dll.

Следующий шаг

Шаблоны


Настройки базы данных

На этом шаге задайте опции восстанавливаемой базы данных.

Restore Database - Setting restore options

CheckBox Deactivate indexes - в процессе восстановления индексы базы данных будут деактивированы.

CheckBox Don't recreate shadow files - теневые файлы не будут пересоздаваться в процессе восстановления. (Теневой файл - файл, имеющий расширение .shd, создаваемый локальным провайдером печати, который записывает в него административную информацию (имя пользователя, имя документа и тип данных)).

CheckBox Don't enforce validity conditions - при пересоздании не проверять истинность условий.

CheckBox Commit after each table - фиксировать транзакции после восстановления каждой таблицы.

CheckBox Replace existing database - заместить существующую базу данных восстанавливаемой.

CheckBox Use all space - использовать всё доступное пространство.

CheckBox Page size - размер страницы базы данных в байтах.

Следующий шаг

Шаблоны


Восстановление из полной резервной копии

Если на первом шаге Вы выбрали тип восстановления RadioButton Restore from full backup, то на этом шаге необходимо будет задать следующие настройки.

Restore from full backup - восстановление из полной резервной копии.

Restore Database - Restore from Full Backup

В поле Source file , с помощью кнопки ExplorerButton , укажите имя файла резервной копии и путь к нему.

В разделе Restore into задайте базу данных, которую необходимо восстановить из резервной копии.

RadioButton New database. Если Вы выбрали этот пункт, то будет создана новая база данных, в которую будет восстановлена база данных из резервной копии.

Новая база данных может располагаться на новом сервере или на уже зарегистрированном.

RadioButton Выберите Existing host, если база данных, которую надо создать, должна располагаться на уже существующем сервере. В этом случае Вам необходимо будет выбрать из раскрывающегося списка Host name один из зарегистрированных серверов.

RadioButton Если Вы выбрали New host, то база данных будет восстановлена из резервной копии на новом сервере, и доступными становятся шаги Задание настроек сервера и Параметры туннелирования, на которых Вы укажете параметры регистрации нового сервера.

В поле File name задайте имя файла создаваемой базы данных.

RadioButton Existing database

Если Вы выбрали этот пункт, то из раскрывающегося списка выберите одну из существующих баз данных, которую необходимо восстановить из резервной копии. Файл базы данных будет перезаписан.

Для этой базы данных, в разделе Login as укажите имя пользователя в поле User name и пароль в поле Password.

Shutdown database before service start - остановить базу данных перед началом операции.

Bring database online after service finished - запустить базу данных после завершения операции.

В разделе Execution mode выберите метод создания резервной копии.

RadioButton Use local utilities - при восстановлении базы данных будут использоваться локальные утилиты.

RadioButton Use services - для восстановления будут использованы службы сервера.

Тип хранения файла резервной копии выберите в разделе Restore mode.

RadioButton Local - на локальном компьютере.

RadioButton Server - на сервере.

Следующий шаг

Шаблоны

Смотрите также:

Восстановление из инкрементной резервной копии

Восстановление с использованием журналов

Восстановление из онлайн дампа


Восстановление из инкрементной резервной копии

Если на первом шаге Вы выбрали тип восстановления RadioButton Restore from incremental backup, то на этом шаге необходимо будет задать следующие настройки.

Restore from incremental backup (Firebird only) - восстановление из инкрементной резервной копии. Только для сервера Firebird 2.0 и выше.

RadioButton Выберите Existing host, если база данных, которую надо создать, должна располагаться на уже существующем сервере. В этом случае Вам необходимо будет выбрать из раскрывающегося списка Host name один из зарегистрированных серверов. В этом списке отображаются только локальные серверы Firebird вер. 2.0 и выше.

RadioButton Если Вы выбрали New host, то база данных будет восстановлена из резервной копии на новом сервере, и доступными становятся шагиЗадание настроек сервера и Параметры туннелирования, на которых Вы укажете параметры регистрации нового сервера.

В поле File name укажите файл базы данных, в который будет записана база данных, извлеченная из резервной копии.

RadioButton Select entry from backup history - выбрать файлы резервных копий из истории (Backup history).

Restore Database - Restore from Incremental Backup - Backup history

Из раскрывающегося списка Source database выберите базу данных, из которой следует получить историю резервных копий. В этом списке отображаются только локальные базы данных серверов Firebird.

Для выбранной базы данных отобразятся резервные копии. Номер уровня инкрементной резервной копии указан в столбце Lvl. Время создания отображается в столбце Timestamp. В поле Filename отображается полный путь к файлу резервной копии.

Отметьте флажкам те файлы, которые хотите использовать для восстановления.

Важно: Для восстановления могут быть выбраны только те файлы, уровни которых образуют непрерывную последовательность от 0 до n, и относящиеся к одной базе данных.

RadioButton Specify backup files manually - задать файлы резервной копии отдельно.

Restore Database - Restore from Incremental Backup - Backup files

При этом способе восстановления файл для каждого уровня задается вручную.

С помощью кнопки btnAddItem добавляете уровень. Номер уровня указан в столбце Lvl. В каждом уровне в поле File задайте файл инкрементной резервной копии, соответствующий этому уровню. Файл можно выбрать, используя диалоговое окно, открывающееся при нажатии кнопки ExplorerButton .

Следующий шаг

Шаблоны

Смотрите также:

Восстановление из полной резервной копии

Восстановление с использованием журналов

Восстановление из онлайн дампа


Восстановление с использованием журналов

Если на первом шаге Вы выбрали тип восстановления RadioButton Restore from Journal Archive, то на этом шаге необходимо будет задать следующие настройки.

Restore from Journal Archive (InterBase only) - восстановление с использованием журналов. Только для сервера InterBase 2009 и выше.

Restore database - Restore From Journal Archive

Database archive file name. В этом поле, с помощью кнопки btnSaveAs , указываете файл резервной копии. (Файл формата *.DATABASE).

В разделе Login information укажите User name - имя пользователя и Password - пароль для доступа к файлу резервной копии.

В разделе Restore into задайте базу данных, которую необходимо восстановить из резервной копии.

RadioButton New database. Если Вы выбрали этот пункт, то будет создана новая база данных, в которую будет восстановлена база данных из резервной копии.

Новая база данных может располагаться на новом сервере или на уже зарегистрированном.

RadioButton Выберите Existing host, если база данных, которую надо создать, должна располагаться на уже существующем сервере. В этом случае Вам необходимо будет выбрать из раскрывающегося списка Host name один из зарегистрированных локальных серверов InterBase вер. 2009 и выше.

RadioButton Если Вы выбрали New host, то база данных будет восстановлена из резервной копии на новом сервере, и доступными становятся шаги Задание настроек сервера и Параметры туннелирования, на которых Вы укажете параметры регистрации нового сервера.

В поле File name задайте имя файла создаваемой базы данных.

RadioButton Existing database

Если Вы выбрали этот пункт, то из раскрывающегося списка выберите одну из существующих локальных баз данных, сервера InterBase вер. 2009 и выше, которую необходимо восстановить из резервной копии. Файл базы данных будет перезаписан.

Вы можете восстановить изменения, которые были сделаны до какой-то определенной даты, установив флажок Use until option и указав в поле нужную дату.

Следующий шаг

Шаблоны

Смотрите также:

Восстановление из полной резервной копии

Восстановление из инкрементной резервной копии

Восстановление из онлайн дампа


Восстановление из онлайн дампа

Если на первом шаге Вы выбрали тип восстановления RadioButton Restore from Online Dump, то на этом шаге необходимо будет задать следующие настройки.

Restore online dump (InterBase only) - восстановление из онлайн дампа. Только для сервера InterBase 2009 и выше.

В этом случае резервная копия базы данных имеет вид онлайн дампа.

Restore Database - Restore online dump

Online Dump source file - в этом поле укажите файл онлайн дампа, из которого будет восстановлена база данных.

В разделе Login information укажите User name - имя пользователя и Password - пароль для доступа к файлу резервной копии.

Path to database utilities. В этом поле укажите путь к директории, в которой находятся утилиты сервера InterBase.

Rename result database file. Если этот флажок не установлен, то восстановление резервной копии автоматически будет произведено в ту базу, для которой копия была создана. Если установлен этот флажок, то информация будет восстанавливаться из резервной копии в новую базу данных. Имя этой базы данных Вы можете задать в поле New database file name.

Если установлен флажок Register after restore, то в случае успешного восстановления, будет вызван Мастер регистрации баз данных.

RadioButton Выберите Existing host, если база данных, которую надо создать, должна располагаться на уже существующем сервере. В этом случае Вам необходимо будет выбрать из раскрывающегося списка Host name один из зарегистрированных локальных серверов InterBase вер. 2009 и выше.

RadioButton Если Вы выбрали New host, то база данных будет восстановлена из резервной копии на новом сервере, и доступными становятся шаги Задание настроек сервера и Параметры туннелирования, на которых Вы укажете параметры регистрации нового сервера.

Следующий шаг

Шаблоны

Смотрите также:

Восстановление из полной резервной копии

Восстановление из инкрементной резервной копии

Восстановление с использованием журналов


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

Restore Database - Running restore

CheckBox Если установлен флажок Register database after restoring, то после извлечения базы данных будет открыт Мастер регистрации баз данных.

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется при успешном выполнении операции. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Проверка базы данных

Database Validation Wizard позволяет проверить целостность структуры данных в базе данных.

Чтобы запустить мастер проверки базы данных выберите пункт Services | Database Validation в главном меню программы.

Мастер состоит из следующих шагов:

Выбор базы данных

Параметры проверки

Выполнение операции

Проверять базу данных на предмет целостности структуры данных необходимо в следующих случаях:

  • в случае возникновения ошибки при создании резервной копии базы данных.
  • при возникновении ошибки "corrupt database".

Эту проверку необходимо проводить периодически.

У пользователя, который проводит проверку базы данных, должны быть соответствующие права.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Запустить/остановить базу данных

Использование шаблонов


Выбор базы данных

На первом шаге необходимо выбрать базу данных и указать параметры проверяемой базы.

Database Validation - Selecting database and execution mode

Из раскрывающегося списка Database выберите базу данных, которую необходимо проверить.

CheckBox Shutdown database before service start - остановить базу данных перед началом операции.

CheckBox Bring database online after service finished - запустить базу данных после завершения операции.

RadioButton Use local utilities - при проверке будут использоваться локальные утилиты.

RadioButton Use services - для проверки будут использованы службы сервера.

Следующий шаг

Шаблоны


Параметры проверки

На этой вкладке задайте параметры проверки.

Database Validation - Setting validation options

CheckBox Return a list of limbo transactions - если установлен этот флажок, то после проверки будет возвращен список транзакций, которые невозможно было определить как выполненные или прерванные.

CheckBox Validate the database, but don't repair it - если установлен этот флажок, то база данных будет проверяться на наличие ошибок, но найденные ошибки исправляться не будут.

CheckBox Ignore all checksum errors - если установлен этот флажок, то неправильная контрольная сумма страниц заголовков, в которых указаны параметры подключения базы данных, будет игнорироваться.

CheckBox Kill all unavailable shadow files - если установлен этот флажок, то теневые файлы будут удалены.

CheckBox Prepare a corrupt database for backup - если установлен этот флажок, то найденные в базе данных ошибки будут исправлены. И для проверенной базы данных можно будет создавать резервную копию.

CheckBox Perform a database sweep - если установлен этот флажок, то при проверке будут удалены все устаревшие записи.

CheckBox Validate the database structure - если установлен этот флажок, то будет восстановлена поврежденная структура базы данных.

CheckBox Validate record fragments - если установлен этот флажок, то будут освобождаться все незанятые фрагменты записей базы данных.

CheckBox Write log information to file - записывать информацию о выполнении операции в файл.

В поле File name укажите имя файла, в который будет сохранена эта информация.

Следующий шаг

Шаблоны


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

Database Validation - Running database validation

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется при успешном выполнении операции. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Статистика базы данных

Database Statistics Wizard позволяет собирать информацию о состоянии базы данных.

Чтобы запустить этот мастер необходимо в главном меню программы выбрать пункт Services | Database Statistics.

Мастер состоит из следующих шагов:

Выбор базы данных

Параметры статистики

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Запустить/остановить базу данных

Использование шаблонов


Выбор базы данных

На первом шаге необходимо выбрать базу данных и указать параметры этой базы.

Database Statistics - Selecting database for statistics

Из раскрывающегося списка Database выберите базу данных, для которой необходимо собрать статистику.

CheckBox Shutdown database before service start - остановить базу данных перед началом операции.

CheckBox Bring database online after service finished - запустить базу данных после завершения операции.

RadioButton Use local utilities - при сборе статистики будут использоваться локальные утилиты.

RadioButton Use services - для сбора статистики будут использованы службы сервера.

Следующий шаг

Шаблоны


Параметры статистики

На этом шаге задайте параметры сбора статистики по базе данных.

Database Statistics - Setting statistics options

В раздела Options выберите тип сбора статистики.

RadioButton Retrieve all statistics - собрать всю статистику.

RadioButton Stop retrieving after header page statistics - остановить операцию после завершения сбора информации о страницах заголовков.

RadioButton Stop retrieving after log pages statistics - остановить операцию после завершения сбора информации о журналах событий.

RadioButton Stop retrieving after user indexes statistics - остановить операцию после завершения сбора информации об индексах.

RadioButton Stop retrieving after data tables statistics - остановить операцию после завершения сбора информации о данных таблиц.

RadioButton Stop retrieving after system tables and indexes statistics - остановить операцию после завершения сбора информации о системных таблицах и индексах.

CheckBox Write log information to file - записывать информацию о выполнении операции в файл.

В поле File name укажите имя файла, в который будет сохранена эта информация.

Следующий шаг

Шаблоны


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

Database Statistics - Running database statistics

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется при успешном выполнении операции. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Запустить/остановить базу данных

С помощью этого инструмента Вы можете запустить или остановить базу данных.

Чтобы запустить Database Start/Stop Wizard необходимо в главном меню программы выбрать пункт Services | Start/Stop Database.

Мастер состоит из следующих шагов:

Задать параметры операции

Задать параметры остановки базы данных

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Использование шаблонов


Задать параметры операции

На первом шаге задайте основные параметры операции.

Start-Stop Database - Selecting database and execution mode

RadioButton Bring database online - запустить базу данных.

RadioButton Shutdown database - остановить базу данных.

Из раскрывающегося списка Database выберите базу данных.

RadioButton Use local utilities - для выполнения операции будут использоваться локальные утилиты.

RadioButton Use services - для выполнения операции будут использованы службы сервера.

Следующий шаг

Шаблоны


Задать параметры остановки базы данных

Если на первом шаге Вы выбрали пункт Shutdown database, то на втором шаге необходимо будет задать параметры остановки базы данных.

Start-Stop Database - Shutdown database options

В разделе Shutdown Mode выберите тип отключения.

RadioButton Forced - принудительное отключение. При таком отключении прерываются все выполняемые транзакции и отключаются все пользователи.

RadioButton Deny new transaction - все незавершенные транзакции будут завершены за указанный в поле Wait(seconds) промежуток времени. Новые транзакции будут запрещены.

RadioButton Deny new attachment - все пользовательские соединения должны быть завершены за указанное в поле Wait(seconds) время.

Wait(seconds) - промежуток времени в секундах, по истечению которого будут остановлены все транзакции и отключены пользователи.

Следующий шаг

Шаблоны


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

Start-Stop Database - Running Bring Online or Shutdown Database

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется при успешном выполнении операции. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Перестройка индексов

По отношению к индексу будет выполнена команда REBUILD. Это означает, что индекс будет перестроен с использованием тех же столбцов, типов индекса, атрибута уникальности и порядка сортировки.

Чтобы запустить Rebuild Index Wizard необходимо выбрать пункт Services | Rebuild Database Indexes в главном меню программы.

Мастер состоит из следующих шагов:

Выбор базы данных

Задание опций перестройки индексов

Выбор индексов

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Запустить/остановить базу данных

Управление индексами

Использование шаблонов


Выбор базы данных

На первом шаге необходимо выбрать базу данных.

Rebuild Indices - Selecting database and execution mode

Из раскрывающегося списка Database выберите базы данных для которой хотите пересоздать индексы.

CheckBox Shutdown database before service start - остановить базу данных перед началом операции.

CheckBox Bring database online after service finished - запустить базу данных после завершения операции.

В разделе Execution mode выберите метод создания резервной копии.

RadioButton Use local utilities - при создании резервной копии будут использоваться локальные утилиты.

CheckBox Если установлен флажок Use service manager (use files on server), то будут использоваться файлы, расположенные на сервере.

RadioButton Use services - для создания копии будут использованы службы сервера.

Следующий шаг

Шаблоны


Задание опций перестройки индексов

На этом шаге задайте параметры перестройки индексов.

Rebuild Indices - Selecting action for indices

RadioButton Recompute indexes - пересчитать индекс.

CheckBox Include system indexes - включать системные индексы.

RadioButton Rebuild indexes - перестроить (компоновать) индекс заново.

CheckBox Deactivate indexes - если этот флажок установлен, то после индексы после перестройки будут деактивированы.

CheckBox Activate indexes - если этот флажок установлен, то после индексы после перестройки будут активированы.

Следующий шаг

Шаблоны


Выбор индексов

На этом шаге необходимо выбрать индексы, которые будут перестроены.

Rebuild Indices - Selecting indexes

Из списка Available indexes выберите доступные индексы и с помощью кнопок перенесите их в список выбранных индексов - Selected indexes.

Следующий шаг

Шаблоны


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

Rebuild Indices - Rebuilding indexes

CheckBox Если установить флажок Close the Wizard after successful completion, то мастер закроется при успешном выполнении операции. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Очистка базы данных

Мастер очистки базы данных позволяет удалять данные из выбранных таблиц.

Чтобы запустить мастер

выберите Services | iconPurgeDatabase Purge database... в главном меню

или щелкните правой кнопкой мыши по таблице в проводнике БД и выберите пункт контекстного меню Tasks | iconPurgeTable Purge table....

  • Выбор базы данных
  • Выбор настроек для удаления данных
  • Выбор таблиц для очистки данных
  • Удаление данных

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.


Выбор базы данных

Этот шаг мастера позволяет вам указать имя базы данных и установить режим выполнения.

Purge Database - Selecting database and execution mode

Из раскрывающегося списка Database выберите базу данных, для которой хотите создать резервную копию.

Выберите режим выполнения (Execution mode):

RadioButton Use local utilities - выберите этот параметр, чтобы очистить таблицы с помощью локальных утилит.

Важно: Чтобы включить этот режим, вам необходимо указать расположение утилит в поле Path to database utilities на вкладке Параметры соединения диалогового окна Host Registration Info.

RadioButton Use services - выберите этот параметр, чтобы использовать службы сервера для очистки базы данных.

Следующий шаг

Шаблоны


Выбор настроек для удаления данных

Этот шаг мастера позволяет вам выбрать параметры и правила удаления данных.

Purge Database - Selecting options for data deleting

CheckBox Temporarily deactivate table triggers before data deletion

Используйте этот параметр, чтобы деактивировать триггеры перед удалением данных. После удаления данных триггер будет автоматически активирован.

CheckBox Recompute statistics of table indices after data deletion

Используйте этот параметр для повторного вычисления статистики после удаления данных.

CheckBox Sweep database after data deletion

Используйте этот параметр для очистки базы данных после удаления данных.

CheckBox Temporarily change delete rules of foreign keys referring to the purging table

Используйте этот параметр, чтобы изменить правила удаления для внешних ключей, связанных с выбранными таблицами. Вы можете выбрать новое правило: SET NULL, SET DEFAULT или CASCADE.

Следующий шаг

Шаблоны


Выбор таблиц для очистки данных

Этот шаг мастера позволяет выбрать таблицы для очистки данных.

Чтобы выбрать таблицу, вам необходимо переместить ее из списка Available tables в список Selected tables с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available или операций перетаскивания.

Purge Database - Selecting tables to purge data

Следующий шаг

Шаблоны


Удаление данных

Этот шаг мастера предназначен для того, чтобы сообщить вам, что все необходимые параметры установлены, и вы можете начать процесс очистки.

Область журнала позволяет просматривать журнал операций и ошибок (если таковые имеются).

Purge Database - Running purging operation

CheckBox Close the wizard after successful completion

Если выбран этот параметр, мастер автоматически закроется по завершении процесса резервного копирования.

Для того, чтобы каждый раз при выполнении не задавать эти параметры, воспользуйтесь инструментом создания шаблонов.


Управление безопасностью

Безопасность InterBase/Firebird основывается на центральной базе данных безопасности, существующей для каждого сервера. В этой базе данных содержатся записи для каждого зарегистрированного пользователя, имеющего права на подключение к базам данных и сервисам этого сервера. Каждая запись включает в себя имя пользователя и его зашифрованный пароль. Записи в базе данных безопасности применяются ко всем базам данных на сервере.

В InterBase/Firebird Вы можете управлять правами доступа к базам данных используя пользователей:

  • SYSDBA (учетная запись пользователя, позволяющая создавать Резервные копии и Запускать/останавливать базу данных. Пароль по умолчанию для пользователя masterkey);
  • остальные пользователи (остальные пользователи сервера создаются SYSDBA).

Embedded Database User Authentication поддерживается сервером InterBase версии 7.5 и более поздними.

Embedded User Authentication хранит имя/пароль пользователя в базе данных. Только владелец базы данных имеет право управлять аутентификацией встроенного пользователя. Обычный пользователь может изменить пароль своей учетной записи, встроенный пользователь - не может.

InterBase/Firebird предоставляет инструменты, позволяющие установить привилегии для групп пользователей.

  • объявление роли;
  • назначение для роли прав на объекты базы данных в Администраторе прав;
  • выбор членов роли
  • указание имени роли на вкладке Настройки подключения диалогового окна Регистрационная информация баз данных.

Пользователь может принадлежать только одной роли при подключении к базе данных. Он не может менять роль в течение одной сессии подключения. Чтобы изменить роль пользователь должен отключиться и подключиться, указав другое имя роли.

Инструменты для управления ролями и пользователями:

  • Пользователи
  • Роли

Создание пользователя

  • выбрать пункт главного меню программы Tools | User Manager,
  • нажать Add User на одной из панелей инструментов.

Созданный объект автоматически откроется в соответствующем редакторе.

Редактирование пользователя

Все изменения свойств этого объекта осуществляются в редакторе пользователей.

  • нажать Edit User на одной из панелей инструментов User Manager (в редакторе откроется выделенный пользователь),
  • в общем списке на нужном объекте два раза щелкнуть мышкой.

Удаление пользователя

  • выбрать команду Delete User на одной из панелей инструментов User Manager,
  • или выбрать пункт Delete User в контекстном меню выбранного объекта.

Создание роли

Чтобы добавить новую роль, необходимо выполнить следующую последовательность действий:

  • выбрать пункт главного меню программы Database | New Object;
  • в диалоговом окне Create New Object выбрать Role;
  • задать настройки новой роли с появившемся диалоговом окне.

или

  • выбрать пункт главного меню программы Tools | Role Manager,
  • нажать Add Role на одной из панелей инструментов.
  • задать настройки новой роли с появившемся диалоговом окне.

или

  • выбрать пункт New Role в контекстном меню роли или узла Roles в Проводнике баз данных.

Копирование роли

  • выбрать пункт Database | Duplicate Object в главном меню;
  • задать необходимые настройки в Мастере копирования объектов.

или

  • в Проводнике баз данных, в контекстном меню нужной роли выбрать пункт Duplicate Role <role_name>;
  • задать необходимые настройки в Мастере копирования объектов.

Редактирование роли

Все изменения свойств этого объекта осуществляются в редакторе ролей.

Чтобы открыть объект в редакторе нужно:

  • нажать Edit Role на одной из панелей инструментов Role Manager (в редакторе откроется выделенная роль),
  • или в общем списке на нужном объекте два раза щелкнуть мышкой.

Удаление роли

  • выбрать команду Delete Role на одной из панелей инструментов Role Manager,
  • или выбрать пункт Delete Role в контекстном меню выбранного объекта.

Управление привилегиями

  • открыть Grant Manager, выбрать пункт главного меню программы Tools | Grant Manager, или нажав кнопку btnGrantManager на панели инструментов;
  • выбрать тип объектов из раскрывающегося списка на панели инструментов;
  • выбрать объект;
  • задать права для выбранного объекта, используя Администратор прав.

или

  • в Проводнике баз данных, в контекстном меню объекта выбрать пункт Tasks | Grants for <object_name>;
  • задать права для выбранного объекта, используя Администратор прав.


Пользователи

Пользователь базы данных это главный элемент, обеспечивающий контроль доступа к элементам базы данных.

В редакторе для пользователя указывается имя, пароль и права доступа к объектам базы данных.

С помощью инструмента User Manager Вы можете управлять пользователями базы данных.

User Manager открывается при выборе пункта Tools | User Manager в главном меню программы.

Панели инструментов

Редактор пользователей

Смотрите также:

Роли

Администратор прав


Панели инструментов

Основные инструменты, позволяющие работать с пользователями, располагаются на панелях инструментов.

User Manager - Using Navigation bar

Servers

  • из раскрывающегося списка Вы можете выбрать сервер. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне. Если хост не зарегистрирован, то воспользуйтесь для регистрации мастером регистрации хоста.

General

iconRefresh Refresh - обновить содержимое списка,

iconAddUser Add user - создать нового пользователя,

iconEditUser Edit user - редактировать выделенный объект в редакторе пользователей,

iconDeleteUser Delete user - удалить пользователя,

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Управление пользователями

С помощью инструмента User Manager Вы можете управлять списком пользователей.

Пользователи отображаются в виде таблицы со столбцами: User Name, System ID, Can Login, Superuser, Can Create DB, Can Create Role, Inherit, Connection Limit, Valid Until, Modify Catalog, User Count, Group Count.

С этой таблицей Вы можете работать также, как с таблицей в просмотрщике данных.


Редактор пользователей

При создании нового пользователя или при редактировании уже существующего открывается этот редактор, в котором Вы можете задать все свойства пользователя.

В поле Name указываете имя пользователя. В полях Password и Confirm password задайте пароль и подтверждение пароля соответственно.

User Editor - User

В полях First name, Middle name и Last name задайте дополнительные имена пользователя. Для более точной его идентификации.

Права пользователя на выполнение действий с отдельными объектами базы данных Вы можете задавать в редакторе прав.

Roles

На этой вкладке Вы можете выбрать роли, к которым будет принадлежать создаваемый/редактируемый пользователь.

User Editor - Roles

В списке Available Roles отображаются роли, содержащиеся в базе данных. С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available, перетаскивания или двойного щелчка мыши, переместите эти роли в список выбранных - Selected Roles.

Смотрите также:

Пользователи

Роли


Роли

Роль - это совокупность пользователей и групп, обладающих идентичными правами доступа. Это сущности, защищаемые на уровне базы данных. После создания роли необходимо настроить для нее разрешения уровня базы данных.

Создание роли

Чтобы добавить новую роль, необходимо выполнить следующую последовательность действий:

  • выбрать пункт главного меню программы Tools | Role Manager,
  • нажать Add Role на одной из панелей инструментов.

Редактирование роли

Все изменения свойств этого объекта осуществляются в редакторе ролей.

Чтобы открыть объект в редакторе нужно:

  • нажать Edit Role на одной из панелей инструментов Role Manager (в редакторе откроется выделенная роль),
  • или в общем списке на нужном объекте два раза щелкнуть мышкой.

Удаление роли

Чтобы удалить роль нужно:

  • выбрать команду Delete Role на одной из панелей инструментов Role Manager,
  • или выбрать пункт Delete Role в контекстном меню выбранного объекта.

С помощью инструмента Role Manager Вы можете управлять ролями пользователей базы данных.

Role Manager открывается при выборе пункта Tools | Role Manager в главном меню программы.

Панели инструментов

Определить членов роли

Смотрите также:

Пользователи

Администратор прав


Панели инструментов

Основные инструменты, позволяющие работать с ролями, располагаются на панелях инструментов.

Role Manager - Using Navigation bar

Database

iconDB из раскрывающегося списка Вы можете выбрать базу данных.

General

iconRefresh Refresh - обновить содержимое списка,

iconAddUser Add role - создать новую роль,

iconEditUser Edit role members - определить членов роли,

iconDeleteUser Delete role - удалить роль,

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна,

iconRestoreDefaultSize Show SQL help - открыть справку по серверу.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Управление ролями

Чтобы просмотреть список ролей, выберите базу данных из раскрывающегося списка Database на панели навигации.

Список существующих ролей отображается в виде таблицы со столбцами: Role Name, Owner, Members.

С этой таблицей Вы можете работать также, как с таблицей в просмотрщике данных.


Определение членов роли

С помощью этого диалогового окна Вы можете выбрать пользователей, которые будут являться членами редактируемой роли.

Role Editor - Members of Role

Из списка Available Users выберите пользователей и с помощью кнопок перенесите их в список членов роли - Selected Users.


Администратор прав

С помощью инструмента Grant Manager Вы можете предоставлять пользователям права доступа к защищенным объектам: базам данных, таблицам, функциям, и т.д.

Чтобы открыть Grant Manager выберите Tools | Grant Manager в главном меню программы.

Панели инструментов и контекстное меню

Управление правами

Управление правами на столбцы

Отбор объектов

Смотрите также:

Пользователи

Роли


Панели инструментов и контекстное меню

Основные инструменты для работы с правами располагаются на панелях инструментов и в контекстном меню.

Grant Manager - Using Navigation bar

Database

из раскрывающегося списка Вы можете выбрать базу данных и сервер. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне. Если хост не зарегистрирован, то воспользуйтесь для регистрации мастером регистрации хоста.

На панели General:

Grant - предоставить права,

Revoke - не установлены права,

Grant All - установлены права на все действия для выделенного объекта,

Revoke All - не установлены для всех действий данного объекта,

Grant on All - предоставить права на это действие для всех объектов,

Revoke on All - не установлены права на это действие для всех объектов,

Grant on All with GRANT OPTION - предоставить с правами 'GRANT' на это действие для всех объектов,

Grant All on All - предоставить права на все действия для всех объектов,

Revoke All on All - не установлены права на все действия для всех объектов,

iconCompile Compile - компилировать текущие изменения в правах,

iconRefresh Refresh - обновить,

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна,

Has grants for columns - установлены права для подобъекта.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Контекстное меню

Контекстное меню открывается при нажатии на ячейку области Grant Manager и позволяет присваивать права на действия над объектами.

Grant - предоставить права,

Revoke - не установлены права,

Grant with GRANT OPTION - предоставить с правами 'GRANT',

Grant All - установлены права на все действия для выделенного объекта,

Revoke All - не установлены для всех действий данного объекта,

Grant All with GRANT OPTION - предоставить с правами 'GRANT' на все действия для выделенного объекта,

Grant on All - предоставить права на это действие для всех объектов,

Revoke on All - не установлены права на это действие для всех объектов,

Grant on All with GRANT OPTION - предоставить с правами 'GRANT' на это действие для всех объектов,

Grant All on All - предоставить права на все действия для всех объектов,

Revoke All on All - не установлены права на все действия для всех объектов,

Sort by Type - сортировать объекты по типу,

Sort by Name - сортировать объекты по имени.


Управление правами

В окне Database-specific privileges расположена таблица, в которой строки - это объекты базы данных, а столбцы - действия, выполняемые над объектами.

Для задания прав для базы данных необходимо выбрать сервер и базу данных с помощью инструментов, располагающихся на панелях инструментов.

Права на выполнение того или иного действия можно менять тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Revoke->Grant->Grant with GRANT OPTION->Deny->Revoke)
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

  • Grant - Предоставить права на выполнение данного действия [image],
  • Revoke - Аннулировать права,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT' [image],

Grant Manager - Managing database-specific privileges


Управление правами на столбцы

В верхней таблице - Database specific privileges - располагается список объектов базы данных и действий, выполняемых с этими объектами.

В нижней части - Column permissions - представлены столбцы активной таблицы, для которых с помощью контекстного меню можно задавать права на выполнение действий.

Grant Manager - Managing column permissions

Если для пользователя или роли установлено право на выполнение действия с отдельным столбцом, то в соответствующем действии таблицы появится дополнительный символ символ [image].

Смотрите также:

Панели инструментов и контекстное меню

Администратор прав на объекты базы данных

Отбор объектов


Отбор объектов

В больших базах данных со множеством объектов бывает трудно найти нужный объект. Для этого в Grant Manager предусмотрены несколько инструментов, которые располагаются на панели над основной таблицей.

  • Из раскрывающегося списка All Objects можно выбрать один из типов объектов базы данных. С помощью этого списка Вы можете оставить в таблице только таблицы, или только представления и т.д.
  • Специальный фильтр, который позволяет скрыть объекты, для которых не заданы права. Если установлен флажок Granted only, то видимыми останутся только те объекты базы данных, для которых заданы права.
  • Фильтр, который позволяет находить объект по первым буквам названия - это поле Filter.

Grant Manager - Managing column permissions


Настройки

SQL Manager for InterBase/Firebird предоставляет Вам возможность персонализировать приложение.

Настройки окружения

Основной инструмент для управления свойствами и внешним видом объектов баз данных.

Настройки редакторов

Параметры редакторов задаются с помощью этого инструмента.

Сохранение настроек

Мастер, позволяющий сохранить настройки базы данных в один файл.

Локализация

SQL Manager for InterBase/Firebird позволяет изменять язык интерфейса программы для удобства пользователей.

Шаблоны клавиатуры

С помощью этого инструмента Вы можете создавать шаблоны быстрого ввода текста.

Шаблоны объектов

Вы можете создавать шаблоны объектов с помощью этого инструмента

На большинстве вкладок настройки окружения располагается кнопка Reset all toolbars and menus. с помощью которой Вы можете вернуть настройки всех панелей инструментов и меню к настройкам, принятым по умолчанию.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Службы

Внешние инструменты

Как...


Настройки окружения

С помощью этого инструменты Вы можете изменять основные настройки программы SQL Manager for InterBase/Firebird.

Чтобы открыть настройки окружения необходимо в главном меню программы выбрать пункт Options | Environment Options.

Смотрите также:

Настройки редакторов


Предпочтения

На вкладке Preferences Вы можете задать следующие свойства программы:

Environment Options - Preferences

CheckBox Restore desktop on connect

Сохранять состояние рабочего стола при отключении, при следующем запуске программы все редакторы, которые были открыты перед выходом из программы, будут открыты заново.

CheckBox Show desktop panel - показать панель рабочего стола (активно только для MDI вида, настраиваемого при первом открытии программы).

Нажав на кнопку Reset all toolbars and menus, Вы восстановите настройки по умолчанию для всех панелей инструментов, навигационных панелей, а также проводника баз данных.


Активация режима полной версии

CheckBox Если у вас установлена Lite версия программы, то на вкладке Предпочтения Вы можете установить флажок Show Full Version Features и посмотреть, какими возможностями обладает полная версия. Все возможности полной версии будут доступны для работы в течение тридцати дней. По истечении этого срока флажок будет недоступен.

Environment Options - Full mode activation

Сравнительную характеристику Lite и Full версий смотрите в сравнительной таблице характеристик.


Подтверждения

На вкладке Confirmations Вы можете задать настройки подтверждений.

Environment Options - Confirmations

CheckBox Confirm saving the object (or document) upon closing the editor

Подтверждать сохранение объекта (или документации) при закрытии или после внесения изменений.

CheckBox Confirm dropping object

Подтверждать удаление объекта.

CheckBox Confirm exit from SQL Manager

Подтверждать выход из программы.

CheckBox Confirm transaction commit

Подтверждать фиксацию транзакции (для просмотрщика данных фиксировать транзакцию нужно при изменении данных).

CheckBox Confirm transaction rollback

Подтверждать откат транзакции.

CheckBox Confirm deleting records

Подтверждать удаление записей в таблице.

CheckBox Confirm addition into spell checking dictionary

Подтверждать добавление слова в словарь, используемый для проверки правописания в Spell Checking.

CheckBox Confirm transformation of misprint into substitution

Подтверждать замену слова с ошибкой на правильное при проверке правописания.

CheckBox Show client library warnings

Показывать предупреждения, возвращаемые клиентской библиотекой, используемой для подключения.

CheckBox Show refresh database warnings

Отображать предупреждения, возникающие при обновлении базы данных.

CheckBox Show NONE charset connection warnings

Отображать предупреждение, если при попытке подключения указана кодировка NONE.

CheckBox Confirm successful compilation

Отображать/не отображать Окно компиляции.


Внешний вид

На этой вкладке можно задать параметры и количество отображаемых окон, а также общий вид всей программы.

Theme

Выберите цветовую схему программы: Light (Светлая), Blue (Голубая) или Dark (Темная).

Environment Options - Windows

В разделе Environment style задайте общий вид программы:

RadioButton MDI environment - программа будет иметь MDI интерфейс. MDI - многодокументный интерфейс, интерфейс составных документов (спецификация, определяющая интерфейс пользователя с Windows-приложениями. Позволяет ему работать одновременно с несколькими документами, каждый из которых выводится на экран в отдельном порожденном (дочернем) окне главного окна приложения). (Приложения MS Office).

RadioButton Floating windows environment - программа будет отображаться в виде плавающих окон (приложения Borland).

CheckBox Number of open editors is restricted

Вы можете ограничить число открытых редакторов.

В разделе Zoom options можно задать настройки масштаба для плавающих окон:

RadioButton Full screen - во весь экран,

RadioButton Restricted by Main form - ограничено главной формой,

RadioButton Restricted by Main form and DB Explorer - ограничено главной формой и проводником баз данных

RadioButton Justified by Main form and DB Explorer - выровнять по главной форме и проводнику баз данных.

В разделе Bar style for child forms укажите те панели инструментов, которые должны отображаться в редакторах:

RadioButton Navigation bar - навигационная панель (располагается слева от основного окна редактора),

RadioButton Toolbar - панель инструментов (находится над основным окном редактора),

RadioButton Both - будут отображаться обе панели.

CheckBox Enable floating toolbars

Активирует плавающие панели инструментов, то есть положение любой панели инструментов можно изменять по желанию.


Проводник баз данных

Проводник баз данных можно настроить, используя инструменты, расположенные на вкладке DB Explorer.

Environment Options - Tools - DB Explorer

CheckBox Show hosts in DB Explorer

Показывать хосты в проводнике баз данных. Если флажок установлен, то базы данных будут разделены на группы по принадлежности к серверу. Если не установлен, то они будут представлены единым списком.

CheckBox Show Table Subobjects

Показывать подобъекты таблицы.

CheckBox Show View Subobjects

Показывать подобъекты представления.

CheckBox Ping hosts

Проверка хоста на доступность.

CheckBox Show procedure subobjects

Показывать подобъекты процедур.

CheckBox Show UDF subobjects

Показывать подобъекты UDF.

CheckBox Sort by aliases

Упорядочить хосты и базы данных в проводнике баз данных по псевдонимам.

CheckBox Show system objects

Отображать системные объекты.

CheckBox Search by categories

Осуществлять поиск по категориям. Если этот флажок установлен, то в проводнике баз данных поиск проходит только среди объектов той же категории что и выделенный объект. Например: если в проводнике баз данных выделена таблица, то искомое сочетание символов будет искаться только среди названий таблиц.

CheckBox Use Case Sensitive search

При поиске учитывать разряд символов.

CheckBox Detect erroneous objects

Выделять объекты, содержащие ошибки.

CheckBox Rename objects by editing in place

Если установлен этот флажок, то объекты можно переименовывать в проводнике баз данных, нажав на выделенный объект мышкой.

CheckBox Refresh object on showing in SQL Assistant

Обновлять информацию о подобъектах, в тот момент когда они отображаются в SQL Assistant.

Recent objects count

Спомощью счетчика можно задать количество объектов, показанных на вкладке недавно использовавшихся объектов.

С помощью раскрывающегося списка System object color задайте цвет отображения системных объектов.

Цвет отображения объектов, содержащих ошибки, задайте в поле Erroneous object color.

Смотрите также:

Проводник баз данных


Поиск

На данной вкладке вы можете задать настройки строки поиска в проводнике БД.

Environment Options - Tools - DB Explorer - Search

CheckBox Search by categories

Данная опция позволяет искать только главные узлы, т.е. используется для быстрого переключения к типам объектов в дереве. Для переключения вы можете использовать кнопку [image] Search by categories.

CheckBox Use case sensitive search

Используйте данную опцию, чтобы поиск был чувствительным к регистру.

CheckBox Don't search in collapsed nodes

Данная опция ограничивает поиск в свернутых узлах Проводника БД.

CheckBox Start-with search

Данная опция позволяет искать только те имена, которые начинаются с искомой комбинации.


Ассистент SQL

Подчиненные объекты, которые будут отображаться в SQL ассистенте, Вы можете указать на этой вкладке.

Environment Options - Tools - DB Explorer - SQL Assistant

Table details in SQL Assistant - в этом разделе необходимо выбрать тип подобъектов таблицы:

RadioButton Fields - поля.

RadioButton Unique keys - уникальные ключи,

RadioButton Primary key - первичные ключи,

RadioButton Foreign keys - внешние ключи,

RadioButton Checks - проверки,

RadioButton Indexes - индексы.

RadioButton Triggers - триггеры.

RadioButton Dependencies - зависимости объектов.

RadioButton Description - описание объекта.

RadioButton Definition - просмотр DDL.

Views' details in SQL Assistant - в этом разделе необходимо выбрать тип подобъектов представления:

RadioButton Fields - поля,

RadioButton Triggers - триггеры,

RadioButton Description - описание объекта.

RadioButton Definition - просмотр DDL.

Procedures' details in SQL Assistant - в этом разделе необходимо выбрать тип подобъектов процедуры:

RadioButton Parameters - параметры процедуры,

RadioButton Description - описание объекта,

RadioButton Definition - просмотр DDL.

UDFs' details in SQL Assistant - в этом разделе необходимо выбрать тип подобъектов пользовательской функции:

RadioButton Arguments - аргументы,

RadioButton Description - описание объекта.

RadioButton Definition - просмотр DDL.

Exceptions' details in SQL Assistant - в этом разделе необходимо выбрать тип подобъектов исключения:

RadioButton Message text - текст сообщения,

RadioButton Description - описание объекта.

RadioButton Definition - просмотр DDL.

Generators' details in SQL Assistant - в этом разделе необходимо выбрать тип подобъектов генератора:

RadioButton Value - значение генератора,

RadioButton Definition - просмотр DDL.

CheckBox Если установлен флажок Show error messages for erroneous objects, то если в объекте содержится ошибка, она будет отображаться в SQL ассистенте.


Инструменты

На этой вкладке можно задать следующие свойства программы.

Environment Options - Tools

CheckBox Show only connected databases in drop-down menu

Показывать только подключенные базы данных в раскрывающемся меню.

CheckBox Show only connected databases for services

Показывать только подключенные базы данных для сервисов.

CheckBox Allow using of parameters in query text

Разрешить использование параметров в тексте процедур и запросов.

В разделе New object editor should be opened for: выберите какая база будет выбрана для вновь открываемого редактора или сервиса.

RadioButton Database currently selected in DB Explorer - выбранная в проводнике баз данных.

RadioButton Database selected in currently focused editor - выбранная в текущем редакторе.


Редактор запросов

На вкладке Query Editor задайте параметры отображения редактора запросов.

Environment Options - Tools - SQL Editor

CheckBox Explain query on execution

Если установлен этот флажок, то план запроса отображается автоматически при выполнении запроса в редакторе запросов.

CheckBox Substitute constraints in query plan

Замещать ограничения в плане запроса.

CheckBox Show result for each query

Если установлен этот флажок, то при выполнении двух и более запросов результаты будут отображаться для каждого запроса. Если не установлен, то только для того, который был выполнен последним.

CheckBox Execute selected text separately

Выполнять выделенный текст отдельно.

CheckBox Write only successfully executed queries to database SQL log file

Записывать в файл журнала только успешно выполненные запросы. Изменить настройки ведения журнала Вы можете в разделе Журналы регистрации диалогового окна Регистрационная информация баз данных.

CheckBox Show results on Edit tab

Показывать результаты на вкладке редактирования, в противном случае результаты будут отображаться на отдельной вкладке.

CheckBox Always save changes in Favorite Queries before closing

В избранных запросах всегда сохранять изменения перед закрытием.

CheckBox Refresh DB Explorer upon successful DDL statement execution

Обновлять проводник баз данных при успешном выполнении триггера.

CheckBox Don't save queries automatically for the next session

Не сохранять текст запросов автоматически до следующего запуска редактора запросов.

CheckBox Toggle AutoDDL off by default

По умолчанию автоматическая фиксация изменений метаданных отключена.

В разделе Transaction confirmation задайте параметры подтверждения транзакции.

CheckBox Disable transaction confirmation

Отключить подтверждение транзакции. Если этот флажок установлен, то транзакции будут закрываться автоматически при выходе из Редактора запросов и Дизайнера запросов.

Действие для транзакции, выполняемое по умолчанию, выбирается в списке Default action on closing the editor:

  • Commit - фиксация транзакции,
  • Rollback - откат.

Смотрите также:

Редактор запросов


Монитор SQL

На вкладке SQL Monitor можно задать некоторые параметры SQL монитора.

Environment Options - Tools - SQL Monitor

В разделе Operations выберите те операции, которые будут записываться в журнал событий:

CheckBox Connect - подключение,

CheckBox Disconnect - отключение,

CheckBox Start of transaction - начало транзакции,

CheckBox Commit - принятие транзакции,

CheckBox Commit Retaining - принятие изменений,

CheckBox Service operations - сервисные операции,

CheckBox Rollback - откат транзакции,

CheckBox Rollback Retaining - откат изменений,

CheckBox Execute query - выполнение запроса,

CheckBox Prepare query - подготовка запроса,

CheckBox Fetch Record - выбор записи.

CheckBox Log SQL Monitor events to file

При включенной опции вся информация о выполнении запросов, отображаемая в SQL мониторе будет сохраняться в файл. В поле указываете имя файла и путь к нему с помощью кнопки ExplorerButton .

CheckBox Clear log file when it is greater than (Очищать журнал регистрации при размере большем (Kб))

Задайте максимальный размер файла журнала, установив флажок и укажите c помощью счетчика максимальный размер в KB.

CheckBox Show time of operation

Регистрация времени выполнения операции.

CheckBox Always show on top

Всегда показывать Монитор SQL поверх остальных окон.

Смотрите также:

Монитор SQL


Выполнение скриптов

Задайте некоторые особенности выполнения SQL скрипта на вкладке SQL Script.

CheckBox Abort script on error

Прекратить выполнение сценария при ошибке.

CheckBox Show message when done

Показывать сообщение об окончании выполнения.

CheckBox Skip unknown statements

Пропускать неизвестные операторы при выполнении.

CheckBox Disable all code features in SQL Script

Отключить подсветку синтаксиса и сворачивание блоков кода для увеличения быстродействия обработки скрипта.

CheckBox Don't clear error list on selected text execution

Не очищать список ошибок при выполнении фрагмента SQL скрипта.

CheckBox Show statements explorer

Отображать проводник скрипта (на навигационной панели в Редакторе выполнения скрипта).

CheckBox Execute selected text separately

Выполнять выделенную часть запроса отдельно от основного запроса.

Environment Options - Tools - SQL Script

Database options

CheckBox Register databases if needed

Вызывать Register Database Wizard после выполнения операторов CREATE DATABASE или CONNECT.

CheckBox Connect automatically to just created database

Автоматически подключаться к созданной базе данных в Проводнике БД.

Transaction options

CheckBox Rollback current transaction on abort

Откат операции при ошибке, если опция включена, то весь скрипт выполняется в транзакции, которая откатывается в случае отмены.

CheckBox Start transaction automatically if needed

Автоматически запускать транзакцию.

CheckBox Toggle AutoDDL off by default

По умолчанию автоматическая фиксация изменений метаданных отключена.

Script finalization

RadioButton Commit all active transactions automatically

Все транзакции автоматически фиксируются после выполнения скрипта.

RadioButton Ask user to select required action

Пользователь подтверждает желаемое действие - фиксацию или откат транзакции.

Смотрите также:

Редактор скриптов


Дизайнер запросов

Задайте некоторые свойства дизайнера запросов на вкладке Design Query.

Environment Options - Tools - Query Builder

CheckBox Allow SELECT queries only

Разрешить выполнение только оператора SELECT.

CheckBox Select condition row

Выделять другим цветом строку условия.

CheckBox Drag field name

Отображать имя поля при перетаскивании.

CheckBox Hide selection when inactive

Скрывать выделение полей объектов, когда отсутствует фокус.

CheckBox Show field types

Показывать типы полей.

CheckBox Union all by default

Связь "UNION ALL" для нескольких запросов по умолчанию

В разделе Visible Tabs отметьте те вкладки, которые должны быть видимыми:

CheckBox Criteria - Критерии,

CheckBox Selection - Выбор,

CheckBox Group criteria - Критерии группы,

CheckBox Sorting - Сортировка,

В разделе Script Format можно задать некоторые особенности формата скрипта:

Из раскрывающегося списка Keywords format выбрать формат ключевых слов.

Вид отображения функций выберите из раскрывающегося списка Function format.

Для ключевых слов и функций предлагается четыре типа написания:

  • As is - Как есть,
  • Uppercase - ВСЕ ПРОПИСНЫЕ,
  • Lowercase - все строчные,
  • First upper - Начинать С Прописных.

Смотрите также:

Дизайнер запросов


Стиль и цвет

На этой вкладке Вы имеете возможность задать стили и цвета оформления дизайнера запросов

Environment Options - Tools - Query Builder - Style & Color

в разделе Style задайте стиль отображения элементов управления:

Из раскрывающихся списков Condition button style и Object border kind выберите стиль отображения кнопок и вид границ объектов.

CheckBox Flat object's buttons - плоские кнопки.

CheckBox Flat objects - плоские объекты.

CheckBox XP tables style - стиль таблиц XP.

CheckBox Show icons on tabs - показывать значки на вкладках.

Далее в разделе Color palette Вы можете изменить цвета объектов и элементов управления визуального дизайнера запросов. Вызвать палитру для выбора цвета можно, нажав на цветной квадрат рядом с наименованием элемента управления.

Элементы, для которых можно задавать цвета:

  • Active condition row - активная строка в окне задания условий отбора.

Environment Options - Tools - QB - Style & Color - Active condition row

  • Condition text - текст условий отбора.

Environment Options - Tools - QB - Style & Color - Condition text

  • Condition item text - текст кнопок, расположенных рядом с условиями отбора.

Environment Options - Tools - QB - Style & Color - Condition item text

  • Table client area - фон объектов, помещенных в окно диаграммы.

Environment Options - Tools - QB - Style & Color - Table client area

  • Active table caption - заголовок активной таблицы.

Environment Options - Tools - QB - Style & Color - Active table caption

  • Field text - текст поля
  • Selected field text - текст выделенного поля
  • Work space - основной цвет окна диаграммы.
  • Field - текст в окне задания условий отбора.

Environment Options - Tools - QB - Style & Color - Field

  • Operation - знак операции в окне задания условий отбора.

Environment Options - Tools - QB - Style & Color - Operation

  • Group - знак группировки в окне задания условий отбора, на вкладке Grouping criteria.

Environment Options - Tools - QB - Style & Color - Group

  • Predicate - предикат, если создан подзапрос.

Environment Options - Tools - QB - Style & Color - Predicate

  • Subquery - текст подзапроса в строке условия.

Environment Options - Tools - QB - Style & Color - Subquery


Конструктор баз данных

На этой вкладке задайте параметры визуального конструктора баз данных.

CheckBox Automatically open last diagram file

Данная опция позволяет загрузить последний открытый файл диаграммы при запуске Визуального редактора БД.

Environment Options - Tools - VDBD

Visual settings

Из раскрывающегося списка Model notation выберите стандарт отображения информации в диаграмме - IDEF1x или IE.

CheckBox Установив флажок Draw PRIMARY KEY fields separately, Вы указываете, что ключевое поле будет визуально отделено от остальных полей.

Environment Options - Tools - VDBD - Draw PRIMARY KEY fields separately

CheckBox Если установлен флажок Draw entities icons, то рядом с заголовками таблиц будут отображаться иконки.

CheckBox Если установлен флажок Draw attributes icon, то рядом с названием каждого поля будет отображаться иконка.

CheckBox Draw only names of entities - отображать только названия объектов.

CheckBox Draw FOREIGN KEY name - отображать названия внешних ключей таблиц.

Grid options

В данном разделе задайте параметры сетки просмотрщика данных:

CheckBox Если установлен флажок Show grid, то будет отображаться сетка окна диаграммы.

CheckBox Установить привязку к сетке можно с помощью флажка Snap to grid, в этом случае объекты, расположенные на диаграмме, будут выровнены по линиям сетки.

Задать параметры сетки диаграммы можно с помощью счетчиков Grid size. ширина - X, высота - Y.

Style & Color

В данном разделе вы можете настроить внешний вид элементов диаграммы.

Выберите тип элемента в списке Element type: Workspace (Рабочая область), Selected item (Выбранный элемент), Table (Таблица), Relation (Связь), Field (Поле), Comment (Комментарий) и задайте необходимый цвет и шрифт. Используйте кнопку Apply to all для применения текущих настроек ко всем элементам диаграммы.

Смотрите также:

Конструктор баз данных


Извлечение базы данных

На этой вкладке задайте параметры извлечения базы данных.

CheckBox Если установлен флажок Automatically load template on run, то при извлечении базы данных автоматически будет запускаться шаблон, указанный в поле, расположенном ниже. Шаблон, который можно сохранять на последнем шаге Extract Database wizard.

Environment Options - Tools - Extract database

Смотрите также:

Мастер извлечения баз данных


Печать метаданных

На этой вкладке из всех параметров печати можно задать только размер бумаги, используемый по умолчанию, при создании отчетов в инструменте Печать метаданных.

Environment Options - Tools - Print Metadata

Смотрите также:

Печать метаданных


Монитор базы данных

На этой вкладке задайте параметры мониторинга базы данных.

Environment Options - Tools - DB Monitor

С помощью счетчика Refresh interval in seconds задайте интервал времени в секундах, через который необходимо обновлять информацию о базе данных.

Смотрите также:

Монитор базы данных


Зависимости

На этой вкладке задайте параметры отображения объектов в Дереве зависимостей.

Environment Options - Tools - Dependencies

CheckBox Automatically expand dependencies

Автоматически отображать/скрывать список зависимых объектов.

CheckBox Don't show empty object categories in dependencies

Не показывать пустые категории объектов.

CheckBox Show subobjects in dependencies

Установите этот флажок, чтобы отображались подобъекты при просмотре зависимостей объекта.

CheckBox Show domains in dependencies

Отображать домены при просмотре зависимостей.

CheckBox Scroll current object into visible area of Dependency Tree

Перемещать активный объект в видимую область Дерева зависимостей.

CheckBox Use simplified resolving of object dependencies

Установите эту опцию, чтобы отключить синтаксический анализ при построении дерева зависимостей объектов.

Objects to show in Dependency Tree

Выберите объекты, которые буду отображаться в Дереве зависимостей.

RadioButton All objects - все объекты.

RadioButton Only objects that depend on the Root object - объекты, зависимые от выбранного.

RadioButton Only objects that the Root object depends on - объекты, от которого зависит выбранный.

В счетчике Max number of history items in Dependency Tree укажите число объектов, хранящихся в истории. В историю попадают объекты, зависимости которых просматривались в текущей сессии.

Смотрите также:

Дерево зависимостей


Экспорт данных

На этой форме Вы задаете, в каком формате по умолчанию будут отображаться данные разных типов.

Environment Options - Tools - Data Export

Форматы отображения Вы можете задать для следующих форматов данных:

  • Integer format - Целое число,
  • Float format - Число с плавающей точкой,
  • Date format - Дата,
  • Time format - Время,
  • DateTime format - Дата и время,
  • Currency format - Денежный,
  • Boolean True - Истина,
  • Boolean False - Ложь,
  • Null string - Строка NULL.

CheckBox Установив флажок Auto save format string, Вы сохраните все внесенные изменения.

Также можно восстановить в полях значения по умолчанию, нажав на кнопку Set defaults.

Также эти форматы можно задать на шаге Настройка форматов данных мастера экспорта данных.

Подробнее о форматах данных читайте в разделе задание форматов данных.

Смотрите также:

Мастер экспорта данных


Редакторы объектов

На вкладке Object Editors задайте общие параметры редакторов объектов.

Environment Options - Tools - Object Editors

CheckBox Show privileges in objects' DDL

Отображать привилегии в DDL описании триггера.

CheckBox Show description in objects' DDL

Отображать текстовое описание в DDL объекта.

CheckBox Automatically show Object Explorer*

Автоматически отображать проводник объектов на навигационной панели.

CheckBox Word wrap of objects' description

Переносить текст по словам в редакторе текстового описания объектов.

CheckBox Restore the object changes after abnormal closure of editor

Восстанавливать принятые изменения после непредусмотренного закрытия редактора.

CheckBox Keep layout for each editor separately

Для каждого редактора сохраняется его расположение.

CheckBox Always open on Edit tab

Всегда открывать редактор объектов на вкладке Edit.

CheckBox Search subobjects by double click in Object Explorer*

Открывать подобъект на соответствующей вкладке при двойном нажатии на него мышкой в проводнике объектов на панели инструментов.

Опции, отмеченные символом *, доступны для редакторов таблиц, представлений, процедур, триггеров и триггеров баз данных.

Смотрите также:

Управление объектами базы данных


Редактор таблиц

На вкладке Table Editor задайте свойства редактора таблиц.

Environment Options - Tools - Object Editors - Table Editor

CheckBox Show Autoincrement objects in DDL

Если выбрана эта опция, то описание объектов, используемых для описания параметров Автоинкремента, будет отображаться в DDL таблицы.

CheckBox Open separate editor for trigger at Triggers tab by double clicking

Если этот флажок установлен, то каждый триггер на вкладке Triggers Редактора таблиц будет открываться в отдельном Редакторе триггеров.

Смотрите также:

Таблицы


Визуальный режим редакторов

На вкладке Visual Mode Editors задайте свойства редакторов объектов, имеющих режим Visual Mode.

Environment Options - Tools - Object Editors - Visual Mode Editors

CheckBox Recompile dependencies

Перекомпилировать объекты, использующие текущий объект.

CheckBox Set grants when compiling

Присваивать права при компиляции.

CheckBox Show Trigger Messages in DDL.

Отображать сообщения триггеров в DDL триггеров.

CheckBox Force applying of visual mode for all editors

Использовать визуальный режим для каждого редактора. Данная опция недоступна, если включена опция Keep layout for each editor separately на вкладке Редакторы объектов.

CheckBox Show descriptions as comments in script

Отображать описание как комментарии в скрипте.

CheckBox Quote local variable names in visual mode automatically if needed.

Автоматически заключать в кавычки имена переменных, если они введены в нижнем регистре. Эта опция работает, если не установлен флажок CheckBox Always capitalize database objects names на вкладке Опции общего назначения в Регистрационной информации баз данных.


Шрифты

На вкладке Fonts можно задать вид и размер шрифта для всей программы SQL Manager for InterBase/Firebird.

Environment Options - Fonts

В поле System font name задается тот шрифт, который используется во всех элементах управления программы SQL Manager for InterBase/Firebird.

В поле System font size укажите размер шрифта.

В нижнем окне отображается образец текста, показывающий внесенные изменения.

Environment Options - Fonts - System font name

Grid font name
Выберите какой шрифт будет использоваться в сетке данных.

System font size
Выберите необходимый размер шрифта для табличных данных.

Пример выбранного шрифта отображается в тестовой таблице в нижней части раздела.


Параметры сетки

На этой вкладке можно задать параметры отображения просмотрщика данных.

Environment Options - Grid

General options

CheckBox Striped grids

Выделение четных строк другим цветом,

CheckBox Show editor immediately

Переход в режим редактирования при получении фокуса ввода ячейкой,

CheckBox Always show editor

Всегда использовать режим редактирования ячеек,

CheckBox Enable auto-search in grid

Включить автоинкрементный поиск в таблице по записям,

CheckBox Column auto-width

Автоподбор ширины таблицы по ширине окна,

CheckBox Cell auto-height

Автоподбор высоты ячейки, при этом еще можно указать максимальное количество строк на странице в поле Cell max line count.

В разделе Grid layout preference задайте некоторые параметры размещения сетки просмотрщика данных:

RadioButton Autofit column widths - автовыбор ширины столбцов,

RadioButton Save and restore layout - сохранение расположения и ширины,

CheckBox Restore sorting (except SQL sort) - сохранять сортировку столбцов.

В разделе Root level options задайте настройки основного уровня:

CheckBox Show "Group by" box - показывать поле группировки,

CheckBox Show indicator - показывать указатель (панель слева от таблицы)

CheckBox Show navigator - показывать навигатор (дополнительная панель перехода по записям внизу таблицы),

CheckBox Show "New item row" - показывать пустую строчку для добавления новой записи.

В разделе Detail level options задайте параметры отображения для дочернего уровня таблицы.

CheckBox Show "Group by" box - показывать поле группировки,

CheckBox Show indicator - показывать указатель (панель слева от таблицы),

Environment Options - Grid - Show indicator

CheckBox Show navigator - показывать навигатор (дополнительная панель перехода по записям внизу подуровня),

Environment Options - Grid - Show navigator

CheckBox Show "New item row" - показывать пустую строчку для добавления новой записи,

CheckBox Hide tabs for single detail - скрывать вкладки в случае только одного подуровня.

Смотрите также:

Просмотр в виде таблицы


Настройки данных

Режим сетки просмотрщика данных, используемый по умолчанию задайте на этой вкладке в разделе Default Grid Mode.

Environment Options - Grid - Data Options

Advanced

Задайте расширенные свойства просмотрщика данных.

CheckBox Use separate connections for each data view within a database - если флажок не установлен, то все запросы на выбор отображаемых данных будут выполняться в одном общем подключении. Если установлен, то для каждого запроса будет создано отдельное подключение.

CheckBox Asynchronous query execution

Установите этот флажок, если хотите позволить выполнение запросов в фоновом режиме (асинхронно). Эта опция доступна только если установлен флажок Use separate connections for each data view within a database.

CheckBox Perform data sorting on client in data view

Данные сортируются средствами SQL Manager for InterBase/Firebird. Если эта опция не включена, то данные упорядочиваются на сервере посредством задания ORDER BY части в SQL-запросе.

CheckBox Perform data filtration on client in data view

Данные фильтруются средствами SQL Manager for InterBase/Firebird. Если эта опция не включена, то фильтрация будет осуществляться на сервере посредством задания условия WHERE в SQL-запросе.

CheckBox Sort by primary key

Эта опция позволяет сортировать данные по значению первичного ключа при просмотре в виде таблицы.

Load visible rows mode if records more than - перейти в режим "только видимые записи", если их больше чем заданное в поле количество.

В поле String fields width (chars) задайте фиксированную ширину строк полей.

RadioButton Load all rows - загрузить все записи в инструмент просмотра. В этом случае в таблицу загружаются все данные из возвращаемого сервером набора данных.

RadioButton Load visible rows - загрузить видимые записи. В таблицу из возвращаемого сервером набора данных загружается только строго определенное количество записей.

Default record count retrieving mode

RadioButton Always retrieve - всегда определять количество записей

RadioButton Never retrieve - никогда не определять количество записей

RadioButton Retrieve for quick queries - определять количество записей, если на это требуется времени меньше, чем указано в поле Quick query latency.

Важно: Чтобы изменения параметров, отмеченных символом «*», вступили в силу, Вы можете открыть окно заново, щелкнуть «Обновить» в редакторе таблиц или заново выполнить запрос в редакторе SQL или конструкторе запроса. В этом разделе задаются лишь умолчания для вновь регистрируемых баз данных, а текущие значения параметров задаются в регистрационной информации баз данных.


Настройки печати

На этой вкладке задайте те настройки печати, которые будут сохранены и применены при последующем открытии диалога:

Environment Options - Grid - print Data Options

CheckBox Card view representation - вид карточного представления

CheckBox Detail view representation - вид представления подуровней

CheckBox Expanding - расширение

CheckBox Formatting - форматирование

CheckBox Level options - настройки уровня

CheckBox "On every page" options - параметры «На каждой странице»

CheckBox Pagination - нумерация страниц

CheckBox Preview options - настройка просмотра

CheckBox Image options (refinements) - параметры изображения (обработка)

CheckBox Selection options - параметры выбора

CheckBox Report size options - настройка размера отчета

CheckBox Showing grid elements - показ элементов сетки

CheckBox Page number format -формат номера страницы

CheckBox Page settings - параметры страницы

CheckBox Report title - заголовок отчета


Стиль и палитра цветов

В разделе Display formats укажите или выберите формат отображения для следующих типов данных:

Integer fields - целое число,

Float fields - число с плавающей точкой,

Datetime fields - дата и время,

Date fields - дата,

Time fields - время.

В разделе Colors задайте цвета для следующих объектов:

  • Grid - таблица просмотрщика данных,
  • Row - строка,
  • Strip - выделение четных строк.

Для значений NULL Вы можете задать собственные цвета в разделе Null Values.

  • Text - текст,
  • Font Color - цвет шрифта.

Environment Options - Grid - Color & Formats


Дополнительные настройки

На вкладке Advanced можно задать следующие параметры просмотрщика данных.

Environment Options - Grid - Advanced

CheckBox Cell hints for clipped text

Отображать подсказки для обрезанного текста.

CheckBox Focus cell on cycle

Фокусировать ячейки циклически при перемещении маркера.

CheckBox Focus first cell on new record

Фокусировать ячейку в новой записи.

CheckBox Next cell on pressing Enter

Перейти к следующей ячейке при нажатии на Enter.

CheckBox Show navigation hints

Показывать подсказки навигатора.

CheckBox MRU list in column filter

Список недавно использовавшихся фильтров.

Card width

В поле счетчика указывается ширина карточки.

Form view

CheckBox Large Memo Editor

Использовать редактор больших записей, если размер редактора больше, чем задано в поле Number of lines.

CheckBox Word wrap in memo editor

Перенос по словам в редакторе полей типа Memo.

CheckBox Word wrap in string editor

Перенос по словам в редакторе строковых данных.

Grid lines - указать, какие линии таблицы будут отображаться ( CheckBox Horizontal - горизонтальные, CheckBox Vertical - вертикальные).

Detail tabs position - расположение вкладок подуровней ( RadioButton Top - вверху, RadioButton Left - слева).

Card layout direction - расположение карточек ( RadioButton Horizontal - по горизонтали, RadioButton Vertical - по вертикали).

Show edit buttons - показывать кнопки редактирования ( RadioButton Never - не показывать, RadioButton For focused record - для активной записи, RadioButton Always - показывать всегда).


Опции столбцов

Environment Options - Grid - Column Options

Общие настройки

CheckBox Auto-select text - автовыделение текста при переходе в режим редактирования.

CheckBox Hide selection on losing focus - скрывать выделение при потере фокуса.

Свойства редактора записи

CheckBox Inserting Return characters - Возможность вставки символов перехода на новую строку.

CheckBox Inserting Tab characters - Возможность вставки символов табуляции.

CheckBox Word wrap - Перенос по словам в редакторе Memo.

CheckBox Popup memo editors - раскрывающийся при наведении редактор полей типа Memo.

Настройки "быстрого" редактора

CheckBox Use Ctrl+Up instead of Up to increase spin values - использовать сочетание клавиш Ctrl+Up вместо Up для увеличения значения в ячейке.

CheckBox Show large increment buttons - Показывать кнопки большого приращения.

В поле Increment задайте приращение, большое приращение - в поле Large increment.

Spin editor buttons' position

Расположение окна ввода данных с прокруткой

RadioButton Vertical - вертикально.

RadioButton Horizontal / left and right - горизонтально / слева и справа.

RadioButton Horizontal / right - горизонтально / справа


Локализация

С помощью инструментов, расположенных на этой вкладке Вы можете задавать язык программы.

Environment Options - Localization

Вы можете выбрать один из предложенных языков, или создать свой. Также Вы можете изменить локализацию в редакторе локализаций.

В поле Default directory указан путь к папке, в которой по умолчанию находятся все файлы локализации, имеющие формат *.lng.

Из раскрывающегося списка Choose program language выберите язык программы.

CheckBox Если установлен флажок Auto scan languages on startup, то каждый раз при запуске SQL Manager for InterBase/Firebird папка Default directory будет проверяться на наличие новых файлов *.lng, которые затем автоматически будут добавлены в список доступных языков программы.

В списке Available languages показан список доступных локализаций, которые можно установить как основной язык программы.

При нажатии на кнопку Add defaults проверяется наличие новых файлов *.lng в папке по умолчанию, которые автоматически добавляются в список доступных языков программы.

Нажав на кнопку Add, Вы можете добавить в список Available languages файл локализации, указав в появившемся окне имя локализации и путь к файлу.

Кнопка Edit позволяет редактировать выбранную локализацию.

Нажав на кнопку Delete, Вы удалите выбранную локализацию из списка доступных.

Смотрите также:

Локализация


Глобальные сочетания клавиш

Данный раздел позволяет задать сочетания клавиш для различных действий в SQL Manager for InterBase/Firebird.

Environment Options - Global Shortcuts

Для редактирования сочетания горячих клавиш нажмите кнопку рядом с сочетанием, и нажмите необходимое сочетание клавиш в открывшемся окне.


Настройки редакторов

С помощью этого инструмента Вы можете задать настройки для редактора SQL запросов.

Открыть окно настройки можно, выбрав пункт Options | Editor Options в главном меню программы.

Вкладки

Общие настройки

Отображение

Цвет

Быстрый код

Форматтер SQL

Форматирование текста запроса

Задание сочетаний клавиш

Проверка правописания

Поиск опций

Смотрите также:

Настройки окружения


Общие настройки

На этой вкладке задайте основные свойства редактора.

Editor Options - General

CheckBox Auto indent - каждый новый отступ такой же, как в предыдущей строке.

CheckBox Insert mode - включен режим автоматической вставки символов.

CheckBox Find text at cursor - слово, на котором стоит курсор, автоматически попадает в окно поиска при нажатии Ctrl+F.

CheckBox Always show hyperlinks - всегда отображать названия объектов в виде гиперссылок. Перейти по ссылке можно нажав на объект мышкой, удерживая при этом клавишу CTRL.

CheckBox Double click line - двойной щелчок в любом месте строки выделяет строку полностью.

CheckBox Trim trailing spaces - если флажок установлен, то все пробелы после последнего символа строки будут удалены.

CheckBox Fixed line height - фиксированная высота строки.

CheckBox Persistent blocks - не убирать выделение при перемещении курсора с помощью клавиш.

Editor Options - General - Persistent blocks

CheckBox Fixed column move - если установлен этот флажок, то при перемещении курсора в редакторе вверх-вниз он будет сохранять свою горизонтальную позицию, относительно начала строки.

CheckBox Optimal fill - установите этот флажок, если хотите включить автоматическое форматирование текста запроса в редакторе.

CheckBox Unindent keep align - сохранять выравнивание для строк без отступа.

CheckBox Smart caret - при перемещении курсора между строками с помощью клавиш, курсор перемещается на ближайший символ текста.

CheckBox Resolve aliases - включить/отключить подсветку синтаксиса и автоматическую подстановку текста (code completion) для алиасов.

CheckBox Overwrite blocks - заменять выделенный текст текстом вводимым с клавиатуры. Если флажок не установлен, то новый текст будет вводиться сразу после выделенного, также выделенный текст нельзя будет сразу удалить нажатием клавиш Delete, Enter и пробел.

CheckBox Show caret in read only mode - в режиме "только для чтения" показывать курсор.

CheckBox Copy to clipboard as RTF - текст запроса копировать в буфер обмена как текст формата RTF.

CheckBox Drag and drop text - разрешить перетаскивание текста.

CheckBox Group undo - позволяет отменять несколько операций одного вида.

CheckBox Group redo - позволяет возвращать несколько операций одного вида.

CheckBox Keep caret horizontal position - если щелкнуть мышью по пустому пространству после текста в строке, то курсор автоматически переместится в конец текста. Также применяется и при перемещении курсора кнопками Up/Down.

CheckBox Enable column selection - включить возможность выделения столбца.

CheckBox Hide cursor on type - убирать курсор мыши когда пользователь набирает текст.

CheckBox Hide dynamic (no focus) - убирать подсветку, если окно неактивно.

CheckBox Collapse empty lines - автоматически убирать пустые строки.

CheckBox Scroll to past line - при прокрутке перейти к последней строке.

CheckBox Seek variables - искать переменные.

CheckBox Word wrap - перенос по словам.

CheckBox Variable horizontal scrollbar - если нет текста, выходящего за границы видимой области, не отображать полосу прокрутки.

CheckBox Float markers - если установлен, то закладки не перемещаются вместе с текстом, а указывают на строку с определенным номером.

CheckBox Undo after save - не очищать список произведенных операций после сохранения, чтобы иметь возможность отменить действие даже после сохранения.

CheckBox Disable selection - отключить возможность выделения при редактировании.

CheckBox Draw current line focus - выделять редактируемую строку не только цветом, но еще и пунктирной линией.

CheckBox Hide selection (no focus) - скрывать выделение, когда окно редактора становится неактивным.

CheckBox Greedy selection - если установлен этот флажок, то при выделении нескольких строк/столбцов захватывается дополнительно 1 строка/столбец.

CheckBox Keep selection mode - делает возможным выделение при перемещении курсора в тексте.

CheckBox Select search result - выделять результаты поиска.

CheckBox Smart paste - вставляемый из буфера обмена текст в кодировке Unicode и ANSI преобразовывается к кодировке, принятой в базе данных,

CheckBox Disable all code features - убрать визуальное оформление текста.

В помощью счетчика Collapse level задайте количество сворачиваемых подуровней.

В поле Undo limit задайте число сохраненных операций для отмены действия.

Tab mode - из этого раскрывающегося списка выберите действие, выполняемое при нажатии клавиши Tab: Use tab character - использовать символы табуляции, Insert spaces - использовать пробелы, Dialog behaviour - переключение между окнами, Smart tab - преобразует символы табуляции в пробелы и задает отступ для строки такой же, как отступ предыдущей.

Tab Stops - в этом поле задайте размер отступа при табуляции.

Из раскрывающегося списка Comment symbols выбрать сочетание символов, которое будет означать комментарии.

С помощью счетчика Block indent задайте размер отступа для блоков с установленными закладками.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Отображение

На этой вкладке задайте параметры отображения текста редактора.

Default editor fonts

Font

Задайте шрифт для редактора SQL.

Size

Задайте размер шрифта для редактора SQL.

CheckBox Show only fixed-width fonts - если установлен этот флажок. то в списке выбора шрифтов будут отображаться только те, которые имеют фиксированную ширину символов.

Gutter

В этом разделе вы можете задать параметры левого поля редактора SQL.

CheckBox Show line numbers - отображать номера строк,

CheckBox Gutter auto width - автоматически выравнивать внутренние поля,

CheckBox Display line state - если этот флажок установлен, то в левом поле будет отображаться вертикальная цветная линия, показывающая состояние строк. Состояний у строк существует три: измененная строка показана желтым цветом, новая - зеленым, сохраненная в файл - синим.

CheckBox Use code folding - Вы можете задать иерархическую структуру текста с возможностью скрывать подобъекты.

В счетчике Width задайте ширину левого поля.

Выберите значения Font, Size, Numbering style для задания шрифта и стиля текста в правом поле.

CheckBox Show only fixed-width fonts - если установлен этот флажок. то в списке выбора шрифтов будут отображаться только те, которые имеют фиксированную ширину символов.

Editor Options - Display

Right margin

В этом разделе можно задать свойства правой границы, которая используется при автоматическом форматировании текста запроса. (Задать параметры автоматического форматирования можно на вкладке SQL Formatter).

CheckBox Visible - включает отбражение правой границы

CheckBox Word break - позволяет переносить слова в пределах правого поля.

С помощью счетчика Position задайте отступ от левого края для этой границы.

Из раскрывающегося списка Color выберите цвет границы.

Code staples

Задайте параметры отображения скобок в тексте.

CheckBox Visible - скобки видимы в тексте.

CheckBox Single color - установите этот флажок, если хотите задать единый цвет для всех скобок в тексте.

Offset - задайте значение сдвига для скобок.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.

Нажав на кнопку Set line numbers font, Вы имеете возможность изменить внешний вид номеров строк.

Из раскрывающегося списка Background color выберите цвет фона редактора.

Стиль нумерации строк можно выбрать из раскрывающегося списка Numbering style.

Все изменения отображаются на образце, расположенном в нижней части формы.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Цвет

Scheme

Выберите цветовую схему для всех редакторов:

Light - Светлая

Dark - Темная

Editor Options - Display - Highlight

В списке Element list вы можете выбрать любой элемент из Редактора SQL и настроить опции его отображения. Все изменения можно посмотреть в области под списком.

CheckBox Bold

Элемент будет отображаться полужирным шрифтом.

CheckBox Italic

Элемент будет отображаться курсивом.

CheckBox Foreground

Выберите цвет шрифта для выбранного элемента.

CheckBox Background

Выберите цвет фона для выбранного элемента.

CheckBox Effects

Задайте дополнительные настройки для выбранного элемента.

Чтобы сохранить принятые изменения нажмите на кнопку Ok.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Автозаполнение кода

На этой вкладке задайте параметры быстрого ввода текста при написании запроса. Быстрый код - это окно подстановки, которое появляется при введении слова в запрос.

Automatic features

В разделе задайте свойства автоматической подстановки.

CheckBox Code Completion - включает/отключает список автодополнения. При вводе первых символов слова, автоматически будет предложен список из слов, начинающихся с этих символов.

CheckBox Parameters completion - включает/отключает автодополнение списка параметров

Sensitivity (char) - задает количество введенных символов, после которых открывается список.

Delay (sec) - задает время ожидания появления подсказки.

CheckBox Group by type

Объекты в списке автодополнения будут сортироваться по типу, иначе они сортируются по имени.

CheckBox Sort column names

Включите опцию для сортировки полей таблицы.

CheckBox Show information hints - отображать всплывающие подсказки для каждого слова из списка автоподстановки.

CheckBox Auto launch keyboard templates

Шаблоны клавиатуры будут применяться автоматически, если Вы установите флажок.

CheckBox Accept by Space key too

Подходящий элемент списка будет подставляться по нажатию клавиши Пробел.

Editor Options - Display - Quick Code

Completion list object

В данной секции вы можете можно задать цвет и стиль выбранного элемента списка автодополнения. Изменения отразятся на списке справа.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Форматтер SQL

Средства задания настроек автоматического форматирования SQL запросов расположены на вкладке SQL Formatter.

SQL Formatter также используется при форматировании SQL скриптов и в редакторах некоторых объектов.

На вкладке Settings задайте, какие части запроса следует форматировать автоматически.

Editor Options - SQL Formatter

CheckBox Установив флажки Format SQL query и Format subquery, Вы включаете автоматическое форматирование запросов и подзапросов.

Смотрите также:

Редактор запросов


Форматирование текста запроса

На вкладке SQL Words задайте параметры форматирования текста запроса.

Editor Options - SQL Formatter - SQL Words

CheckBox В списке Wrap first element выделите флажками те операторы, после которых необходимо выполнить перенос строки.

Params in line/list - в этом списке флажками отмечаются те операторы, для которых нужно изменить вид отображения параметров. Если при открытии запроса параметры отображались в столбец, то после установки этого флажка они будут отображаться в одну строку и наоборот.

В разделе OR - AND задайте положение операторов OR и AND относительно текста:

RadioButton Left - слева от текста,

WHERE

AND ...

AND ...

AND ...

RadioButton Separate - операторы выносятся каждый в отдельную строку,

WHERE

...

AND

...

AND

RadioButton Right - справа от текста.

WHERE

... AND

... AND

... AND

В разделах Keyword case и Identifiers case выберите регистр, в котором будут отображаться ключевые слова и идентификаторы в тексте запроса:

RadioButton Default - оставлять как есть,

RadioButton Upper - ВСЕ ПРОПИСНЫЕ,

RadioButton Lower - все строчные,

RadioButton Capitalize - Начинать С Прописных.

CheckBox Space before bracket - вставлять пробелы перед скобками.

CheckBox Space into brackets - автоматическая вставка пробелов между скобками и текстом внутри скобок.

CheckBox Wrap element after opening bracket - перенос на новую строку после открытия скобки.

С помощью счетчика Indents in list задайте отступ для элементов списка.

Чтобы отформатировать текст запроса с новыми изменениями нужно в редакторе запросов в контекстном меню выбрать пункт Format SQL.


Задание сочетаний клавиш

На вкладке Key Mapping можно задать сочетания клавиш для быстрого выполнения операций в редакторе запросов.

Editor Options - Key Mapping

Определенный набор сочетания клавиш для различных действий можно сохранить в виде схемы сочетания клавиш. После внесения изменений в существующие сочетания и добавления новых нажмите кнопку Save As, чтобы сохранить эти изменения. Чтобы применить схему достаточно из раскрывающегося списка Scheme name выбрать нужную и нажать кнопку OK. Нажав на кнопку Delete, Вы удалите выбранную схему.

Ниже задаются сочетания клавиш для всех действий, производимых в редакторе.

Из списка Commands, выберите действие, для которого хотите задать сочетание клавиш.

В окне Key combinations отображаются уже добавленные сочетания. Выделив сочетание и нажав кнопку Delete, Вы удалите это сочетание. Если нажать кнопку Clear, то удалятся все сочетания для выбранного действия.

Чтобы добавить новое сочетание нажмите кнопку New и в поле Key укажите нужное сочетание. Если такое уже существует для другого действия, то появится предупреждение, в котором будет название той операции, для которой используется нужное сочетание. Для одного действия допустимо создавать несколько сочетаний клавиш, и даже последовательность сочетаний клавиш. Если задана последовательность, то действие будет выполнено только после того как будут нажаты клавиши в указанной последовательности. Каждая строка в списке Key combinations - это сочетание для выполнения одного действия. С помощью кнопки Add Вы добавляете новое сочетание клавиш в уже существующее. Так создается последовательность сочетаний клавиш.

Схему можно экспортировать в файл, нажав на кнопку Export.

Смотрите также:

Редактор запросов

Сочетания клавиш


Проверка правописания

На вкладке Spell Checking задайте параметры орфографического контроля.

Editor Options - Spell Checking

В разделе Spell checker mode выберите тип проверки правописания:

RadioButton Highlighting - слова с ошибками будут выделены,

RadioButton Autocorrection - ошибки будут автоматически исправляться,

RadioButton None - никаких действий производиться не будет.

Задать параметры учета разряда букв при проверке можно в разделе Case sensitivity:

RadioButton Support case consistency with substitution - разряд подставляемого во время замены слова совпадает с разрядом слова, в котором была допущена ошибка.

RadioButton Ignore case while spell checking - игнорировать разряд при проверке правописания.

RadioButton Keep the misprint case when replacing - сохранять разряд слова при замене опечатки.

В списке Substitutions находятся ключевые слова словаря проверки правописания. На эти слова будут заменяться те, которые написаны с ошибками, если установлена автоматическая замена. Чтобы добавить слово в этот список нужно нажать кнопку Add. Изменить выбранное слово можно с помощью кнопки Edit. Нажатие на кнопку Delete удалит выбранное слово.

Задать параметры проверки опечаток можно в разделе Misprints.

Для слова из списка Substitutions можно задать некоторое количество слов с опечатками, которые будут автоматически заменяться на нужное слово.

В списке Check содержатся варианты ошибок, которые может допустить пользователь в слове.

Чтобы добавить вариант в список нужно нажать на кнопку Add. С помощью кнопки Edit Вы можете изменить выбранный вариант ошибки. С помощью кнопки Auto Вы можете автоматически создать все варианты ошибок, которые могут быть допущены в этом слове. Нажав на кнопку Delete, Вы удалите выбранный вариант опечатки. Кнопка Clear очищает список опечаток полностью.

В список Ignore помещаются те варианты опечаток, которые при автоматической замене будут игнорироваться.

Кнопка Reset to defaults позволяет вернуть все настройки к принятым по умолчанию.


Мастер сохранения настроек

Мастер сохранения настроек позволяет экспортировать все настройки программы SQL Manager for InterBase/Firebird во внешний файл. Файл настроек имеет расширение *.reg (файл системного реестра Windows). Применить сохраненные настройки Вы можете как для этой программы, так и для заново установленного SQL Manager for InterBase/Firebird. Чтобы открыть Мастер сохранения настроек в главном меню программы выберите пункт Options | Save Settings.

Чтобы применить настройки, сохраненные в файл *.reg необходимо открыть этот файл двойным щелчком мыши. В появившемся окне нажать кнопку OK. Все настройки автоматически будут применены (добавлены в системный реестр Windows).

Мастер состоит из следующих шагов:

  • Задание файла
  • Выбор настроек для сохранения
  • Выбор баз данных


Задание файла

На первом шаге необходимо задать имя файла, в который будут сохранены настройки и путь к нему.

В поле Filename с помощью кнопки btnSaveAs, в открывшемся стандартном диалоговом окне укажите имя и адрес создаваемого файла.

Save Settings - Specifying destination file

Следующий шаг


Выбор настроек для сохранения

Отметьте флажками те настройки, которые необходимо сохранить.

Save Settings - Selecting settings

CheckBox Database Registration Info - Регистрационная информация баз данных,

CheckBox Favorite objects - Избранные объекты

CheckBox Tabs - Вкладки,

CheckBox Environment Options - Настройки окружения,

CheckBox Editor options - Настройки редакторов

CheckBox Visual Options - Настройки внешнего вида,

CheckBox Keyboard Templates - Шаблоны клавиатуры,

CheckBox Object templates - Шаблоны объектов,

CheckBox External Tools - Внешние инструменты,

CheckBox Form placement - расположение открытых окон,

CheckBox MRU lists - Списки недавно использовавшихся объектов,

CheckBox Favorite queries - Избранные запросы

Следующий шаг


Выбор баз данных

На этом шаге необходимо выбрать те базы данных, для которых нужно сохранить регистрационную информацию и настройки.

В списке Available Databases находятся доступные базы данных.

Выберите из списка те, для которых необходимо сохранить регистрационную информацию и настройки и переместите их в список Selected Databases с помощью кнопок.

Save Settings - Selecting databases

Нажмите кнопку Finish для начала создания файла настройки


Выполнение операции

Процесс создания отображается в специальном окне.

Save Settings - Saving settings

CheckBox Если установлен флажок Close the Wizard after successful completion, то Мастер сохранения настроек закроется после успешного выполнения операции. Если не установлен, то, не закрывая мастера, можно изменить настройки сохранения.


Локализация

SQL Manager for InterBase/Firebird позволяет изменять язык интерфейса программы для удобства пользователей. Чтобы изменить это свойство необходимо:

Изменение языка программы

  • выбрать Options | Select Program Language в главном меню программы,
  • выбрать нужный язык интерфейса в окне выбора,
  • нажать OK для сохранения изменений.

Редактирование локализации программы

  • откройте любое окно программы, в котором хотите изменить заголовок или название элементов управления,
  • нажмите Shift+Ctrl+L, чтобы открыть окно редактора локализаций,
  • измените текст по своему усмотрению,
  • сохраните изменения, используя кнопку Save в окне редактирования локализации.

Обратите внимание:

Локализацию можно изменить только в том случае, если она установлена и не является локализацией по умолчанию. Установить локализацию можно с помощью инструмента Environment Options | Localization.

Создание новой локализации

  • создать новый файл локализации с расширением *.lng и поместить его в папку Languages в директории, в которой установлен SQL Manager for InterBase/Firebird,
  • выбрать Options | Environment Options в главном меню программы,
  • открыть вкладку Environment Options | Localization,
  • на этой вкладке нажать кнопку Add,
  • в появившемся окне в поле Language name указать название новой локализации, а в поле Language File указать путь до созданного *.lng файла,
  • после нажатия кнопки OK в списке локализаций появится новый язык, который можно редактировать и устанавливать как программный.

Смотрите также:

Локализация


Редактор локализаций

Редактор локализаций позволяет изменять любые заголовки, надписи, названия элементов и подсказки в программе SQL Manager for InterBase/Firebird, но только в том случае если этот язык не является локализацией по умолчанию.

Чтобы изменить названия элементов управления любого окна или редактора программы необходимо открыть это окно и нажать Shift+Ctrl+L.

Localization - Localization Editor

В появившемся окне редактора локализаций до знака "=" прописаны названия элементов управления, а после знака "=" - названия этих же элементов, но на языке выбранной локализации. Изменять можно только то, что написано после знака "=".

Для удобства работы с редактором предусмотрено использование стандартного диалогового окна поиска, открывающегося при нажатии клавиш Ctrl+F.

Чтобы сохранить внесенные изменения, нажмите кнопку Save на панели инструментов.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Да

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Настройки окружения

Локализация


Выбор языка программы

Это диалоговое окно позволит Вам выбрать язык локализации программы SQL Manager for InterBase/Firebird.

Открыть это окно можно, выбрав Options | Select Program Language в главном меню программы.

В списке представлены все доступные языки программы, установленные с помощью Environment Options | Localization.

Localization - Select Program Language

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Да

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Редактор локализаций

Локализация


Шаблоны клавиатуры

С помощью инструмента Keyboard Templates задайте шаблоны для быстрого ввода текста.

Чтобы открыть редактор шаблонов клавиатуры выберите в главном меню пункт Options | Keyboard Templates.

Настройки шаблонов клавиатуры задайте в диалоговом окне Keyboard Templates.

Чтобы создать шаблон нажмите на кнопку Add Template. В появившемся окне укажите последовательность символов, которая должна будет при вводе замениться определенным текстом.

Чтобы изменить уже созданный шаблон выделите его в общем списке и нажмите кнопку Edit Template. Нажав на кнопку Delete Template, Вы удалите выбранный шаблон.

CheckBox Если установлен флажок Old Style, то в тексте шаблона будут использоваться обозначения, использовавшиеся в более ранних версиях SQL Manager for InterBase/Firebird.

В разделе Expansion укажите тот текст, которым должен быть заменен набор символов шаблона.

С помощью кнопок можно вставить автотекст:

  • Cursor - позиция курсора, при применении курсор будет переведен в указанное место,
  • Author - имя учетной записи,
  • Time - время редактирования
  • Date - дата редактирования,
  • Clipboard - содержимое буфера обмена,
  • Marker - маркер.

Также, в разделе Case of Templates, можно указать регистр, в котором должно вводиться сочетание символов, являющееся шаблоном.

RadioButton As is - оставлять как есть,

RadioButton Uppercase - ВСЕ ПРОПИСНЫЕ,

RadioButton Lowercase - все строчные,

RadioButton First upper - Начинать С Прописных.

Чтобы применить шаблон необходимо в редакторе набрать сочетание символов, указанное в шаблоне, а затем нажать пробел или сочетание клавиш Ctrl+J.

Восстановить значения шаблонов, принятые по умолчанию, можно, нажав на кнопку By Default.

Смотрите также:

Быстрый код

Сочетания клавиш


Шаблоны объектов

Вы можете создавать шаблоны объектов с помощью инструмента Object Templates, который открывается при выборе пункта главного меню программы Options | Object Templates.

С помощью этого инструмента, Вы можете задать некоторые свойства для каждого объекта. Создаваемый объект будет обладать всеми свойствами, указанными в шаблоне для данного типа объекта.


Внешние инструменты

Вы можете добавить к SQL Manager for InterBase/Firebird некоторое количество внешних программ для более эффективной работы программы.

Добавление внешнего инструмента

  • выбрать пункт Options | External Tools в главном меню программы,
  • в появившемся окне внешних инструментов нажать кнопку Add,
  • в диалоговом окне указать параметры подключения,
  • нажать OK, чтобы сохранить внесенные изменения.

Эта последовательность действий добавит указанную программу в список внешних инструментов

Теперь программу, добавленную в список, Вы можете запускать с помощью SQL Manager for InterBase/Firebird.

Удаление внешнего инструмента

Чтобы удалить программу из списка внешних инструментов необходимо:

  • выбрать пункт Options | External Tools в главном меню программы,
  • в появившемся окне внешних инструментов выбрать нужную программу
  • нажать кнопку Delete.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Персонализация

Как...


Редактирование внешних инструментов

С помощью окна Edit External Tool Info можно добавлять и редактировать внешние инструменты программы SQL Manager for InterBase/Firebird.

Это окно открывается при нажатии кнопок Add и Edit в окне внешних инструментов.

External tools - External Tool Info editor

В поле Title укажите имя, которое для этой программы будет отображаться в списке внешних инструментов.

В поле Hot Key можно задать сочетание клавиш, при нажатии которых будет открываться программа. Это поле не доступно для обычного редактирования.

Укажите полный путь к программе (файлу с расширением *.exe) в поле Program. Или с помощью стандартного диалогового окна, открывающего при нажатии на кнопку ExplorerButton .

Working Dir - в этом поле укажите рабочую директорию для этой программы.

Параметры выполнения программы указываются в поле Parameters.


Окно внешних инструментов

Это окно открывается при выборе пункта Options | External Tools в главном меню программы.

External tools - External Tools dialog

В окне Tools отображается список уже добавленных внешних инструментов.

С помощью кнопки Add можно добавить программу в список.

При нажатии кнопки Edit открывается окно редактирования внешних инструментов, с помощью которого можно изменить свойства подключенной программы.

Нажав на кнопку Delete, Вы удалите программу из списка.

Чтобы изменить порядок программ в списке воспользуйтесь кнопками [image] [image] или сочетанием клавиш Shift+Ctrl+Up / Shift+Ctrl+Down.


Как...

В этом разделе содержится краткая информация по основным операциям, которые можно выполнить в программе SQL Manager for InterBase/Firebird.

Работать с базами данных

Подключиться к базе данных

Создать базу данных

Изменить параметры подключения к базе данных

Сделать резервную копию базы данных

Восстановить базу данных из резервной копии

Ускорить работу с базой данных

Создать копию базы данных

Задокументировать базу данных

Сохранить отчет о метаданных в файл другого формата

Логировать изменения базы данных

Визуально спроектировать базу данных

Посмотреть ER-диаграмму базы данных

Получить SQL-дамп базы данных

Работать с объектами базы данных

Найти объект

Группировать объекты

Посмотреть зависимости объектов

Получить DDL объекта

Работать с данными

Экспортировать/импортировать данные

Экспортировать в виде SQL скрипта

Просматривать таблицы с большим количеством записей

Фильтровать данные

Сортировать и группировать данные

Редактировать данные многоуровневых таблиц

Создать автоинкрементное поле

Добавить изображение в таблицу

Настроить формат отображения данных

Работать с запросами и скриптами

Быстро создать SQL запрос

Экспорт результатов запроса в файл

Работать с несколькими запросами одновременно

Сохранить часто используемые запросы

Выполнять запросы с параметрами

Выполнять скрипты (сценарии)

Выполнить большой SQL скрипт

Ускорить работу SQL скрипта

Работать с текстом запроса/скрипта

Просмотреть все выполненные запросы и скрипты

Создать простой отчет в Конструкторе отчетов

Перенести настройки программы

Обновить программу

Сообщить об ошибках и предложениях

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Службы

Обеспечение безопасности

Персонализация


Подключиться к базе данных

Если хост и база данных не зарегистрированы, и Вы запустили SQL Manager for InterBase/Firebird впервые, то для того чтобы подключиться к базе данных выполните следующую последовательность действий:

  1. Запустите Мастер регистрации баз данных, выбрав пункт Database | btnRegisterDB Register Database... в главном меню программы.
  2. На первом шаге выберите RadioButton Database is located on a new host.
  3. На втором шаге задайте параметры соединения для нового хоста.
  4. На третьем шаге задайте опции регистрируемой базы данных: путь к базе - в поле Database name, псевдоним базы - в поле Database alias, кодировку - в поле Charset. Проверьте, существует ли соединение с базой данных, нажав кнопку Test Connection. На вкладках General и Logs укажите некоторые опции регистрации базы данных и журнализации соответсвенно.
  5. Зарегистрированная база данных отобразится в Проводнике БД. Чтобы подключиться к ней, дважды щелкните по псевдониму БД или выберите пункт btnConnectToDB Connect to Database из контекстного меню.

Чтобы подключиться к новой базе данных на зарегистрированном хосте, выполните следующую последовательность действий:

  1. Запустите Мастер регистрации баз данных, выбрав пункт Database | btnRegisterDB Register Database... в главном меню программы.
  2. На первом шаге выберите RadioButton Database is located on the host already registered in SQL Manager.
  3. На втором шаге задайте параметры соединения с уже зарегистрированным сервером: имя пользователя, пароль и роль.

Далее выполните пункты 4 и 5 из инструкции, приведенной выше.


Создать базу данных

Для создания базы данных необходимо, чтобы был зарегистрирован сервер, на котором будет располагаться новая база данных. О том, как зарегистрировать хост, Вы можете узнать здесь.

Если Вы хотите создать базу данных на зарегистрированном хосте, то выполните следующую последовательность действий:

  1. Запустите Мастер создания баз данных, выбрав пункт Database | btnCreateDB Create Database главного меню программы.
  2. На первом шаге выберите хост, на котором Вы хотите создать базу данных.
  3. На втором шаге укажите путь к базе данных в поле Fully qualified database file path, имя пользователя и пароль для доступа к базе данных - в полях User name и Password. Если Вы хотите хранить базу данных в нескольких файлах, то убедитесь, что флажок CheckBox Single database file не установлен. В этом случае на следующем шаге задайте параметры дополнительных файлов базы данных: путь к файлу - в поле File name, длину файла - в поле Secondary file length.
  4. На заключительном шаге можно установить флажок CheckBox Register after creating, чтобы после создания базы данных открылось окно Database Registration Info, в котором можно будет отредактировать регистрационную информацию созданной базы данных


Изменить параметры подключения к базе данных

Если при создании и регистрирации базы данных была допущена ошибка, или указана неполная информация, то её можно исправить при помощи инструмента Database Registration Info. Регистрационную информацию можно посмотреть как для подключенной, так и для неподключенной базы.

Чтобы посмотреть Регистрационную информацию базы данных, необходимо выбрать базу данных в проводнике баз данных, затем в контекстном меню базы данных выбрать пункт Database Registration Info.

На вкладке Connection можно изменить следующие настройки подключения базы данных к серверу: Имя пользователя (User name), пароль (Password), роль (Role), путь к файлу базы данных (Database name), псевдоним базы данных (Database alias), кодировку (Charset) и набор шрифтов (Font charset).


Сделать резервную копию базы данных

Создать резервную копию базы данных можно с помощью Мастера резервного копирования. Чтобы открыть Мастер и задать в нем необходимые параметры нужно выбрать Services | [image] Backup Database в главном меню программы.

Мастер резервного копирования позволяет создать копию базы данных на локальном или удаленном сервере.

Для создания локальной копии базы данных:

  1. В качестве метода создания резервной копии выберите RadioButton Use local utilities в разделе Execution mode. В этом случае при создании резервной копии будут использоваться локальные утилиты. Путь к ним указывается в поле Path to database utilities на вкладке Параметры соединения (Регистрационная информация сервера).
  2. В качестве типа хранения файла резервной копии выберите RadioButton Local. В этом случае Файл будет храниться на локальном компьютере.

Важно: Резервное копирование базы данных, расположенной на Embedded сервере, возможно только с помощью локальных инструментов. Необходим, чтобы icudt30.dll, icuin30.dll, icuuc30.dll и fbembed.dll (fbembed.dll должна быть переименована в fbclient.dll) были расположены вместе с файлом gbak.exe в директории, указанной в поле Path to database utilities на вкладке Параметры соединения Регистрационной информации сервера.

Для создания резервной копии на удаленном сервере:

  1. В качестве метода создания резервной копии выберите RadioButton Use services в разделе Execution mode. Для создания копии будут использованы службы сервера.
  2. В качестве типа хранения файла резервной копии выберите RadioButton Server.


Восстановить базу данных из резервной копии

Восстановить базу данных из резервной копии можно с помощью Мастера восстановления базы данных. Чтобы открыть Мастер и задать в нем необходимые параметры нужно выбрать Services | [image] Restore Database. в главном меню программы.

Мастер восстановления базы данных позволяет восстановить базу данных из файла, хранящегося локально или на сервере.

Для восстановления базы данных с локального сервера:

  1. В разделе Execution mode выберите RadioButton Use local utilities - при восстановлении базы данных будут использоваться локальные утилиты. Путь к ним указывается в поле Path to database utilities на вкладке Параметры соединения (Регистрационная информация сервера).
  2. В разделе Restore mode выберите RadioButton Local, если файл резервной копии расположен на локальном компьютере.

Для восстановления базы данных с удаленного сервера:

  1. В разделе Execution mode выберите RadioButton Use services, чтобы при восстановлении использовать службы сервера.
  2. В разделе Restore mode выберите RadioButton Server, если файл резервной копии расположен на удаленном сервере.


Ускорить работу с базой данных

Если ваша база данных содержит большое количество объектов или, если соединение с сервером слишком медленное, вы можете усокрить работу с БД отключив опцию CheckBox Refresh objects on connection при регистрациибазы данных или при редактировании Регистрационной информации баз данных.

Кроме того, вы можете отключить опцию CheckBox Restore desktop on connect в Предпочтениях.


Создать копию базы данных

Чтобы создать копию базы данных или отдельных объектов необходимо выполнить одно из следующих действий:

  1. Извлечь структуру объектов базы данных и сами данные в SQL скрипт используя Мастер извлечения баз данных. Полученный скрипт можно использовать для копирования и восстановления базы данных.
  2. Создать резервную копию БД с помощью Мастера резервного копирования.
  3. Создать копии отдельных объектов используя Мастер копирования объекта.


Задокументировать базу данных

Есть несколько способов документации базы данных:

  1. Вы можете сгенерировать подробный HTML отчет о метаданных объектов выбранной базы данных с помощью Мастера создания HTML отчетов.
  2. Вы можете создать и распечатать отчет о метаданных любого объекта БД. Отчет может быть сохранен в любом из следующих форматов:HTML file, Excel file, Text file, RTF file, CSV file, HTML file, BMP image, Excel table (OLE), JPEG image, TIFF image.
  3. Вы можете сохранить диаграмму, созданную в Конструкторе баз данных в файл с расширением *.ibd. При необходимости диаграмму можно сохранить как рисунок.


Сохранить отчет о метаданных в файл другого формата

Чтобы сохранить отчет о метаданных в файл другого формата, необходимо:

  1. Открыть инструмент Печать метаданных, выбрав пункт главного меню программы Tools | iconPrint Print Metadata.
  2. Нажать кнопку btnPrintPreview Preview на одной из панелей инструментов.
  3. На панели инструментов просмотрщика выбрать пункт btnPreviewExport Export -> из раскрывшегося списка выбрать формат файла, в который будет произведен экспорт.
  4. В появившемся окне выбрать директорию и указать имя файла.


Логировать изменения базы данных

Если вы хотите вести журнал изменений метаданных и журнал SQL-запросов, то:

  1. Установите флажок CheckBox Enable log of metadata changes и укажите, в какой файл следует записывать изменения.
  2. Установите флажок CheckBox Enable log of Query Editor queries и укажите, , в какой файл сохранять эту статистику.

Задание этих опций происходит в окне Регистрационная информация баз данных | Журналы.

Также можно задать параметры автосохранения данных. CheckBox Установив флажок Enable QuickSave every n minute(s), задайте в счетчике через сколько минут необходимо делать быстрое сохранение.


Визуально спроектировать базу данных

Чтобы спроектировать БД визуально, можно использовать Конструктор баз данных. Он позволяет создавать, редактировать и удалять таблицы и поля, устанавливать связи между таблицами и выполнять другие операции.

Чтобы создать объект щелкните правой копной мыши в окне конструктора и выберите пункт Create из контекстного меню. После этого новый объект отобразится на диаграмме.

После того, как Вы закончите проектирование, Вы можете создать структуру физически, выбрав пункт Compile на Панели инструментов.


Посмотреть ER-диаграмму базы данных

Построение диаграммы отношений происходит с помощью операции Обратного проектирования.

Чтобы просмотреть ER-диаграмму выбранной схемы выполните следующую последовательность действий:

  1. Запустите Конструктор баз данных;
  2. На панели инструментов выберите пункт btnReverseEngineer Reverse Engineer или соответствующий пункт контекстного меню.
  3. Выберите схему для обратного проектирования.

Полученную диаграмму можно сохранить как файл формат .ibd (кнопка btnSave Save Diagram) или как изображение (кнопка btnSaveAsPicture Save as Image).


Получить SQL-дамп базы данных

Чтобы получить SQL-дамп (файл с расширением *.sql) базы данных используйте Мастер извлечения баз данных. С его помощью можно извлечь структуру объектов базы данных и сами данные в SQL скрипт. Полученный скрипт можно использовать для копирования и восстановления базы данных.


Найти объект

Чтобы найти нужный объект Вы можете:

  1. Пунктом Find Object контекстного меню проводника или сочетанием клавиш Ctrl + F вызывать стандартное окно поиска, в котором указывается искомое слово.
  2. Введите первые символы искомого слова в поле Search. Все объекты, содержащие искомые символы, будут выделены цветом в проводнике баз данных.

Важно: объекты по которым происходит поиск должны быть обновлены и узел объектов раскрыт.

  3. Запустите операцию поиска по метаданным. Для этого выберите пункт Tools | Search in Metadata в главном меню программы или используйте сочетание клавиш Ctrl+Alt+F. На навигационной панели, в разделе Explorer отобразятся все объекты, в метаданных которых встречается искомое слово и словосочетание.


Группировать объекты

Объекты можно сгруппировать с помощью избранных объектов и вкладок проводника баз данных.

Группировка с помощью избранных объектов

В проводнике баз данных, в дереве объектов, есть папка Favorite objects.

Добавить объекты в Избранные можно следующими способами:

  1. В проводнике баз данных создать вложенную папку внутри папки Favorite objects, выбрав пункт контекстного меню New Sub Folder.-> в появившемся окне указать имя папки -> в эту папку мышкой перетащить нужные объекты.
  2. В проводнике баз данных создать вложенную папку внутри папки Favorite objects, выбрав пункт контекстного меню New Sub Folder -> в появившемся окне указать имя папки -> в контекстном меню созданной папки выбрать пункт Add Object -> в появившемся окне выбрать нужный объект.

Важно: Объекты перетаскиваются в Избранные с помощью мышью.

Группировка с помощью вкладок

Поместить объект на отдельную вкладку можно выбрав пункт btnNewTabFromHere New Tab from Here в контекстном меню объекта.

Важно: Если объект не является узлом дерева, то эта опция не доступна.


Посмотреть зависимости объектов

Посмотреть зависимости объектов можно одним из способов:

  1. Используя вкладку Dependencies в редакторе таблиц.
  2. Используя Дерево зависимостей.

Эти инструменты могут быть особенно полезны, когда вы не можете определить, из-за какого объекты не удаляется таблица.


Получить DDL объекта

Просмотреть DDL объекта можно одним из следующих способов:

  1. Дважды щелкните по объекту, чтобы открыть редактор объекта, затем перейдите на вкладку DDL.
  2. Выберите Script to Query Data | Create в контекстном меню объекта.
  3. Выберите Data Manipulation | Export Data as SQL Script в контекстном меню объекта.

Для редактирования DDL объекта можно открыть в редакторе запросов, нажав на панели инструментов btnShowSQLEditor Open DDL in Script Editor.


Экспортировать/импортировать данные

Копировать данные из таблицы базы данных во внешний файл допустимого формата (экспортировать) можно одним из следующих способов:

  1. Открыть вкладку Data или Results -> нажать кнопку [image] Export Data на одной из панелей инструментов просмотрщика данных -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  2. Открыть вкладку Data или Results -> в контекстном меню сетки данных выбрать пункт Data Manipulation | Export Data -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт Export Data задать параметры экспорта в открывшемся Мастере экспорта данных.
  4. Открыть вкладку Data или Results -> использовать сочетание клавиш Ctrl+E.

Копировать данные из внешних источников в таблицу или представление (импортировать) можно одним из следующих способов:

  1. Открыть вкладку Data -> нажать кнопку Import Data на одной из панелей инструментов просмотрщика данных -> задать параметры импорта в открывшемся Мастере импорта данных.
  2. Открыть вкладку Data -> в контекстном меню сетки данных выбрать пункт Data Manipulation | Import Data -> задать параметры импорта в открывшемся Мастере импорта данных.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт Import Data -> задать параметры импорта в открывшемся Мастере импорта данных.
  4. Открыть вкладку Data -> использовать сочетание клавиш Ctrl+I.

Важно: Инструменты экспорта и импорта данных доступны только в полной версии SQL Manager for InterBase/Firebird.


Экспортировать в виде SQL-скрипта

Копировать данные из таблицы базы данных в виде скрипта, содержащего операторы INSERT INTO, можно одним из следующих способов:

  1. Открыть вкладку Data или Results -> нажать кнопку [image] Export Data as SQL Script на одной из панелей инструментов просмотрщика данных -> задать параметры экспорта в открывшемся Мастере экспорта данных в виде SQL скрипта.
  2. Открыть вкладку Data или Results -> в контекстном меню сетки данных выбрать пункт Data Manipulation | Export Data as SQL Script -> задать параметры экспорта в открывшемся Мастере экспорта данных в виде SQL скрипта.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт Export Data as SQL Script -> задать параметры экспорта в открывшемся Мастере экспорта данных в виде SQL скрипта.

Важно: Для извлечения DDL таблицы (оператор CREATE TABLE) установите флажок Add CREATE TABLE statement на шаге первом шаге.


Просматривать таблицы с большим количеством записей

Если ваша таблица содержит большой объем данных вы можете уменьшить время ее загрузки посредством:

  1. Задания количества выбираемых записей;
  2. Установления опции RadioButton Load visible records для загрузки фиксированного числа записей в память.
  3. Выбора опции RadioButton Never retrieve, чтобы никогда не определять количество записей.

Эти опции могут быть настроены для определенной БД на странице Свойства данных при редактировании Регистрационной информации баз данных.

Настройки по умолчанию для только что зарегистрированной БД могут быть заданы на странице Параметры сетки | Настройки данных в Настройках окружения.


Фильтровать данные

Быстрая фильтрация (по текущему значению в ячейке)

Вызвать контекстное меню для столбца с данными -> выбрать пункт контекстного меню Quick Filter -> выбрать из открывшегося дочернего меню условие фильтрации.

Фильтрация по столбцам

HowTo - Grid View - Quick Filter

Нажать раскрывающийся список в заголовке столбца -> выбрать из списка условие фильтрации.

Более сложные условия задайте с помощью пункта списка значений Custom...

При выборе этого пункта открывается специальное окно для задания условий фильтрации.

Подробная фильтрация

Нажать кнопку btnSetFilter на панели инструментов просмотрщика данных -> задать параметры отбора в конструкторе фильтров -> применить условия фильтрации, нажав кнопку Apply.

Если для таблицы установлен фильтр, то в нижней её части появляется специальная панель, на которой отображаются условия фильтра и история модификации фильтра, которая открывается при нажатии на раскрывающийся список.

Data View - Grid View - Filtering records - Filtering panel

Убрать фильтрацию

Вызвать контекстное меню для столбца с данными -> выбрать пункт Disable filter.

Нажать кнопку btnClose на панели инструментов фильтра.


Сортировать и группировать данные

Чтобы отсортировать данные необходимо:

Открыть данные на вкладке Data или Results -> выбрать столбец, по которому хотите отсортировать данные -> нажать на заголовок этого столбца мышкой.

Если столбец не был отсортирован, то одно нажатие отсортирует его по возрастанию, следующее - по убыванию.

Важно: Чтобы отменить сортировку, вызовите контекстное меню правой кнопкой мыши на нужном столбце -> выберите пункт Clear Sorting, или нажмите клавишу Ctrl и щелкните по полю, по которому была отсортирована таблица.

Чтобы сгруппировать данные перетащите мышкой заголовок столбца на специальную панель группировки над таблицей.

HowTo - Data View - Grid View - Grouping data by two columns_Small

Важно: Чтобы убрать группировку перетащите заголовок столбца с панели группировки обратно в таблицу.


Редактировать данные многоуровневых таблиц

Вы можете работать с данными в многоуровневом режиме, то есть Вы можете просматривать и редактировать их в нескольких связанных таблицах одновременно. Чтобы добавить уровень таблицы щелкните правой кнопкой мыши в таблице и выберите пункт Grid Levels из контекстного меню. Далее выберите пункт Add Grid Level, чтобы запустить Мастер создания уровней. После того, как новый уровень будет добавлен, Вы можете редактировать данные в связанных таблицах.


Создать автоинкрементное поле

Чтобы создать автоинкрементное поле, отметьте опцию CheckBox Autoincrement value при настройке полей на основе доменов. В Редакторе полей для полей типов SMALLINT и INTEGER Вы можете создать Генератор, Триггер и/или Процедуру для задания свойств автоинкремента.


Добавить изображение в таблицу

Это возможно сделать только при наличии в таблице поля типа BLOB.

Открыть таблицу на вкладке Data -> перейти в раздел BLOB View (кнопки перехода расположены в нижней части окна) -> перейти на вкладку Image -> если BLOB поле не одно, то из раскрывающегося списка Select BLOB Column на панели инструментов вкладки Blob View выбрать нужное поле ->

HowTo - Grid View - BLOBView - Select BLOB Column

-> на панели инструментов вкладки Blob View нажать кнопку iconLoadFromFile Load from File -> открывшемся диалоговом окне выбрать файл изображения.


Настроить формат отображения данных

Чтобы настроить формат отображения данных выберите пункт Options | btnEnvironmentOptions Environment Options в главном меню программы -> перейдите на вкладку Color & Formats -> в разделе Display formats укажите или выберите формат отображения для некоторых типов данных.


Быстро создать SQL запрос

Есть два способа быстрого создания SQL-запроса:

В проводнике баз данных:

  1. Щелкните павой кнопкой мыши по имени объекта в проводнике баз данных.
  2. Выберите Script to Query Data в контекстном меню объекта.
  3. Определите тип запроса.

В Дизайнере запросов:

  1. Откройте Дизайнер запросов.
  2. На вкладке Builder перетащите таблицу или представление из проводника баз данных или из списка на панели Object в рабочую область.
  3. Выберите отображаемые поля, установив флажки напротив нужных. Чтобы добавить в запрос сразу все поля объекта необходимо установить флажок, находящийся перед названием объекта в строке заголовка.
  4. Установите связь между объектами. Чтобы установить связь между таблицами по двум полям необходимо поле из одной таблицы перетащить в другую (поля представлены в виде списка, в котором каждая строчка - поле). После перетаскивания связь будет отображена в виде черной линии, соединяющей желаемые поля.
  5. Задайте свойства связи. Для этого необходимо открыть редактор связи, два раза щелкнув на ней мышкой, или выбрать пункт контекстного меню связи Property. В появившемся окне указываете желаемые свойства редактируемой связи.
  6. На вкладке Edit Вы можете просмотреть и отредактировать свой запрос.


Экспорт результатов запроса в файл

При выполнении запроса таблица результатов может отображаться на вкладке Edit или на вкладке Result в просмотрщике данных.

Копировать данные из таблицы базы данных во внешний файл допустимого формата можно одним из следующих способов:

  1. Открыть вкладку Data или Results -> нажать кнопку [image] Export Data на одной из панелей инструментов просмотрщика данных -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  2. Открыть вкладку Data или Results -> в контекстном меню сетки данных выбрать пункт Data Manipulation | Export Data -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт Export Data задать параметры экспорта в открывшемся Мастере экспорта данных.
  4. Открыть вкладку Data или Results -> использовать сочетание клавиш Ctrl+E.


Работать с несколькими запросами одновременно

В btnShowSQLEditor Query Editor Вы можете одновременно открывать и редактировать несколько запросов.

В нижней части окна редактирования запроса можно создавать вкладки. На каждой вкладке - отдельный запрос.

Создать вкладку можно следующими способами:

  1. Открыть btnShowSQLEditor Query Editor -> на одной из панелей инструментов выбрать пункт btnNewSQLEditor Add New Query.
  2. Открыть btnShowSQLEditor Query Editor -> в контекстном меню существующей вкладки выбрать пункт btnNewSQLEditor Add New Query HowTo - WorkWithQueries - AddNewQuery .
  3. Использовать сочетание клавиш Ctrl + N.

Важно: Каждую вкладку можно переименовывать, или для удобства добавлять запросы в Избранные.


Сохранить часто используемые запросы

Используйте инструмент Избранные запросы чтобы хранить часто выполняемые запросы. Чтобы получить доступ к списку избранных запросов используйте узел Favorite Queries проводника БД или создайте для них отдельную вкладку.

С помощью контекстного меню Вы можете создать новый избранный запрос, редактировать уже существующий в редакторе избранных запросов или удалить запрос при необходимости.


Выполнять запросы с параметрами

Если вы хотите использовать параметризованные запросы, установите флажок CheckBox Allow using of parameters in query text в окне Настройки окружения | Инструменты.

Эта функция позволяет устанавливать различные значения параметров в окне ввода параметров перед выполнением запроса. Используйте двоеточие перед идентификатором, чтобы указать параметр в запросе.


Выполнять скрипты (сценарии)

Используя Редактор выполнения скриптов Вы можете создавать, просматривать, редактировать и выполнять SQL скрипты (сценарии). Чтобы открыть редактор SQL скриптов выберите Tools | btnShowSQLScript SQL Script в главном меню программы. Этот инструмент предназначен для работы с большим количеством команд и работы со скриптами из файлов. Например, Вы можете выполнить скрипт из файла, не загружая его в редактор, что позволит сократить потребление памяти. Однако SQL Script позволяет оценить лишь успешность выполнения команд скрипта, но не возвращает результаты запросов.

Важно: Выполнять скрипты необходимо именно в Редакторе выполнения скриптов, а не в Редакторе запросов.

Последний предназначен для создания, редактирования и выполнения запросов. Из его окна можно перейти к редактированию запроса в Query Builder. Также он предоставляет возможность просмотра результата запроса, проведения различных операций с ним (импорт, экспорт и др.), управления транзакциями.


Выполнить большой SQL скрипт

Если вам надо выполнить большой SQL-скрипт, необязательно загружать его из файла в окно редактора скриптов, так как это может занять много времени. Вместо этого, Вы можете выполнить этот скрипт напрямую из файла с расширением *.sql, *.zsql или *.txt. Чтобы сделать это, выберите пункт iconCompile Execute script from file на панели инструментов в редакторе скриптов.


Ускорить работу SQL скрипта

Чтобы ускорить работу скрипта можно отключить некоторые функции:

Парсинг

На одной из панелей инструментов редактора скриптов выбрать и отключить пункт iconDBExplorer Disable Parsing.

Автоматическое создание иерархической структуры текста

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Display -> убрать флажок CheckBox Use code folding.

Подсветку синтаксиса и быстрый ввод текста для алиасов

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку General -> убрать флажок CheckBox Resolve aliases - отключить подсветку синтаксиса и быстрый ввод текста для алиасов.


Работать с текстом запроса/скрипта

Перейти по внутренней ссылке

В тексте запроса/скрипта имя объекта, существующего в базе данных, выделено цветом. Открыть объект, на который есть ссылка в тексте, можно щелкнув по нему левой кнопкой мыши, удерживая при этом клавишу Ctrl.

Вставить шаблон текста

Шаблоны используются для быстрого ввода текста. Чтобы применить шаблон клавиатуры необходимо в редакторе набрать сочетание символов, указанное в шаблоне, а затем нажать пробел или сочетание клавиш Ctrl+J.

Автоматическая подстановка (список объектов)

Вызвать список автоматической подстановки можно используя сочетание клавиш Ctrl + пробел.

Настроить параметры автоматической подстановки

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Quick Code -> настроить список и параметры списка автоматической подстановки.

Автоматически форматировать запрос/скрипт

В контекстном меню редактора SQL выбрать пункт Quick Code | Format или использовать сочетание клавиш Shift+Ctrl+F.

Настроить шрифт и формат скрипта на вкладке Display

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Display -> настроить общие параметры формата и шрифта редактора.

Настроить шрифт и формат скрипта на вкладке Color Scheme

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Color -> настроить параметры шрифта для каждого отдельного элемента.


Просмотреть все выполненные запросы и скрипты

btnSQLMonitor Монитор SQL позволяет увидеть все скрипты, отправленные SQL Manager for InterBase/Firebird на сервер, а также результаты их выполнения. Содержимое окна нельзя редактировать, но можно копировать в буфер обмена, сохранять в файл и распечатывать.

Все инструменты для работы с SQL монитором располагаются на панелях инструментов и в контекстном меню.

Чтобы открыть SQL монитор необходимо:

  1. В главном меню программы выбрать пункт Tools | SQL Monitor,
  2. На основной панели инструментов нажать кнопку SQL Monitor,
  3. В контекстном меню базы данных выбрать пункт Tasks | SQL Monitor.

Важно: В SQL монитор попадают те скрипты и запросы, которые были выполнены в SQL Manager for InterBase/Firebird, в течение того времени, когда он был запущен.

Важно: Постоянно открытый монитор замедляет работу программы.


Создать простой отчет в Конструкторе отчетов

Чтобы создать отчет в Конструкторе отчетов необходимо выполнить следующую последовательность действий:

  1. В главном меню программы выбрать пункт Tools | [image] Report Designer.
  2. В открывшемся Конструкторе отчетов, в главном меню выбрать пункт File | New Report. или на панели инструментов нажать кнопку [image] New Report. На печатную форму отчета будут помещены автоматически ReportTitle, MasterData и PageFooter.
  3. Подключиться к источнику данных.
  4. Добавить элементы ADOTable или ADOQuery.
  5. Подключить ADOTable или ADOQuery к ADODatabase.
  6. На странице Page1 разместите поля базы данных. Из DataTree перетащить нужные поля в Band MasterData.


Перенести настройки программы

Если вы хотите применить текущие настройки (частично или полностью) для программы SQL Manager for InterBase/Firebird установленной на другой машине, Вы можете сохранить их в *.reg файл с помощью Мастера сохранения настроек. Чтобы применить настройки, сохраненные в файл *.reg необходимо открыть этот файл двойным щелчком мыши. В появившемся окне нажать кнопку OK.

Избранные запросы не сохраняются в этом случае. Чтобы получить доступ к запросам с другого устройства необходимо, чтобы они хранились в БД.


Обновить программу

Обновить программу можно одним из следующих способов:

  1. Загрузить установочный файл со страницы загрузки сайта -> полученный файл извлечь из архива в нужную директорию (например, c:\unzipped) -> закрыть программу SQL Manager for InterBase/Firebird, если она запущена -> откройте файл IbManagerFullSetup.exe и следуйте инструкциям мастера обновления.
  2. В главном меню программы выбрать пункт Help | SQL Manager Direct -> при наличии на сайте новой версии программы появится окно сообщений -> в этом окне нажать Yes. программа обновится автоматически.


Сообщить об ошибках и предложениях

  1. Перед тем как отсылать предложения и отчеты об ошибках, убедитесь, что Вы используете последнюю версию SQL Manager for InterBase/Firebird.
  2. Если это так, Вы можете связаться с нами через личный кабинет на сайте http://www.sqlmanager.ru/; используя главное меню программы Help или отправив электронное письмо по адресу support@sqlmanager.ru.
  3. Пожалуйста, не забудьте указать версию Вашей ОС, версию InterBase/Firebird и версию программы.
  4. Пошагово опишите свои действия перед появлением ошибки и проиллюстрируйте их скриншотами.


Интерфейс программы

Общими особенностями интерфейса программы SQL Manager for InterBase/Firebird являются:

Главное меню

С помощью главного меню Вы можете получить доступ ко всем инструментам программы и выполнить все действия над объектами базы данных.

Appendix - Program interface - MainMenu

Дополнительно смотрите страницу Настройка панелей управления.

Сплиттеры

Сплиттеры - разделительные полосы между окнами, позволяющие быстро свернуть и развернуть окно.

Для того чтобы свернуть окно достаточно одного нажатия на сплиттер левой кнопкой мыши.

Настройка внешнего вида и действий можно изменить на вкладке Splitters в окне настроек внешнего вида.

Навигационные панели

Почти в каждом редакторе и инструменте отображается навигационная панель. На неё вынесены кнопки, позволяющие выполнять все действия с редактируемым объектом.

Appendix - Program interface - NavBar - Expanded

Набор инструментов на панели зависит от того, какая вкладка редактора в настоящий момент активна.

Для большего удобства навигационные панели можно сворачивать.

Чтобы свернуть некоторый раздел навигационной панели нужно нажать на кнопку, находящуюся рядом с названием раздела.

Свернутую панель можно развернуть, нажав на эту же кнопку [image] [image].

Appendix - Program interface - NavBar - Collapsed

Важно: Изменить настройки навигационных панелей Вы можете на вкладке Navigation bar инструмента Visual Options.

Большая часть инструментов Навигационной панели доступна на Панели инструментов.

Панели инструментов

Панель инструментов - строка или столбец, с вынесенными на него кнопками, позволяющими совершать, практически, все операции с открытым объектом.

Appendix - Program interface - Toolbar

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Важно: Вы можете переместить панель инструментов в любое удобное для вас место.

Дополнительно смотрите страницу Настройка панелей управления.

Индикатор прогресса.

Во время длительного выполнения некоторых процессов в нижней части окна программы SQL Manager for InterBase/Firebird появляется индикатор прогресса, в котором в процентах отображается выполнение операции.

Панель инкрементного поиска

Эта панель доступна на панели статуса некоторых инструментов SQL Manager.

Вы можете вызвать эту панель, используя сочетание клавиш Ctrl+I. В поле поиска введите искомое сочетание символов, и на форме открытого инструмента встречающееся искомое сочетание будет выделено другим цветом.


Поиск опций

С помощью этого инструмента Вы можете найти опции программы по их названию.

Поиск осуществляется для каждого диалогового окна настроек, в котором существует вкладка Find Option. Выбор производится только из опций, относящихся к данному диалоговому окну.

Database Registration Info - Find Option

Сочетание символов, содержащееся в названии опции введите в поле Option.

Все опции, в названии которых встречается искомое сочетание символов, выводятся в списке.

В поле Available Options отображается название найденных опций. В поле Option Kind отображается раздел, к которому относится указанная функция.

Вкладка, на которой расположена искомая функция показана в поле Category. Группа элементов управления, к которой относится искомая опция, отображается в столбце Group.

Чтобы перейти к искомой опции, выберите нужную опцию из списка и нажмите кнопку Show Option или два раза нажмите мышкой на нужной опции в общем списке.

После этого будет совершен переход на вкладку где эта опция находится, а сама опция будет обозначена символом iconFindOption


Просмотр DDL

На вкладке DDL Вы можете просмотреть DDL объекта. Текст на этой вкладке нельзя редактировать. Если хотите внести изменения, то скопируйте текст в буфер обмена и вставьте его в Query Editor или Execute Script Editor. Для удобства можно использовать Open DDL in редакторе запросов.

Appendix - Viewing DDL structure


Описание объекта

Если Вы хотите добавить (изменить) текстовый комментарий к объекту, то Вы можете его создать (изменить) на вкладке Description.

Внесенные изменения вступят в силу только при переходе на другую вкладку, при выборе другого объекта или при нажатии кнопки Save Descriptions на панели инструментов.

Appendix - Editing object description


Зависимости объектов

В редакторах объектов вкладка Dependencies позволяет просматривать зависимости объектов.

В правой части окна - те объекты, на которые ссылается редактируемый объект.

В левой - те объекты, которые ссылаются на открытый в редакторе объект.

В нижнем окне Вы можете просмотреть DDL выделенного объекта.

Appendix - Browsing object dependencies

Любой объект можно открыть в соответствующем редакторе двойным щелчком мыши.


Назначение прав

В главном окне расположена таблица, в которой строки - это группы и пользователи базы данных, а столбцы - действия, выполняемые над объектами.

Права на выполнение того или иного действия можно менять тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Grant->Revoke).
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

  • Grant - Предоставить права на выполнение данного действия [image],
  • Revoke - Аннулировать права,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT' [image].

Для процедур и представлений возможно задание прав на объекты - вкладка Privileges on.

Для таблиц и представлений в нижней части окна можно задать права для столбцов.

Appendix - Setting object permissions

Контекстное меню открывается при нажатии на ячейку области таблицы и позволяет присваивать права на объект.

  • Grant - предоставить права,
  • Grant with GRANT OPTION - предоставить с правами 'GRANT',
  • Revoke - запретить,
  • Add Object - добавить объект.

Более подробную информацию о назначении прав Вы найдете в разделе Администратор прав.


Управление аргументами

Parameter based on

В этом разделе выберите тип источника параметра.

RadioButton Data type Стандартный тип данных.

RadioButton Domain Домен, имеющийся в базе данных. Эта опция доступна только для Firebird версии 2.1 и выше.

RadioButton Column Поле таблицы базы данных.

Data type (на основе стандартного типа данных)

Appendix - Managing parameters - Data type

Type

Укажите тип переменной.

Для данных типа NUMERIC и DECIMAL задайте точность представления данных - Precision и масштаб - Scale; для данных типа CHAR и VARCHAR укажите длину поля - Length, для данных типа BLOB укажите размер сегмента - Segment size и подтип - Subtype.

Charset

Кодировка символьных данных.

Collate

Правило сравнения символьных данных.

CheckBox Not Null

Укажите, может ли параметр иметь значение NULL.

CheckBox Use default value

Включите опцию, если необходимо задать значение по умолчанию.

Default value

Введите желаемое значение по умолчанию. Тип введенного значения должен совпадать с выбранным типом данных поля.

Отметьте опцию CheckBox Set value to, чтобы выбрать значение по умолчанию для поля из списка значений по умолчанию, соответствующих выбранному типу данных.

Domain (на основе домена)

Appendix - Managing parameters - Domain

Domain name

Выберите имя домена из списка.

Collation

Выберите правило сравнения символьных данных.

Нажав на кнопку Edit Domain, Вы можете изменить выбранный домен в соответствующем редакторе. С помощью кнопки New Domain Вы можете создать новый домен.

CheckBox Full inheritance of domain attributes

Данная опция задает полное наследование всех атрибутов домена.

CheckBox Not Null

Укажите, может ли параметр иметь значение NULL.

Domain info отображает информацию о параметре: тип и размер.

CheckBox Use default value

Включите опцию, если необходимо задать значение по умолчанию.

Default value

Введите желаемое значение по умолчанию. Тип введенного значения должен совпадать с выбранным типом данных поля.

Отметьте опцию CheckBox Set value to, чтобы выбрать значение по умолчанию для поля из списка значений по умолчанию, соответствующих выбранному типу данных.

Column (на основе существующего поля таблицы)

Appendix - Managing parameters - Column

Table name

Выберите из раскрывающегося списка имя таблицы, которой должен принадлежать нужный столбец.

Field name

Выберите поле таблицы, на котором будет основываться переменная.

CheckBox Not Null

Укажите, может ли параметр иметь значение NULL.

Collation

Укажите правило сравнения символьных данных

Column info отображает информацию о параметре: тип и размер.

CheckBox Use default value

Включите опцию, если необходимо задать значение по умолчанию.

Default value

Введите желаемое значение по умолчанию. Тип введенного значения должен совпадать с выбранным типом данных поля.

Отметьте опцию CheckBox Set value to, чтобы выбрать значение по умолчанию для поля из списка значений по умолчанию, соответствующих выбранному типу данных.


Ввод параметров

Если в функции или процедуре есть параметры, то при выполнении открывается окно Input Parameters. В этом окне Вы можете задать значения всех параметров.

SQL Manager for InterBase/Firebird формирует это окно исходя из свойств параметров процедуры или функции:

  • количество полей на форме соответствует количеству параметров,
  • названия параметров являются названиями полей, в которых их необходимо задавать,
  • тип поля определяется типом параметра.

CheckBox Если рядом с именем параметра установлен флажок Null, то значение параметра примет значение NULL независимо от того, что введено в поле редактирования.

Нажмите кнопку Ok, для того чтобы продолжить выполнение процедуры, или Cancel для отмены выполнения.

Appendix - Input Parameters

В таблице сверху содержатся наборы недавно использованных наборов значений параметров. Чтобы выбрать готовый набор, просто кликните два раза строку, и поля заполнятся автоматически.


Операции

На вкладке Operations отображаются выполненные операции DML для текущей процедуры или триггера. В верхней части отображается список операций. Для каждой отображается название, имя объекта и текст оператора. В разделе Statement Вы можете просмотреть полный текст выбранного оператора.

Appendix - Viewing object operations


Анализ производительности

На вкладке Performance Analysis Редактора представлений, Редактора запросов, Визуального дизайнера запросов Вы можете увидеть графическое представление анализа быстродействия запроса.

Appendix - Viewing performance analysis

Сравнительный анализ быстродействия представлен в виде диаграммы.

По вертикальной оси идут названия полей, из которых производился выбор данных.

Горизонтальная ось - ось времени. На ней показано время поиска в каждом поле.

Non-index reads - чтения без использования индексов.

Indexed reads - Чтения с использованием индексов.

Такие же диаграммы отображаются на вкладках Updates, Deletes, Inserts для соответствующих операций

Appendix - Viewing performance analysis - Updates

На вкладке Summary отображается суммарная информация о проведенной операции.

Appendix - Viewing performance analysis - Summary

В разделе Query Time - время, потраченное на выполнение запроса.

В разделе Memory - сколько память потребовалось для выполнения операции.

В разделе Operations - время, потребовавшееся для выполнения отдельных этапов операции.

В таблице Enhanced Info отображается общая информация о выполнении запроса.

В столбце Table Name отображаются названия таблиц из которых выбирались данные.

В столбцах отображается время выполнения операции:

IR - индексируемые чтения,

NIR - неиндексируемые чтения,

UPD - обновление,

DEL - удаление,

INS - вставка данных.

С помощью кнопки Copy Analysis to Clipboard Вы можете скопировать в буфер обмена таблицу, в которой отображается суммарная информация. Скопированную таблицу Вы можете вставить в электронный или текстовый документ или в электронную таблицу.


Окно компиляции

В SQL Manager for InterBase/Firebird существует специальный инструмент, с помощью которого можно выявить ошибки и проследить выполнение SQL скрипта изменения метаданных.

Окно изменения метаданных по умолчанию появляется всегда, когда производится изменение метаданных. Если Вы хотите, чтобы оно появлялось только тогда, когда при исполнении будут обнаружены ошибки, то отключите флажок Confirm metadata changing на вкладке Confirmations в Options | Environment Options.

Appendix - Changing Metadata window

В верхнем окне отображаются все изменения метаданных, которые были произведены с редактируемым объектом.

Каждый оператор изменения метаданных представлен отдельной строкой.

Вы можете принять или отклонить операции, установив или убрав флажок.

Важно: Если будет убран хоть один флажок, или хоть один оператор будет содержать синтаксическую ошибку, то применить транзакцию будет нельзя.

В главном окне - Compile SQL - показан SQL скрипт, который был сгенерирован в результате изменения метаданных. В этом окне Вы можете его редактировать по своему усмотрению. Если скрипт содержит ошибки, то становится видна область Error, в которой показано описание возникших при компиляции ошибок.

Оператор, который отображается в окне, уже выполнен в запущенной транзакции на изменение метаданных.

Применить эту транзакцию можно с помощью кнопки Commit, которая активна только в случае, если скрипт был выполнен успешно (т.е. транзакция может быть применена). Если Вы не хотите применять изменения, то воспользуйтесь кнопкой Rollback, которая откатит текущую транзакцию.

Если в операторе есть ошибки, то кнопка Commit будет недоступна. В этом случае необходимо исправить все ошибки и нажать кнопку Rollback and Recompile, которая выполнит компиляцию скрипта заново.

Текст операторов и описание ошибок можно полностью скопировать в буфер обмена с помощью кнопки Copy information to clipboard.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Да

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.


Окно поиска

С помощью окна Find Text можно найти сочетание символов в тексте.

В поле Text to Find укажите искомую последовательность символов или выберите одну з предыдущих.

Options

CheckBox Case Sensitive

При поиске учитывать регистр.

CheckBox Whole words only

Учитывать слово целиком.

CheckBox Regular Expressions

Если отмечена эта опция, то введенный текст будет распознаваться как регулярное выражение.

Например, если Вы введете "empl*", то будет произведен поиск по метаданным всех строк, содержащих подстроку "empl". При вводе "^emp" результатом поиска будут объекты, в метаданных которых есть строки, начинающиеся на "emp", а при поиске

"^emp|emp$" - строки, содержащие "emp" в начале или конце строки.

Важно: Синтаксис регулярных выражений, которые могут быть использованы в поле Text to find, соответствует синтаксису регулярных выражений языка Perl. Более подробная информация может быть найдена по ссылке: https://perldoc.perl.org/perlre.html#Regular-Expressions.

В разделе Direction укажите направление поиска:

RadioButton Forward - вниз,

RadioButton Backward - вверх.

Scope

RadioButton Global - искать во всем тексте.

RadioButton Selected text - искать только в выделенном тексте.

Origin

RadioButton From cursor - поиск начинается с того места где стоит курсор.

RadioButton Entire scope - поиск с начала текста.

CheckBox Mark search result with stack marker

Отмечать найденный текст маркером.


Задание форматов данных

Форматы данных определяют вид данных разных типов.

Форматы Float/Integer

0 | Цифра от 0 до 9
# | Символ разряда. If the value being formatted has a digit in the position where the '#' appears in the format string, then that digit is copied to the output string. Otherwise, nothing is stored in that position in the output string.
. | символ, отделяющий десятичную часть
, | разделитель групп разрядов
E+ | экспоненциальное представление.

Форматы Date/Time format

с помощью следующих команд Вы указываете какую часть даты и в каком виде нужно отображать.

c | Отображает дату, используя краткий формат даты.
d | День отображается в виде числа от 1 до 31 без нулевого старшего разряда.
dd | День отображается в виде числа от 01 до 31 с нулевым старшим разрядом.
ddd | День отображается в виде аббревиатуры (Sun-Sat).
dddd | Отображается полное название дня недели (Sunday-Saturday).
ddddd | Отображать краткий формат.
dddddd | Использовать полный формат даты.
m | Отображать месяц в виде числа без нулевого старшего разряда (1-12).
mm | Отображать месяц в виде числа с нулевым старшим разрядом (01-12)
mmm | Отображать месяц в виде аббревиатуры (Jan-Dec).
mmmm | Отображать полное название месяца (January-December).
yy | Отображать год в виде последних двух цифр (00-99).
yyyy | Отображать год в четырех цифр (0000-9999).
h | Отображать час в виде числа без нулевого старшего разряда (0-23).
hh | Отображать час в виде числа с нулевым старшим разрядом (00-23).
n | Отображать минуты в виде числа без нулевого старшего разряда (0-59).
nn | Отображать минуты в виде числа с нулевым старшим разрядом (00-59).
s | Отображать секунды в виде числа без нулевого старшего разряда (0-59).
ss | Отображать секунды в виде числа с нулевым старшим разрядом (00-59).
z | Отображать миллисекунды в виде числа без нулевого старшего разряда (0-999).
zzz | Отображать миллисекунды в виде числа с нулевым старшим разрядом (000-999).
t | Отображать время используя Short Time Format.
tt | Отображать время используя Long Time Format.
a/p | Использовать двенадцатичасовой формат даты с префиксом a/p.
am/pm | Использовать двенадцатичасовой формат даты с префиксом am/pm.
/ | Использовать этот разделитель даты (mm/dd/yy).
: | Использовать этот разделитель времени (hh:mm).
'xx'/"xx" | Символы, заключенные в одинарные или двойные кавычки не подлежат форматированию.


Шаблоны

В SQL Manager for InterBase/Firebird для некоторых операций предусмотрена возможность сохранения последовательности действий и параметров в специальных файлах, которые называются шаблоны. Используются шаблоны в мастерах. Например, в мастере экспорта данных или импорта данных и т.п.

Если в мастере в левом нижнем углу расположена кнопка iconLoadFromFile, то все параметры, указанные с помощью мастера можно сохранить в файл соответствующего формата. Для каждого мастера предусмотрен специальный формат шаблона. Это позволяет избежать ошибок при открытии шаблона в другом мастере.

При нажатии на кнопку iconSaveToFile открывается список действий.

Using templates - menuTemplates

С помощью этого списка можно:

  • загрузить шаблон - Load Template,
  • сохранить шаблон - Save Template,
  • сделать эти настройки настройками по умолчанию - Save Current Settings As Default,
  • сбросить настройки - Reset Saved settings.

Сохранять и загружать шаблон можно на любом шаге мастера.


Поддерживаемые форматы файлов

MS Excel 97-2003

Наиболее популярный формат файлов для хранения электронных таблиц, разработанный Microsoft.

(*.xls)

MS Access 97-2003

Файл этого формата представляет собой базу данных Access 97-2003, с возможностью использования ADO connection.

(*.mdb)

MS Word 97-2003

Наиболее популярный формат текстовых документов, разработанный Microsoft.

(*.doc)

RTF

Межплатформенный формат хранения размеченных текстовых документов, предложенный Microsoft. RTF-документы поддерживаются большинством современных текстовых редакторов.

(*.rtf)

HTML

(от англ. Hypertext Markup Language — «язык разметки гипертекста»)

Формат для отображения web страниц

(*.html, *.htm)

PDF

Межплатформенный формат электронных документов, предназначен для представления в электронном виде полиграфической продукции.

(*.pdf)

Text file

Текстовый файл

(*.txt)

CSV

(от англ. Comma Separated Values — значения, разделенные запятыми)

Текстовый формат, предназначенный для представления табличных данных. Каждая строка файла — это одна строка таблицы. Значения отдельных колонок разделяются разделительным символом (delimiter), например, запятой (,), точкой с запятой(;), символом табуляции. Текстовые значения обрамляются символом двойные кавычки ("); если в значении встречаются кавычки — они представляются в файле в виде двух кавычек подряд.

(*.csv)

DIF

Стандарт для файлов обмена данными

(*.dif)

SYLK

Формат Символической Связи.

(*.slk)

LaTeX

Специфический формат файлов макрорасширений к TeX.

(*.tex)

XML

Расширяемый язык разметки. Предназначен для хранения структурированных данных

(*.xml).

DBF

Формат хранения данных, используемый в качестве одного из стандартных способов хранения и передачи информации системами управления базами данных, электронными таблицами и т.д.

(*.dbf)

MS Excel

Разработанный Microsoft формат файлов для хранения электронных таблиц. Формат представляет собой zip-архив, содержащий текст в виде XML, необходимую графику и другие данные

(*.xlsx)

MS Access

Файл этого формата представляет собой базу данных Access, с возможностью использования ADO connection.

(*.accdb)

MS Word

Разработанный Microsoft формат файлов для хранения электронных документов. Формат представляет собой zip-архив, содержащий текст в виде XML, необходимую графику и другие данные

(*.docx)

ODF Spreadsheets

Открытый формат файлов документов для хранения и обмена редактируемыми офисными документами - электронными таблицами.

(*.ods)

ODF text

Открытый формат файлов документов для хранения и обмена редактируемыми текстовыми офисными документами

(*.odt)


Список задач

Инструмент To-Do List позволяет создавать список задач базы данных. Чтобы открыть этот список выберите в главном меню пункт View | To-Do List.

Чтобы добавить в список новую задачу нажмите кнопку Add Item на одной из панелей управления или выберите пункт Add Item в контекстном меню.

Для создания откроется окно редактора заданий.

Appendix - To-Do List

В поле Text задаете описание задачи.

С помощью счетчика Priority задайте приоритет задачи.

В поле User Name укажите пользователя для которого предназначена эта задача.

В поле Category можно задать категорию создаваемой или редактируемой задачи.

Нажмите кнопку OK чтобы добавить задачу в общий список.

Открыть для редактирования уже созданную задачу можно нажав на ней два раза мышью, или выбрать пункт Edit Item на одной из панелей инструментов или выбрав пункт Edit Item в контекстном меню.

Выбрав на панели инструментов или в контекстном меню пункт Delete Item Вы удалите задачу.

Можно удалить все задачи нажав кнопку Delete All и подтвердив удаление в появившемся окне.

Выберите базу данных для которой создаете задачу из раскрывающегося списка Database на одной из панелей инструментов.

Все инструменты для работы располагаются на панелях инструментов и в контекстном меню, которое открывается при нажатии правой кнопкой мыши на задаче.


Настройка панелей инструментов

Любую панель инструментов можно настроить.

Ее можно настраивать, используя функцию Add or Remove Buttons, открывающуюся при нажатии на кнопку More Buttons btnMoreButtons в правом углу панели.

В появившемся окне выбираете те кнопки, которые нужны Вам для работы.

Нажав на любую панель управления правой кнопкой мыши и выбрав пункт Customize.

Если на панели инструментов нажать правой кнопкой мыши, то тоже появится кнопка Customize.

При нажатии на эту кнопку открывается окно редактирования панели инструментов.

Вкладка Toolbars:

Appendix - Customize - Toolbars

На этой вкладке можно создавать, редактировать и удалять панели инструментов.

New - добавить панель инструментов,

Rename - переименовать,

Delete - удалить.

Вкладка Commands:

На этой вкладке выберите кнопки, которые будут отображаться на панели инструментов.

Appendix - Customize - Commands

В списке Categories выберите категорию, а в списке Commands - команду, относящуюся к выбранной категории.

Чтобы поместить нужную кнопку на панель ее нужно перетащить из списка Commands на панель инструментов.

Вкладка Customize:

Appendix - Customize - Options

  • Menus show recently used command first - всегда показывать полные меню,
  • Show full menus after a short delay - показывать полные меню после небольшой задержки,
  • Reset my usage data - сброс,
  • Large icons - крупные значки,
  • Show ToolTips on Toolbars - отображать подсказки для кнопок,
  • Show shortcut keys in ToolTips - включить в подсказки сочетания клавиш,
  • Menu animations - анимация при выборе меню.


Маркеры

Маркеры предназначены для навигации по тексту. Необходимо установить курсор в нужное место и нажать клавишу F2, В этом месте появляется маркер. Теперь при нажатии клавиши Esc курсор возвращается на указанную метку. Метки организованы по принципу стека LIFO.


Окно подключения баз данных

Это окно появляется если Вы выбрали неподключенную базу данных из раскрывающегося списка на навигационной панели редактора.

Appendix - Login Host

Имя пользователя и пароль задайте в полях User name и Password соответственно. В поле Role можно задать роль пользователя.

Если установлен флажок Save password, то пароль для этого пользователя будет сохранен.

SSH host name - имя машины (IP-адрес), на которой установлен сервер SSH.

SSH port - порт SSH сервера на удаленном хосте (по умолчанию равен 22).

SSH user name - имя пользователя на сервере (пользователь SSH сервера, а не сервера InterBase/Firebird).

SSH password - пароль пользователя SSH сервера.

Если установлен флажок Use Private Key for authentication, то в поле SSH key file можно указать ключевой файл для аутентификации.

Смотрите также:

Регистрационная информация базы данных


Применение изменений

При нажатии кнопки Ok изменения не вступают в силу. Применяются они только после нажатия Compile на одной из панелей инструментов редактора.


Быстрое сохранение/Быстрая загрузка

Пункты и кнопки Quick save и Quick load, располагающиеся на навигационных панелях и на панелях инструментов некоторых редакторов, позволяют сохранять и загружать DDL объекта сразу в файл, минуя обычные для этой процедуры шаги.

Appendix - Quick Save and Quick Load


Преобразование скрипта

После завершения операции появляется диалоговое окно, в котором можно выбрать кодировку скрипта, загружаемого в Редактор запросов или Редактор SQL скриптов.

Appendix - Script conversion

RadioButton Windows default - кодировка, используемая в операционной системе по умолчанию.

RadioButton Database default - кодировка, используемая в базе данных по умолчанию.

RadioButton Other encoding - другая кодировка, которая выбирается из общего списка.

Текст в выбранной кодировке Вы можете увидеть в поле Preview.


Перезапись существующего внешнего файла

Если существует файл, имеющий имя, которое указано для выходного файла, созданного SQL Manager, то отображается диалоговое окно с предупреждением.

Appendix - Overwrite File Warning dialog

Вы можете:

Перезаписать файл - Overwrite,

Сделать уникальным - Make it Unique,

Отменить операцию - Cancel.

Приложение делает файл уникальным с помощью добавления текущего времени к имени файла, если установлен флажок CheckBox Add Timestamp, или с помощью добавления цифрового постфикса к имени файла.


Сочетания клавиш

Управление базами данных:

Shift+Ctrl+R | Зарегистрировать сервер InterBase/Firebird с помощью Мастера регистрации хоста
Shift+Alt+R | Зарегистрировать базу данных с помощью Мастера регистрации баз данных
Shift+Alt+U | Удалить регистрацию выбранной базы данных
Shift+Ctrl+C | Подключиться к базе данных
Shift+Ctrl+D | Отключиться от базы данных

Управление объектами баз данных:

Ctrl+N | Создать новый объект.
Ctrl+O | Открыть выбранный объект в соответствующем редакторе
Ctrl+R | Переименовать выбранный объект
Shift+Del | Удалить выбранный объект
Ctrl+Shift+C | Свернуть текущую ветвь в Проводнике баз данных
F9 | Выполнить процедуру
Shift+Ctrl+F9 | Отладить процедуру

Инструменты SQL Manager:

F11 | Открыть/закрыть Проводник баз данных
Ctrl+F | Открыть окно поиска в Проводнике баз данных
Shift+Ctrl+T | Открыть список заданий
F12 | Открыть Редактор запросов
Shift+F12 | Создать новый запрос в Редакторе запросов
Shift+Ctrl+M | Открыть Монитор SQL
Shift+Ctrl+S | Открыть Редактор SQL скриптов
Shift+Ctrl+L | Открыть Редактор локализаций
Ins | Добавить новый подобъект в таблицу (Тип подобъекта определяется открытой вкладкой редактора)

Data Grid:

Ctrl+Shift+0

Set the selected column value to NULL

Работа с редактором запросов и редактором SQL скриптов:

F9 | Выполнить запрос/скрипт
Alt+F9 | Выполнить только выделенную часть кода
Ctrl+Alt+F9 | Выполнить ту часть кода, на которой стоит курсор
Ctrl+Alt+F2 | Удалить контрольную точку (Только для редактора запросов)
Shift+Ctrl+<digit> | Установить закладку #<digit>
Ctrl+<digit> | Перейти к закладке #<digit>
Ctrl+Q,N | Перейти к следующей закладке
Ctrl+Q,P | Перейти к предыдущей закладке
F2 | Поставить маркер на текущую позицию
Ctrl+Z; Alt+BkSp | Отменить
Shift+Ctrl+Z; Shift+Alt+BkSp | Вернуть
Ctrl+F | Открыть окно поиска
Ctrl+R | Найти и заменить
F3 | Продолжить поиск
Ctrl+I | Начать инкрементный поиск
Alt+G | Перейти к строке под номером. Номер введите в появившемся диалоговом окне.
Ctrl+L | Загрузить скрипт из внешнего файла
Ctrl+S | Выгрузить скрипт во внешний файл
Shift+Ctrl+Q | Сохранить запрос как Избранный
Shift+Ctrl+F | Форматировать текст SQL с помощью Форматтера SQL
Alt+<symbol> | Перейти к запросу с символом <&symbol> в имени (только для редактора запросов)
Ctrl+J | Вставить шаблон клавиатуры
Ctrl+Alt+Left | Перейти к следующей вкладке Редактора запросов
Ctrl+Alt+Right | Перейти к предыдущей вкладке Редактора запросов
Ctrl+Alt+PgUp | Перейти к последней вкладке Редактора запросов
Ctrl+Alt+PgDown | Перейти к первой вкладке Редактора запросов
Shift+Ctrl+Left | Выделить символы до предыдущего слова
Shift+Ctrl+Right | Выделить символы до следующего слова
Shift+Home | Выделить текст до начала строки
Shift+End | Выделить текст до конца строки
Shift+PageUp | Выделить текст до начала страницы
Shift+PageDown | Выделить текст до конца страницы
Shift+Ctrl+PageUp | Выделить текст до первой строки на странице
Shift+Ctrl+PageDown | Выделить текст до последней строки на странице
Shift+Ctrl+Home | Выделить текст до начала
Shift+Ctrl+End | Выделить текст до конца
Shift+Alt+Left | Выделить колонку символа слева
Shift+Alt+Right | Выделить колонку символа справа
Shift+Alt+Up | Выделить колонку на строку вверх
Shift+Alt+Down | Выделить колонку на строку вниз
Shift+Alt+Home | Выделить колонку до начала строки
Shift+Alt+End | Выделить колонку до конца строки
Shift+Alt+PageUp | Выделить колонку на страницу вверх
Shift+Alt+PageDown | Выделить колонку на страницу вниз
Shift+Ctrl+Alt+Home | Выделить колонку до самого начала
Shift+Ctrl+Alt+End | Выделить колонку до самого конца
Ctrl+Up | Прокрутить страницу вверх на строку, не меняя позиции курсора
Ctrl+Down | Прокрутить страницу вниз на строку, не меняя позиции курсора
Alt+Down, Alt+Up | Переключить регистр слова
Ctrl+G,Ctrl+F | Свернуть блок в текущей строке
Ctrl+G,Ctrl+E | Развернуть блок на текущей строке
Ctrl+G,Ctrl+M | Свернуть все блоки в тексте
Ctrl+G,Ctrl+P | Развернуть все свернутые блоки в тексте
Ctrl+= | Свернуть/развернуть ближайший блок
Esc | Убрать маркер (вернуться назад)
Shift+Esc | Заменить маркер (сохранить позицию, вернуться назад)
Shift+Ctrl+B | Перейти к закрывающей/открывающей скобке
Shift+Ctrl+I | Сместить выделенный блок
Shift+Ctrl+U; Shift+Tab | Убрать отступ выделенного блока
Ctrl+/ | Закомментировать/раскомменитровать выделенные строки
Ctrl+Space | Автозаполнение кода
Ctrl+Shift+Space | Показывать параметры кода
Ctrl+Alt+Space | Показать таблицу символов
Ctrl+Alt+P | Показать список процедур
Ctrl+Alt+V | Показать список представлений
Ctrl+Alt+T | Показать список таблиц
Ctrl+Alt+G | Показать список триггеров
Ctrl+Alt+U | Показать список UDF
Ctrl+Alt+Enter | Показать список параметров процедуры или триггера
Ctrl+Alt+M | Показать список доменов
Ctrl+Alt+E | Показать список генераторов
Ctrl+Alt+X | Показать список исключений
Ctrl+Alt+R | Показать список ролей
Ctrl+C; Ctrl+Ins | Скопировать выделенный текст в буфер обмена
Ctrl+X; Shift+Del | Вырезать выделенный текст в буфер обмена
Ctrl+V; Shift+Ins | Вставить текст из буфера обмена в текущую позицию
Ctrl+T | Удалить все от курсора до следующего слова
Ctrl+BkSp | Удалить все от курсора до начала слова
Ctrl+B | Удалить все от курсора до начала строки
Shift+Ctrl+Y | Удалить все от курсора до конца строки
Ctrl+Y | Удалить текущую строку
Ctrl+O,N | Обычное выделение текста
Ctrl+O,C | Выделение текста по строкам
Ctrl+O,L | Выделение текста по столбцам
Ctrl+M; Enter; Shift+Enter | Разбить строку в текущей позиции, переместить каретку на следующую строку
Ctrl+Alt+I | Вставить символ табуляции Tab
F5 | Установить точку останова
Shift+F5 | Включить/отключить точку останова

Работа с отчетами:

Ctrl+O | Загрузить отчет из файла
Ctrl+S | Сохранить отчет в файл
Ctrl+P | Открыть диалоговое окно Print
Ctrl+Home | Перейти к первой странице
Ctrl+Up | Перейти к предыдущей странице
Ctrl+Down | Перейти к следующей странице
Ctrl+End | Перейти к последней странице
Ctrl+D | Открыть Настройщик отчетов
Ctrl+\ | Масштаб 100%
Ctrl+0 | Масштаб по ширине страницы
Ctrl+1 | Целая страница
Ctrl+2 | Две страницы
Ctrl+4 | Четыре страницы
Ctrl+W | Выровнять по ширине
Ctrl+M | Отобразить/скрыть поля
Ctrl+K | Задать цвет фона для отчета

Работа с окнами и вкладками

Ctrl+Tab | Перейти к следующей вкладке
Ctrl+Alt-0 | Открыть список окон
Ctrl+Alt+D | Задать значения по умолчанию для всех окон
Ctrl+F6 | Перейти к предыдущему окну
F6 | Перейти к следующему окну
Ctrl+W | Закрыть активное окно


Панель поиска

Панель поиска

Кроме панели инструментов существует дополнительная панельная панель - Search Panel.

DB Explorer - Search Panel

Чтобы включить эту панель необходимо выбрать пункт Search Panel в контекстном меню панели инструментов проводника баз данных.

В поле Search укажите искомое сочетание символов. С помощью кнопок [image] [image] задайте направление поиска.

Если нажата кнопка Search by Category, то поиск будет производиться внутри выбранной группы объектов.

С помощью кнопки [image] Вы можете переключать режимы поиска - Искать внутри одной категории/Искать везде.

Важно: Search Panel можно перетаскивать в любую часть окна программы.


SQL Manager Direct

SQL Manager Direct позволит Вам получить быстрый доступ к соответствующим ресурсам Интернета и загрузить последнюю версию SQL Manager.

Чтобы открыть SQL Manager Direct выберите пункт Help | SQL Manager Direct в главном меню программы.

При открытии SQL Manager Direct и/или нажатии кнопки Update происходит проверка наличия обновлений SQL Manager на сервере EMS Software Development.

Ссылки на ресурсы sqlmanager.net объединены в несколько групп:

  • SQL Manager for InterBase/Firebird News - Новости
  • General Information - Основная информация
  • Downloads - Загрузки
  • Related Products - Сопутствующие продукты

Appendix - SQL Manager Direct

SQL Manager for InterBase/Firebird News

В этом разделе Вы можете открыть страницу новостей по продукту на сайте sqlmanager.net.

General Information

В этом разделе предлагается ряд ссылок на продукт - Новости, Таблица характеристик, Системные требования и т.д.

Downloads

Используя эту ссылку, Вы можете загрузить SQL Manager последней версии и документацию со страницы загрузки.

Related Products

Этот раздел позволяет вам просматривать список связанных продуктов, разработанных EMS Database Management Solutions, Inc.

Используйте кнопки btnBack btnForward для перемещения между страницами так же, как в веб-броузере.

Нажатие на кнопку Update позволит обновить программу.

Если существует более новая версия SQL Manager, то отобразится диалоговое окно, сообщающее о наличии новой версии. С его помощью Вы можете сразу загрузить эту версию с сервера.

Appendix - SQL Manager Direct - Question

После загрузки и установки SQL Manager будет перезапущен.

CheckBox Automatically poll network in interval (in days)

Если установлен этот флажок, то страница будет обновляться автоматически через указанное в соответствующем поле число дней. В Lite версии эту опцию отключить нельзя.

Важно: Корректность отображения данной страницы зависит от настроек подключения к интернету, задаваемых в Панели управления Windows. Если для подключения к интернету используется прокси-сервер, требующий авторизации, то при открытии страницы SQL Manager Direct, или при нажатии кнопки Update появится диалоговое окно, в котором необходимо задать параметры авторизации.


Панели и меню

Используйте вкладку Bars and menus для настройки внешнего вида панелей инструментов и меню программы SQL Manager for InterBase/Firebird.

Visual Options - Bars and menus

Из раскрывающегося списка Bar style выберите один из стандартных стилей панели инструментов.

Из списка Menu Animation можно выбрать один из вариантов анимации при открытии меню.

CheckBox Sunken border - утопленная рамка.

CheckBox Use F10 for menu - использовать F10 для меню.

CheckBox Menu shows recent command first - в сокращенном меню показывать недавно использовавшиеся операции.

CheckBox Show full menus after delay - показать все меню после задержки.

CheckBox Flat close buttons - использовать плоские закрывающие кнопки.

CheckBox Gray-scale disabled images - полутоновые заблокированные изображения.


Деревья и списки

На вкладке Trees and Lists настройте внешний вид списков.

Visual Options - Trees and lists

Из раскрывающегося списка Look & Feel выберите один из стандартных стилей оформления списков.

Standard - стандартные,

Flat - плоские с тенью,

Ultraflat - плоские.

CheckBox Hide selection - скрыть выделение.

CheckBox Hide focus rectangle - прятать прямоугольник фокуса.

CheckBox Native style - естественный стиль.


Элементы управления редактирования

На вкладке Edit controls задайте стиль элементов управления и редактирования.

Visual Options - Edit controls

Из раскрывающегося списка Border style выберите стиль рамки:

None - без рамки,

Single - одинарная тонкая линия,

Thick - одинарная широкая линия,

Flat - плоская с тенью,

3D - трехмерная,

Ultraflat - плоская.

Из списка Button style - стиль кнопок.

3D - трехмерные,

Flat - плоские с тенью,

Simple - простые

Hotflat - плоские в рамке

Ultraflat - плоские.

Стиль кнопок, расположенных в пределах поля, можно задать с помощью раскрывающегося списка Button transparency.

None - непрозрачные,

Inactive - прозрачные, когда неактивные.

Always - прозрачные,

Hide inactive - показывать при редактировании,

Hide unselected - показывать при наведении курсора.

CheckBox Hot track - подсветка элементов управления.

CheckBox Shadow - тень.

CheckBox Native style - стиль, примененный в ОС Windows.

CheckBox Autosize - автоподбор ширины поля по размеру содержимого.

Edges - границы:

CheckBox Left - cлева;

CheckBox Right - справа;

CheckBox Top - сверху;

CheckBox Bottom - снизу.


Флажки

На вкладке Check boxes задайте вид флажков и переключателей.

Visual Options - Check boxes

Из раскрывающегося списка Border style выберите стиль рамки:

None - без рамки,

Single - одинарная тонкая линия,

Thick - одинарная широкая линия,

Flat - плоская с тенью,

3D - трехмерная,

Ultraflat - плоская.

CheckBox Hot track - подсветка элементов управления.

CheckBox Shadow - тень.

CheckBox Native style - естественный стиль.


Кнопки

На этой вкладке настройте внешний вид кнопок.

Visual Options - Buttons

Из списка Button kind выберите вид кнопок.

Standard - стандартные,

Flat - плоские с тенью,

Ultraflat - плоские.

CheckBox Native style - естественный стиль.


Вкладки

SQL Manager for InterBase/Firebird
  • В начало

Элементы управления окнами

В этом окне задайте стиль оформления вкладок.

Visual Options - Page controls

Из списка Tab Style выберите нужный стиль вкладок.

Tabs - в виде вкладок,

Buttons - в виде кнопок

Flat - плоские.

CheckBox Hot track - подсветка элементов управления.

CheckBox Multiline pages - расположение вкладок в несколько рядов.

CheckBox Shadow - тень.

CheckBox Native style - естественный стиль.

CheckBox Slants - наклонные значки вкладок.

Slants kind

Выберите вид наклона.

RadioButton Cut corner - Верхний правый/левый угол значка вкладки срезан.

RadioButton Slant - правая/левая сторона значка вкладки скошена.

Slants position

Сторона значка вкладки, с которой будет наклон при выборе вида Slants.

CheckBox Left - левая

CheckBox Right - правая.


Группа кнопок

Задайте стиль отображения групп кнопок на вкладке Group boxes.

Visual Options - Group boxes

Из раскрывающегося списка Border style выберите стиль рамки.

None - без рамки,

Single - одинарная тонкая линия,

Thick - одинарная широкая линия,

Flat - плоская с тенью,

3D - трехмерная,

Ultraflat - плоская.

CheckBox Shadow - тень.

CheckBox Native style - естественный стиль.


Разделители

На вкладке Splitters задайте стиль разделителей (сплиттеров).

Visual Options - Splitters

Из раскрывающегося списка Hot zone style выберите стиль отображения разделителей.

Windows XP task bar - стиль Windows XP,

Media Player 8 - стиль Media Player 8,

Media Player 9 - стиль Media Player 9,

Simple - простой,

None - нет.

CheckBox Если установлен флажок Hot zone drags a splitter, то разделитель можно перемещать, потянув за среднюю рабочую область Splitter. Если не установлен, то по нажатию на эту область окно, ограниченное сплиттером будет сворачиваться и разворачиваться.


Панель навигации

Задайте внешний вид навигационной панели на этой вкладке.

Visual Options - Navigation bar

Из раскрывающегося списка View style выберите стиль представления навигационной панели.

Office 11 - стиль Office,

XP - стиль Windows XP,

Simple - обычный,

Advanced - улучшенный стиль.

CheckBox Если установлен флажок Border, то будет отображаться граница навигационной панели.


Редактор плагинов

SQL Manager for InterBase/Firebird
  • В начало

Установка плагинов

С помощью этого окна можно управлять плагинами, подключенными к SQL Manager for InterBase/Firebird. На вкладке Common tools отображаются плагины, предназначенные для работы со всей базой данных. Плагины для работы с отдельными объектами баз данных располагаются на вкладке Tools for objects.

Чтобы добавить плагин, нажмите на кнопку Add plugin, чтобы удалить - на Remove plugin.

Plugins - Installed plugins

Так как все плагины представлены в программе в виде пунктов меню, то в этом окне есть возможность управлять их положением в этом меню, объединяя в группы, создавая новые подменю.

Нажав на кнопку New submenu, Вы создадите новое подменю, куда можно поместить сходные объекты.

Изменить название подменю можно, нажав на кнопку Rename. Чтобы удалить подменю достаточно нажать на кнопку Delete.

Чтобы изменить порядок объектов в списке воспользуйтесь кнопками [image] [image] или сочетанием клавиш Shift+Ctrl+Up / Shift+Ctrl+Down. Также можно менять объекты местами, перетаскивая их мышкой.

В нижней части расположено информационное окно, в котором отображается описание и путь к выбранному плагину.


Опции плагинов

На этой вкладке Вы можете просмотреть информацию об установленном плагине.

Plugins - Plugin options

CheckBox Plugin is a common tool - если установлен этот флажок, то плагин предназначен для работы со всей базой данных

CheckBox Plugin is built in object editor - плагин встраивается в редакторы объектов

CheckBox Plugin has options dialog - плагин содержит диалог установки опций

CheckBox Unload plugin after executing - выгружать плагин после выполнения

В разделе Object Editors указано, в какие редакторы встроен данный плагин.

В разделе Options Вы можете задать параметры отображения плагина в меню программы.

Menu caption - заголовок плагина в главном меню программы и сочетание клавиш для быстрого вызова

Options menu caption - в этом пункте отображаются опции плагина. Это поле активно только в том случае, если у плагина существую опции, которые образовывают подменю.

CheckBox Если установлен флажок Place button on toolbar, то кнопка для вызова этого плагина будет помещена на панель инструментов.


Генератор данных

Одним из плагинов может быть Генератор данных.

Data Generator Plugin - это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, создавать текстовые поля по маске, загружать значения для BLOB-полей напрямую из файлов, выбирать списки значений из запросов SQL, а так же выполнять другие операции, связанные с генерацией тестовых данных простым и понятным способом. Консольное приложение из комплекта поставки позволяет быстро генерировать данные, используя специальные шаблоны.

Plugins - Data Generator plugin

Чтобы запустить генератор данных выберите в главном меню программы пункт Plugins | Data Generator.

Из раскрывающегося списка Database выберите базу данных, для которой хотите сгенерировать данные.

Таблицу можно выбрать из списка Table.

Поля таблицы укажите в списке в поле Field Name. Для генерации нужных данных, для каждого поля таблицы нужно указать тип данных в столбце Type.

Количество строк, которые должны быть сгенерированы, укажите в поле Number of records to be generated.

Указав все параметры, нажмите на кнопку Generate, чтобы начать процесс генерации.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Опции плагинов


Список объектов

  • Fields - работа с полями.
  • Constraints - ограничения таблицы:
  • Primary key - управление первичными ключами,
  • Foreign keys - управление внешними ключами,
  • Managing checks - управление проверками,
  • Unique keys - управление уникальными ключами,
  • Indexes - управление индексами.
  • Triggers - работа с триггерами.
  • Dependencies - зависимости объектов.
  • Data - просмотр данных.
  • Permissions - назначение прав.
  • Description - описание объекта.
  • DDL - просмотр DDL.

  1. Domains - Домены
  2. Tables - Таблицы
  3. Views - Представления
    • Procedures - Процедуры
    • UDFs - Пользовательские функции
  4. Triggers - Триггеры
  5. Exceptions - Исключения
  6. Generators - Генераторы
  7. BLOB Filters - BLOB фильтры
  8. Просмотр результатов
  9. Просмотр результатов
  10. Проверка базы данных
  11. Задать параметры остановки базы данных